package androidx.appcompat.view.menu;

import android.content.Context;
import android.content.res.Configuration;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.drawable.Drawable;
import android.os.Parcelable;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.view.MotionEvent;
import android.view.View;
import android.widget.Button;
import androidx.appcompat.view.menu.g;
import androidx.appcompat.view.menu.n;
import androidx.appcompat.widget.ActionMenuView;
import androidx.appcompat.widget.e0;
import androidx.appcompat.widget.e1;
import androidx.appcompat.widget.m0;
import e.a.j;

public class ActionMenuItemView extends e0 implements n.a, View.OnClickListener, ActionMenuView.a {

    /* renamed from: ˎ  reason: contains not printable characters */
    i f461;

    /* renamed from: ˏ  reason: contains not printable characters */
    private CharSequence f462;

    /* renamed from: ˑ  reason: contains not printable characters */
    private Drawable f463;

    /* renamed from: י  reason: contains not printable characters */
    g.b f464;

    /* renamed from: ـ  reason: contains not printable characters */
    private m0 f465;

    /* renamed from: ٴ  reason: contains not printable characters */
    b f466;

    /* renamed from: ᐧ  reason: contains not printable characters */
    private boolean f467;

    /* renamed from: ᴵ  reason: contains not printable characters */
    private boolean f468;

    /* renamed from: ᵎ  reason: contains not printable characters */
    private int f469;

    /* renamed from: ᵔ  reason: contains not printable characters */
    private int f470;

    /* renamed from: ᵢ  reason: contains not printable characters */
    private int f471;

    private class a extends m0 {
        public a() {
            super(ActionMenuItemView.this);
        }

        @Override // androidx.appcompat.widget.m0
        /* renamed from: ʻ  reason: contains not printable characters */
        public p m631() {
            b bVar = ActionMenuItemView.this.f466;
            if (bVar != null) {
                return bVar.m633();
            }
            return null;
        }

        /* access modifiers changed from: protected */
        @Override // androidx.appcompat.widget.m0
        /* renamed from: ʼ  reason: contains not printable characters */
        public boolean m632() {
            p r0;
            ActionMenuItemView actionMenuItemView = ActionMenuItemView.this;
            g.b bVar = actionMenuItemView.f464;
            if (bVar == null || !bVar.m779(actionMenuItemView.f461) || (r0 = m631()) == null || !r0.m870()) {
                return false;
            }
            return true;
        }
    }

    public static abstract class b {
        /* renamed from: ʻ  reason: contains not printable characters */
        public abstract p m633();
    }

    public ActionMenuItemView(Context context) {
        this(context, null);
    }

    /* renamed from: ˆ  reason: contains not printable characters */
    private boolean m624() {
        Configuration configuration = getContext().getResources().getConfiguration();
        int i = configuration.screenWidthDp;
        return i >= 480 || (i >= 640 && configuration.screenHeightDp >= 480) || configuration.orientation == 2;
    }

    /* renamed from: ˈ  reason: contains not printable characters */
    private void m625() {
        CharSequence charSequence;
        boolean z = true;
        boolean z2 = !TextUtils.isEmpty(this.f462);
        if (this.f463 != null && (!this.f461.m808() || (!this.f467 && !this.f468))) {
            z = false;
        }
        boolean z3 = z2 & z;
        CharSequence charSequence2 = null;
        setText(z3 ? this.f462 : null);
        CharSequence contentDescription = this.f461.getContentDescription();
        if (TextUtils.isEmpty(contentDescription)) {
            if (z3) {
                charSequence = null;
            } else {
                charSequence = this.f461.getTitle();
            }
            setContentDescription(charSequence);
        } else {
            setContentDescription(contentDescription);
        }
        CharSequence tooltipText = this.f461.getTooltipText();
        if (TextUtils.isEmpty(tooltipText)) {
            if (!z3) {
                charSequence2 = this.f461.getTitle();
            }
            e1.m1251(this, charSequence2);
            return;
        }
        e1.m1251(this, tooltipText);
    }

    public CharSequence getAccessibilityClassName() {
        return Button.class.getName();
    }

    @Override // androidx.appcompat.view.menu.n.a
    public i getItemData() {
        return this.f461;
    }

    public void onClick(View view) {
        g.b bVar = this.f464;
        if (bVar != null) {
            bVar.m779(this.f461);
        }
    }

    public void onConfigurationChanged(Configuration configuration) {
        super.onConfigurationChanged(configuration);
        this.f467 = m624();
        m625();
    }

    /* access modifiers changed from: protected */
    @Override // androidx.appcompat.widget.e0
    public void onMeasure(int i, int i2) {
        int i3;
        int i4;
        boolean r0 = m630();
        if (r0 && (i4 = this.f470) >= 0) {
            super.setPadding(i4, getPaddingTop(), getPaddingRight(), getPaddingBottom());
        }
        super.onMeasure(i, i2);
        int mode = View.MeasureSpec.getMode(i);
        int size = View.MeasureSpec.getSize(i);
        int measuredWidth = getMeasuredWidth();
        if (mode == Integer.MIN_VALUE) {
            i3 = Math.min(size, this.f469);
        } else {
            i3 = this.f469;
        }
        if (mode != 1073741824 && this.f469 > 0 && measuredWidth < i3) {
            super.onMeasure(View.MeasureSpec.makeMeasureSpec(i3, 1073741824), i2);
        }
        if (!r0 && this.f463 != null) {
            super.setPadding((getMeasuredWidth() - this.f463.getBounds().width()) / 2, getPaddingTop(), getPaddingRight(), getPaddingBottom());
        }
    }

    public void onRestoreInstanceState(Parcelable parcelable) {
        super.onRestoreInstanceState(null);
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        m0 m0Var;
        if (!this.f461.hasSubMenu() || (m0Var = this.f465) == null || !m0Var.onTouch(this, motionEvent)) {
            return super.onTouchEvent(motionEvent);
        }
        return true;
    }

    public void setCheckable(boolean z) {
    }

    public void setChecked(boolean z) {
    }

    public void setExpandedFormat(boolean z) {
        if (this.f468 != z) {
            this.f468 = z;
            i iVar = this.f461;
            if (iVar != null) {
                iVar.m792();
            }
        }
    }

    public void setIcon(Drawable drawable) {
        this.f463 = drawable;
        if (drawable != null) {
            int intrinsicWidth = drawable.getIntrinsicWidth();
            int intrinsicHeight = drawable.getIntrinsicHeight();
            int i = this.f471;
            if (intrinsicWidth > i) {
                intrinsicHeight = (int) (((float) intrinsicHeight) * (((float) i) / ((float) intrinsicWidth)));
                intrinsicWidth = i;
            }
            int i2 = this.f471;
            if (intrinsicHeight > i2) {
                intrinsicWidth = (int) (((float) intrinsicWidth) * (((float) i2) / ((float) intrinsicHeight)));
                intrinsicHeight = i2;
            }
            drawable.setBounds(0, 0, intrinsicWidth, intrinsicHeight);
        }
        setCompoundDrawables(drawable, null, null, null);
        m625();
    }

    public void setItemInvoker(g.b bVar) {
        this.f464 = bVar;
    }

    public void setPadding(int i, int i2, int i3, int i4) {
        this.f470 = i;
        super.setPadding(i, i2, i3, i4);
    }

    public void setPopupCallback(b bVar) {
        this.f466 = bVar;
    }

    public void setTitle(CharSequence charSequence) {
        this.f462 = charSequence;
        m625();
    }

    @Override // androidx.appcompat.view.menu.n.a
    /* renamed from: ʻ  reason: contains not printable characters */
    public void m626(i iVar, int i) {
        this.f461 = iVar;
        setIcon(iVar.getIcon());
        setTitle(iVar.m788(this));
        setId(iVar.getItemId());
        setVisibility(iVar.isVisible() ? 0 : 8);
        setEnabled(iVar.isEnabled());
        if (iVar.hasSubMenu() && this.f465 == null) {
            this.f465 = new a();
        }
    }

    @Override // androidx.appcompat.widget.ActionMenuView.a
    /* renamed from: ʼ  reason: contains not printable characters */
    public boolean m628() {
        return m630() && this.f461.getIcon() == null;
    }

    @Override // androidx.appcompat.view.menu.n.a
    /* renamed from: ʽ  reason: contains not printable characters */
    public boolean m629() {
        return true;
    }

    /* renamed from: ʿ  reason: contains not printable characters */
    public boolean m630() {
        return !TextUtils.isEmpty(getText());
    }

    public ActionMenuItemView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public ActionMenuItemView(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        Resources resources = context.getResources();
        this.f467 = m624();
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, j.ActionMenuItemView, i, 0);
        this.f469 = obtainStyledAttributes.getDimensionPixelSize(j.ActionMenuItemView_android_minWidth, 0);
        obtainStyledAttributes.recycle();
        this.f471 = (int) ((resources.getDisplayMetrics().density * 32.0f) + 0.5f);
        setOnClickListener(this);
        this.f470 = -1;
        setSaveEnabled(false);
    }

    @Override // androidx.appcompat.widget.ActionMenuView.a
    /* renamed from: ʻ  reason: contains not printable characters */
    public boolean m627() {
        return m630();
    }
}
