package androidx.appcompat.view.menu;

import android.content.ActivityNotFoundException;
import android.content.Context;
import android.content.Intent;
import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.graphics.PorterDuff;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.util.Log;
import android.view.ActionProvider;
import android.view.ContextMenu;
import android.view.KeyEvent;
import android.view.LayoutInflater;
import android.view.MenuItem;
import android.view.SubMenu;
import android.view.View;
import android.view.ViewConfiguration;
import android.view.ViewDebug;
import android.view.ViewGroup;
import android.widget.LinearLayout;
import androidx.appcompat.view.menu.n;
import e.a.h;
import e.g.f.a.b;
import e.g.l.e;
import me.zhanghai.android.materialprogressbar.BuildConfig;

/* compiled from: MenuItemImpl */
public final class i implements b {

    /* renamed from: ʻ  reason: contains not printable characters */
    private final int f610;

    /* renamed from: ʻʻ  reason: contains not printable characters */
    private MenuItem.OnActionExpandListener f611;

    /* renamed from: ʼ  reason: contains not printable characters */
    private final int f612;

    /* renamed from: ʼʼ  reason: contains not printable characters */
    private ContextMenu.ContextMenuInfo f613;

    /* renamed from: ʽ  reason: contains not printable characters */
    private final int f614;

    /* renamed from: ʽʽ  reason: contains not printable characters */
    private boolean f615 = false;

    /* renamed from: ʾ  reason: contains not printable characters */
    private final int f616;

    /* renamed from: ʿ  reason: contains not printable characters */
    private CharSequence f617;

    /* renamed from: ˆ  reason: contains not printable characters */
    private CharSequence f618;

    /* renamed from: ˈ  reason: contains not printable characters */
    private Intent f619;

    /* renamed from: ˉ  reason: contains not printable characters */
    private char f620;

    /* renamed from: ˊ  reason: contains not printable characters */
    private int f621 = 4096;

    /* renamed from: ˋ  reason: contains not printable characters */
    private char f622;

    /* renamed from: ˎ  reason: contains not printable characters */
    private int f623 = 4096;

    /* renamed from: ˏ  reason: contains not printable characters */
    private Drawable f624;

    /* renamed from: ˑ  reason: contains not printable characters */
    private int f625 = 0;

    /* renamed from: י  reason: contains not printable characters */
    g f626;

    /* renamed from: ـ  reason: contains not printable characters */
    private r f627;

    /* renamed from: ٴ  reason: contains not printable characters */
    private Runnable f628;

    /* renamed from: ᐧ  reason: contains not printable characters */
    private MenuItem.OnMenuItemClickListener f629;

    /* renamed from: ᐧᐧ  reason: contains not printable characters */
    private View f630;

    /* renamed from: ᴵ  reason: contains not printable characters */
    private CharSequence f631;

    /* renamed from: ᴵᴵ  reason: contains not printable characters */
    private e f632;

    /* renamed from: ᵎ  reason: contains not printable characters */
    private CharSequence f633;

    /* renamed from: ᵔ  reason: contains not printable characters */
    private ColorStateList f634 = null;

    /* renamed from: ᵢ  reason: contains not printable characters */
    private PorterDuff.Mode f635 = null;

    /* renamed from: ⁱ  reason: contains not printable characters */
    private boolean f636 = false;

    /* renamed from: ﹳ  reason: contains not printable characters */
    private boolean f637 = false;

    /* renamed from: ﹶ  reason: contains not printable characters */
    private boolean f638 = false;

    /* renamed from: ﾞ  reason: contains not printable characters */
    private int f639 = 16;

    /* renamed from: ﾞﾞ  reason: contains not printable characters */
    private int f640 = 0;

    /* compiled from: MenuItemImpl */
    class a implements e.b {
        a() {
        }

        @Override // e.g.l.e.b
        public void onActionProviderVisibilityChanged(boolean z) {
            i iVar = i.this;
            iVar.f626.m760(iVar);
        }
    }

    i(g gVar, int i, int i2, int i3, int i4, CharSequence charSequence, int i5) {
        this.f626 = gVar;
        this.f610 = i2;
        this.f612 = i;
        this.f614 = i3;
        this.f616 = i4;
        this.f617 = charSequence;
        this.f640 = i5;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private static void m785(StringBuilder sb, int i, int i2, String str) {
        if ((i & i2) == i2) {
            sb.append(str);
        }
    }

    @Override // e.g.f.a.b
    public boolean collapseActionView() {
        if ((this.f640 & 8) == 0) {
            return false;
        }
        if (this.f630 == null) {
            return true;
        }
        MenuItem.OnActionExpandListener onActionExpandListener = this.f611;
        if (onActionExpandListener == null || onActionExpandListener.onMenuItemActionCollapse(this)) {
            return this.f626.m745(this);
        }
        return false;
    }

    @Override // e.g.f.a.b
    public boolean expandActionView() {
        if (!m800()) {
            return false;
        }
        MenuItem.OnActionExpandListener onActionExpandListener = this.f611;
        if (onActionExpandListener == null || onActionExpandListener.onMenuItemActionExpand(this)) {
            return this.f626.m751(this);
        }
        return false;
    }

    public ActionProvider getActionProvider() {
        throw new UnsupportedOperationException("This is not supported, use MenuItemCompat.getActionProvider()");
    }

    @Override // e.g.f.a.b
    public View getActionView() {
        View view = this.f630;
        if (view != null) {
            return view;
        }
        e eVar = this.f632;
        if (eVar == null) {
            return null;
        }
        View r0 = eVar.m8926(this);
        this.f630 = r0;
        return r0;
    }

    @Override // e.g.f.a.b
    public int getAlphabeticModifiers() {
        return this.f623;
    }

    public char getAlphabeticShortcut() {
        return this.f622;
    }

    @Override // e.g.f.a.b
    public CharSequence getContentDescription() {
        return this.f631;
    }

    public int getGroupId() {
        return this.f612;
    }

    public Drawable getIcon() {
        Drawable drawable = this.f624;
        if (drawable != null) {
            return m784(drawable);
        }
        if (this.f625 == 0) {
            return null;
        }
        Drawable r0 = e.a.k.a.a.m7308(this.f626.m761(), this.f625);
        this.f625 = 0;
        this.f624 = r0;
        return m784(r0);
    }

    @Override // e.g.f.a.b
    public ColorStateList getIconTintList() {
        return this.f634;
    }

    @Override // e.g.f.a.b
    public PorterDuff.Mode getIconTintMode() {
        return this.f635;
    }

    public Intent getIntent() {
        return this.f619;
    }

    @ViewDebug.CapturedViewProperty
    public int getItemId() {
        return this.f610;
    }

    public ContextMenu.ContextMenuInfo getMenuInfo() {
        return this.f613;
    }

    @Override // e.g.f.a.b
    public int getNumericModifiers() {
        return this.f621;
    }

    public char getNumericShortcut() {
        return this.f620;
    }

    public int getOrder() {
        return this.f614;
    }

    public SubMenu getSubMenu() {
        return this.f627;
    }

    @ViewDebug.CapturedViewProperty
    public CharSequence getTitle() {
        return this.f617;
    }

    public CharSequence getTitleCondensed() {
        CharSequence charSequence = this.f618;
        if (charSequence == null) {
            charSequence = this.f617;
        }
        return (Build.VERSION.SDK_INT >= 18 || charSequence == null || (charSequence instanceof String)) ? charSequence : charSequence.toString();
    }

    @Override // e.g.f.a.b
    public CharSequence getTooltipText() {
        return this.f633;
    }

    public boolean hasSubMenu() {
        return this.f627 != null;
    }

    @Override // e.g.f.a.b
    public boolean isActionViewExpanded() {
        return this.f615;
    }

    public boolean isCheckable() {
        return (this.f639 & 1) == 1;
    }

    public boolean isChecked() {
        return (this.f639 & 2) == 2;
    }

    public boolean isEnabled() {
        return (this.f639 & 16) != 0;
    }

    public boolean isVisible() {
        e eVar = this.f632;
        if (eVar == null || !eVar.m8934()) {
            if ((this.f639 & 8) == 0) {
                return true;
            }
            return false;
        } else if ((this.f639 & 8) != 0 || !this.f632.m8931()) {
            return false;
        } else {
            return true;
        }
    }

    public MenuItem setActionProvider(ActionProvider actionProvider) {
        throw new UnsupportedOperationException("This is not supported, use MenuItemCompat.setActionProvider()");
    }

    public MenuItem setAlphabeticShortcut(char c) {
        if (this.f622 == c) {
            return this;
        }
        this.f622 = Character.toLowerCase(c);
        this.f626.m750(false);
        return this;
    }

    public MenuItem setCheckable(boolean z) {
        int i = this.f639;
        int i2 = (z ? 1 : 0) | (i & -2);
        this.f639 = i2;
        if (i != i2) {
            this.f626.m750(false);
        }
        return this;
    }

    public MenuItem setChecked(boolean z) {
        if ((this.f639 & 4) != 0) {
            this.f626.m736((MenuItem) this);
        } else {
            m793(z);
        }
        return this;
    }

    public MenuItem setEnabled(boolean z) {
        if (z) {
            this.f639 |= 16;
        } else {
            this.f639 &= -17;
        }
        this.f626.m750(false);
        return this;
    }

    @Override // android.view.MenuItem
    public MenuItem setIcon(Drawable drawable) {
        this.f625 = 0;
        this.f624 = drawable;
        this.f638 = true;
        this.f626.m750(false);
        return this;
    }

    @Override // e.g.f.a.b
    public MenuItem setIconTintList(ColorStateList colorStateList) {
        this.f634 = colorStateList;
        this.f636 = true;
        this.f638 = true;
        this.f626.m750(false);
        return this;
    }

    @Override // e.g.f.a.b
    public MenuItem setIconTintMode(PorterDuff.Mode mode) {
        this.f635 = mode;
        this.f637 = true;
        this.f638 = true;
        this.f626.m750(false);
        return this;
    }

    public MenuItem setIntent(Intent intent) {
        this.f619 = intent;
        return this;
    }

    public MenuItem setNumericShortcut(char c) {
        if (this.f620 == c) {
            return this;
        }
        this.f620 = c;
        this.f626.m750(false);
        return this;
    }

    public MenuItem setOnActionExpandListener(MenuItem.OnActionExpandListener onActionExpandListener) {
        this.f611 = onActionExpandListener;
        return this;
    }

    public MenuItem setOnMenuItemClickListener(MenuItem.OnMenuItemClickListener onMenuItemClickListener) {
        this.f629 = onMenuItemClickListener;
        return this;
    }

    public MenuItem setShortcut(char c, char c2) {
        this.f620 = c;
        this.f622 = Character.toLowerCase(c2);
        this.f626.m750(false);
        return this;
    }

    @Override // e.g.f.a.b
    public void setShowAsAction(int i) {
        int i2 = i & 3;
        if (i2 == 0 || i2 == 1 || i2 == 2) {
            this.f640 = i;
            this.f626.m755(this);
            return;
        }
        throw new IllegalArgumentException("SHOW_AS_ACTION_ALWAYS, SHOW_AS_ACTION_IF_ROOM, and SHOW_AS_ACTION_NEVER are mutually exclusive.");
    }

    @Override // android.view.MenuItem
    public MenuItem setTitle(CharSequence charSequence) {
        this.f617 = charSequence;
        this.f626.m750(false);
        r rVar = this.f627;
        if (rVar != null) {
            rVar.setHeaderTitle(charSequence);
        }
        return this;
    }

    public MenuItem setTitleCondensed(CharSequence charSequence) {
        this.f618 = charSequence;
        this.f626.m750(false);
        return this;
    }

    public MenuItem setVisible(boolean z) {
        if (m799(z)) {
            this.f626.m760(this);
        }
        return this;
    }

    public String toString() {
        CharSequence charSequence = this.f617;
        if (charSequence != null) {
            return charSequence.toString();
        }
        return null;
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʼ  reason: contains not printable characters */
    public void m793(boolean z) {
        int i = this.f639;
        int i2 = (z ? 2 : 0) | (i & -3);
        this.f639 = i2;
        if (i != i2) {
            this.f626.m750(false);
        }
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    public int m794() {
        return this.f616;
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʾ  reason: contains not printable characters */
    public char m796() {
        return this.f626.m773() ? this.f622 : this.f620;
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʿ  reason: contains not printable characters */
    public String m798() {
        char r0 = m796();
        if (r0 == 0) {
            return BuildConfig.FLAVOR;
        }
        Resources resources = this.f626.m761().getResources();
        StringBuilder sb = new StringBuilder();
        if (ViewConfiguration.get(this.f626.m761()).hasPermanentMenuKey()) {
            sb.append(resources.getString(h.abc_prepend_shortcut_label));
        }
        int i = this.f626.m773() ? this.f623 : this.f621;
        m785(sb, i, 65536, resources.getString(h.abc_menu_meta_shortcut_label));
        m785(sb, i, 4096, resources.getString(h.abc_menu_ctrl_shortcut_label));
        m785(sb, i, 2, resources.getString(h.abc_menu_alt_shortcut_label));
        m785(sb, i, 1, resources.getString(h.abc_menu_shift_shortcut_label));
        m785(sb, i, 4, resources.getString(h.abc_menu_sym_shortcut_label));
        m785(sb, i, 8, resources.getString(h.abc_menu_function_shortcut_label));
        if (r0 == '\b') {
            sb.append(resources.getString(h.abc_menu_delete_shortcut_label));
        } else if (r0 == '\n') {
            sb.append(resources.getString(h.abc_menu_enter_shortcut_label));
        } else if (r0 != ' ') {
            sb.append(r0);
        } else {
            sb.append(resources.getString(h.abc_menu_space_shortcut_label));
        }
        return sb.toString();
    }

    /* renamed from: ˆ  reason: contains not printable characters */
    public boolean m800() {
        e eVar;
        if ((this.f640 & 8) == 0) {
            return false;
        }
        if (this.f630 == null && (eVar = this.f632) != null) {
            this.f630 = eVar.m8926(this);
        }
        if (this.f630 != null) {
            return true;
        }
        return false;
    }

    /* renamed from: ˈ  reason: contains not printable characters */
    public boolean m801() {
        MenuItem.OnMenuItemClickListener onMenuItemClickListener = this.f629;
        if (onMenuItemClickListener != null && onMenuItemClickListener.onMenuItemClick(this)) {
            return true;
        }
        g gVar = this.f626;
        if (gVar.m744(gVar, this)) {
            return true;
        }
        Runnable runnable = this.f628;
        if (runnable != null) {
            runnable.run();
            return true;
        }
        if (this.f619 != null) {
            try {
                this.f626.m761().startActivity(this.f619);
                return true;
            } catch (ActivityNotFoundException e2) {
                Log.e("MenuItemImpl", "Can't find activity to handle intent; ignoring", e2);
            }
        }
        e eVar = this.f632;
        if (eVar == null || !eVar.m8933()) {
            return false;
        }
        return true;
    }

    /* renamed from: ˉ  reason: contains not printable characters */
    public boolean m802() {
        return (this.f639 & 32) == 32;
    }

    /* renamed from: ˊ  reason: contains not printable characters */
    public boolean m803() {
        return (this.f639 & 4) != 0;
    }

    /* renamed from: ˋ  reason: contains not printable characters */
    public boolean m804() {
        return (this.f640 & 1) == 1;
    }

    /* renamed from: ˎ  reason: contains not printable characters */
    public boolean m805() {
        return (this.f640 & 2) == 2;
    }

    /* renamed from: ˏ  reason: contains not printable characters */
    public boolean m806() {
        return this.f626.m768();
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ˑ  reason: contains not printable characters */
    public boolean m807() {
        return this.f626.m774() && m796() != 0;
    }

    /* renamed from: י  reason: contains not printable characters */
    public boolean m808() {
        return (this.f640 & 4) == 4;
    }

    @Override // e.g.f.a.b
    public b setContentDescription(CharSequence charSequence) {
        this.f631 = charSequence;
        this.f626.m750(false);
        return this;
    }

    @Override // e.g.f.a.b
    public b setShowAsActionFlags(int i) {
        setShowAsAction(i);
        return this;
    }

    @Override // e.g.f.a.b
    public b setTooltipText(CharSequence charSequence) {
        this.f633 = charSequence;
        this.f626.m750(false);
        return this;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public void m790(r rVar) {
        this.f627 = rVar;
        rVar.setHeaderTitle(getTitle());
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    public void m795(boolean z) {
        this.f639 = (z ? 4 : 0) | (this.f639 & -5);
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    public void m797(boolean z) {
        if (z) {
            this.f639 |= 32;
        } else {
            this.f639 &= -33;
        }
    }

    @Override // e.g.f.a.b, android.view.MenuItem
    public b setActionView(View view) {
        int i;
        this.f630 = view;
        this.f632 = null;
        if (view != null && view.getId() == -1 && (i = this.f610) > 0) {
            view.setId(i);
        }
        this.f626.m755(this);
        return this;
    }

    @Override // e.g.f.a.b
    public MenuItem setAlphabeticShortcut(char c, int i) {
        if (this.f622 == c && this.f623 == i) {
            return this;
        }
        this.f622 = Character.toLowerCase(c);
        this.f623 = KeyEvent.normalizeMetaState(i);
        this.f626.m750(false);
        return this;
    }

    @Override // e.g.f.a.b
    public MenuItem setNumericShortcut(char c, int i) {
        if (this.f620 == c && this.f621 == i) {
            return this;
        }
        this.f620 = c;
        this.f621 = KeyEvent.normalizeMetaState(i);
        this.f626.m750(false);
        return this;
    }

    @Override // e.g.f.a.b
    public MenuItem setShortcut(char c, char c2, int i, int i2) {
        this.f620 = c;
        this.f621 = KeyEvent.normalizeMetaState(i);
        this.f622 = Character.toLowerCase(c2);
        this.f623 = KeyEvent.normalizeMetaState(i2);
        this.f626.m750(false);
        return this;
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʻ  reason: contains not printable characters */
    public CharSequence m788(n.a aVar) {
        if (aVar == null || !aVar.m869()) {
            return getTitle();
        }
        return getTitleCondensed();
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public void m792() {
        this.f626.m755(this);
    }

    @Override // android.view.MenuItem
    public MenuItem setIcon(int i) {
        this.f624 = null;
        this.f625 = i;
        this.f638 = true;
        this.f626.m750(false);
        return this;
    }

    @Override // android.view.MenuItem
    public MenuItem setTitle(int i) {
        setTitle(this.f626.m761().getString(i));
        return this;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private Drawable m784(Drawable drawable) {
        if (drawable != null && this.f638 && (this.f636 || this.f637)) {
            drawable = androidx.core.graphics.drawable.a.m1991(drawable).mutate();
            if (this.f636) {
                androidx.core.graphics.drawable.a.m1976(drawable, this.f634);
            }
            if (this.f637) {
                androidx.core.graphics.drawable.a.m1979(drawable, this.f635);
            }
            this.f638 = false;
        }
        return drawable;
    }

    @Override // e.g.f.a.b, android.view.MenuItem
    public b setActionView(int i) {
        Context r0 = this.f626.m761();
        setActionView(LayoutInflater.from(r0).inflate(i, (ViewGroup) new LinearLayout(r0), false));
        return this;
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʻ  reason: contains not printable characters */
    public void m789(ContextMenu.ContextMenuInfo contextMenuInfo) {
        this.f613 = contextMenuInfo;
    }

    @Override // e.g.f.a.b
    /* renamed from: ʻ  reason: contains not printable characters */
    public e m787() {
        return this.f632;
    }

    @Override // e.g.f.a.b
    /* renamed from: ʻ  reason: contains not printable characters */
    public b m786(e eVar) {
        e eVar2 = this.f632;
        if (eVar2 != null) {
            eVar2.m8935();
        }
        this.f630 = null;
        this.f632 = eVar;
        this.f626.m750(true);
        e eVar3 = this.f632;
        if (eVar3 != null) {
            eVar3.m8929(new a());
        }
        return this;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public void m791(boolean z) {
        this.f615 = z;
        this.f626.m750(false);
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʿ  reason: contains not printable characters */
    public boolean m799(boolean z) {
        int i = this.f639;
        int i2 = (z ? 0 : 8) | (i & -9);
        this.f639 = i2;
        if (i != i2) {
            return true;
        }
        return false;
    }
}
