package androidx.appcompat.view.menu;

import android.content.Context;
import android.content.Intent;
import android.content.res.ColorStateList;
import android.graphics.PorterDuff;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.util.Log;
import android.view.ActionProvider;
import android.view.CollapsibleActionView;
import android.view.ContextMenu;
import android.view.MenuItem;
import android.view.SubMenu;
import android.view.View;
import android.widget.FrameLayout;
import e.g.l.e;
import java.lang.reflect.Method;

/* compiled from: MenuItemWrapperICS */
public class j extends c implements MenuItem {

    /* renamed from: ʾ  reason: contains not printable characters */
    private final e.g.f.a.b f642;

    /* renamed from: ʿ  reason: contains not printable characters */
    private Method f643;

    /* compiled from: MenuItemWrapperICS */
    private class a extends e.g.l.e {

        /* renamed from: ʼ  reason: contains not printable characters */
        final ActionProvider f644;

        a(Context context, ActionProvider actionProvider) {
            super(context);
            this.f644 = actionProvider;
        }

        @Override // e.g.l.e
        /* renamed from: ʻ  reason: contains not printable characters */
        public boolean m811() {
            return this.f644.hasSubMenu();
        }

        @Override // e.g.l.e
        /* renamed from: ʽ  reason: contains not printable characters */
        public View m812() {
            return this.f644.onCreateActionView();
        }

        @Override // e.g.l.e
        /* renamed from: ʾ  reason: contains not printable characters */
        public boolean m813() {
            return this.f644.onPerformDefaultAction();
        }

        @Override // e.g.l.e
        /* renamed from: ʻ  reason: contains not printable characters */
        public void m810(SubMenu subMenu) {
            this.f644.onPrepareSubMenu(j.this.m665(subMenu));
        }
    }

    /* compiled from: MenuItemWrapperICS */
    private class b extends a implements ActionProvider.VisibilityListener {

        /* renamed from: ʾ  reason: contains not printable characters */
        private e.b f646;

        b(j jVar, Context context, ActionProvider actionProvider) {
            super(context, actionProvider);
        }

        public void onActionProviderVisibilityChanged(boolean z) {
            e.b bVar = this.f646;
            if (bVar != null) {
                bVar.onActionProviderVisibilityChanged(z);
            }
        }

        @Override // e.g.l.e
        /* renamed from: ʻ  reason: contains not printable characters */
        public View m814(MenuItem menuItem) {
            return this.f644.onCreateActionView(menuItem);
        }

        @Override // e.g.l.e
        /* renamed from: ʼ  reason: contains not printable characters */
        public boolean m816() {
            return this.f644.isVisible();
        }

        @Override // e.g.l.e
        /* renamed from: ʿ  reason: contains not printable characters */
        public boolean m817() {
            return this.f644.overridesItemVisibility();
        }

        @Override // e.g.l.e
        /* renamed from: ʻ  reason: contains not printable characters */
        public void m815(e.b bVar) {
            this.f646 = bVar;
            this.f644.setVisibilityListener(bVar != null ? this : null);
        }
    }

    /* compiled from: MenuItemWrapperICS */
    static class c extends FrameLayout implements e.a.n.c {

        /* renamed from: ʿ  reason: contains not printable characters */
        final CollapsibleActionView f647;

        c(View view) {
            super(view.getContext());
            this.f647 = (CollapsibleActionView) view;
            addView(view);
        }

        @Override // e.a.n.c
        /* renamed from: ʻ  reason: contains not printable characters */
        public void m818() {
            this.f647.onActionViewExpanded();
        }

        @Override // e.a.n.c
        /* renamed from: ʼ  reason: contains not printable characters */
        public void m819() {
            this.f647.onActionViewCollapsed();
        }

        /* access modifiers changed from: package-private */
        /* renamed from: ʽ  reason: contains not printable characters */
        public View m820() {
            return (View) this.f647;
        }
    }

    /* compiled from: MenuItemWrapperICS */
    private class d implements MenuItem.OnActionExpandListener {

        /* renamed from: ʻ  reason: contains not printable characters */
        private final MenuItem.OnActionExpandListener f648;

        d(MenuItem.OnActionExpandListener onActionExpandListener) {
            this.f648 = onActionExpandListener;
        }

        public boolean onMenuItemActionCollapse(MenuItem menuItem) {
            return this.f648.onMenuItemActionCollapse(j.this.m664(menuItem));
        }

        public boolean onMenuItemActionExpand(MenuItem menuItem) {
            return this.f648.onMenuItemActionExpand(j.this.m664(menuItem));
        }
    }

    /* compiled from: MenuItemWrapperICS */
    private class e implements MenuItem.OnMenuItemClickListener {

        /* renamed from: ʻ  reason: contains not printable characters */
        private final MenuItem.OnMenuItemClickListener f650;

        e(MenuItem.OnMenuItemClickListener onMenuItemClickListener) {
            this.f650 = onMenuItemClickListener;
        }

        public boolean onMenuItemClick(MenuItem menuItem) {
            return this.f650.onMenuItemClick(j.this.m664(menuItem));
        }
    }

    public j(Context context, e.g.f.a.b bVar) {
        super(context);
        if (bVar != null) {
            this.f642 = bVar;
            return;
        }
        throw new IllegalArgumentException("Wrapped Object can not be null.");
    }

    public boolean collapseActionView() {
        return this.f642.collapseActionView();
    }

    public boolean expandActionView() {
        return this.f642.expandActionView();
    }

    public ActionProvider getActionProvider() {
        e.g.l.e r0 = this.f642.m8526();
        if (r0 instanceof a) {
            return ((a) r0).f644;
        }
        return null;
    }

    public View getActionView() {
        View actionView = this.f642.getActionView();
        return actionView instanceof c ? ((c) actionView).m820() : actionView;
    }

    public int getAlphabeticModifiers() {
        return this.f642.getAlphabeticModifiers();
    }

    public char getAlphabeticShortcut() {
        return this.f642.getAlphabeticShortcut();
    }

    public CharSequence getContentDescription() {
        return this.f642.getContentDescription();
    }

    public int getGroupId() {
        return this.f642.getGroupId();
    }

    public Drawable getIcon() {
        return this.f642.getIcon();
    }

    public ColorStateList getIconTintList() {
        return this.f642.getIconTintList();
    }

    public PorterDuff.Mode getIconTintMode() {
        return this.f642.getIconTintMode();
    }

    public Intent getIntent() {
        return this.f642.getIntent();
    }

    public int getItemId() {
        return this.f642.getItemId();
    }

    public ContextMenu.ContextMenuInfo getMenuInfo() {
        return this.f642.getMenuInfo();
    }

    public int getNumericModifiers() {
        return this.f642.getNumericModifiers();
    }

    public char getNumericShortcut() {
        return this.f642.getNumericShortcut();
    }

    public int getOrder() {
        return this.f642.getOrder();
    }

    public SubMenu getSubMenu() {
        return m665(this.f642.getSubMenu());
    }

    public CharSequence getTitle() {
        return this.f642.getTitle();
    }

    public CharSequence getTitleCondensed() {
        return this.f642.getTitleCondensed();
    }

    public CharSequence getTooltipText() {
        return this.f642.getTooltipText();
    }

    public boolean hasSubMenu() {
        return this.f642.hasSubMenu();
    }

    public boolean isActionViewExpanded() {
        return this.f642.isActionViewExpanded();
    }

    public boolean isCheckable() {
        return this.f642.isCheckable();
    }

    public boolean isChecked() {
        return this.f642.isChecked();
    }

    public boolean isEnabled() {
        return this.f642.isEnabled();
    }

    public boolean isVisible() {
        return this.f642.isVisible();
    }

    public MenuItem setActionProvider(ActionProvider actionProvider) {
        e.g.l.e eVar;
        if (Build.VERSION.SDK_INT >= 16) {
            eVar = new b(this, this.f521, actionProvider);
        } else {
            eVar = new a(this.f521, actionProvider);
        }
        e.g.f.a.b bVar = this.f642;
        if (actionProvider == null) {
            eVar = null;
        }
        bVar.m8525(eVar);
        return this;
    }

    @Override // android.view.MenuItem
    public MenuItem setActionView(View view) {
        if (view instanceof CollapsibleActionView) {
            view = new c(view);
        }
        this.f642.setActionView(view);
        return this;
    }

    public MenuItem setAlphabeticShortcut(char c2) {
        this.f642.setAlphabeticShortcut(c2);
        return this;
    }

    public MenuItem setCheckable(boolean z) {
        this.f642.setCheckable(z);
        return this;
    }

    public MenuItem setChecked(boolean z) {
        this.f642.setChecked(z);
        return this;
    }

    public MenuItem setContentDescription(CharSequence charSequence) {
        this.f642.setContentDescription(charSequence);
        return this;
    }

    public MenuItem setEnabled(boolean z) {
        this.f642.setEnabled(z);
        return this;
    }

    @Override // android.view.MenuItem
    public MenuItem setIcon(Drawable drawable) {
        this.f642.setIcon(drawable);
        return this;
    }

    public MenuItem setIconTintList(ColorStateList colorStateList) {
        this.f642.setIconTintList(colorStateList);
        return this;
    }

    public MenuItem setIconTintMode(PorterDuff.Mode mode) {
        this.f642.setIconTintMode(mode);
        return this;
    }

    public MenuItem setIntent(Intent intent) {
        this.f642.setIntent(intent);
        return this;
    }

    public MenuItem setNumericShortcut(char c2) {
        this.f642.setNumericShortcut(c2);
        return this;
    }

    public MenuItem setOnActionExpandListener(MenuItem.OnActionExpandListener onActionExpandListener) {
        this.f642.setOnActionExpandListener(onActionExpandListener != null ? new d(onActionExpandListener) : null);
        return this;
    }

    public MenuItem setOnMenuItemClickListener(MenuItem.OnMenuItemClickListener onMenuItemClickListener) {
        this.f642.setOnMenuItemClickListener(onMenuItemClickListener != null ? new e(onMenuItemClickListener) : null);
        return this;
    }

    public MenuItem setShortcut(char c2, char c3) {
        this.f642.setShortcut(c2, c3);
        return this;
    }

    public void setShowAsAction(int i) {
        this.f642.setShowAsAction(i);
    }

    public MenuItem setShowAsActionFlags(int i) {
        this.f642.setShowAsActionFlags(i);
        return this;
    }

    @Override // android.view.MenuItem
    public MenuItem setTitle(CharSequence charSequence) {
        this.f642.setTitle(charSequence);
        return this;
    }

    public MenuItem setTitleCondensed(CharSequence charSequence) {
        this.f642.setTitleCondensed(charSequence);
        return this;
    }

    public MenuItem setTooltipText(CharSequence charSequence) {
        this.f642.setTooltipText(charSequence);
        return this;
    }

    public MenuItem setVisible(boolean z) {
        return this.f642.setVisible(z);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public void m809(boolean z) {
        try {
            if (this.f643 == null) {
                this.f643 = this.f642.getClass().getDeclaredMethod("setExclusiveCheckable", Boolean.TYPE);
            }
            this.f643.invoke(this.f642, Boolean.valueOf(z));
        } catch (Exception e2) {
            Log.w("MenuItemWrapper", "Error while calling setExclusiveCheckable", e2);
        }
    }

    public MenuItem setAlphabeticShortcut(char c2, int i) {
        this.f642.setAlphabeticShortcut(c2, i);
        return this;
    }

    @Override // android.view.MenuItem
    public MenuItem setIcon(int i) {
        this.f642.setIcon(i);
        return this;
    }

    public MenuItem setNumericShortcut(char c2, int i) {
        this.f642.setNumericShortcut(c2, i);
        return this;
    }

    public MenuItem setShortcut(char c2, char c3, int i, int i2) {
        this.f642.setShortcut(c2, c3, i, i2);
        return this;
    }

    @Override // android.view.MenuItem
    public MenuItem setTitle(int i) {
        this.f642.setTitle(i);
        return this;
    }

    @Override // android.view.MenuItem
    public MenuItem setActionView(int i) {
        this.f642.setActionView(i);
        View actionView = this.f642.getActionView();
        if (actionView instanceof CollapsibleActionView) {
            this.f642.setActionView(new c(actionView));
        }
        return this;
    }
}
