package androidx.appcompat.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.util.AttributeSet;
import android.view.View;
import android.widget.LinearLayout;
import e.a.f;
import e.a.j;
import e.g.l.d0;

public class ButtonBarLayout extends LinearLayout {

    /* renamed from: ʿ  reason: contains not printable characters */
    private boolean f779;

    /* renamed from: ˆ  reason: contains not printable characters */
    private boolean f780;

    /* renamed from: ˈ  reason: contains not printable characters */
    private int f781 = -1;

    public ButtonBarLayout(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, j.ButtonBarLayout);
        d0.m8699(this, context, j.ButtonBarLayout, attributeSet, obtainStyledAttributes, 0, 0);
        this.f779 = obtainStyledAttributes.getBoolean(j.ButtonBarLayout_allowStacking, true);
        obtainStyledAttributes.recycle();
        if (getOrientation() == 1) {
            setStacked(this.f779);
        }
    }

    private void setStacked(boolean z) {
        if (this.f780 == z) {
            return;
        }
        if (!z || this.f779) {
            this.f780 = z;
            setOrientation(z ? 1 : 0);
            setGravity(z ? 8388613 : 80);
            View findViewById = findViewById(f.spacer);
            if (findViewById != null) {
                findViewById.setVisibility(z ? 8 : 4);
            }
            for (int childCount = getChildCount() - 2; childCount >= 0; childCount--) {
                bringChildToFront(getChildAt(childCount));
            }
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private int m967(int i) {
        int childCount = getChildCount();
        while (i < childCount) {
            if (getChildAt(i).getVisibility() == 0) {
                return i;
            }
            i++;
        }
        return -1;
    }

    /* access modifiers changed from: protected */
    public void onMeasure(int i, int i2) {
        boolean z;
        int i3;
        int size = View.MeasureSpec.getSize(i);
        int i4 = 0;
        if (this.f779) {
            if (size > this.f781 && m968()) {
                setStacked(false);
            }
            this.f781 = size;
        }
        if (m968() || View.MeasureSpec.getMode(i) != 1073741824) {
            i3 = i;
            z = false;
        } else {
            i3 = View.MeasureSpec.makeMeasureSpec(size, Integer.MIN_VALUE);
            z = true;
        }
        super.onMeasure(i3, i2);
        if (this.f779 && !m968()) {
            if ((getMeasuredWidthAndState() & -16777216) == 16777216) {
                setStacked(true);
                z = true;
            }
        }
        if (z) {
            super.onMeasure(i, i2);
        }
        int r0 = m967(0);
        if (r0 >= 0) {
            View childAt = getChildAt(r0);
            LinearLayout.LayoutParams layoutParams = (LinearLayout.LayoutParams) childAt.getLayoutParams();
            int paddingTop = getPaddingTop() + childAt.getMeasuredHeight() + layoutParams.topMargin + layoutParams.bottomMargin + 0;
            if (m968()) {
                int r02 = m967(r0 + 1);
                if (r02 >= 0) {
                    paddingTop += getChildAt(r02).getPaddingTop() + ((int) (getResources().getDisplayMetrics().density * 16.0f));
                }
                i4 = paddingTop;
            } else {
                i4 = paddingTop + getPaddingBottom();
            }
        }
        if (d0.m8766(this) != i4) {
            setMinimumHeight(i4);
            if (i2 == 0) {
                super.onMeasure(i, i2);
            }
        }
    }

    public void setAllowStacking(boolean z) {
        if (this.f779 != z) {
            this.f779 = z;
            if (!z && m968()) {
                setStacked(false);
            }
            requestLayout();
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private boolean m968() {
        return this.f780;
    }
}
