package androidx.appcompat.widget;

import android.graphics.PorterDuff;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.DrawableContainer;
import android.graphics.drawable.GradientDrawable;
import android.graphics.drawable.InsetDrawable;
import android.graphics.drawable.LayerDrawable;
import android.graphics.drawable.ScaleDrawable;
import android.os.Build;
import androidx.core.graphics.drawable.c;

/* compiled from: DrawableUtils */
public class j0 {

    /* renamed from: ʻ  reason: contains not printable characters */
    private static final int[] f1117 = {16842912};

    /* renamed from: ʼ  reason: contains not printable characters */
    private static final int[] f1118 = new int[0];

    static {
        new Rect();
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public static boolean m1398(Drawable drawable) {
        int i = Build.VERSION.SDK_INT;
        if (i >= 17) {
            return true;
        }
        if (i < 15 && (drawable instanceof InsetDrawable)) {
            return false;
        }
        if (Build.VERSION.SDK_INT < 15 && (drawable instanceof GradientDrawable)) {
            return false;
        }
        if (Build.VERSION.SDK_INT < 17 && (drawable instanceof LayerDrawable)) {
            return false;
        }
        if (drawable instanceof DrawableContainer) {
            Drawable.ConstantState constantState = drawable.getConstantState();
            if (constantState instanceof DrawableContainer.DrawableContainerState) {
                for (Drawable drawable2 : ((DrawableContainer.DrawableContainerState) constantState).getChildren()) {
                    if (!m1398(drawable2)) {
                        return false;
                    }
                }
            }
        } else if (drawable instanceof c) {
            return m1398(((c) drawable).m2008());
        } else {
            if (drawable instanceof e.a.l.a.c) {
                return m1398(((e.a.l.a.c) drawable).m7383());
            }
            if (drawable instanceof ScaleDrawable) {
                return m1398(((ScaleDrawable) drawable).getDrawable());
            }
        }
        return true;
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    static void m1399(Drawable drawable) {
        String name = drawable.getClass().getName();
        if (Build.VERSION.SDK_INT != 21 || !"android.graphics.drawable.VectorDrawable".equals(name)) {
            int i = Build.VERSION.SDK_INT;
            if (i >= 29 && i < 31 && "android.graphics.drawable.ColorStateListDrawable".equals(name)) {
                m1400(drawable);
                return;
            }
            return;
        }
        m1400(drawable);
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    private static void m1400(Drawable drawable) {
        int[] state = drawable.getState();
        if (state == null || state.length == 0) {
            drawable.setState(f1117);
        } else {
            drawable.setState(f1118);
        }
        drawable.setState(state);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public static PorterDuff.Mode m1397(int i, PorterDuff.Mode mode) {
        if (i == 3) {
            return PorterDuff.Mode.SRC_OVER;
        }
        if (i == 5) {
            return PorterDuff.Mode.SRC_IN;
        }
        if (i == 9) {
            return PorterDuff.Mode.SRC_ATOP;
        }
        switch (i) {
            case 14:
                return PorterDuff.Mode.MULTIPLY;
            case 15:
                return PorterDuff.Mode.SCREEN;
            case 16:
                return PorterDuff.Mode.ADD;
            default:
                return mode;
        }
    }
}
