package androidx.appcompat.widget;

import android.content.Context;
import android.content.res.Configuration;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.transition.Transition;
import android.util.AttributeSet;
import android.util.Log;
import android.view.KeyEvent;
import android.view.MenuItem;
import android.view.MotionEvent;
import android.widget.HeaderViewListAdapter;
import android.widget.ListAdapter;
import android.widget.PopupWindow;
import androidx.appcompat.view.menu.ListMenuItemView;
import androidx.appcompat.view.menu.f;
import androidx.appcompat.view.menu.g;
import androidx.appcompat.view.menu.i;
import java.lang.reflect.Method;

/* compiled from: MenuPopupWindow */
public class q0 extends o0 implements p0 {

    /* renamed from: ˏˏ  reason: contains not printable characters */
    private static Method f1236;

    /* renamed from: ˊˊ  reason: contains not printable characters */
    private p0 f1237;

    /* access modifiers changed from: package-private */
    /* compiled from: MenuPopupWindow */
    public static class a {
        /* renamed from: ʻ  reason: contains not printable characters */
        static void m1546(PopupWindow popupWindow, Transition transition) {
            popupWindow.setEnterTransition(transition);
        }

        /* renamed from: ʼ  reason: contains not printable characters */
        static void m1547(PopupWindow popupWindow, Transition transition) {
            popupWindow.setExitTransition(transition);
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: MenuPopupWindow */
    public static class b {
        /* renamed from: ʻ  reason: contains not printable characters */
        static void m1548(PopupWindow popupWindow, boolean z) {
            popupWindow.setTouchModal(z);
        }
    }

    /* compiled from: MenuPopupWindow */
    public static class c extends k0 {

        /* renamed from: ᵎ  reason: contains not printable characters */
        final int f1238;

        /* renamed from: ᵔ  reason: contains not printable characters */
        final int f1239;

        /* renamed from: ᵢ  reason: contains not printable characters */
        private p0 f1240;

        /* renamed from: ⁱ  reason: contains not printable characters */
        private MenuItem f1241;

        /* compiled from: MenuPopupWindow */
        static class a {
            /* renamed from: ʻ  reason: contains not printable characters */
            static int m1549(Configuration configuration) {
                return configuration.getLayoutDirection();
            }
        }

        public c(Context context, boolean z) {
            super(context, z);
            Configuration configuration = context.getResources().getConfiguration();
            if (Build.VERSION.SDK_INT < 17 || 1 != a.m1549(configuration)) {
                this.f1238 = 22;
                this.f1239 = 21;
                return;
            }
            this.f1238 = 21;
            this.f1239 = 22;
        }

        @Override // androidx.appcompat.widget.k0
        public boolean onHoverEvent(MotionEvent motionEvent) {
            int i;
            f fVar;
            int pointToPosition;
            int i2;
            if (this.f1240 != null) {
                ListAdapter adapter = getAdapter();
                if (adapter instanceof HeaderViewListAdapter) {
                    HeaderViewListAdapter headerViewListAdapter = (HeaderViewListAdapter) adapter;
                    i = headerViewListAdapter.getHeadersCount();
                    fVar = (f) headerViewListAdapter.getWrappedAdapter();
                } else {
                    i = 0;
                    fVar = (f) adapter;
                }
                i iVar = null;
                if (motionEvent.getAction() != 10 && (pointToPosition = pointToPosition((int) motionEvent.getX(), (int) motionEvent.getY())) != -1 && (i2 = pointToPosition - i) >= 0 && i2 < fVar.getCount()) {
                    iVar = fVar.getItem(i2);
                }
                MenuItem menuItem = this.f1241;
                if (menuItem != iVar) {
                    g r0 = fVar.m716();
                    if (menuItem != null) {
                        this.f1240.m1537(r0, menuItem);
                    }
                    this.f1241 = iVar;
                    if (iVar != null) {
                        this.f1240.m1536(r0, iVar);
                    }
                }
            }
            return super.onHoverEvent(motionEvent);
        }

        public boolean onKeyDown(int i, KeyEvent keyEvent) {
            f fVar;
            ListMenuItemView listMenuItemView = (ListMenuItemView) getSelectedView();
            if (listMenuItemView != null && i == this.f1238) {
                if (listMenuItemView.isEnabled() && listMenuItemView.getItemData().hasSubMenu()) {
                    performItemClick(listMenuItemView, getSelectedItemPosition(), getSelectedItemId());
                }
                return true;
            } else if (listMenuItemView == null || i != this.f1239) {
                return super.onKeyDown(i, keyEvent);
            } else {
                setSelection(-1);
                ListAdapter adapter = getAdapter();
                if (adapter instanceof HeaderViewListAdapter) {
                    fVar = (f) ((HeaderViewListAdapter) adapter).getWrappedAdapter();
                } else {
                    fVar = (f) adapter;
                }
                fVar.m716().m741(false);
                return true;
            }
        }

        public void setHoverListener(p0 p0Var) {
            this.f1240 = p0Var;
        }

        @Override // androidx.appcompat.widget.k0, android.widget.AbsListView
        public /* bridge */ /* synthetic */ void setSelector(Drawable drawable) {
            super.setSelector(drawable);
        }
    }

    static {
        try {
            if (Build.VERSION.SDK_INT <= 28) {
                f1236 = PopupWindow.class.getDeclaredMethod("setTouchModal", Boolean.TYPE);
            }
        } catch (NoSuchMethodException unused) {
            Log.i("MenuPopupWindow", "Could not find method setTouchModal() on PopupWindow. Oh well.");
        }
    }

    public q0(Context context, AttributeSet attributeSet, int i, int i2) {
        super(context, attributeSet, i, i2);
    }

    /* access modifiers changed from: package-private */
    @Override // androidx.appcompat.widget.o0
    /* renamed from: ʻ  reason: contains not printable characters */
    public k0 m1539(Context context, boolean z) {
        c cVar = new c(context, z);
        cVar.setHoverListener(this);
        return cVar;
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public void m1544(Object obj) {
        if (Build.VERSION.SDK_INT >= 23) {
            a.m1547(this.f1203, (Transition) obj);
        }
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    public void m1545(boolean z) {
        if (Build.VERSION.SDK_INT <= 28) {
            Method method = f1236;
            if (method != null) {
                try {
                    method.invoke(this.f1203, Boolean.valueOf(z));
                } catch (Exception unused) {
                    Log.i("MenuPopupWindow", "Could not invoke setTouchModal() on PopupWindow. Oh well.");
                }
            }
        } else {
            b.m1548(this.f1203, z);
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public void m1542(Object obj) {
        if (Build.VERSION.SDK_INT >= 23) {
            a.m1546(this.f1203, (Transition) obj);
        }
    }

    @Override // androidx.appcompat.widget.p0
    /* renamed from: ʼ  reason: contains not printable characters */
    public void m1543(g gVar, MenuItem menuItem) {
        p0 p0Var = this.f1237;
        if (p0Var != null) {
            p0Var.m1537(gVar, menuItem);
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public void m1541(p0 p0Var) {
        this.f1237 = p0Var;
    }

    @Override // androidx.appcompat.widget.p0
    /* renamed from: ʻ  reason: contains not printable characters */
    public void m1540(g gVar, MenuItem menuItem) {
        p0 p0Var = this.f1237;
        if (p0Var != null) {
            p0Var.m1536(gVar, menuItem);
        }
    }
}
