package androidx.appcompat.widget;

import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.content.res.XmlResourceParser;
import android.graphics.PorterDuff;
import android.graphics.PorterDuffColorFilter;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.LayerDrawable;
import android.os.Build;
import android.util.AttributeSet;
import android.util.Log;
import android.util.TypedValue;
import android.util.Xml;
import e.d.h;
import e.t.a.a.i;
import java.lang.ref.WeakReference;
import java.util.WeakHashMap;
import org.xmlpull.v1.XmlPullParser;
import org.xmlpull.v1.XmlPullParserException;

/* compiled from: ResourceManagerInternal */
public final class s0 {

    /* renamed from: ˉ  reason: contains not printable characters */
    private static final PorterDuff.Mode f1256 = PorterDuff.Mode.SRC_IN;

    /* renamed from: ˊ  reason: contains not printable characters */
    private static s0 f1257;

    /* renamed from: ˋ  reason: contains not printable characters */
    private static final c f1258 = new c(6);

    /* renamed from: ʻ  reason: contains not printable characters */
    private WeakHashMap<Context, h<ColorStateList>> f1259;

    /* renamed from: ʼ  reason: contains not printable characters */
    private e.d.g<String, e> f1260;

    /* renamed from: ʽ  reason: contains not printable characters */
    private h<String> f1261;

    /* renamed from: ʾ  reason: contains not printable characters */
    private final WeakHashMap<Context, e.d.d<WeakReference<Drawable.ConstantState>>> f1262 = new WeakHashMap<>(0);

    /* renamed from: ʿ  reason: contains not printable characters */
    private TypedValue f1263;

    /* renamed from: ˆ  reason: contains not printable characters */
    private boolean f1264;

    /* renamed from: ˈ  reason: contains not printable characters */
    private f f1265;

    /* access modifiers changed from: package-private */
    /* compiled from: ResourceManagerInternal */
    public static class a implements e {
        a() {
        }

        @Override // androidx.appcompat.widget.s0.e
        /* renamed from: ʻ  reason: contains not printable characters */
        public Drawable m1592(Context context, XmlPullParser xmlPullParser, AttributeSet attributeSet, Resources.Theme theme) {
            try {
                return e.a.l.a.a.m7310(context, context.getResources(), xmlPullParser, attributeSet, theme);
            } catch (Exception e2) {
                Log.e("AsldcInflateDelegate", "Exception while inflating <animated-selector>", e2);
                return null;
            }
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: ResourceManagerInternal */
    public static class b implements e {
        b() {
        }

        @Override // androidx.appcompat.widget.s0.e
        /* renamed from: ʻ  reason: contains not printable characters */
        public Drawable m1593(Context context, XmlPullParser xmlPullParser, AttributeSet attributeSet, Resources.Theme theme) {
            try {
                return e.t.a.a.c.m9955(context, context.getResources(), xmlPullParser, attributeSet, theme);
            } catch (Exception e2) {
                Log.e("AvdcInflateDelegate", "Exception while inflating <animated-vector>", e2);
                return null;
            }
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: ResourceManagerInternal */
    public static class c extends e.d.e<Integer, PorterDuffColorFilter> {
        public c(int i) {
            super(i);
        }

        /* renamed from: ʼ  reason: contains not printable characters */
        private static int m1594(int i, PorterDuff.Mode mode) {
            return ((i + 31) * 31) + mode.hashCode();
        }

        /* access modifiers changed from: package-private */
        /* renamed from: ʻ  reason: contains not printable characters */
        public PorterDuffColorFilter m1595(int i, PorterDuff.Mode mode) {
            return (PorterDuffColorFilter) m7650(Integer.valueOf(m1594(i, mode)));
        }

        /* access modifiers changed from: package-private */
        /* renamed from: ʻ  reason: contains not printable characters */
        public PorterDuffColorFilter m1596(int i, PorterDuff.Mode mode, PorterDuffColorFilter porterDuffColorFilter) {
            return (PorterDuffColorFilter) m7646(Integer.valueOf(m1594(i, mode)), porterDuffColorFilter);
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: ResourceManagerInternal */
    public static class d implements e {
        d() {
        }

        @Override // androidx.appcompat.widget.s0.e
        /* renamed from: ʻ  reason: contains not printable characters */
        public Drawable m1597(Context context, XmlPullParser xmlPullParser, AttributeSet attributeSet, Resources.Theme theme) {
            String classAttribute = attributeSet.getClassAttribute();
            if (classAttribute != null) {
                try {
                    Drawable drawable = (Drawable) d.class.getClassLoader().loadClass(classAttribute).asSubclass(Drawable.class).getDeclaredConstructor(new Class[0]).newInstance(new Object[0]);
                    if (Build.VERSION.SDK_INT >= 21) {
                        e.a.m.c.m7397(drawable, context.getResources(), xmlPullParser, attributeSet, theme);
                    } else {
                        drawable.inflate(context.getResources(), xmlPullParser, attributeSet);
                    }
                    return drawable;
                } catch (Exception e2) {
                    Log.e("DrawableDelegate", "Exception while inflating <drawable>", e2);
                }
            }
            return null;
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: ResourceManagerInternal */
    public interface e {
        /* renamed from: ʻ  reason: contains not printable characters */
        Drawable m1598(Context context, XmlPullParser xmlPullParser, AttributeSet attributeSet, Resources.Theme theme);
    }

    /* compiled from: ResourceManagerInternal */
    public interface f {
        /* renamed from: ʻ  reason: contains not printable characters */
        ColorStateList m1599(Context context, int i);

        /* renamed from: ʻ  reason: contains not printable characters */
        PorterDuff.Mode m1600(int i);

        /* renamed from: ʻ  reason: contains not printable characters */
        Drawable m1601(s0 s0Var, Context context, int i);

        /* renamed from: ʻ  reason: contains not printable characters */
        boolean m1602(Context context, int i, Drawable drawable);

        /* renamed from: ʼ  reason: contains not printable characters */
        boolean m1603(Context context, int i, Drawable drawable);
    }

    /* access modifiers changed from: private */
    /* compiled from: ResourceManagerInternal */
    public static class g implements e {
        g() {
        }

        @Override // androidx.appcompat.widget.s0.e
        /* renamed from: ʻ  reason: contains not printable characters */
        public Drawable m1604(Context context, XmlPullParser xmlPullParser, AttributeSet attributeSet, Resources.Theme theme) {
            try {
                return i.createFromXmlInner(context.getResources(), xmlPullParser, attributeSet, theme);
            } catch (Exception e2) {
                Log.e("VdcInflateDelegate", "Exception while inflating <vector>", e2);
                return null;
            }
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public static synchronized s0 m1573() {
        s0 s0Var;
        synchronized (s0.class) {
            if (f1257 == null) {
                s0 s0Var2 = new s0();
                f1257 = s0Var2;
                m1576(s0Var2);
            }
            s0Var = f1257;
        }
        return s0Var;
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    private Drawable m1581(Context context, int i) {
        Drawable drawable;
        if (this.f1263 == null) {
            this.f1263 = new TypedValue();
        }
        TypedValue typedValue = this.f1263;
        context.getResources().getValue(i, typedValue, true);
        long r1 = m1568(typedValue);
        Drawable r3 = m1572(context, r1);
        if (r3 != null) {
            return r3;
        }
        f fVar = this.f1265;
        if (fVar == null) {
            drawable = null;
        } else {
            drawable = fVar.m1601(this, context, i);
        }
        if (drawable != null) {
            drawable.setChangingConfigurations(typedValue.changingConfigurations);
            m1578(context, r1, drawable);
        }
        return drawable;
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    private ColorStateList m1582(Context context, int i) {
        h<ColorStateList> hVar;
        WeakHashMap<Context, h<ColorStateList>> weakHashMap = this.f1259;
        if (weakHashMap == null || (hVar = weakHashMap.get(context)) == null) {
            return null;
        }
        return hVar.m7685(i);
    }

    /* JADX WARNING: Removed duplicated region for block: B:30:0x0073 A[Catch:{ Exception -> 0x00a2 }] */
    /* JADX WARNING: Removed duplicated region for block: B:35:0x009a A[Catch:{ Exception -> 0x00a2 }] */
    /* renamed from: ʿ  reason: contains not printable characters */
    private Drawable m1583(Context context, int i) {
        int next;
        e.d.g<String, e> gVar = this.f1260;
        if (gVar == null || gVar.isEmpty()) {
            return null;
        }
        h<String> hVar = this.f1261;
        if (hVar != null) {
            String r0 = hVar.m7685(i);
            if ("appcompat_skip_skip".equals(r0) || (r0 != null && this.f1260.get(r0) == null)) {
                return null;
            }
        } else {
            this.f1261 = new h<>();
        }
        if (this.f1263 == null) {
            this.f1263 = new TypedValue();
        }
        TypedValue typedValue = this.f1263;
        Resources resources = context.getResources();
        resources.getValue(i, typedValue, true);
        long r4 = m1568(typedValue);
        Drawable r6 = m1572(context, r4);
        if (r6 != null) {
            return r6;
        }
        CharSequence charSequence = typedValue.string;
        if (charSequence != null && charSequence.toString().endsWith(".xml")) {
            try {
                XmlResourceParser xml = resources.getXml(i);
                AttributeSet asAttributeSet = Xml.asAttributeSet(xml);
                while (true) {
                    next = xml.next();
                    if (next == 2 || next == 1) {
                        if (next != 2) {
                            String name = xml.getName();
                            this.f1261.m7687(i, name);
                            e eVar = this.f1260.get(name);
                            if (eVar != null) {
                                r6 = eVar.m1598(context, xml, asAttributeSet, context.getTheme());
                            }
                            if (r6 != null) {
                                r6.setChangingConfigurations(typedValue.changingConfigurations);
                                m1578(context, r4, r6);
                            }
                        } else {
                            throw new XmlPullParserException("No start tag found");
                        }
                    }
                }
                if (next != 2) {
                }
            } catch (Exception e2) {
                Log.e("ResourceManagerInternal", "Exception while inflating drawable", e2);
            }
        }
        if (r6 == null) {
            this.f1261.m7687(i, "appcompat_skip_skip");
        }
        return r6;
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʼ  reason: contains not printable characters */
    public synchronized ColorStateList m1591(Context context, int i) {
        ColorStateList r0;
        r0 = m1582(context, i);
        if (r0 == null) {
            r0 = this.f1265 == null ? null : this.f1265.m1599(context, i);
            if (r0 != null) {
                m1574(context, i, r0);
            }
        }
        return r0;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private static void m1576(s0 s0Var) {
        if (Build.VERSION.SDK_INT < 24) {
            s0Var.m1577("vector", new g());
            s0Var.m1577("animated-vector", new b());
            s0Var.m1577("animated-selector", new a());
            s0Var.m1577("drawable", new d());
        }
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    private void m1580(Context context) {
        if (!this.f1264) {
            this.f1264 = true;
            Drawable r2 = m1585(context, e.a.m.d.abc_vector_test);
            if (r2 == null || !m1579(r2)) {
                this.f1264 = false;
                throw new IllegalStateException("This app has been built with an incorrect configuration. Please configure your build for VectorDrawableCompat.");
            }
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public synchronized void m1589(f fVar) {
        this.f1265 = fVar;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public synchronized Drawable m1585(Context context, int i) {
        return m1586(context, i, false);
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʻ  reason: contains not printable characters */
    public synchronized Drawable m1586(Context context, int i, boolean z) {
        Drawable r0;
        m1580(context);
        r0 = m1583(context, i);
        if (r0 == null) {
            r0 = m1581(context, i);
        }
        if (r0 == null) {
            r0 = e.g.d.a.m8262(context, i);
        }
        if (r0 != null) {
            r0 = m1571(context, i, z, r0);
        }
        if (r0 != null) {
            j0.m1399(r0);
        }
        return r0;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public synchronized void m1588(Context context) {
        e.d.d<WeakReference<Drawable.ConstantState>> dVar = this.f1262.get(context);
        if (dVar != null) {
            dVar.m7635();
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private static long m1568(TypedValue typedValue) {
        return (((long) typedValue.assetCookie) << 32) | ((long) typedValue.data);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private Drawable m1571(Context context, int i, boolean z, Drawable drawable) {
        ColorStateList r0 = m1591(context, i);
        if (r0 != null) {
            if (j0.m1398(drawable)) {
                drawable = drawable.mutate();
            }
            Drawable r5 = androidx.core.graphics.drawable.a.m1991(drawable);
            androidx.core.graphics.drawable.a.m1976(r5, r0);
            PorterDuff.Mode r2 = m1584(i);
            if (r2 == null) {
                return r5;
            }
            androidx.core.graphics.drawable.a.m1979(r5, r2);
            return r5;
        }
        f fVar = this.f1265;
        if ((fVar == null || !fVar.m1603(context, i, drawable)) && !m1590(context, i, drawable) && z) {
            return null;
        }
        return drawable;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private synchronized Drawable m1572(Context context, long j) {
        e.d.d<WeakReference<Drawable.ConstantState>> dVar = this.f1262.get(context);
        if (dVar == null) {
            return null;
        }
        WeakReference<Drawable.ConstantState> r2 = dVar.m7634(j);
        if (r2 != null) {
            Drawable.ConstantState constantState = r2.get();
            if (constantState != null) {
                return constantState.newDrawable(context.getResources());
            }
            dVar.m7642(j);
        }
        return null;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private synchronized boolean m1578(Context context, long j, Drawable drawable) {
        Drawable.ConstantState constantState = drawable.getConstantState();
        if (constantState == null) {
            return false;
        }
        e.d.d<WeakReference<Drawable.ConstantState>> dVar = this.f1262.get(context);
        if (dVar == null) {
            dVar = new e.d.d<>();
            this.f1262.put(context, dVar);
        }
        dVar.m7643(j, new WeakReference<>(constantState));
        return true;
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʻ  reason: contains not printable characters */
    public synchronized Drawable m1587(Context context, h1 h1Var, int i) {
        Drawable r0 = m1583(context, i);
        if (r0 == null) {
            r0 = h1Var.m1605(i);
        }
        if (r0 == null) {
            return null;
        }
        return m1571(context, i, false, r0);
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʻ  reason: contains not printable characters */
    public boolean m1590(Context context, int i, Drawable drawable) {
        f fVar = this.f1265;
        return fVar != null && fVar.m1602(context, i, drawable);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private void m1577(String str, e eVar) {
        if (this.f1260 == null) {
            this.f1260 = new e.d.g<>();
        }
        this.f1260.put(str, eVar);
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʻ  reason: contains not printable characters */
    public PorterDuff.Mode m1584(int i) {
        f fVar = this.f1265;
        if (fVar == null) {
            return null;
        }
        return fVar.m1600(i);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private void m1574(Context context, int i, ColorStateList colorStateList) {
        if (this.f1259 == null) {
            this.f1259 = new WeakHashMap<>();
        }
        h<ColorStateList> hVar = this.f1259.get(context);
        if (hVar == null) {
            hVar = new h<>();
            this.f1259.put(context, hVar);
        }
        hVar.m7687(i, colorStateList);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    static void m1575(Drawable drawable, a1 a1Var, int[] iArr) {
        int[] state = drawable.getState();
        if (j0.m1398(drawable)) {
            if (!(drawable.mutate() == drawable)) {
                Log.d("ResourceManagerInternal", "Mutated drawable is not the same instance as the input.");
                return;
            }
        }
        if ((drawable instanceof LayerDrawable) && drawable.isStateful()) {
            drawable.setState(new int[0]);
            drawable.setState(state);
        }
        if (a1Var.f935 || a1Var.f934) {
            drawable.setColorFilter(m1570(a1Var.f935 ? a1Var.f932 : null, a1Var.f934 ? a1Var.f933 : f1256, iArr));
        } else {
            drawable.clearColorFilter();
        }
        if (Build.VERSION.SDK_INT <= 23) {
            drawable.invalidateSelf();
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private static PorterDuffColorFilter m1570(ColorStateList colorStateList, PorterDuff.Mode mode, int[] iArr) {
        if (colorStateList == null || mode == null) {
            return null;
        }
        return m1569(colorStateList.getColorForState(iArr, 0), mode);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public static synchronized PorterDuffColorFilter m1569(int i, PorterDuff.Mode mode) {
        PorterDuffColorFilter r1;
        synchronized (s0.class) {
            r1 = f1258.m1595(i, mode);
            if (r1 == null) {
                r1 = new PorterDuffColorFilter(i, mode);
                f1258.m1596(i, mode, r1);
            }
        }
        return r1;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private static boolean m1579(Drawable drawable) {
        return (drawable instanceof i) || "android.graphics.drawable.VectorDrawable".equals(drawable.getClass().getName());
    }
}
