package androidx.appcompat.widget;

import android.app.SearchableInfo;
import android.content.ComponentName;
import android.content.Context;
import android.content.pm.ActivityInfo;
import android.content.pm.PackageManager;
import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.database.Cursor;
import android.graphics.drawable.Drawable;
import android.net.Uri;
import android.os.Bundle;
import android.text.SpannableString;
import android.text.TextUtils;
import android.text.style.TextAppearanceSpan;
import android.util.Log;
import android.util.TypedValue;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.TextView;
import e.a.f;
import e.h.a.c;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStream;
import java.util.List;
import java.util.WeakHashMap;
import me.zhanghai.android.materialprogressbar.BuildConfig;

/* compiled from: SuggestionsAdapter */
class w0 extends c implements View.OnClickListener {

    /* renamed from: ʻʻ  reason: contains not printable characters */
    private int f1306 = -1;

    /* renamed from: ٴ  reason: contains not printable characters */
    private final SearchView f1307;

    /* renamed from: ᐧ  reason: contains not printable characters */
    private final SearchableInfo f1308;

    /* renamed from: ᐧᐧ  reason: contains not printable characters */
    private int f1309 = -1;

    /* renamed from: ᴵ  reason: contains not printable characters */
    private final Context f1310;

    /* renamed from: ᴵᴵ  reason: contains not printable characters */
    private int f1311 = -1;

    /* renamed from: ᵎ  reason: contains not printable characters */
    private final WeakHashMap<String, Drawable.ConstantState> f1312;

    /* renamed from: ᵔ  reason: contains not printable characters */
    private final int f1313;

    /* renamed from: ᵢ  reason: contains not printable characters */
    private boolean f1314 = false;

    /* renamed from: ⁱ  reason: contains not printable characters */
    private int f1315 = 1;

    /* renamed from: ﹳ  reason: contains not printable characters */
    private ColorStateList f1316;

    /* renamed from: ﹶ  reason: contains not printable characters */
    private int f1317 = -1;

    /* renamed from: ﾞ  reason: contains not printable characters */
    private int f1318 = -1;

    /* renamed from: ﾞﾞ  reason: contains not printable characters */
    private int f1319 = -1;

    /* access modifiers changed from: private */
    /* compiled from: SuggestionsAdapter */
    public static final class a {

        /* renamed from: ʻ  reason: contains not printable characters */
        public final TextView f1320;

        /* renamed from: ʼ  reason: contains not printable characters */
        public final TextView f1321;

        /* renamed from: ʽ  reason: contains not printable characters */
        public final ImageView f1322;

        /* renamed from: ʾ  reason: contains not printable characters */
        public final ImageView f1323;

        /* renamed from: ʿ  reason: contains not printable characters */
        public final ImageView f1324;

        public a(View view) {
            this.f1320 = (TextView) view.findViewById(16908308);
            this.f1321 = (TextView) view.findViewById(16908309);
            this.f1322 = (ImageView) view.findViewById(16908295);
            this.f1323 = (ImageView) view.findViewById(16908296);
            this.f1324 = (ImageView) view.findViewById(f.edit_query);
        }
    }

    public w0(Context context, SearchView searchView, SearchableInfo searchableInfo, WeakHashMap<String, Drawable.ConstantState> weakHashMap) {
        super(context, searchView.getSuggestionRowLayout(), null, true);
        this.f1307 = searchView;
        this.f1308 = searchableInfo;
        this.f1313 = searchView.getSuggestionCommitIconResId();
        this.f1310 = context;
        this.f1312 = weakHashMap;
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    private Drawable m1642() {
        Drawable r0 = m1638(this.f1308.getSearchActivity());
        if (r0 != null) {
            return r0;
        }
        return this.f1310.getPackageManager().getDefaultActivityIcon();
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    private Drawable m1643(Cursor cursor) {
        int i = this.f1309;
        if (i == -1) {
            return null;
        }
        Drawable r3 = m1640(cursor.getString(i));
        if (r3 != null) {
            return r3;
        }
        return m1642();
    }

    /* renamed from: ʿ  reason: contains not printable characters */
    private Drawable m1644(Cursor cursor) {
        int i = this.f1311;
        if (i == -1) {
            return null;
        }
        return m1640(cursor.getString(i));
    }

    /* renamed from: ˆ  reason: contains not printable characters */
    private void m1645(Cursor cursor) {
        Bundle extras = cursor != null ? cursor.getExtras() : null;
        if (extras == null || extras.getBoolean("in_progress")) {
        }
    }

    @Override // e.h.a.a
    public View getDropDownView(int i, View view, ViewGroup viewGroup) {
        try {
            return super.getDropDownView(i, view, viewGroup);
        } catch (RuntimeException e2) {
            Log.w("SuggestionsAdapter", "Search suggestions cursor threw exception.", e2);
            View r3 = m9380(this.f1310, m9367(), viewGroup);
            if (r3 != null) {
                ((a) r3.getTag()).f1320.setText(e2.toString());
            }
            return r3;
        }
    }

    @Override // e.h.a.a
    public View getView(int i, View view, ViewGroup viewGroup) {
        try {
            return super.getView(i, view, viewGroup);
        } catch (RuntimeException e2) {
            Log.w("SuggestionsAdapter", "Search suggestions cursor threw exception.", e2);
            View r3 = m1652(this.f1310, m9367(), viewGroup);
            if (r3 != null) {
                ((a) r3.getTag()).f1320.setText(e2.toString());
            }
            return r3;
        }
    }

    public boolean hasStableIds() {
        return false;
    }

    public void notifyDataSetChanged() {
        super.notifyDataSetChanged();
        m1645(m9367());
    }

    public void notifyDataSetInvalidated() {
        super.notifyDataSetInvalidated();
        m1645(m9367());
    }

    public void onClick(View view) {
        Object tag = view.getTag();
        if (tag instanceof CharSequence) {
            this.f1307.m995((CharSequence) tag);
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public void m1650(int i) {
        this.f1315 = i;
    }

    @Override // e.h.a.a, e.h.a.b.a
    /* renamed from: ʼ  reason: contains not printable characters */
    public void m1653(Cursor cursor) {
        if (this.f1314) {
            Log.w("SuggestionsAdapter", "Tried to change cursor after adapter was closed.");
            if (cursor != null) {
                cursor.close();
                return;
            }
            return;
        }
        try {
            super.m9374(cursor);
            if (cursor != null) {
                this.f1317 = cursor.getColumnIndex("suggest_text_1");
                this.f1318 = cursor.getColumnIndex("suggest_text_2");
                this.f1319 = cursor.getColumnIndex("suggest_text_2_url");
                this.f1309 = cursor.getColumnIndex("suggest_icon_1");
                this.f1311 = cursor.getColumnIndex("suggest_icon_2");
                this.f1306 = cursor.getColumnIndex("suggest_flags");
            }
        } catch (Exception e2) {
            Log.e("SuggestionsAdapter", "error changing cursor and caching columns", e2);
        }
    }

    @Override // e.h.a.b.a
    /* renamed from: ʻ  reason: contains not printable characters */
    public Cursor m1647(CharSequence charSequence) {
        String charSequence2 = charSequence == null ? BuildConfig.FLAVOR : charSequence.toString();
        if (this.f1307.getVisibility() == 0 && this.f1307.getWindowVisibility() == 0) {
            try {
                Cursor r4 = m1646(this.f1308, charSequence2, 50);
                if (r4 != null) {
                    r4.getCount();
                    return r4;
                }
            } catch (RuntimeException e2) {
                Log.w("SuggestionsAdapter", "Search suggestions query threw an exception.", e2);
            }
        }
        return null;
    }

    @Override // e.h.a.a
    /* renamed from: ʻ  reason: contains not printable characters */
    public void m1651(View view, Context context, Cursor cursor) {
        CharSequence charSequence;
        a aVar = (a) view.getTag();
        int i = this.f1306;
        int i2 = i != -1 ? cursor.getInt(i) : 0;
        if (aVar.f1320 != null) {
            m1636(aVar.f1320, m1633(cursor, this.f1317));
        }
        if (aVar.f1321 != null) {
            String r1 = m1633(cursor, this.f1319);
            if (r1 != null) {
                charSequence = m1641((CharSequence) r1);
            } else {
                charSequence = m1633(cursor, this.f1318);
            }
            if (TextUtils.isEmpty(charSequence)) {
                TextView textView = aVar.f1320;
                if (textView != null) {
                    textView.setSingleLine(false);
                    aVar.f1320.setMaxLines(2);
                }
            } else {
                TextView textView2 = aVar.f1320;
                if (textView2 != null) {
                    textView2.setSingleLine(true);
                    aVar.f1320.setMaxLines(1);
                }
            }
            m1636(aVar.f1321, charSequence);
        }
        ImageView imageView = aVar.f1322;
        if (imageView != null) {
            m1635(imageView, m1643(cursor), 4);
        }
        ImageView imageView2 = aVar.f1323;
        if (imageView2 != null) {
            m1635(imageView2, m1644(cursor), 8);
        }
        int i3 = this.f1315;
        if (i3 == 2 || (i3 == 1 && (i2 & 1) != 0)) {
            aVar.f1324.setVisibility(0);
            aVar.f1324.setTag(aVar.f1320.getText());
            aVar.f1324.setOnClickListener(this);
            return;
        }
        aVar.f1324.setVisibility(8);
    }

    @Override // e.h.a.a, e.h.a.c
    /* renamed from: ʼ  reason: contains not printable characters */
    public View m1652(Context context, Cursor cursor, ViewGroup viewGroup) {
        View r1 = super.m9381(context, cursor, viewGroup);
        r1.setTag(new a(r1));
        ((ImageView) r1.findViewById(f.edit_query)).setImageResource(this.f1313);
        return r1;
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    private CharSequence m1641(CharSequence charSequence) {
        if (this.f1316 == null) {
            TypedValue typedValue = new TypedValue();
            this.f1310.getTheme().resolveAttribute(e.a.a.textColorSearchUrl, typedValue, true);
            this.f1316 = this.f1310.getResources().getColorStateList(typedValue.resourceId);
        }
        SpannableString spannableString = new SpannableString(charSequence);
        spannableString.setSpan(new TextAppearanceSpan(null, 0, 0, this.f1316, null), 0, charSequence.length(), 33);
        return spannableString;
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    private Drawable m1640(String str) {
        if (str == null || str.isEmpty() || "0".equals(str)) {
            return null;
        }
        try {
            int parseInt = Integer.parseInt(str);
            String str2 = "android.resource://" + this.f1310.getPackageName() + "/" + parseInt;
            Drawable r3 = m1632(str2);
            if (r3 != null) {
                return r3;
            }
            Drawable r1 = e.g.d.a.m8262(this.f1310, parseInt);
            m1637(str2, r1);
            return r1;
        } catch (NumberFormatException unused) {
            Drawable r0 = m1632(str);
            if (r0 != null) {
                return r0;
            }
            Drawable r02 = m1639(Uri.parse(str));
            m1637(str, r02);
            return r02;
        } catch (Resources.NotFoundException unused2) {
            Log.w("SuggestionsAdapter", "Icon resource not found: " + str);
            return null;
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private void m1636(TextView textView, CharSequence charSequence) {
        textView.setText(charSequence);
        if (TextUtils.isEmpty(charSequence)) {
            textView.setVisibility(8);
        } else {
            textView.setVisibility(0);
        }
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    private Drawable m1639(Uri uri) {
        try {
            if ("android.resource".equals(uri.getScheme())) {
                try {
                    return m1648(uri);
                } catch (Resources.NotFoundException unused) {
                    throw new FileNotFoundException("Resource does not exist: " + uri);
                }
            } else {
                InputStream openInputStream = this.f1310.getContentResolver().openInputStream(uri);
                if (openInputStream != null) {
                    try {
                        return Drawable.createFromStream(openInputStream, null);
                    } finally {
                        try {
                            openInputStream.close();
                        } catch (IOException e2) {
                            Log.e("SuggestionsAdapter", "Error closing icon stream for " + uri, e2);
                        }
                    }
                } else {
                    throw new FileNotFoundException("Failed to open " + uri);
                }
            }
        } catch (FileNotFoundException e3) {
            Log.w("SuggestionsAdapter", "Icon not found: " + uri + ", " + e3.getMessage());
            return null;
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private void m1635(ImageView imageView, Drawable drawable, int i) {
        imageView.setImageDrawable(drawable);
        if (drawable == null) {
            imageView.setVisibility(i);
            return;
        }
        imageView.setVisibility(0);
        drawable.setVisible(false, false);
        drawable.setVisible(true, false);
    }

    @Override // e.h.a.a, e.h.a.b.a
    /* renamed from: ʻ  reason: contains not printable characters */
    public CharSequence m1649(Cursor cursor) {
        String r3;
        String r1;
        if (cursor == null) {
            return null;
        }
        String r12 = m1634(cursor, "suggest_intent_query");
        if (r12 != null) {
            return r12;
        }
        if (this.f1308.shouldRewriteQueryFromData() && (r1 = m1634(cursor, "suggest_intent_data")) != null) {
            return r1;
        }
        if (!this.f1308.shouldRewriteQueryFromText() || (r3 = m1634(cursor, "suggest_text_1")) == null) {
            return null;
        }
        return r3;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private Drawable m1632(String str) {
        Drawable.ConstantState constantState = this.f1312.get(str);
        if (constantState == null) {
            return null;
        }
        return constantState.newDrawable();
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    private Drawable m1638(ComponentName componentName) {
        String flattenToShortString = componentName.flattenToShortString();
        Drawable.ConstantState constantState = null;
        if (this.f1312.containsKey(flattenToShortString)) {
            Drawable.ConstantState constantState2 = this.f1312.get(flattenToShortString);
            if (constantState2 == null) {
                return null;
            }
            return constantState2.newDrawable(this.f1310.getResources());
        }
        Drawable r4 = m1631(componentName);
        if (r4 != null) {
            constantState = r4.getConstantState();
        }
        this.f1312.put(flattenToShortString, constantState);
        return r4;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private void m1637(String str, Drawable drawable) {
        if (drawable != null) {
            this.f1312.put(str, drawable.getConstantState());
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private Drawable m1631(ComponentName componentName) {
        PackageManager packageManager = this.f1310.getPackageManager();
        try {
            ActivityInfo activityInfo = packageManager.getActivityInfo(componentName, 128);
            int iconResource = activityInfo.getIconResource();
            if (iconResource == 0) {
                return null;
            }
            Drawable drawable = packageManager.getDrawable(componentName.getPackageName(), iconResource, activityInfo.applicationInfo);
            if (drawable != null) {
                return drawable;
            }
            Log.w("SuggestionsAdapter", "Invalid icon resource " + iconResource + " for " + componentName.flattenToShortString());
            return null;
        } catch (PackageManager.NameNotFoundException e2) {
            Log.w("SuggestionsAdapter", e2.toString());
            return null;
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public static String m1634(Cursor cursor, String str) {
        return m1633(cursor, cursor.getColumnIndex(str));
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private static String m1633(Cursor cursor, int i) {
        if (i == -1) {
            return null;
        }
        try {
            return cursor.getString(i);
        } catch (Exception e2) {
            Log.e("SuggestionsAdapter", "unexpected error retrieving valid column from cursor, did the remote process die?", e2);
            return null;
        }
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʻ  reason: contains not printable characters */
    public Drawable m1648(Uri uri) throws FileNotFoundException {
        int i;
        String authority = uri.getAuthority();
        if (!TextUtils.isEmpty(authority)) {
            try {
                Resources resourcesForApplication = this.f1310.getPackageManager().getResourcesForApplication(authority);
                List<String> pathSegments = uri.getPathSegments();
                if (pathSegments != null) {
                    int size = pathSegments.size();
                    if (size == 1) {
                        try {
                            i = Integer.parseInt(pathSegments.get(0));
                        } catch (NumberFormatException unused) {
                            throw new FileNotFoundException("Single path segment is not a resource ID: " + uri);
                        }
                    } else if (size == 2) {
                        i = resourcesForApplication.getIdentifier(pathSegments.get(1), pathSegments.get(0), authority);
                    } else {
                        throw new FileNotFoundException("More than two path segments: " + uri);
                    }
                    if (i != 0) {
                        return resourcesForApplication.getDrawable(i);
                    }
                    throw new FileNotFoundException("No resource found for: " + uri);
                }
                throw new FileNotFoundException("No path: " + uri);
            } catch (PackageManager.NameNotFoundException unused2) {
                throw new FileNotFoundException("No package found for authority: " + uri);
            }
        } else {
            throw new FileNotFoundException("No authority: " + uri);
        }
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʻ  reason: contains not printable characters */
    public Cursor m1646(SearchableInfo searchableInfo, String str, int i) {
        String suggestAuthority;
        String[] strArr = null;
        if (searchableInfo == null || (suggestAuthority = searchableInfo.getSuggestAuthority()) == null) {
            return null;
        }
        Uri.Builder fragment = new Uri.Builder().scheme("content").authority(suggestAuthority).query(BuildConfig.FLAVOR).fragment(BuildConfig.FLAVOR);
        String suggestPath = searchableInfo.getSuggestPath();
        if (suggestPath != null) {
            fragment.appendEncodedPath(suggestPath);
        }
        fragment.appendPath("search_suggest_query");
        String suggestSelection = searchableInfo.getSuggestSelection();
        if (suggestSelection != null) {
            strArr = new String[]{str};
        } else {
            fragment.appendPath(str);
        }
        if (i > 0) {
            fragment.appendQueryParameter("limit", String.valueOf(i));
        }
        return this.f1310.getContentResolver().query(fragment.build(), null, suggestSelection, strArr, null);
    }
}
