package androidx.appcompat.widget;

import android.app.Activity;
import android.content.ClipData;
import android.content.ClipboardManager;
import android.content.Context;
import android.content.ContextWrapper;
import android.os.Build;
import android.text.Selection;
import android.text.Spannable;
import android.util.Log;
import android.view.DragEvent;
import android.view.View;
import android.widget.TextView;
import e.g.l.d0;
import e.g.l.f;

/* compiled from: AppCompatReceiveContentHelper */
final class y {
    /* renamed from: ʻ  reason: contains not printable characters */
    static boolean m1662(TextView textView, int i) {
        ClipData clipData;
        int i2 = 0;
        if (Build.VERSION.SDK_INT >= 31 || d0.m8769(textView) == null || (i != 16908322 && i != 16908337)) {
            return false;
        }
        ClipboardManager clipboardManager = (ClipboardManager) textView.getContext().getSystemService("clipboard");
        if (clipboardManager == null) {
            clipData = null;
        } else {
            clipData = clipboardManager.getPrimaryClip();
        }
        if (clipData != null && clipData.getItemCount() > 0) {
            f.a aVar = new f.a(clipData, 1);
            if (i != 16908322) {
                i2 = 1;
            }
            aVar.m8952(i2);
            d0.m8689(textView, aVar.m8955());
        }
        return true;
    }

    /* access modifiers changed from: private */
    /* compiled from: AppCompatReceiveContentHelper */
    public static final class a {
        /* JADX INFO: finally extract failed */
        /* renamed from: ʻ  reason: contains not printable characters */
        static boolean m1664(DragEvent dragEvent, TextView textView, Activity activity) {
            activity.requestDragAndDropPermissions(dragEvent);
            int offsetForPosition = textView.getOffsetForPosition(dragEvent.getX(), dragEvent.getY());
            textView.beginBatchEdit();
            try {
                Selection.setSelection((Spannable) textView.getText(), offsetForPosition);
                d0.m8689(textView, new f.a(dragEvent.getClipData(), 3).m8955());
                textView.endBatchEdit();
                return true;
            } catch (Throwable th) {
                textView.endBatchEdit();
                throw th;
            }
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        static boolean m1663(DragEvent dragEvent, View view, Activity activity) {
            activity.requestDragAndDropPermissions(dragEvent);
            d0.m8689(view, new f.a(dragEvent.getClipData(), 3).m8955());
            return true;
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    static boolean m1661(View view, DragEvent dragEvent) {
        int i = Build.VERSION.SDK_INT;
        if (i < 31 && i >= 24 && dragEvent.getLocalState() == null && d0.m8769(view) != null) {
            Activity r0 = m1660(view);
            if (r0 == null) {
                Log.i("ReceiveContent", "Can't handle drop: no activity: view=" + view);
                return false;
            } else if (dragEvent.getAction() == 1) {
                return !(view instanceof TextView);
            } else {
                if (dragEvent.getAction() == 3) {
                    if (view instanceof TextView) {
                        return a.m1664(dragEvent, (TextView) view, r0);
                    }
                    return a.m1663(dragEvent, view, r0);
                }
            }
        }
        return false;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    static Activity m1660(View view) {
        for (Context context = view.getContext(); context instanceof ContextWrapper; context = ((ContextWrapper) context).getBaseContext()) {
            if (context instanceof Activity) {
                return (Activity) context;
            }
        }
        return null;
    }
}
