package androidx.constraintlayout.widget;

import android.content.res.TypedArray;
import android.os.Build;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewParent;
import e.e.a.m.k;

/* compiled from: VirtualLayout */
public abstract class l extends b {

    /* renamed from: י  reason: contains not printable characters */
    private boolean f1636;

    /* renamed from: ـ  reason: contains not printable characters */
    private boolean f1637;

    @Override // androidx.constraintlayout.widget.b
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        if (this.f1636 || this.f1637) {
            ViewParent parent = getParent();
            if (parent instanceof ConstraintLayout) {
                ConstraintLayout constraintLayout = (ConstraintLayout) parent;
                int visibility = getVisibility();
                float elevation = Build.VERSION.SDK_INT >= 21 ? getElevation() : 0.0f;
                for (int i = 0; i < this.f1464; i++) {
                    View r6 = constraintLayout.m1678(this.f1463[i]);
                    if (r6 != null) {
                        if (this.f1636) {
                            r6.setVisibility(visibility);
                        }
                        if (this.f1637 && elevation > 0.0f && Build.VERSION.SDK_INT >= 21) {
                            r6.setTranslationZ(r6.getTranslationZ() + elevation);
                        }
                    }
                }
            }
        }
    }

    public void setElevation(float f2) {
        super.setElevation(f2);
        m1705();
    }

    public void setVisibility(int i) {
        super.setVisibility(i);
        m1705();
    }

    /* access modifiers changed from: protected */
    @Override // androidx.constraintlayout.widget.b
    /* renamed from: ʻ  reason: contains not printable characters */
    public void m1767(AttributeSet attributeSet) {
        super.m1706(attributeSet);
        if (attributeSet != null) {
            TypedArray obtainStyledAttributes = getContext().obtainStyledAttributes(attributeSet, i.ConstraintLayout_Layout);
            int indexCount = obtainStyledAttributes.getIndexCount();
            for (int i = 0; i < indexCount; i++) {
                int index = obtainStyledAttributes.getIndex(i);
                if (index == i.ConstraintLayout_Layout_android_visibility) {
                    this.f1636 = true;
                } else if (index == i.ConstraintLayout_Layout_android_elevation) {
                    this.f1637 = true;
                }
            }
            obtainStyledAttributes.recycle();
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public void m1768(k kVar, int i, int i2) {
    }

    /* access modifiers changed from: protected */
    @Override // androidx.constraintlayout.widget.b
    /* renamed from: ʼ  reason: contains not printable characters */
    public void m1769(ConstraintLayout constraintLayout) {
        m1707(constraintLayout);
    }
}
