package androidx.core.graphics.drawable;

import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.graphics.ColorFilter;
import android.graphics.PorterDuff;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.DrawableContainer;
import android.graphics.drawable.InsetDrawable;
import android.os.Build;
import android.util.AttributeSet;
import android.util.Log;
import java.io.IOException;
import java.lang.reflect.Method;
import org.xmlpull.v1.XmlPullParser;
import org.xmlpull.v1.XmlPullParserException;

/* compiled from: DrawableCompat */
public final class a {

    /* renamed from: ʻ  reason: contains not printable characters */
    private static Method f1740;

    /* renamed from: ʼ  reason: contains not printable characters */
    private static boolean f1741;

    /* renamed from: ʽ  reason: contains not printable characters */
    private static Method f1742;

    /* renamed from: ʾ  reason: contains not printable characters */
    private static boolean f1743;

    /* access modifiers changed from: package-private */
    /* renamed from: androidx.core.graphics.drawable.a$a  reason: collision with other inner class name */
    /* compiled from: DrawableCompat */
    public static class C0015a {
        /* renamed from: ʻ  reason: contains not printable characters */
        static void m1995(Drawable drawable, boolean z) {
            drawable.setAutoMirrored(z);
        }

        /* renamed from: ʼ  reason: contains not printable characters */
        static boolean m1996(Drawable drawable) {
            return drawable.isAutoMirrored();
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        static int m1992(Drawable drawable) {
            return drawable.getAlpha();
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        static Drawable m1993(DrawableContainer.DrawableContainerState drawableContainerState, int i) {
            return drawableContainerState.getChild(i);
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        static Drawable m1994(InsetDrawable insetDrawable) {
            return insetDrawable.getDrawable();
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: DrawableCompat */
    public static class b {
        /* renamed from: ʻ  reason: contains not printable characters */
        static void m1997(Drawable drawable, float f2, float f3) {
            drawable.setHotspot(f2, f3);
        }

        /* renamed from: ʼ  reason: contains not printable characters */
        static ColorFilter m2005(Drawable drawable) {
            return drawable.getColorFilter();
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        static void m1998(Drawable drawable, int i) {
            drawable.setTint(i);
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        static void m2000(Drawable drawable, ColorStateList colorStateList) {
            drawable.setTintList(colorStateList);
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        static void m2003(Drawable drawable, PorterDuff.Mode mode) {
            drawable.setTintMode(mode);
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        static void m2001(Drawable drawable, Resources.Theme theme) {
            drawable.applyTheme(theme);
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        static boolean m2004(Drawable drawable) {
            return drawable.canApplyTheme();
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        static void m2002(Drawable drawable, Resources resources, XmlPullParser xmlPullParser, AttributeSet attributeSet, Resources.Theme theme) throws XmlPullParserException, IOException {
            drawable.inflate(resources, xmlPullParser, attributeSet, theme);
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        static void m1999(Drawable drawable, int i, int i2, int i3, int i4) {
            drawable.setHotspotBounds(i, i2, i3, i4);
        }
    }

    /* compiled from: DrawableCompat */
    static class c {
        /* renamed from: ʻ  reason: contains not printable characters */
        static boolean m2007(Drawable drawable, int i) {
            return drawable.setLayoutDirection(i);
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        static int m2006(Drawable drawable) {
            return drawable.getLayoutDirection();
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public static void m1980(Drawable drawable, boolean z) {
        if (Build.VERSION.SDK_INT >= 19) {
            C0015a.m1995(drawable, z);
        }
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public static void m1984(Drawable drawable, int i) {
        if (Build.VERSION.SDK_INT >= 21) {
            b.m1998(drawable, i);
        } else if (drawable instanceof b) {
            ((b) drawable).setTint(i);
        }
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    public static int m1985(Drawable drawable) {
        if (Build.VERSION.SDK_INT >= 19) {
            return C0015a.m1992(drawable);
        }
        return 0;
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    public static ColorFilter m1986(Drawable drawable) {
        if (Build.VERSION.SDK_INT >= 21) {
            return b.m2005(drawable);
        }
        return null;
    }

    /* renamed from: ʿ  reason: contains not printable characters */
    public static int m1987(Drawable drawable) {
        int i = Build.VERSION.SDK_INT;
        if (i >= 23) {
            return c.m2006(drawable);
        }
        if (i >= 17) {
            if (!f1743) {
                try {
                    Method declaredMethod = Drawable.class.getDeclaredMethod("getLayoutDirection", new Class[0]);
                    f1742 = declaredMethod;
                    declaredMethod.setAccessible(true);
                } catch (NoSuchMethodException e2) {
                    Log.i("DrawableCompat", "Failed to retrieve getLayoutDirection() method", e2);
                }
                f1743 = true;
            }
            Method method = f1742;
            if (method != null) {
                try {
                    return ((Integer) method.invoke(drawable, new Object[0])).intValue();
                } catch (Exception e3) {
                    Log.i("DrawableCompat", "Failed to invoke getLayoutDirection() via reflection", e3);
                    f1742 = null;
                }
            }
        }
        return 0;
    }

    /* renamed from: ˆ  reason: contains not printable characters */
    public static boolean m1988(Drawable drawable) {
        if (Build.VERSION.SDK_INT >= 19) {
            return C0015a.m1996(drawable);
        }
        return false;
    }

    @Deprecated
    /* renamed from: ˈ  reason: contains not printable characters */
    public static void m1989(Drawable drawable) {
        drawable.jumpToCurrentState();
    }

    /* JADX DEBUG: Multi-variable search result rejected for r1v0, resolved type: android.graphics.drawable.Drawable */
    /* JADX WARN: Multi-variable type inference failed */
    /* renamed from: ˉ  reason: contains not printable characters */
    public static <T extends Drawable> T m1990(Drawable drawable) {
        return drawable instanceof c ? (T) ((c) drawable).m2008() : drawable;
    }

    /* renamed from: ˊ  reason: contains not printable characters */
    public static Drawable m1991(Drawable drawable) {
        int i = Build.VERSION.SDK_INT;
        if (i >= 23) {
            return drawable;
        }
        return i >= 21 ? !(drawable instanceof b) ? new e(drawable) : drawable : !(drawable instanceof b) ? new d(drawable) : drawable;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public static void m1974(Drawable drawable, float f2, float f3) {
        if (Build.VERSION.SDK_INT >= 21) {
            b.m1997(drawable, f2, f3);
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public static void m1975(Drawable drawable, int i, int i2, int i3, int i4) {
        if (Build.VERSION.SDK_INT >= 21) {
            b.m1999(drawable, i, i2, i3, i4);
        }
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public static void m1983(Drawable drawable) {
        DrawableContainer.DrawableContainerState drawableContainerState;
        int i = Build.VERSION.SDK_INT;
        if (i >= 23) {
            drawable.clearColorFilter();
        } else if (i >= 21) {
            drawable.clearColorFilter();
            if (drawable instanceof InsetDrawable) {
                m1983(C0015a.m1994((InsetDrawable) drawable));
            } else if (drawable instanceof c) {
                m1983(((c) drawable).m2008());
            } else if ((drawable instanceof DrawableContainer) && (drawableContainerState = (DrawableContainer.DrawableContainerState) ((DrawableContainer) drawable).getConstantState()) != null) {
                int childCount = drawableContainerState.getChildCount();
                for (int i2 = 0; i2 < childCount; i2++) {
                    Drawable r2 = C0015a.m1993(drawableContainerState, i2);
                    if (r2 != null) {
                        m1983(r2);
                    }
                }
            }
        } else {
            drawable.clearColorFilter();
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public static void m1976(Drawable drawable, ColorStateList colorStateList) {
        if (Build.VERSION.SDK_INT >= 21) {
            b.m2000(drawable, colorStateList);
        } else if (drawable instanceof b) {
            ((b) drawable).setTintList(colorStateList);
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public static void m1979(Drawable drawable, PorterDuff.Mode mode) {
        if (Build.VERSION.SDK_INT >= 21) {
            b.m2003(drawable, mode);
        } else if (drawable instanceof b) {
            ((b) drawable).setTintMode(mode);
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public static void m1977(Drawable drawable, Resources.Theme theme) {
        if (Build.VERSION.SDK_INT >= 21) {
            b.m2001(drawable, theme);
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public static boolean m1981(Drawable drawable) {
        if (Build.VERSION.SDK_INT >= 21) {
            return b.m2004(drawable);
        }
        return false;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public static void m1978(Drawable drawable, Resources resources, XmlPullParser xmlPullParser, AttributeSet attributeSet, Resources.Theme theme) throws XmlPullParserException, IOException {
        if (Build.VERSION.SDK_INT >= 21) {
            b.m2002(drawable, resources, xmlPullParser, attributeSet, theme);
        } else {
            drawable.inflate(resources, xmlPullParser, attributeSet);
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public static boolean m1982(Drawable drawable, int i) {
        int i2 = Build.VERSION.SDK_INT;
        if (i2 >= 23) {
            return c.m2007(drawable, i);
        }
        if (i2 >= 17) {
            if (!f1741) {
                try {
                    Method declaredMethod = Drawable.class.getDeclaredMethod("setLayoutDirection", Integer.TYPE);
                    f1740 = declaredMethod;
                    declaredMethod.setAccessible(true);
                } catch (NoSuchMethodException e2) {
                    Log.i("DrawableCompat", "Failed to retrieve setLayoutDirection(int) method", e2);
                }
                f1741 = true;
            }
            Method method = f1740;
            if (method != null) {
                try {
                    method.invoke(drawable, Integer.valueOf(i));
                    return true;
                } catch (Exception e3) {
                    Log.i("DrawableCompat", "Failed to invoke setLayoutDirection(int) via reflection", e3);
                    f1740 = null;
                }
            }
        }
        return false;
    }
}
