package androidx.core.graphics.drawable;

import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.graphics.Canvas;
import android.graphics.ColorFilter;
import android.graphics.PorterDuff;
import android.graphics.Rect;
import android.graphics.Region;
import android.graphics.drawable.Drawable;

/* access modifiers changed from: package-private */
/* compiled from: WrappedDrawableApi14 */
public class d extends Drawable implements Drawable.Callback, c, b {

    /* renamed from: ˎ  reason: contains not printable characters */
    static final PorterDuff.Mode f1744 = PorterDuff.Mode.SRC_IN;

    /* renamed from: ʿ  reason: contains not printable characters */
    private int f1745;

    /* renamed from: ˆ  reason: contains not printable characters */
    private PorterDuff.Mode f1746;

    /* renamed from: ˈ  reason: contains not printable characters */
    private boolean f1747;

    /* renamed from: ˉ  reason: contains not printable characters */
    f f1748;

    /* renamed from: ˊ  reason: contains not printable characters */
    private boolean f1749;

    /* renamed from: ˋ  reason: contains not printable characters */
    Drawable f1750;

    d(f fVar, Resources resources) {
        this.f1748 = fVar;
        m2010(resources);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private void m2010(Resources resources) {
        Drawable.ConstantState constantState;
        f fVar = this.f1748;
        if (fVar != null && (constantState = fVar.f1753) != null) {
            m2014(constantState.newDrawable(resources));
        }
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    private f m2012() {
        return new f(this.f1748);
    }

    public void draw(Canvas canvas) {
        this.f1750.draw(canvas);
    }

    public int getChangingConfigurations() {
        int changingConfigurations = super.getChangingConfigurations();
        f fVar = this.f1748;
        return changingConfigurations | (fVar != null ? fVar.getChangingConfigurations() : 0) | this.f1750.getChangingConfigurations();
    }

    public Drawable.ConstantState getConstantState() {
        f fVar = this.f1748;
        if (fVar == null || !fVar.m2018()) {
            return null;
        }
        this.f1748.f1752 = getChangingConfigurations();
        return this.f1748;
    }

    public Drawable getCurrent() {
        return this.f1750.getCurrent();
    }

    public int getIntrinsicHeight() {
        return this.f1750.getIntrinsicHeight();
    }

    public int getIntrinsicWidth() {
        return this.f1750.getIntrinsicWidth();
    }

    public int getLayoutDirection() {
        return a.m1987(this.f1750);
    }

    public int getMinimumHeight() {
        return this.f1750.getMinimumHeight();
    }

    public int getMinimumWidth() {
        return this.f1750.getMinimumWidth();
    }

    public int getOpacity() {
        return this.f1750.getOpacity();
    }

    public boolean getPadding(Rect rect) {
        return this.f1750.getPadding(rect);
    }

    public int[] getState() {
        return this.f1750.getState();
    }

    public Region getTransparentRegion() {
        return this.f1750.getTransparentRegion();
    }

    public void invalidateDrawable(Drawable drawable) {
        invalidateSelf();
    }

    public boolean isAutoMirrored() {
        return a.m1988(this.f1750);
    }

    public boolean isStateful() {
        f fVar;
        ColorStateList colorStateList = (!m2015() || (fVar = this.f1748) == null) ? null : fVar.f1754;
        return (colorStateList != null && colorStateList.isStateful()) || this.f1750.isStateful();
    }

    public void jumpToCurrentState() {
        this.f1750.jumpToCurrentState();
    }

    public Drawable mutate() {
        if (!this.f1749 && super.mutate() == this) {
            this.f1748 = m2012();
            Drawable drawable = this.f1750;
            if (drawable != null) {
                drawable.mutate();
            }
            f fVar = this.f1748;
            if (fVar != null) {
                Drawable drawable2 = this.f1750;
                fVar.f1753 = drawable2 != null ? drawable2.getConstantState() : null;
            }
            this.f1749 = true;
        }
        return this;
    }

    /* access modifiers changed from: protected */
    public void onBoundsChange(Rect rect) {
        Drawable drawable = this.f1750;
        if (drawable != null) {
            drawable.setBounds(rect);
        }
    }

    public boolean onLayoutDirectionChanged(int i) {
        return a.m1982(this.f1750, i);
    }

    /* access modifiers changed from: protected */
    public boolean onLevelChange(int i) {
        return this.f1750.setLevel(i);
    }

    public void scheduleDrawable(Drawable drawable, Runnable runnable, long j) {
        scheduleSelf(runnable, j);
    }

    public void setAlpha(int i) {
        this.f1750.setAlpha(i);
    }

    public void setAutoMirrored(boolean z) {
        a.m1980(this.f1750, z);
    }

    public void setChangingConfigurations(int i) {
        this.f1750.setChangingConfigurations(i);
    }

    public void setColorFilter(ColorFilter colorFilter) {
        this.f1750.setColorFilter(colorFilter);
    }

    public void setDither(boolean z) {
        this.f1750.setDither(z);
    }

    public void setFilterBitmap(boolean z) {
        this.f1750.setFilterBitmap(z);
    }

    public boolean setState(int[] iArr) {
        return m2011(iArr) || this.f1750.setState(iArr);
    }

    @Override // androidx.core.graphics.drawable.b
    public void setTint(int i) {
        setTintList(ColorStateList.valueOf(i));
    }

    @Override // androidx.core.graphics.drawable.b
    public void setTintList(ColorStateList colorStateList) {
        this.f1748.f1754 = colorStateList;
        m2011(getState());
    }

    @Override // androidx.core.graphics.drawable.b
    public void setTintMode(PorterDuff.Mode mode) {
        this.f1748.f1755 = mode;
        m2011(getState());
    }

    public boolean setVisible(boolean z, boolean z2) {
        return super.setVisible(z, z2) || this.f1750.setVisible(z, z2);
    }

    public void unscheduleDrawable(Drawable drawable, Runnable runnable) {
        unscheduleSelf(runnable);
    }

    /* access modifiers changed from: protected */
    /* renamed from: ʼ  reason: contains not printable characters */
    public boolean m2015() {
        return true;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private boolean m2011(int[] iArr) {
        if (!m2015()) {
            return false;
        }
        f fVar = this.f1748;
        ColorStateList colorStateList = fVar.f1754;
        PorterDuff.Mode mode = fVar.f1755;
        if (colorStateList == null || mode == null) {
            this.f1747 = false;
            clearColorFilter();
        } else {
            int colorForState = colorStateList.getColorForState(iArr, colorStateList.getDefaultColor());
            if (!(this.f1747 && colorForState == this.f1745 && mode == this.f1746)) {
                setColorFilter(colorForState, mode);
                this.f1745 = colorForState;
                this.f1746 = mode;
                this.f1747 = true;
                return true;
            }
        }
        return false;
    }

    d(Drawable drawable) {
        this.f1748 = m2012();
        m2014(drawable);
    }

    @Override // androidx.core.graphics.drawable.c
    /* renamed from: ʻ  reason: contains not printable characters */
    public final Drawable m2013() {
        return this.f1750;
    }

    @Override // androidx.core.graphics.drawable.c
    /* renamed from: ʻ  reason: contains not printable characters */
    public final void m2014(Drawable drawable) {
        Drawable drawable2 = this.f1750;
        if (drawable2 != null) {
            drawable2.setCallback(null);
        }
        this.f1750 = drawable;
        if (drawable != null) {
            drawable.setCallback(this);
            setVisible(drawable.isVisible(), true);
            setState(drawable.getState());
            setLevel(drawable.getLevel());
            setBounds(drawable.getBounds());
            f fVar = this.f1748;
            if (fVar != null) {
                fVar.f1753 = drawable.getConstantState();
            }
        }
        invalidateSelf();
    }
}
