package androidx.core.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Rect;
import android.os.Build;
import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;
import android.util.AttributeSet;
import android.util.Log;
import android.util.TypedValue;
import android.view.FocusFinder;
import android.view.KeyEvent;
import android.view.MotionEvent;
import android.view.VelocityTracker;
import android.view.View;
import android.view.ViewConfiguration;
import android.view.ViewGroup;
import android.view.ViewParent;
import android.view.accessibility.AccessibilityEvent;
import android.view.animation.AnimationUtils;
import android.widget.EdgeEffect;
import android.widget.FrameLayout;
import android.widget.OverScroller;
import android.widget.ScrollView;
import e.g.l.d0;
import e.g.l.m0.c;
import e.g.l.m0.e;
import e.g.l.p;
import e.g.l.r;
import e.g.l.t;
import e.g.l.v;
import e.g.l.x;
import java.util.ArrayList;

public class NestedScrollView extends FrameLayout implements v, r {

    /* renamed from: ʼʼ  reason: contains not printable characters */
    private static final a f1756 = new a();

    /* renamed from: ʿʿ  reason: contains not printable characters */
    private static final int[] f1757 = {16843130};

    /* renamed from: ʻʻ  reason: contains not printable characters */
    private float f1758;

    /* renamed from: ʽʽ  reason: contains not printable characters */
    private c f1759;

    /* renamed from: ʿ  reason: contains not printable characters */
    private long f1760;

    /* renamed from: ˆ  reason: contains not printable characters */
    private final Rect f1761;

    /* renamed from: ˈ  reason: contains not printable characters */
    private OverScroller f1762;

    /* renamed from: ˉ  reason: contains not printable characters */
    public EdgeEffect f1763;

    /* renamed from: ˊ  reason: contains not printable characters */
    public EdgeEffect f1764;

    /* renamed from: ˋ  reason: contains not printable characters */
    private int f1765;

    /* renamed from: ˎ  reason: contains not printable characters */
    private boolean f1766;

    /* renamed from: ˏ  reason: contains not printable characters */
    private boolean f1767;

    /* renamed from: ˑ  reason: contains not printable characters */
    private View f1768;

    /* renamed from: י  reason: contains not printable characters */
    private boolean f1769;

    /* renamed from: ـ  reason: contains not printable characters */
    private VelocityTracker f1770;

    /* renamed from: ٴ  reason: contains not printable characters */
    private boolean f1771;

    /* renamed from: ᐧ  reason: contains not printable characters */
    private boolean f1772;

    /* renamed from: ᐧᐧ  reason: contains not printable characters */
    private final x f1773;

    /* renamed from: ᴵ  reason: contains not printable characters */
    private int f1774;

    /* renamed from: ᴵᴵ  reason: contains not printable characters */
    private final t f1775;

    /* renamed from: ᵎ  reason: contains not printable characters */
    private int f1776;

    /* renamed from: ᵔ  reason: contains not printable characters */
    private int f1777;

    /* renamed from: ᵢ  reason: contains not printable characters */
    private int f1778;

    /* renamed from: ⁱ  reason: contains not printable characters */
    private final int[] f1779;

    /* renamed from: ﹳ  reason: contains not printable characters */
    private final int[] f1780;

    /* renamed from: ﹶ  reason: contains not printable characters */
    private int f1781;

    /* renamed from: ﾞ  reason: contains not printable characters */
    private int f1782;

    /* renamed from: ﾞﾞ  reason: contains not printable characters */
    private d f1783;

    static class b {
        /* renamed from: ʻ  reason: contains not printable characters */
        static boolean m2068(ViewGroup viewGroup) {
            return viewGroup.getClipToPadding();
        }
    }

    public interface c {
        /* renamed from: ʻ  reason: contains not printable characters */
        void m2069(NestedScrollView nestedScrollView, int i, int i2, int i3, int i4);
    }

    /* access modifiers changed from: package-private */
    public static class d extends View.BaseSavedState {
        public static final Parcelable.Creator<d> CREATOR = new a();

        /* renamed from: ʿ  reason: contains not printable characters */
        public int f1784;

        class a implements Parcelable.Creator<d> {
            a() {
            }

            @Override // android.os.Parcelable.Creator
            public d createFromParcel(Parcel parcel) {
                return new d(parcel);
            }

            @Override // android.os.Parcelable.Creator
            public d[] newArray(int i) {
                return new d[i];
            }
        }

        d(Parcelable parcelable) {
            super(parcelable);
        }

        public String toString() {
            return "HorizontalScrollView.SavedState{" + Integer.toHexString(System.identityHashCode(this)) + " scrollPosition=" + this.f1784 + "}";
        }

        public void writeToParcel(Parcel parcel, int i) {
            super.writeToParcel(parcel, i);
            parcel.writeInt(this.f1784);
        }

        d(Parcel parcel) {
            super(parcel);
            this.f1784 = parcel.readInt();
        }
    }

    public NestedScrollView(Context context) {
        this(context, null);
    }

    private float getVerticalScrollFactorCompat() {
        if (this.f1758 == 0.0f) {
            TypedValue typedValue = new TypedValue();
            Context context = getContext();
            if (context.getTheme().resolveAttribute(16842829, typedValue, true)) {
                this.f1758 = typedValue.getDimension(context.getResources().getDisplayMetrics());
            } else {
                throw new IllegalStateException("Expected theme to define listPreferredItemHeight.");
            }
        }
        return this.f1758;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private static int m2020(int i, int i2, int i3) {
        if (i2 >= i3 || i < 0) {
            return 0;
        }
        return i2 + i > i3 ? i3 - i2 : i;
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    private boolean m2035() {
        if (getChildCount() <= 0) {
            return false;
        }
        View childAt = getChildAt(0);
        FrameLayout.LayoutParams layoutParams = (FrameLayout.LayoutParams) childAt.getLayoutParams();
        if (childAt.getHeight() + layoutParams.topMargin + layoutParams.bottomMargin > (getHeight() - getPaddingTop()) - getPaddingBottom()) {
            return true;
        }
        return false;
    }

    /* renamed from: ʿ  reason: contains not printable characters */
    private void m2038() {
        VelocityTracker velocityTracker = this.f1770;
        if (velocityTracker == null) {
            this.f1770 = VelocityTracker.obtain();
        } else {
            velocityTracker.clear();
        }
    }

    /* renamed from: ˈ  reason: contains not printable characters */
    private void m2040() {
        if (this.f1770 == null) {
            this.f1770 = VelocityTracker.obtain();
        }
    }

    /* renamed from: ˉ  reason: contains not printable characters */
    private void m2042() {
        VelocityTracker velocityTracker = this.f1770;
        if (velocityTracker != null) {
            velocityTracker.recycle();
            this.f1770 = null;
        }
    }

    public void addView(View view) {
        if (getChildCount() <= 0) {
            super.addView(view);
            return;
        }
        throw new IllegalStateException("ScrollView can host only one direct child");
    }

    public int computeHorizontalScrollExtent() {
        return super.computeHorizontalScrollExtent();
    }

    public int computeHorizontalScrollOffset() {
        return super.computeHorizontalScrollOffset();
    }

    public int computeHorizontalScrollRange() {
        return super.computeHorizontalScrollRange();
    }

    public void computeScroll() {
        if (!this.f1762.isFinished()) {
            this.f1762.computeScrollOffset();
            int currY = this.f1762.getCurrY();
            int i = currY - this.f1782;
            this.f1782 = currY;
            int[] iArr = this.f1780;
            boolean z = false;
            iArr[1] = 0;
            m2056(0, i, iArr, (int[]) null, 1);
            int i2 = i - this.f1780[1];
            int scrollRange = getScrollRange();
            if (i2 != 0) {
                int scrollY = getScrollY();
                m2055(0, i2, getScrollX(), scrollY, 0, scrollRange, 0, 0, false);
                int scrollY2 = getScrollY() - scrollY;
                int i3 = i2 - scrollY2;
                int[] iArr2 = this.f1780;
                iArr2[1] = 0;
                m2046(0, scrollY2, 0, i3, this.f1779, 1, iArr2);
                i2 = i3 - this.f1780[1];
            }
            if (i2 != 0) {
                int overScrollMode = getOverScrollMode();
                if (overScrollMode == 0 || (overScrollMode == 1 && scrollRange > 0)) {
                    z = true;
                }
                if (z) {
                    if (i2 < 0) {
                        if (this.f1763.isFinished()) {
                            this.f1763.onAbsorb((int) this.f1762.getCurrVelocity());
                        }
                    } else if (this.f1764.isFinished()) {
                        this.f1764.onAbsorb((int) this.f1762.getCurrVelocity());
                    }
                }
                m2022();
            }
            if (!this.f1762.isFinished()) {
                d0.m8749(this);
            } else {
                m2064(1);
            }
        }
    }

    public int computeVerticalScrollExtent() {
        return super.computeVerticalScrollExtent();
    }

    public int computeVerticalScrollOffset() {
        return Math.max(0, super.computeVerticalScrollOffset());
    }

    public int computeVerticalScrollRange() {
        int childCount = getChildCount();
        int height = (getHeight() - getPaddingBottom()) - getPaddingTop();
        if (childCount == 0) {
            return height;
        }
        View childAt = getChildAt(0);
        int bottom = childAt.getBottom() + ((FrameLayout.LayoutParams) childAt.getLayoutParams()).bottomMargin;
        int scrollY = getScrollY();
        int max = Math.max(0, bottom - height);
        if (scrollY < 0) {
            return bottom - scrollY;
        }
        return scrollY > max ? bottom + (scrollY - max) : bottom;
    }

    public boolean dispatchKeyEvent(KeyEvent keyEvent) {
        return super.dispatchKeyEvent(keyEvent) || m2057(keyEvent);
    }

    public boolean dispatchNestedFling(float f2, float f3, boolean z) {
        return this.f1775.m9344(f2, f3, z);
    }

    public boolean dispatchNestedPreFling(float f2, float f3) {
        return this.f1775.m9343(f2, f3);
    }

    public boolean dispatchNestedPreScroll(int i, int i2, int[] iArr, int[] iArr2) {
        return m2056(i, i2, iArr, iArr2, 0);
    }

    public boolean dispatchNestedScroll(int i, int i2, int i3, int i4, int[] iArr) {
        return this.f1775.m9347(i, i2, i3, i4, iArr);
    }

    public void draw(Canvas canvas) {
        int i;
        super.draw(canvas);
        int scrollY = getScrollY();
        int i2 = 0;
        if (!this.f1763.isFinished()) {
            int save = canvas.save();
            int width = getWidth();
            int height = getHeight();
            int min = Math.min(0, scrollY);
            if (Build.VERSION.SDK_INT < 21 || b.m2068(this)) {
                width -= getPaddingLeft() + getPaddingRight();
                i = getPaddingLeft() + 0;
            } else {
                i = 0;
            }
            if (Build.VERSION.SDK_INT >= 21 && b.m2068(this)) {
                height -= getPaddingTop() + getPaddingBottom();
                min += getPaddingTop();
            }
            canvas.translate((float) i, (float) min);
            this.f1763.setSize(width, height);
            if (this.f1763.draw(canvas)) {
                d0.m8749(this);
            }
            canvas.restoreToCount(save);
        }
        if (!this.f1764.isFinished()) {
            int save2 = canvas.save();
            int width2 = getWidth();
            int height2 = getHeight();
            int max = Math.max(getScrollRange(), scrollY) + height2;
            if (Build.VERSION.SDK_INT < 21 || b.m2068(this)) {
                width2 -= getPaddingLeft() + getPaddingRight();
                i2 = 0 + getPaddingLeft();
            }
            if (Build.VERSION.SDK_INT >= 21 && b.m2068(this)) {
                height2 -= getPaddingTop() + getPaddingBottom();
                max -= getPaddingBottom();
            }
            canvas.translate((float) (i2 - width2), (float) max);
            canvas.rotate(180.0f, (float) width2, 0.0f);
            this.f1764.setSize(width2, height2);
            if (this.f1764.draw(canvas)) {
                d0.m8749(this);
            }
            canvas.restoreToCount(save2);
        }
    }

    /* access modifiers changed from: protected */
    public float getBottomFadingEdgeStrength() {
        if (getChildCount() == 0) {
            return 0.0f;
        }
        View childAt = getChildAt(0);
        int verticalFadingEdgeLength = getVerticalFadingEdgeLength();
        int bottom = ((childAt.getBottom() + ((FrameLayout.LayoutParams) childAt.getLayoutParams()).bottomMargin) - getScrollY()) - (getHeight() - getPaddingBottom());
        if (bottom < verticalFadingEdgeLength) {
            return ((float) bottom) / ((float) verticalFadingEdgeLength);
        }
        return 1.0f;
    }

    public int getMaxScrollAmount() {
        return (int) (((float) getHeight()) * 0.5f);
    }

    public int getNestedScrollAxes() {
        return this.f1773.m9360();
    }

    /* access modifiers changed from: package-private */
    public int getScrollRange() {
        if (getChildCount() <= 0) {
            return 0;
        }
        View childAt = getChildAt(0);
        FrameLayout.LayoutParams layoutParams = (FrameLayout.LayoutParams) childAt.getLayoutParams();
        return Math.max(0, ((childAt.getHeight() + layoutParams.topMargin) + layoutParams.bottomMargin) - ((getHeight() - getPaddingTop()) - getPaddingBottom()));
    }

    /* access modifiers changed from: protected */
    public float getTopFadingEdgeStrength() {
        if (getChildCount() == 0) {
            return 0.0f;
        }
        int verticalFadingEdgeLength = getVerticalFadingEdgeLength();
        int scrollY = getScrollY();
        if (scrollY < verticalFadingEdgeLength) {
            return ((float) scrollY) / ((float) verticalFadingEdgeLength);
        }
        return 1.0f;
    }

    public boolean hasNestedScrollingParent() {
        return m2062(0);
    }

    @Override // e.g.l.s
    public boolean isNestedScrollingEnabled() {
        return this.f1775.m9350();
    }

    /* access modifiers changed from: protected */
    public void measureChild(View view, int i, int i2) {
        view.measure(FrameLayout.getChildMeasureSpec(i, getPaddingLeft() + getPaddingRight(), view.getLayoutParams().width), View.MeasureSpec.makeMeasureSpec(0, 0));
    }

    /* access modifiers changed from: protected */
    public void measureChildWithMargins(View view, int i, int i2, int i3, int i4) {
        ViewGroup.MarginLayoutParams marginLayoutParams = (ViewGroup.MarginLayoutParams) view.getLayoutParams();
        view.measure(FrameLayout.getChildMeasureSpec(i, getPaddingLeft() + getPaddingRight() + marginLayoutParams.leftMargin + marginLayoutParams.rightMargin + i2, marginLayoutParams.width), View.MeasureSpec.makeMeasureSpec(marginLayoutParams.topMargin + marginLayoutParams.bottomMargin, 0));
    }

    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        this.f1767 = false;
    }

    /* JADX DEBUG: Multi-variable search result rejected for r9v1, resolved type: boolean */
    /* JADX DEBUG: Multi-variable search result rejected for r9v3, resolved type: boolean */
    /* JADX DEBUG: Multi-variable search result rejected for r9v5, resolved type: boolean */
    /* JADX DEBUG: Multi-variable search result rejected for r9v14, resolved type: boolean */
    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARNING: Removed duplicated region for block: B:36:0x00a0  */
    /* JADX WARNING: Removed duplicated region for block: B:38:0x00a8 A[RETURN] */
    public boolean onGenericMotionEvent(MotionEvent motionEvent) {
        float f2;
        boolean z;
        int i = 0;
        if (motionEvent.getAction() == 8 && !this.f1769) {
            if (p.m9335(motionEvent, 2)) {
                f2 = motionEvent.getAxisValue(9);
            } else {
                f2 = p.m9335(motionEvent, 4194304) ? motionEvent.getAxisValue(26) : 0.0f;
            }
            if (f2 != 0.0f) {
                int scrollRange = getScrollRange();
                int scrollY = getScrollY();
                int verticalScrollFactorCompat = scrollY - ((int) (f2 * getVerticalScrollFactorCompat()));
                if (verticalScrollFactorCompat < 0) {
                    if (m2032() && !p.m9335(motionEvent, 8194)) {
                        e.m2124(this.f1763, (-((float) verticalScrollFactorCompat)) / ((float) getHeight()), 0.5f);
                        this.f1763.onRelease();
                        invalidate();
                        z = 1;
                        if (i == scrollY) {
                            return z;
                        }
                        super.scrollTo(getScrollX(), i);
                        return true;
                    }
                } else if (verticalScrollFactorCompat > scrollRange) {
                    if (m2032() && !p.m9335(motionEvent, 8194)) {
                        e.m2124(this.f1764, ((float) (verticalScrollFactorCompat - scrollRange)) / ((float) getHeight()), 0.5f);
                        this.f1764.onRelease();
                        invalidate();
                        i = 1;
                    }
                    z = i;
                    i = scrollRange;
                    if (i == scrollY) {
                    }
                } else {
                    i = verticalScrollFactorCompat;
                }
                z = 0;
                if (i == scrollY) {
                }
            }
        }
        return false;
    }

    public boolean onInterceptTouchEvent(MotionEvent motionEvent) {
        int action = motionEvent.getAction();
        boolean z = true;
        if (action == 2 && this.f1769) {
            return true;
        }
        int i = action & 255;
        if (i != 0) {
            if (i != 1) {
                if (i == 2) {
                    int i2 = this.f1778;
                    if (i2 != -1) {
                        int findPointerIndex = motionEvent.findPointerIndex(i2);
                        if (findPointerIndex == -1) {
                            Log.e("NestedScrollView", "Invalid pointerId=" + i2 + " in onInterceptTouchEvent");
                        } else {
                            int y = (int) motionEvent.getY(findPointerIndex);
                            if (Math.abs(y - this.f1765) > this.f1774 && (2 & getNestedScrollAxes()) == 0) {
                                this.f1769 = true;
                                this.f1765 = y;
                                m2040();
                                this.f1770.addMovement(motionEvent);
                                this.f1781 = 0;
                                ViewParent parent = getParent();
                                if (parent != null) {
                                    parent.requestDisallowInterceptTouchEvent(true);
                                }
                            }
                        }
                    }
                } else if (i != 3) {
                    if (i == 6) {
                        m2024(motionEvent);
                    }
                }
            }
            this.f1769 = false;
            this.f1778 = -1;
            m2042();
            if (this.f1762.springBack(getScrollX(), getScrollY(), 0, 0, 0, getScrollRange())) {
                d0.m8749(this);
            }
            m2064(0);
        } else {
            int y2 = (int) motionEvent.getY();
            if (!m2036((int) motionEvent.getX(), y2)) {
                if (!m2034(motionEvent) && this.f1762.isFinished()) {
                    z = false;
                }
                this.f1769 = z;
                m2042();
            } else {
                this.f1765 = y2;
                this.f1778 = motionEvent.getPointerId(0);
                m2038();
                this.f1770.addMovement(motionEvent);
                this.f1762.computeScrollOffset();
                if (!m2034(motionEvent) && this.f1762.isFinished()) {
                    z = false;
                }
                this.f1769 = z;
                m2059(2, 0);
            }
        }
        return this.f1769;
    }

    /* access modifiers changed from: protected */
    public void onLayout(boolean z, int i, int i2, int i3, int i4) {
        super.onLayout(z, i, i2, i3, i4);
        int i5 = 0;
        this.f1766 = false;
        View view = this.f1768;
        if (view != null && m2029(view, this)) {
            m2031(this.f1768);
        }
        this.f1768 = null;
        if (!this.f1767) {
            if (this.f1783 != null) {
                scrollTo(getScrollX(), this.f1783.f1784);
                this.f1783 = null;
            }
            if (getChildCount() > 0) {
                View childAt = getChildAt(0);
                FrameLayout.LayoutParams layoutParams = (FrameLayout.LayoutParams) childAt.getLayoutParams();
                i5 = childAt.getMeasuredHeight() + layoutParams.topMargin + layoutParams.bottomMargin;
            }
            int paddingTop = ((i4 - i2) - getPaddingTop()) - getPaddingBottom();
            int scrollY = getScrollY();
            int r2 = m2020(scrollY, paddingTop, i5);
            if (r2 != scrollY) {
                scrollTo(getScrollX(), r2);
            }
        }
        scrollTo(getScrollX(), getScrollY());
        this.f1767 = true;
    }

    /* access modifiers changed from: protected */
    public void onMeasure(int i, int i2) {
        super.onMeasure(i, i2);
        if (this.f1771 && View.MeasureSpec.getMode(i2) != 0 && getChildCount() > 0) {
            View childAt = getChildAt(0);
            FrameLayout.LayoutParams layoutParams = (FrameLayout.LayoutParams) childAt.getLayoutParams();
            int measuredHeight = childAt.getMeasuredHeight();
            int measuredHeight2 = (((getMeasuredHeight() - getPaddingTop()) - getPaddingBottom()) - layoutParams.topMargin) - layoutParams.bottomMargin;
            if (measuredHeight < measuredHeight2) {
                childAt.measure(FrameLayout.getChildMeasureSpec(i, getPaddingLeft() + getPaddingRight() + layoutParams.leftMargin + layoutParams.rightMargin, layoutParams.width), View.MeasureSpec.makeMeasureSpec(measuredHeight2, 1073741824));
            }
        }
    }

    @Override // e.g.l.w
    public boolean onNestedFling(View view, float f2, float f3, boolean z) {
        if (z) {
            return false;
        }
        dispatchNestedFling(0.0f, f3, true);
        m2058((int) f3);
        return true;
    }

    @Override // e.g.l.w
    public boolean onNestedPreFling(View view, float f2, float f3) {
        return dispatchNestedPreFling(f2, f3);
    }

    @Override // e.g.l.w
    public void onNestedPreScroll(View view, int i, int i2, int[] iArr) {
        m2052(view, i, i2, iArr, 0);
    }

    @Override // e.g.l.w
    public void onNestedScroll(View view, int i, int i2, int i3, int i4) {
        m2023(i4, 0, (int[]) null);
    }

    @Override // e.g.l.w
    public void onNestedScrollAccepted(View view, View view2, int i) {
        m2053(view, view2, i, 0);
    }

    /* access modifiers changed from: protected */
    public void onOverScrolled(int i, int i2, boolean z, boolean z2) {
        super.scrollTo(i, i2);
    }

    /* access modifiers changed from: protected */
    public boolean onRequestFocusInDescendants(int i, Rect rect) {
        View view;
        if (i == 2) {
            i = 130;
        } else if (i == 1) {
            i = 33;
        }
        if (rect == null) {
            view = FocusFinder.getInstance().findNextFocus(this, null, i);
        } else {
            view = FocusFinder.getInstance().findNextFocusFromRect(this, rect, i);
        }
        if (view != null && !m2027(view)) {
            return view.requestFocus(i, rect);
        }
        return false;
    }

    /* access modifiers changed from: protected */
    public void onRestoreInstanceState(Parcelable parcelable) {
        if (!(parcelable instanceof d)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        d dVar = (d) parcelable;
        super.onRestoreInstanceState(dVar.getSuperState());
        this.f1783 = dVar;
        requestLayout();
    }

    /* access modifiers changed from: protected */
    public Parcelable onSaveInstanceState() {
        d dVar = new d(super.onSaveInstanceState());
        dVar.f1784 = getScrollY();
        return dVar;
    }

    /* access modifiers changed from: protected */
    public void onScrollChanged(int i, int i2, int i3, int i4) {
        super.onScrollChanged(i, i2, i3, i4);
        c cVar = this.f1759;
        if (cVar != null) {
            cVar.m2069(this, i, i2, i3, i4);
        }
    }

    /* access modifiers changed from: protected */
    public void onSizeChanged(int i, int i2, int i3, int i4) {
        super.onSizeChanged(i, i2, i3, i4);
        View findFocus = findFocus();
        if (findFocus != null && this != findFocus && m2028(findFocus, 0, i4)) {
            findFocus.getDrawingRect(this.f1761);
            offsetDescendantRectToMyCoords(findFocus, this.f1761);
            m2041(m2044(this.f1761));
        }
    }

    @Override // e.g.l.w
    public boolean onStartNestedScroll(View view, View view2, int i) {
        return m2060(view, view2, i, 0);
    }

    @Override // e.g.l.w
    public void onStopNestedScroll(View view) {
        m2049(view, 0);
    }

    /* JADX WARNING: Removed duplicated region for block: B:74:0x01d8  */
    public boolean onTouchEvent(MotionEvent motionEvent) {
        ViewParent parent;
        m2040();
        int actionMasked = motionEvent.getActionMasked();
        boolean z = false;
        if (actionMasked == 0) {
            this.f1781 = 0;
        }
        MotionEvent obtain = MotionEvent.obtain(motionEvent);
        obtain.offsetLocation(0.0f, (float) this.f1781);
        if (actionMasked != 0) {
            if (actionMasked == 1) {
                VelocityTracker velocityTracker = this.f1770;
                velocityTracker.computeCurrentVelocity(1000, (float) this.f1777);
                int yVelocity = (int) velocityTracker.getYVelocity(this.f1778);
                if (Math.abs(yVelocity) >= this.f1776) {
                    if (!m2043(yVelocity)) {
                        int i = -yVelocity;
                        float f2 = (float) i;
                        if (!dispatchNestedPreFling(0.0f, f2)) {
                            dispatchNestedFling(0.0f, f2, true);
                            m2058(i);
                        }
                    }
                } else if (this.f1762.springBack(getScrollX(), getScrollY(), 0, 0, 0, getScrollRange())) {
                    d0.m8749(this);
                }
                this.f1778 = -1;
                m2037();
            } else if (actionMasked == 2) {
                int findPointerIndex = motionEvent.findPointerIndex(this.f1778);
                if (findPointerIndex == -1) {
                    Log.e("NestedScrollView", "Invalid pointerId=" + this.f1778 + " in onTouchEvent");
                } else {
                    int y = (int) motionEvent.getY(findPointerIndex);
                    int i2 = this.f1765 - y;
                    int r0 = i2 - m2019(i2, motionEvent.getX(findPointerIndex));
                    if (!this.f1769 && Math.abs(r0) > this.f1774) {
                        ViewParent parent2 = getParent();
                        if (parent2 != null) {
                            parent2.requestDisallowInterceptTouchEvent(true);
                        }
                        this.f1769 = true;
                        r0 = r0 > 0 ? r0 - this.f1774 : r0 + this.f1774;
                    }
                    int i3 = r0;
                    if (this.f1769) {
                        if (m2056(0, i3, this.f1780, this.f1779, 0)) {
                            i3 -= this.f1780[1];
                            this.f1781 += this.f1779[1];
                        }
                        this.f1765 = y - this.f1779[1];
                        int scrollY = getScrollY();
                        int scrollRange = getScrollRange();
                        int overScrollMode = getOverScrollMode();
                        boolean z2 = overScrollMode == 0 || (overScrollMode == 1 && scrollRange > 0);
                        boolean z3 = m2055(0, i3, 0, getScrollY(), 0, scrollRange, 0, 0, true) && !m2062(0);
                        int scrollY2 = getScrollY() - scrollY;
                        int i4 = i3 - scrollY2;
                        int[] iArr = this.f1780;
                        iArr[1] = 0;
                        m2046(0, scrollY2, 0, i4, this.f1779, 0, iArr);
                        int i5 = this.f1765;
                        int[] iArr2 = this.f1779;
                        this.f1765 = i5 - iArr2[1];
                        this.f1781 += iArr2[1];
                        if (z2) {
                            int i6 = i3 - this.f1780[1];
                            int i7 = scrollY + i6;
                            if (i7 < 0) {
                                e.m2124(this.f1763, ((float) (-i6)) / ((float) getHeight()), motionEvent.getX(findPointerIndex) / ((float) getWidth()));
                                if (!this.f1764.isFinished()) {
                                    this.f1764.onRelease();
                                }
                            } else if (i7 > scrollRange) {
                                e.m2124(this.f1764, ((float) i6) / ((float) getHeight()), 1.0f - (motionEvent.getX(findPointerIndex) / ((float) getWidth())));
                                if (!this.f1763.isFinished()) {
                                    this.f1763.onRelease();
                                }
                            }
                            if (!this.f1763.isFinished() || !this.f1764.isFinished()) {
                                d0.m8749(this);
                                if (z) {
                                    this.f1770.clear();
                                }
                            }
                        }
                        z = z3;
                        if (z) {
                        }
                    }
                }
            } else if (actionMasked == 3) {
                if (this.f1769 && getChildCount() > 0 && this.f1762.springBack(getScrollX(), getScrollY(), 0, 0, 0, getScrollRange())) {
                    d0.m8749(this);
                }
                this.f1778 = -1;
                m2037();
            } else if (actionMasked == 5) {
                int actionIndex = motionEvent.getActionIndex();
                this.f1765 = (int) motionEvent.getY(actionIndex);
                this.f1778 = motionEvent.getPointerId(actionIndex);
            } else if (actionMasked == 6) {
                m2024(motionEvent);
                this.f1765 = (int) motionEvent.getY(motionEvent.findPointerIndex(this.f1778));
            }
        } else if (getChildCount() == 0) {
            return false;
        } else {
            if (this.f1769 && (parent = getParent()) != null) {
                parent.requestDisallowInterceptTouchEvent(true);
            }
            if (!this.f1762.isFinished()) {
                m2022();
            }
            this.f1765 = (int) motionEvent.getY();
            this.f1778 = motionEvent.getPointerId(0);
            m2059(2, 0);
        }
        VelocityTracker velocityTracker2 = this.f1770;
        if (velocityTracker2 != null) {
            velocityTracker2.addMovement(obtain);
        }
        obtain.recycle();
        return true;
    }

    public void requestChildFocus(View view, View view2) {
        if (!this.f1766) {
            m2031(view2);
        } else {
            this.f1768 = view2;
        }
        super.requestChildFocus(view, view2);
    }

    public boolean requestChildRectangleOnScreen(View view, Rect rect, boolean z) {
        rect.offset(view.getLeft() - view.getScrollX(), view.getTop() - view.getScrollY());
        return m2026(rect, z);
    }

    public void requestDisallowInterceptTouchEvent(boolean z) {
        if (z) {
            m2042();
        }
        super.requestDisallowInterceptTouchEvent(z);
    }

    public void requestLayout() {
        this.f1766 = true;
        super.requestLayout();
    }

    public void scrollTo(int i, int i2) {
        if (getChildCount() > 0) {
            View childAt = getChildAt(0);
            FrameLayout.LayoutParams layoutParams = (FrameLayout.LayoutParams) childAt.getLayoutParams();
            int r7 = m2020(i, (getWidth() - getPaddingLeft()) - getPaddingRight(), childAt.getWidth() + layoutParams.leftMargin + layoutParams.rightMargin);
            int r8 = m2020(i2, (getHeight() - getPaddingTop()) - getPaddingBottom(), childAt.getHeight() + layoutParams.topMargin + layoutParams.bottomMargin);
            if (r7 != getScrollX() || r8 != getScrollY()) {
                super.scrollTo(r7, r8);
            }
        }
    }

    public void setFillViewport(boolean z) {
        if (z != this.f1771) {
            this.f1771 = z;
            requestLayout();
        }
    }

    public void setNestedScrollingEnabled(boolean z) {
        this.f1775.m9341(z);
    }

    public void setOnScrollChangeListener(c cVar) {
        this.f1759 = cVar;
    }

    public void setSmoothScrollingEnabled(boolean z) {
        this.f1772 = z;
    }

    public boolean shouldDelayChildPressedState() {
        return true;
    }

    public boolean startNestedScroll(int i) {
        return m2059(i, 0);
    }

    @Override // e.g.l.s
    public void stopNestedScroll() {
        m2064(0);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public void m2046(int i, int i2, int i3, int i4, int[] iArr, int i5, int[] iArr2) {
        this.f1775.m9340(i, i2, i3, i4, iArr, i5, iArr2);
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public boolean m2059(int i, int i2) {
        return this.f1775.m9346(i, i2);
    }

    @Override // e.g.l.u
    /* renamed from: ʼ  reason: contains not printable characters */
    public boolean m2060(View view, View view2, int i, int i2) {
        return (i & 2) != 0;
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    public boolean m2062(int i) {
        return this.f1775.m9345(i);
    }

    /* renamed from: ˆ  reason: contains not printable characters */
    public void m2064(int i) {
        this.f1775.m9353(i);
    }

    public NestedScrollView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, e.g.a.nestedScrollViewStyle);
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    private boolean m2034(MotionEvent motionEvent) {
        boolean z;
        if (e.m2121(this.f1763) != 0.0f) {
            e.m2124(this.f1763, 0.0f, motionEvent.getX() / ((float) getWidth()));
            z = true;
        } else {
            z = false;
        }
        if (e.m2121(this.f1764) == 0.0f) {
            return z;
        }
        e.m2124(this.f1764, 0.0f, 1.0f - (motionEvent.getX() / ((float) getWidth())));
        return true;
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    private void m2037() {
        this.f1769 = false;
        m2042();
        m2064(0);
        this.f1763.onRelease();
        this.f1764.onRelease();
    }

    /* renamed from: ˆ  reason: contains not printable characters */
    private void m2039() {
        this.f1762 = new OverScroller(getContext());
        setFocusable(true);
        setDescendantFocusability(262144);
        setWillNotDraw(false);
        ViewConfiguration viewConfiguration = ViewConfiguration.get(getContext());
        this.f1774 = viewConfiguration.getScaledTouchSlop();
        this.f1776 = viewConfiguration.getScaledMinimumFlingVelocity();
        this.f1777 = viewConfiguration.getScaledMaximumFlingVelocity();
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public boolean m2056(int i, int i2, int[] iArr, int[] iArr2, int i3) {
        return this.f1775.m9349(i, i2, iArr, iArr2, i3);
    }

    public NestedScrollView(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        this.f1761 = new Rect();
        this.f1766 = true;
        this.f1767 = false;
        this.f1768 = null;
        this.f1769 = false;
        this.f1772 = true;
        this.f1778 = -1;
        this.f1779 = new int[2];
        this.f1780 = new int[2];
        this.f1763 = e.m2122(context, attributeSet);
        this.f1764 = e.m2122(context, attributeSet);
        m2039();
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, f1757, i, 0);
        setFillViewport(obtainStyledAttributes.getBoolean(0, false));
        obtainStyledAttributes.recycle();
        this.f1773 = new x(this);
        this.f1775 = new t(this);
        setNestedScrollingEnabled(true);
        d0.m8704(this, f1756);
    }

    /* renamed from: ˈ  reason: contains not printable characters */
    private void m2041(int i) {
        if (i == 0) {
            return;
        }
        if (this.f1772) {
            m2045(0, i);
        } else {
            scrollBy(0, i);
        }
    }

    @Override // e.g.l.v
    /* renamed from: ʻ  reason: contains not printable characters */
    public void m2051(View view, int i, int i2, int i3, int i4, int i5, int[] iArr) {
        m2023(i4, i5, iArr);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private void m2023(int i, int i2, int[] iArr) {
        int scrollY = getScrollY();
        scrollBy(0, i);
        int scrollY2 = getScrollY() - scrollY;
        if (iArr != null) {
            iArr[1] = iArr[1] + scrollY2;
        }
        this.f1775.m9340(0, scrollY2, 0, i - scrollY2, null, i2, iArr);
    }

    /* renamed from: ˉ  reason: contains not printable characters */
    private boolean m2043(int i) {
        if (e.m2121(this.f1763) != 0.0f) {
            this.f1763.onAbsorb(i);
        } else if (e.m2121(this.f1764) == 0.0f) {
            return false;
        } else {
            this.f1764.onAbsorb(-i);
        }
        return true;
    }

    @Override // android.view.ViewGroup
    public void addView(View view, int i) {
        if (getChildCount() <= 0) {
            super.addView(view, i);
            return;
        }
        throw new IllegalStateException("ScrollView can host only one direct child");
    }

    /* renamed from: ʿ  reason: contains not printable characters */
    public boolean m2063(int i) {
        boolean z = i == 130;
        int height = getHeight();
        if (z) {
            this.f1761.top = getScrollY() + height;
            int childCount = getChildCount();
            if (childCount > 0) {
                View childAt = getChildAt(childCount - 1);
                int bottom = childAt.getBottom() + ((FrameLayout.LayoutParams) childAt.getLayoutParams()).bottomMargin + getPaddingBottom();
                Rect rect = this.f1761;
                if (rect.top + height > bottom) {
                    rect.top = bottom - height;
                }
            }
        } else {
            this.f1761.top = getScrollY() - height;
            Rect rect2 = this.f1761;
            if (rect2.top < 0) {
                rect2.top = 0;
            }
        }
        Rect rect3 = this.f1761;
        int i2 = rect3.top;
        int i3 = height + i2;
        rect3.bottom = i3;
        return m2033(i, i2, i3);
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    private boolean m2032() {
        int overScrollMode = getOverScrollMode();
        if (overScrollMode == 0) {
            return true;
        }
        if (overScrollMode != 1 || getScrollRange() <= 0) {
            return false;
        }
        return true;
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    private boolean m2036(int i, int i2) {
        if (getChildCount() <= 0) {
            return false;
        }
        int scrollY = getScrollY();
        View childAt = getChildAt(0);
        if (i2 < childAt.getTop() - scrollY || i2 >= childAt.getBottom() - scrollY || i < childAt.getLeft() || i >= childAt.getRight()) {
            return false;
        }
        return true;
    }

    @Override // android.view.ViewGroup
    public void addView(View view, ViewGroup.LayoutParams layoutParams) {
        if (getChildCount() <= 0) {
            super.addView(view, layoutParams);
            return;
        }
        throw new IllegalStateException("ScrollView can host only one direct child");
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    private boolean m2033(int i, int i2, int i3) {
        int height = getHeight();
        int scrollY = getScrollY();
        int i4 = height + scrollY;
        boolean z = false;
        boolean z2 = i == 33;
        View r5 = m2021(z2, i2, i3);
        if (r5 == null) {
            r5 = this;
        }
        if (i2 < scrollY || i3 > i4) {
            m2041(z2 ? i2 - scrollY : i3 - i4);
            z = true;
        }
        if (r5 != findFocus()) {
            r5.requestFocus(i);
        }
        return z;
    }

    @Override // e.g.l.u
    /* renamed from: ʻ  reason: contains not printable characters */
    public void m2053(View view, View view2, int i, int i2) {
        this.f1773.m9364(view, view2, i, i2);
        m2059(2, i2);
    }

    @Override // android.view.ViewGroup
    public void addView(View view, int i, ViewGroup.LayoutParams layoutParams) {
        if (getChildCount() <= 0) {
            super.addView(view, i, layoutParams);
            return;
        }
        throw new IllegalStateException("ScrollView can host only one direct child");
    }

    @Override // e.g.l.u
    /* renamed from: ʻ  reason: contains not printable characters */
    public void m2049(View view, int i) {
        this.f1773.m9362(view, i);
        m2064(i);
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    private void m2030(int i, int i2, int i3, boolean z) {
        if (getChildCount() != 0) {
            if (AnimationUtils.currentAnimationTimeMillis() - this.f1760 > 250) {
                View childAt = getChildAt(0);
                FrameLayout.LayoutParams layoutParams = (FrameLayout.LayoutParams) childAt.getLayoutParams();
                int scrollY = getScrollY();
                OverScroller overScroller = this.f1762;
                int scrollX = getScrollX();
                overScroller.startScroll(scrollX, scrollY, 0, Math.max(0, Math.min(i2 + scrollY, Math.max(0, ((childAt.getHeight() + layoutParams.topMargin) + layoutParams.bottomMargin) - ((getHeight() - getPaddingTop()) - getPaddingBottom())))) - scrollY, i3);
                m2025(z);
            } else {
                if (!this.f1762.isFinished()) {
                    m2022();
                }
                scrollBy(i, i2);
            }
            this.f1760 = AnimationUtils.currentAnimationTimeMillis();
        }
    }

    @Override // e.g.l.u
    /* renamed from: ʻ  reason: contains not printable characters */
    public void m2050(View view, int i, int i2, int i3, int i4, int i5) {
        m2023(i4, i5, (int[]) null);
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    public boolean m2061(int i) {
        int childCount;
        boolean z = i == 130;
        int height = getHeight();
        Rect rect = this.f1761;
        rect.top = 0;
        rect.bottom = height;
        if (z && (childCount = getChildCount()) > 0) {
            View childAt = getChildAt(childCount - 1);
            this.f1761.bottom = childAt.getBottom() + ((FrameLayout.LayoutParams) childAt.getLayoutParams()).bottomMargin + getPaddingBottom();
            Rect rect2 = this.f1761;
            rect2.top = rect2.bottom - height;
        }
        Rect rect3 = this.f1761;
        return m2033(i, rect3.top, rect3.bottom);
    }

    @Override // e.g.l.u
    /* renamed from: ʻ  reason: contains not printable characters */
    public void m2052(View view, int i, int i2, int[] iArr, int i3) {
        m2056(i, i2, iArr, (int[]) null, i3);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public boolean m2057(KeyEvent keyEvent) {
        this.f1761.setEmpty();
        int i = 130;
        if (!m2035()) {
            if (!isFocused() || keyEvent.getKeyCode() == 4) {
                return false;
            }
            View findFocus = findFocus();
            if (findFocus == this) {
                findFocus = null;
            }
            View findNextFocus = FocusFinder.getInstance().findNextFocus(this, findFocus, 130);
            if (findNextFocus == null || findNextFocus == this || !findNextFocus.requestFocus(130)) {
                return false;
            }
            return true;
        } else if (keyEvent.getAction() != 0) {
            return false;
        } else {
            int keyCode = keyEvent.getKeyCode();
            if (keyCode != 19) {
                if (keyCode != 20) {
                    if (keyCode != 62) {
                        return false;
                    }
                    if (keyEvent.isShiftPressed()) {
                        i = 33;
                    }
                    m2063(i);
                    return false;
                } else if (!keyEvent.isAltPressed()) {
                    return m2054(130);
                } else {
                    return m2061(130);
                }
            } else if (!keyEvent.isAltPressed()) {
                return m2054(33);
            } else {
                return m2061(33);
            }
        }
    }

    static class a extends e.g.l.d {
        a() {
        }

        @Override // e.g.l.d
        /* renamed from: ʻ  reason: contains not printable characters */
        public boolean m2066(View view, int i, Bundle bundle) {
            if (super.m8678(view, i, bundle)) {
                return true;
            }
            NestedScrollView nestedScrollView = (NestedScrollView) view;
            if (!nestedScrollView.isEnabled()) {
                return false;
            }
            int height = nestedScrollView.getHeight();
            Rect rect = new Rect();
            if (nestedScrollView.getMatrix().isIdentity() && nestedScrollView.getGlobalVisibleRect(rect)) {
                height = rect.height();
            }
            if (i != 4096) {
                if (i == 8192 || i == 16908344) {
                    int max = Math.max(nestedScrollView.getScrollY() - ((height - nestedScrollView.getPaddingBottom()) - nestedScrollView.getPaddingTop()), 0);
                    if (max == nestedScrollView.getScrollY()) {
                        return false;
                    }
                    nestedScrollView.m2048(0, max, true);
                    return true;
                } else if (i != 16908346) {
                    return false;
                }
            }
            int min = Math.min(nestedScrollView.getScrollY() + ((height - nestedScrollView.getPaddingBottom()) - nestedScrollView.getPaddingTop()), nestedScrollView.getScrollRange());
            if (min == nestedScrollView.getScrollY()) {
                return false;
            }
            nestedScrollView.m2048(0, min, true);
            return true;
        }

        @Override // e.g.l.d
        /* renamed from: ʼ  reason: contains not printable characters */
        public void m2067(View view, AccessibilityEvent accessibilityEvent) {
            super.m8681(view, accessibilityEvent);
            NestedScrollView nestedScrollView = (NestedScrollView) view;
            accessibilityEvent.setClassName(ScrollView.class.getName());
            accessibilityEvent.setScrollable(nestedScrollView.getScrollRange() > 0);
            accessibilityEvent.setScrollX(nestedScrollView.getScrollX());
            accessibilityEvent.setScrollY(nestedScrollView.getScrollY());
            e.m9258(accessibilityEvent, nestedScrollView.getScrollX());
            e.m9260(accessibilityEvent, nestedScrollView.getScrollRange());
        }

        @Override // e.g.l.d
        /* renamed from: ʻ  reason: contains not printable characters */
        public void m2065(View view, e.g.l.m0.c cVar) {
            int scrollRange;
            super.m8677(view, cVar);
            NestedScrollView nestedScrollView = (NestedScrollView) view;
            cVar.m9187((CharSequence) ScrollView.class.getName());
            if (nestedScrollView.isEnabled() && (scrollRange = nestedScrollView.getScrollRange()) > 0) {
                cVar.m9226(true);
                if (nestedScrollView.getScrollY() > 0) {
                    cVar.m9186(c.a.f6143);
                    cVar.m9186(c.a.f6147);
                }
                if (nestedScrollView.getScrollY() < scrollRange) {
                    cVar.m9186(c.a.f6142);
                    cVar.m9186(c.a.f6148);
                }
            }
        }
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    private void m2031(View view) {
        view.getDrawingRect(this.f1761);
        offsetDescendantRectToMyCoords(view, this.f1761);
        int r2 = m2044(this.f1761);
        if (r2 != 0) {
            scrollBy(0, r2);
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private void m2024(MotionEvent motionEvent) {
        int actionIndex = motionEvent.getActionIndex();
        if (motionEvent.getPointerId(actionIndex) == this.f1778) {
            int i = actionIndex == 0 ? 1 : 0;
            this.f1765 = (int) motionEvent.getY(i);
            this.f1778 = motionEvent.getPointerId(i);
            VelocityTracker velocityTracker = this.f1770;
            if (velocityTracker != null) {
                velocityTracker.clear();
            }
        }
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public void m2058(int i) {
        if (getChildCount() > 0) {
            this.f1762.fling(getScrollX(), getScrollY(), 0, i, 0, 0, Integer.MIN_VALUE, Integer.MAX_VALUE, 0, 0);
            m2025(true);
        }
    }

    /* access modifiers changed from: package-private */
    /* JADX WARNING: Removed duplicated region for block: B:34:0x0057  */
    /* JADX WARNING: Removed duplicated region for block: B:36:0x005a  */
    /* JADX WARNING: Removed duplicated region for block: B:45:0x0083 A[ADDED_TO_REGION] */
    /* renamed from: ʻ  reason: contains not printable characters */
    public boolean m2055(int i, int i2, int i3, int i4, int i5, int i6, int i7, int i8, boolean z) {
        boolean z2;
        boolean z3;
        int overScrollMode = getOverScrollMode();
        boolean z4 = computeHorizontalScrollRange() > computeHorizontalScrollExtent();
        boolean z5 = computeVerticalScrollRange() > computeVerticalScrollExtent();
        boolean z6 = overScrollMode == 0 || (overScrollMode == 1 && z4);
        boolean z7 = overScrollMode == 0 || (overScrollMode == 1 && z5);
        int i9 = i3 + i;
        int i10 = !z6 ? 0 : i7;
        int i11 = i4 + i2;
        int i12 = !z7 ? 0 : i8;
        int i13 = -i10;
        int i14 = i10 + i5;
        int i15 = -i12;
        int i16 = i12 + i6;
        if (i9 > i14) {
            i9 = i14;
        } else if (i9 < i13) {
            i9 = i13;
        } else {
            z2 = false;
            if (i11 <= i16) {
                i11 = i16;
            } else if (i11 < i15) {
                i11 = i15;
            } else {
                z3 = false;
                if (z3 && !m2062(1)) {
                    this.f1762.springBack(i9, i11, 0, 0, 0, getScrollRange());
                }
                onOverScrolled(i9, i11, z2, z3);
                if (!z2 || z3) {
                    return true;
                }
                return false;
            }
            z3 = true;
            this.f1762.springBack(i9, i11, 0, 0, 0, getScrollRange());
            onOverScrolled(i9, i11, z2, z3);
            if (!z2) {
            }
            return true;
        }
        z2 = true;
        if (i11 <= i16) {
        }
        z3 = true;
        this.f1762.springBack(i9, i11, 0, 0, 0, getScrollRange());
        onOverScrolled(i9, i11, z2, z3);
        if (!z2) {
        }
        return true;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private View m2021(boolean z, int i, int i2) {
        ArrayList focusables = getFocusables(2);
        int size = focusables.size();
        View view = null;
        boolean z2 = false;
        for (int i3 = 0; i3 < size; i3++) {
            View view2 = (View) focusables.get(i3);
            int top = view2.getTop();
            int bottom = view2.getBottom();
            if (i < bottom && top < i2) {
                boolean z3 = i < top && bottom < i2;
                if (view == null) {
                    view = view2;
                    z2 = z3;
                } else {
                    boolean z4 = (z && top < view.getTop()) || (!z && bottom > view.getBottom());
                    if (z2) {
                        if (z3) {
                            if (!z4) {
                            }
                        }
                    } else if (z3) {
                        view = view2;
                        z2 = true;
                    } else if (!z4) {
                    }
                    view = view2;
                }
            }
        }
        return view;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public boolean m2054(int i) {
        View findFocus = findFocus();
        if (findFocus == this) {
            findFocus = null;
        }
        View findNextFocus = FocusFinder.getInstance().findNextFocus(this, findFocus, i);
        int maxScrollAmount = getMaxScrollAmount();
        if (findNextFocus == null || !m2028(findNextFocus, maxScrollAmount, getHeight())) {
            if (i == 33 && getScrollY() < maxScrollAmount) {
                maxScrollAmount = getScrollY();
            } else if (i == 130 && getChildCount() > 0) {
                View childAt = getChildAt(0);
                maxScrollAmount = Math.min((childAt.getBottom() + ((FrameLayout.LayoutParams) childAt.getLayoutParams()).bottomMargin) - ((getScrollY() + getHeight()) - getPaddingBottom()), maxScrollAmount);
            }
            if (maxScrollAmount == 0) {
                return false;
            }
            if (i != 130) {
                maxScrollAmount = -maxScrollAmount;
            }
            m2041(maxScrollAmount);
        } else {
            findNextFocus.getDrawingRect(this.f1761);
            offsetDescendantRectToMyCoords(findNextFocus, this.f1761);
            m2041(m2044(this.f1761));
            findNextFocus.requestFocus(i);
        }
        if (findFocus == null || !findFocus.isFocused() || !m2027(findFocus)) {
            return true;
        }
        int descendantFocusability = getDescendantFocusability();
        setDescendantFocusability(131072);
        requestFocus();
        setDescendantFocusability(descendantFocusability);
        return true;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private boolean m2027(View view) {
        return !m2028(view, 0, getHeight());
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private boolean m2028(View view, int i, int i2) {
        view.getDrawingRect(this.f1761);
        offsetDescendantRectToMyCoords(view, this.f1761);
        return this.f1761.bottom + i >= getScrollY() && this.f1761.top - i <= getScrollY() + i2;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public final void m2045(int i, int i2) {
        m2030(i, i2, 250, false);
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʻ  reason: contains not printable characters */
    public void m2048(int i, int i2, boolean z) {
        m2047(i, i2, 250, z);
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʻ  reason: contains not printable characters */
    public void m2047(int i, int i2, int i3, boolean z) {
        m2030(i - getScrollX(), i2 - getScrollY(), i3, z);
    }

    /* JADX WARNING: Removed duplicated region for block: B:13:0x0061  */
    /* renamed from: ʻ  reason: contains not printable characters */
    private int m2019(int i, float f2) {
        int round;
        float r4;
        float width = f2 / ((float) getWidth());
        float height = ((float) i) / ((float) getHeight());
        float f3 = 0.0f;
        if (e.m2121(this.f1763) != 0.0f) {
            r4 = -e.m2124(this.f1763, -height, width);
            if (e.m2121(this.f1763) == 0.0f) {
                this.f1763.onRelease();
            }
        } else {
            if (e.m2121(this.f1764) != 0.0f) {
                r4 = e.m2124(this.f1764, height, 1.0f - width);
                if (e.m2121(this.f1764) == 0.0f) {
                    this.f1764.onRelease();
                }
            }
            round = Math.round(f3 * ((float) getHeight()));
            if (round != 0) {
                invalidate();
            }
            return round;
        }
        f3 = r4;
        round = Math.round(f3 * ((float) getHeight()));
        if (round != 0) {
        }
        return round;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private void m2025(boolean z) {
        if (z) {
            m2059(2, 1);
        } else {
            m2064(1);
        }
        this.f1782 = getScrollY();
        d0.m8749(this);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private void m2022() {
        this.f1762.abortAnimation();
        m2064(1);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private boolean m2026(Rect rect, boolean z) {
        int r3 = m2044(rect);
        boolean z2 = r3 != 0;
        if (z2) {
            if (z) {
                scrollBy(0, r3);
            } else {
                m2045(0, r3);
            }
        }
        return z2;
    }

    /* access modifiers changed from: protected */
    /* renamed from: ʻ  reason: contains not printable characters */
    public int m2044(Rect rect) {
        int i;
        int i2;
        if (getChildCount() == 0) {
            return 0;
        }
        int height = getHeight();
        int scrollY = getScrollY();
        int i3 = scrollY + height;
        int verticalFadingEdgeLength = getVerticalFadingEdgeLength();
        if (rect.top > 0) {
            scrollY += verticalFadingEdgeLength;
        }
        View childAt = getChildAt(0);
        FrameLayout.LayoutParams layoutParams = (FrameLayout.LayoutParams) childAt.getLayoutParams();
        int i4 = rect.bottom < (childAt.getHeight() + layoutParams.topMargin) + layoutParams.bottomMargin ? i3 - verticalFadingEdgeLength : i3;
        if (rect.bottom > i4 && rect.top > scrollY) {
            if (rect.height() > height) {
                i2 = rect.top - scrollY;
            } else {
                i2 = rect.bottom - i4;
            }
            return Math.min(i2 + 0, (childAt.getBottom() + layoutParams.bottomMargin) - i3);
        } else if (rect.top >= scrollY || rect.bottom >= i4) {
            return 0;
        } else {
            if (rect.height() > height) {
                i = 0 - (i4 - rect.bottom);
            } else {
                i = 0 - (scrollY - rect.top);
            }
            return Math.max(i, -getScrollY());
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private static boolean m2029(View view, View view2) {
        if (view == view2) {
            return true;
        }
        ViewParent parent = view.getParent();
        if (!(parent instanceof ViewGroup) || !m2029((View) parent, view2)) {
            return false;
        }
        return true;
    }
}
