package androidx.emoji2.text;

import android.text.Editable;
import android.text.Selection;
import android.text.Spannable;
import android.text.SpannableString;
import android.text.Spanned;
import android.text.method.MetaKeyKeyListener;
import android.view.KeyEvent;
import android.view.inputmethod.InputConnection;
import androidx.emoji2.text.h;
import androidx.emoji2.text.n;
import java.util.Arrays;

/* access modifiers changed from: package-private */
/* compiled from: EmojiProcessor */
public final class j {

    /* renamed from: ʻ  reason: contains not printable characters */
    private final h.i f1939;

    /* renamed from: ʼ  reason: contains not printable characters */
    private final n f1940;

    /* renamed from: ʽ  reason: contains not printable characters */
    private h.d f1941;

    /* renamed from: ʾ  reason: contains not printable characters */
    private final boolean f1942;

    /* renamed from: ʿ  reason: contains not printable characters */
    private final int[] f1943;

    /* access modifiers changed from: private */
    /* compiled from: EmojiProcessor */
    public static final class a {
        /* renamed from: ʻ  reason: contains not printable characters */
        static int m2375(CharSequence charSequence, int i, int i2) {
            int length = charSequence.length();
            if (i < 0 || length < i || i2 < 0) {
                return -1;
            }
            while (true) {
                boolean z = false;
                while (i2 != 0) {
                    i--;
                    if (i < 0) {
                        return z ? -1 : 0;
                    }
                    char charAt = charSequence.charAt(i);
                    if (z) {
                        if (!Character.isHighSurrogate(charAt)) {
                            return -1;
                        }
                        i2--;
                    } else if (!Character.isSurrogate(charAt)) {
                        i2--;
                    } else if (Character.isHighSurrogate(charAt)) {
                        return -1;
                    } else {
                        z = true;
                    }
                }
                return i;
            }
        }

        /* renamed from: ʼ  reason: contains not printable characters */
        static int m2376(CharSequence charSequence, int i, int i2) {
            int length = charSequence.length();
            if (i < 0 || length < i || i2 < 0) {
                return -1;
            }
            while (true) {
                boolean z = false;
                while (i2 != 0) {
                    if (i < length) {
                        char charAt = charSequence.charAt(i);
                        if (z) {
                            if (!Character.isLowSurrogate(charAt)) {
                                return -1;
                            }
                            i2--;
                            i++;
                        } else if (!Character.isSurrogate(charAt)) {
                            i2--;
                            i++;
                        } else if (Character.isLowSurrogate(charAt)) {
                            return -1;
                        } else {
                            i++;
                            z = true;
                        }
                    } else if (z) {
                        return -1;
                    } else {
                        return length;
                    }
                }
                return i;
            }
        }
    }

    j(n nVar, h.i iVar, h.d dVar, boolean z, int[] iArr) {
        this.f1939 = iVar;
        this.f1940 = nVar;
        this.f1941 = dVar;
        this.f1942 = z;
        this.f1943 = iArr;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private static boolean m2368(int i, int i2) {
        return i == -1 || i2 == -1 || i != i2;
    }

    /* access modifiers changed from: package-private */
    /* JADX WARNING: Removed duplicated region for block: B:23:0x0047 A[Catch:{ all -> 0x012c }] */
    /* JADX WARNING: Removed duplicated region for block: B:28:0x0063 A[Catch:{ all -> 0x012c }] */
    /* JADX WARNING: Removed duplicated region for block: B:77:0x0125  */
    /* renamed from: ʻ  reason: contains not printable characters */
    public CharSequence m2374(CharSequence charSequence, int i, int i2, int i3, boolean z) {
        int i4;
        k[] kVarArr;
        boolean z2 = charSequence instanceof o;
        if (z2) {
            ((o) charSequence).m2433();
        }
        q qVar = null;
        if (!z2) {
            try {
                if (!(charSequence instanceof Spannable)) {
                    if ((charSequence instanceof Spanned) && ((Spanned) charSequence).nextSpanTransition(i - 1, i2 + 1, k.class) <= i2) {
                        qVar = new q(charSequence);
                    }
                    if (!(qVar == null || (kVarArr = (k[]) qVar.getSpans(i, i2, k.class)) == null || kVarArr.length <= 0)) {
                        for (k kVar : kVarArr) {
                            int spanStart = qVar.getSpanStart(kVar);
                            int spanEnd = qVar.getSpanEnd(kVar);
                            if (spanStart != i2) {
                                qVar.removeSpan(kVar);
                            }
                            i = Math.min(spanStart, i);
                            i2 = Math.max(spanEnd, i2);
                        }
                    }
                    if (i != i2) {
                        if (i < charSequence.length()) {
                            if (!(i3 == Integer.MAX_VALUE || qVar == null)) {
                                i3 -= ((k[]) qVar.getSpans(0, qVar.length(), k.class)).length;
                            }
                            b bVar = new b(this.f1940.m2421(), this.f1942, this.f1943);
                            q qVar2 = qVar;
                            int codePointAt = Character.codePointAt(charSequence, i);
                            int i5 = 0;
                            loop1:
                            while (true) {
                                i4 = i;
                                while (i < i2 && i5 < i3) {
                                    int r6 = bVar.m2381(codePointAt);
                                    if (r6 == 1) {
                                        i4 += Character.charCount(Character.codePointAt(charSequence, i4));
                                        if (i4 < i2) {
                                            codePointAt = Character.codePointAt(charSequence, i4);
                                        }
                                        i = i4;
                                    } else if (r6 == 2) {
                                        i += Character.charCount(codePointAt);
                                        if (i < i2) {
                                            codePointAt = Character.codePointAt(charSequence, i);
                                        }
                                    } else if (r6 == 3) {
                                        if (z || !m2373(charSequence, i4, i, bVar.m2383())) {
                                            if (qVar2 == null) {
                                                qVar2 = new q((Spannable) new SpannableString(charSequence));
                                            }
                                            m2367(qVar2, bVar.m2383(), i4, i);
                                            i5++;
                                        }
                                    }
                                }
                            }
                            if (bVar.m2384() && i5 < i3 && (z || !m2373(charSequence, i4, i, bVar.m2382()))) {
                                if (qVar2 == null) {
                                    qVar2 = new q(charSequence);
                                }
                                m2367(qVar2, bVar.m2382(), i4, i);
                            }
                            if (qVar2 != null) {
                                Spannable r11 = qVar2.m2441();
                                if (z2) {
                                    ((o) charSequence).m2434();
                                }
                                return r11;
                            }
                            if (z2) {
                                ((o) charSequence).m2434();
                            }
                            return charSequence;
                        }
                    }
                    if (z2) {
                        ((o) charSequence).m2434();
                    }
                    return charSequence;
                }
            } catch (Throwable th) {
                if (z2) {
                    ((o) charSequence).m2434();
                }
                throw th;
            }
        }
        qVar = new q((Spannable) charSequence);
        while (r5 < r4) {
        }
        if (i != i2) {
        }
        if (z2) {
        }
        return charSequence;
    }

    /* access modifiers changed from: package-private */
    /* compiled from: EmojiProcessor */
    public static final class b {

        /* renamed from: ʻ  reason: contains not printable characters */
        private int f1944 = 1;

        /* renamed from: ʼ  reason: contains not printable characters */
        private final n.a f1945;

        /* renamed from: ʽ  reason: contains not printable characters */
        private n.a f1946;

        /* renamed from: ʾ  reason: contains not printable characters */
        private n.a f1947;

        /* renamed from: ʿ  reason: contains not printable characters */
        private int f1948;

        /* renamed from: ˆ  reason: contains not printable characters */
        private int f1949;

        /* renamed from: ˈ  reason: contains not printable characters */
        private final boolean f1950;

        /* renamed from: ˉ  reason: contains not printable characters */
        private final int[] f1951;

        b(n.a aVar, boolean z, int[] iArr) {
            this.f1945 = aVar;
            this.f1946 = aVar;
            this.f1950 = z;
            this.f1951 = iArr;
        }

        /* renamed from: ʼ  reason: contains not printable characters */
        private static boolean m2377(int i) {
            return i == 65039;
        }

        /* renamed from: ʽ  reason: contains not printable characters */
        private static boolean m2378(int i) {
            return i == 65038;
        }

        /* renamed from: ʾ  reason: contains not printable characters */
        private int m2379() {
            this.f1944 = 1;
            this.f1946 = this.f1945;
            this.f1949 = 0;
            return 1;
        }

        /* renamed from: ʿ  reason: contains not printable characters */
        private boolean m2380() {
            if (this.f1946.m2423().m2366() || m2377(this.f1948)) {
                return true;
            }
            if (this.f1950) {
                if (this.f1951 == null) {
                    return true;
                }
                if (Arrays.binarySearch(this.f1951, this.f1946.m2423().m2358(0)) < 0) {
                    return true;
                }
            }
            return false;
        }

        /* access modifiers changed from: package-private */
        /* renamed from: ʻ  reason: contains not printable characters */
        public int m2381(int i) {
            n.a r0 = this.f1946.m2424(i);
            int i2 = 3;
            if (this.f1944 != 2) {
                if (r0 == null) {
                    i2 = m2379();
                    this.f1948 = i;
                    return i2;
                }
                this.f1944 = 2;
                this.f1946 = r0;
                this.f1949 = 1;
            } else if (r0 != null) {
                this.f1946 = r0;
                this.f1949++;
            } else {
                if (m2378(i)) {
                    i2 = m2379();
                } else if (!m2377(i)) {
                    if (this.f1946.m2423() == null) {
                        i2 = m2379();
                    } else if (this.f1949 != 1) {
                        this.f1947 = this.f1946;
                        m2379();
                    } else if (m2380()) {
                        this.f1947 = this.f1946;
                        m2379();
                    } else {
                        i2 = m2379();
                    }
                }
                this.f1948 = i;
                return i2;
            }
            i2 = 2;
            this.f1948 = i;
            return i2;
        }

        /* access modifiers changed from: package-private */
        /* renamed from: ʼ  reason: contains not printable characters */
        public i m2383() {
            return this.f1947.m2423();
        }

        /* access modifiers changed from: package-private */
        /* renamed from: ʽ  reason: contains not printable characters */
        public boolean m2384() {
            if (this.f1944 != 2 || this.f1946.m2423() == null || (this.f1949 <= 1 && !m2380())) {
                return false;
            }
            return true;
        }

        /* access modifiers changed from: package-private */
        /* renamed from: ʻ  reason: contains not printable characters */
        public i m2382() {
            return this.f1946.m2423();
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    static boolean m2369(Editable editable, int i, KeyEvent keyEvent) {
        boolean z;
        if (i != 67) {
            z = i != 112 ? false : m2370(editable, keyEvent, true);
        } else {
            z = m2370(editable, keyEvent, false);
        }
        if (!z) {
            return false;
        }
        MetaKeyKeyListener.adjustMetaAfterKeypress(editable);
        return true;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private static boolean m2370(Editable editable, KeyEvent keyEvent, boolean z) {
        k[] kVarArr;
        if (m2371(keyEvent)) {
            return false;
        }
        int selectionStart = Selection.getSelectionStart(editable);
        int selectionEnd = Selection.getSelectionEnd(editable);
        if (!m2368(selectionStart, selectionEnd) && (kVarArr = (k[]) editable.getSpans(selectionStart, selectionEnd, k.class)) != null && kVarArr.length > 0) {
            for (k kVar : kVarArr) {
                int spanStart = editable.getSpanStart(kVar);
                int spanEnd = editable.getSpanEnd(kVar);
                if ((z && spanStart == selectionStart) || ((!z && spanEnd == selectionStart) || (selectionStart > spanStart && selectionStart < spanEnd))) {
                    editable.delete(spanStart, spanEnd);
                    return true;
                }
            }
        }
        return false;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    static boolean m2372(InputConnection inputConnection, Editable editable, int i, int i2, boolean z) {
        int i3;
        int i4;
        if (editable != null && inputConnection != null && i >= 0 && i2 >= 0) {
            int selectionStart = Selection.getSelectionStart(editable);
            int selectionEnd = Selection.getSelectionEnd(editable);
            if (m2368(selectionStart, selectionEnd)) {
                return false;
            }
            if (z) {
                i4 = a.m2375(editable, selectionStart, Math.max(i, 0));
                i3 = a.m2376(editable, selectionEnd, Math.max(i2, 0));
                if (i4 == -1 || i3 == -1) {
                    return false;
                }
            } else {
                i4 = Math.max(selectionStart - i, 0);
                i3 = Math.min(selectionEnd + i2, editable.length());
            }
            k[] kVarArr = (k[]) editable.getSpans(i4, i3, k.class);
            if (kVarArr != null && kVarArr.length > 0) {
                for (k kVar : kVarArr) {
                    int spanStart = editable.getSpanStart(kVar);
                    int spanEnd = editable.getSpanEnd(kVar);
                    i4 = Math.min(spanStart, i4);
                    i3 = Math.max(spanEnd, i3);
                }
                int max = Math.max(i4, 0);
                int min = Math.min(i3, editable.length());
                inputConnection.beginBatchEdit();
                editable.delete(max, min);
                inputConnection.endBatchEdit();
                return true;
            }
        }
        return false;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private static boolean m2371(KeyEvent keyEvent) {
        return !KeyEvent.metaStateHasNoModifiers(keyEvent.getMetaState());
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private void m2367(Spannable spannable, i iVar, int i, int i2) {
        spannable.setSpan(this.f1939.m2355(iVar), i, i2, 33);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private boolean m2373(CharSequence charSequence, int i, int i2, i iVar) {
        if (iVar.m2361() == 0) {
            iVar.m2360(this.f1941.m2349(charSequence, i, i2, iVar.m2364()));
        }
        return iVar.m2361() == 2;
    }
}
