package androidx.fragment.app;

import android.util.Log;
import android.view.View;
import android.view.ViewGroup;
import java.io.FileDescriptor;
import java.io.PrintWriter;
import java.util.ArrayList;
import java.util.Collections;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;

/* access modifiers changed from: package-private */
/* compiled from: FragmentStore */
public class f0 {

    /* renamed from: ʻ  reason: contains not printable characters */
    private final ArrayList<Fragment> f2106 = new ArrayList<>();

    /* renamed from: ʼ  reason: contains not printable characters */
    private final HashMap<String, e0> f2107 = new HashMap<>();

    /* renamed from: ʽ  reason: contains not printable characters */
    private final HashMap<String, d0> f2108 = new HashMap<>();

    /* renamed from: ʾ  reason: contains not printable characters */
    private a0 f2109;

    f0() {
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʻ  reason: contains not printable characters */
    public void m2657(a0 a0Var) {
        this.f2109 = a0Var;
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʼ  reason: contains not printable characters */
    public void m2667(e0 e0Var) {
        Fragment r4 = e0Var.m2644();
        if (r4.f1997) {
            this.f2109.m2619(r4);
        }
        if (this.f2107.put(r4.f2008, null) != null && x.m2987(2)) {
            Log.v("FragmentManager", "Removed fragment from active set " + r4);
        }
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʽ  reason: contains not printable characters */
    public void m2670(Fragment fragment) {
        synchronized (this.f2106) {
            this.f2106.remove(fragment);
        }
        fragment.f2020 = false;
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʾ  reason: contains not printable characters */
    public ArrayList<d0> m2672() {
        return new ArrayList<>(this.f2108.values());
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʿ  reason: contains not printable characters */
    public List<Fragment> m2674() {
        ArrayList arrayList;
        if (this.f2106.isEmpty()) {
            return Collections.emptyList();
        }
        synchronized (this.f2106) {
            arrayList = new ArrayList(this.f2106);
        }
        return arrayList;
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ˆ  reason: contains not printable characters */
    public a0 m2675() {
        return this.f2109;
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ˈ  reason: contains not printable characters */
    public void m2677() {
        Iterator<Fragment> it = this.f2106.iterator();
        while (it.hasNext()) {
            e0 e0Var = this.f2107.get(it.next().f2008);
            if (e0Var != null) {
                e0Var.m2645();
            }
        }
        for (e0 e0Var2 : this.f2107.values()) {
            if (e0Var2 != null) {
                e0Var2.m2645();
                Fragment r2 = e0Var2.m2644();
                if (r2.f2022 && !r2.m2574()) {
                    if (r2.f2024 && !this.f2108.containsKey(r2.f2008)) {
                        e0Var2.m2648();
                    }
                    m2667(e0Var2);
                }
            }
        }
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ˉ  reason: contains not printable characters */
    public void m2678() {
        this.f2107.clear();
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ˊ  reason: contains not printable characters */
    public ArrayList<String> m2679() {
        ArrayList<String> arrayList = new ArrayList<>(this.f2107.size());
        for (e0 e0Var : this.f2107.values()) {
            if (e0Var != null) {
                Fragment r3 = e0Var.m2644();
                e0Var.m2648();
                arrayList.add(r3.f2008);
                if (x.m2987(2)) {
                    Log.v("FragmentManager", "Saved state of " + r3 + ": " + r3.f2000);
                }
            }
        }
        return arrayList;
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ˋ  reason: contains not printable characters */
    public ArrayList<String> m2680() {
        synchronized (this.f2106) {
            if (this.f2106.isEmpty()) {
                return null;
            }
            ArrayList<String> arrayList = new ArrayList<>(this.f2106.size());
            Iterator<Fragment> it = this.f2106.iterator();
            while (it.hasNext()) {
                Fragment next = it.next();
                arrayList.add(next.f2008);
                if (x.m2987(2)) {
                    Log.v("FragmentManager", "saveAllState: adding fragment (" + next.f2008 + "): " + next);
                }
            }
            return arrayList;
        }
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʻ  reason: contains not printable characters */
    public void m2661(List<String> list) {
        this.f2106.clear();
        if (list != null) {
            for (String str : list) {
                Fragment r1 = m2665(str);
                if (r1 != null) {
                    if (x.m2987(2)) {
                        Log.v("FragmentManager", "restoreSaveState: added (" + str + "): " + r1);
                    }
                    m2656(r1);
                } else {
                    throw new IllegalStateException("No instantiated fragment for (" + str + ")");
                }
            }
        }
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʾ  reason: contains not printable characters */
    public Fragment m2671(String str) {
        Fragment r1;
        for (e0 e0Var : this.f2107.values()) {
            if (!(e0Var == null || (r1 = e0Var.m2644().m2478(str)) == null)) {
                return r1;
            }
        }
        return null;
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ˆ  reason: contains not printable characters */
    public d0 m2676(String str) {
        return this.f2108.get(str);
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʽ  reason: contains not printable characters */
    public List<Fragment> m2669() {
        ArrayList arrayList = new ArrayList();
        for (e0 e0Var : this.f2107.values()) {
            if (e0Var != null) {
                arrayList.add(e0Var.m2644());
            } else {
                arrayList.add(null);
            }
        }
        return arrayList;
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʿ  reason: contains not printable characters */
    public e0 m2673(String str) {
        return this.f2107.get(str);
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʼ  reason: contains not printable characters */
    public List<e0> m2666() {
        ArrayList arrayList = new ArrayList();
        for (e0 e0Var : this.f2107.values()) {
            if (e0Var != null) {
                arrayList.add(e0Var);
            }
        }
        return arrayList;
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʻ  reason: contains not printable characters */
    public void m2658(e0 e0Var) {
        Fragment r0 = e0Var.m2644();
        if (!m2662(r0.f2008)) {
            this.f2107.put(r0.f2008, e0Var);
            if (r0.f2019) {
                if (r0.f1997) {
                    this.f2109.m2609(r0);
                } else {
                    this.f2109.m2619(r0);
                }
                r0.f2019 = false;
            }
            if (x.m2987(2)) {
                Log.v("FragmentManager", "Added fragment to active set " + r0);
            }
        }
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʼ  reason: contains not printable characters */
    public Fragment m2664(int i) {
        for (int size = this.f2106.size() - 1; size >= 0; size--) {
            Fragment fragment = this.f2106.get(size);
            if (fragment != null && fragment.f2025 == i) {
                return fragment;
            }
        }
        for (e0 e0Var : this.f2107.values()) {
            if (e0Var != null) {
                Fragment r1 = e0Var.m2644();
                if (r1.f2025 == i) {
                    return r1;
                }
            }
        }
        return null;
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʽ  reason: contains not printable characters */
    public Fragment m2668(String str) {
        if (str != null) {
            for (int size = this.f2106.size() - 1; size >= 0; size--) {
                Fragment fragment = this.f2106.get(size);
                if (fragment != null && str.equals(fragment.f1996)) {
                    return fragment;
                }
            }
        }
        if (str == null) {
            return null;
        }
        for (e0 e0Var : this.f2107.values()) {
            if (e0Var != null) {
                Fragment r1 = e0Var.m2644();
                if (str.equals(r1.f1996)) {
                    return r1;
                }
            }
        }
        return null;
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʼ  reason: contains not printable characters */
    public Fragment m2665(String str) {
        e0 e0Var = this.f2107.get(str);
        if (e0Var != null) {
            return e0Var.m2644();
        }
        return null;
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʼ  reason: contains not printable characters */
    public int m2663(Fragment fragment) {
        View view;
        View view2;
        ViewGroup viewGroup = fragment.f2009;
        if (viewGroup == null) {
            return -1;
        }
        int indexOf = this.f2106.indexOf(fragment);
        for (int i = indexOf - 1; i >= 0; i--) {
            Fragment fragment2 = this.f2106.get(i);
            if (fragment2.f2009 == viewGroup && (view2 = fragment2.f2007) != null) {
                return viewGroup.indexOfChild(view2) + 1;
            }
        }
        while (true) {
            indexOf++;
            if (indexOf >= this.f2106.size()) {
                return -1;
            }
            Fragment fragment3 = this.f2106.get(indexOf);
            if (fragment3.f2009 == viewGroup && (view = fragment3.f2007) != null) {
                return viewGroup.indexOfChild(view);
            }
        }
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʻ  reason: contains not printable characters */
    public void m2656(Fragment fragment) {
        if (!this.f2106.contains(fragment)) {
            synchronized (this.f2106) {
                this.f2106.add(fragment);
            }
            fragment.f2020 = true;
            return;
        }
        throw new IllegalStateException("Fragment already added: " + fragment);
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʻ  reason: contains not printable characters */
    public void m2655(int i) {
        for (e0 e0Var : this.f2107.values()) {
            if (e0Var != null) {
                e0Var.m2633(i);
            }
        }
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʻ  reason: contains not printable characters */
    public void m2654() {
        this.f2107.values().removeAll(Collections.singleton(null));
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʻ  reason: contains not printable characters */
    public d0 m2653(String str, d0 d0Var) {
        if (d0Var != null) {
            return this.f2108.put(str, d0Var);
        }
        return this.f2108.remove(str);
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʻ  reason: contains not printable characters */
    public void m2660(ArrayList<d0> arrayList) {
        this.f2108.clear();
        Iterator<d0> it = arrayList.iterator();
        while (it.hasNext()) {
            d0 next = it.next();
            this.f2108.put(next.f2085, next);
        }
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʻ  reason: contains not printable characters */
    public boolean m2662(String str) {
        return this.f2107.get(str) != null;
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʻ  reason: contains not printable characters */
    public void m2659(String str, FileDescriptor fileDescriptor, PrintWriter printWriter, String[] strArr) {
        String str2 = str + "    ";
        if (!this.f2107.isEmpty()) {
            printWriter.print(str);
            printWriter.println("Active Fragments:");
            for (e0 e0Var : this.f2107.values()) {
                printWriter.print(str);
                if (e0Var != null) {
                    Fragment r2 = e0Var.m2644();
                    printWriter.println(r2);
                    r2.m2497(str2, fileDescriptor, printWriter, strArr);
                } else {
                    printWriter.println("null");
                }
            }
        }
        int size = this.f2106.size();
        if (size > 0) {
            printWriter.print(str);
            printWriter.println("Added Fragments:");
            for (int i = 0; i < size; i++) {
                printWriter.print(str);
                printWriter.print("  #");
                printWriter.print(i);
                printWriter.print(": ");
                printWriter.println(this.f2106.get(i).toString());
            }
        }
    }
}
