package com.afollestad.materialdialogs.internal;

import android.annotation.SuppressLint;
import android.content.Context;
import android.content.res.ColorStateList;
import android.graphics.PorterDuff;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.util.Log;
import android.widget.CheckBox;
import android.widget.EditText;
import android.widget.ProgressBar;
import android.widget.RadioButton;
import android.widget.TextView;
import androidx.appcompat.widget.n;
import androidx.core.graphics.drawable.a;
import f.c.a.g;
import f.c.a.j;
import java.lang.reflect.Field;

@SuppressLint({"PrivateResource"})
/* compiled from: MDTintHelper */
public class c {
    /* renamed from: ʻ  reason: contains not printable characters */
    public static void m4605(RadioButton radioButton, ColorStateList colorStateList) {
        if (Build.VERSION.SDK_INT >= 22) {
            radioButton.setButtonTintList(colorStateList);
            return;
        }
        Drawable r0 = a.m1991(e.g.d.a.m8262(radioButton.getContext(), j.abc_btn_radio_material));
        a.m1976(r0, colorStateList);
        radioButton.setButtonDrawable(r0);
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public static void m4606(EditText editText, int i) {
        ColorStateList r0 = m4598(editText.getContext(), i);
        if (editText instanceof n) {
            ((n) editText).setSupportBackgroundTintList(r0);
        } else if (Build.VERSION.SDK_INT >= 21) {
            editText.setBackgroundTintList(r0);
        }
        m4601(editText, i);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public static void m4604(RadioButton radioButton, int i) {
        int r0 = f.c.a.q.a.m10125(radioButton.getContext());
        m4605(radioButton, new ColorStateList(new int[][]{new int[]{16842910, -16842912}, new int[]{16842910, 16842912}, new int[]{-16842910, -16842912}, new int[]{-16842910, 16842912}}, new int[]{f.c.a.q.a.m10141(radioButton.getContext(), g.colorControlNormal), i, r0, r0}));
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public static void m4600(CheckBox checkBox, ColorStateList colorStateList) {
        if (Build.VERSION.SDK_INT >= 22) {
            checkBox.setButtonTintList(colorStateList);
            return;
        }
        Drawable r0 = a.m1991(e.g.d.a.m8262(checkBox.getContext(), j.abc_btn_check_material));
        a.m1976(r0, colorStateList);
        checkBox.setButtonDrawable(r0);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public static void m4599(CheckBox checkBox, int i) {
        int r0 = f.c.a.q.a.m10125(checkBox.getContext());
        m4600(checkBox, new ColorStateList(new int[][]{new int[]{16842910, -16842912}, new int[]{16842910, 16842912}, new int[]{-16842910, -16842912}, new int[]{-16842910, 16842912}}, new int[]{f.c.a.q.a.m10141(checkBox.getContext(), g.colorControlNormal), i, r0, r0}));
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public static void m4602(ProgressBar progressBar, int i) {
        m4603(progressBar, i, false);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private static void m4603(ProgressBar progressBar, int i, boolean z) {
        ColorStateList valueOf = ColorStateList.valueOf(i);
        if (Build.VERSION.SDK_INT >= 21) {
            progressBar.setProgressTintList(valueOf);
            progressBar.setSecondaryProgressTintList(valueOf);
            if (!z) {
                progressBar.setIndeterminateTintList(valueOf);
                return;
            }
            return;
        }
        PorterDuff.Mode mode = PorterDuff.Mode.SRC_IN;
        if (Build.VERSION.SDK_INT <= 10) {
            mode = PorterDuff.Mode.MULTIPLY;
        }
        if (!z && progressBar.getIndeterminateDrawable() != null) {
            progressBar.getIndeterminateDrawable().setColorFilter(i, mode);
        }
        if (progressBar.getProgressDrawable() != null) {
            progressBar.getProgressDrawable().setColorFilter(i, mode);
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private static ColorStateList m4598(Context context, int i) {
        return new ColorStateList(new int[][]{new int[]{-16842910}, new int[]{-16842919, -16842908}, new int[0]}, new int[]{f.c.a.q.a.m10141(context, g.colorControlNormal), f.c.a.q.a.m10141(context, g.colorControlNormal), i});
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private static void m4601(EditText editText, int i) {
        try {
            Field declaredField = TextView.class.getDeclaredField("mCursorDrawableRes");
            declaredField.setAccessible(true);
            int i2 = declaredField.getInt(editText);
            Field declaredField2 = TextView.class.getDeclaredField("mEditor");
            declaredField2.setAccessible(true);
            Object obj = declaredField2.get(editText);
            Field declaredField3 = obj.getClass().getDeclaredField("mCursorDrawable");
            declaredField3.setAccessible(true);
            Drawable[] drawableArr = {e.g.d.a.m8262(editText.getContext(), i2), e.g.d.a.m8262(editText.getContext(), i2)};
            drawableArr[0].setColorFilter(i, PorterDuff.Mode.SRC_IN);
            drawableArr[1].setColorFilter(i, PorterDuff.Mode.SRC_IN);
            declaredField3.set(obj, drawableArr);
        } catch (NoSuchFieldException e2) {
            Log.d("MDTintHelper", "Device issue with cursor tinting: " + e2.getMessage());
            e2.printStackTrace();
        } catch (Exception e3) {
            e3.printStackTrace();
        }
    }
}
