package com.google.android.material.button;

import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.PorterDuff;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.os.Parcel;
import android.os.Parcelable;
import android.text.TextPaint;
import android.util.AttributeSet;
import android.util.Log;
import android.view.accessibility.AccessibilityEvent;
import android.view.accessibility.AccessibilityNodeInfo;
import android.widget.Button;
import android.widget.Checkable;
import android.widget.CompoundButton;
import androidx.appcompat.widget.i;
import com.google.android.material.internal.p;
import com.google.android.material.internal.r;
import e.g.l.d0;
import f.e.a.a.b0.h;
import f.e.a.a.b0.k;
import f.e.a.a.b0.n;
import f.e.a.a.j;
import java.util.Iterator;
import java.util.LinkedHashSet;

public class MaterialButton extends i implements Checkable, n {

    /* renamed from: ᵢ  reason: contains not printable characters */
    private static final int[] f3451 = {16842911};

    /* renamed from: ⁱ  reason: contains not printable characters */
    private static final int[] f3452 = {16842912};

    /* renamed from: ﹳ  reason: contains not printable characters */
    private static final int f3453 = j.Widget_MaterialComponents_Button;

    /* renamed from: ˉ  reason: contains not printable characters */
    private final a f3454;

    /* renamed from: ˊ  reason: contains not printable characters */
    private final LinkedHashSet<a> f3455;

    /* renamed from: ˋ  reason: contains not printable characters */
    private b f3456;

    /* renamed from: ˎ  reason: contains not printable characters */
    private PorterDuff.Mode f3457;

    /* renamed from: ˏ  reason: contains not printable characters */
    private ColorStateList f3458;

    /* renamed from: ˑ  reason: contains not printable characters */
    private Drawable f3459;

    /* renamed from: י  reason: contains not printable characters */
    private int f3460;

    /* renamed from: ـ  reason: contains not printable characters */
    private int f3461;

    /* renamed from: ٴ  reason: contains not printable characters */
    private int f3462;

    /* renamed from: ᐧ  reason: contains not printable characters */
    private int f3463;

    /* renamed from: ᴵ  reason: contains not printable characters */
    private boolean f3464;

    /* renamed from: ᵎ  reason: contains not printable characters */
    private boolean f3465;

    /* renamed from: ᵔ  reason: contains not printable characters */
    private int f3466;

    public interface a {
        /* renamed from: ʻ  reason: contains not printable characters */
        void m5088(MaterialButton materialButton, boolean z);
    }

    interface b {
        /* renamed from: ʻ  reason: contains not printable characters */
        void m5089(MaterialButton materialButton, boolean z);
    }

    /* access modifiers changed from: package-private */
    public static class c extends e.i.a.a {
        public static final Parcelable.Creator<c> CREATOR = new a();

        /* renamed from: ˈ  reason: contains not printable characters */
        boolean f3467;

        static class a implements Parcelable.ClassLoaderCreator<c> {
            a() {
            }

            @Override // android.os.Parcelable.Creator
            public c[] newArray(int i) {
                return new c[i];
            }

            @Override // android.os.Parcelable.ClassLoaderCreator
            public c createFromParcel(Parcel parcel, ClassLoader classLoader) {
                return new c(parcel, classLoader);
            }

            @Override // android.os.Parcelable.Creator
            public c createFromParcel(Parcel parcel) {
                return new c(parcel, null);
            }
        }

        public c(Parcelable parcelable) {
            super(parcelable);
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        private void m5090(Parcel parcel) {
            boolean z = true;
            if (parcel.readInt() != 1) {
                z = false;
            }
            this.f3467 = z;
        }

        @Override // e.i.a.a
        public void writeToParcel(Parcel parcel, int i) {
            super.writeToParcel(parcel, i);
            parcel.writeInt(this.f3467 ? 1 : 0);
        }

        public c(Parcel parcel, ClassLoader classLoader) {
            super(parcel, classLoader);
            if (classLoader == null) {
                c.class.getClassLoader();
            }
            m5090(parcel);
        }
    }

    public MaterialButton(Context context) {
        this(context, null);
    }

    private String getA11yClassName() {
        return (m5086() ? CompoundButton.class : Button.class).getName();
    }

    private int getTextHeight() {
        TextPaint paint = getPaint();
        String charSequence = getText().toString();
        if (getTransformationMethod() != null) {
            charSequence = getTransformationMethod().getTransformation(charSequence, this).toString();
        }
        Rect rect = new Rect();
        paint.getTextBounds(charSequence, 0, charSequence.length(), rect);
        return Math.min(rect.height(), getLayout().getHeight());
    }

    private int getTextWidth() {
        TextPaint paint = getPaint();
        String charSequence = getText().toString();
        if (getTransformationMethod() != null) {
            charSequence = getTransformationMethod().getTransformation(charSequence, this).toString();
        }
        return Math.min((int) paint.measureText(charSequence), getLayout().getEllipsizedWidth());
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private void m5077(int i, int i2) {
        if (this.f3459 != null && getLayout() != null) {
            if (m5080() || m5079()) {
                this.f3462 = 0;
                int i3 = this.f3466;
                boolean z = true;
                if (i3 == 1 || i3 == 3) {
                    this.f3461 = 0;
                    m5078(false);
                    return;
                }
                int i4 = this.f3460;
                if (i4 == 0) {
                    i4 = this.f3459.getIntrinsicWidth();
                }
                int textWidth = (((((i - getTextWidth()) - d0.m8770(this)) - i4) - this.f3463) - d0.m8771(this)) / 2;
                boolean r6 = m5082();
                if (this.f3466 != 4) {
                    z = false;
                }
                if (r6 != z) {
                    textWidth = -textWidth;
                }
                if (this.f3461 != textWidth) {
                    this.f3461 = textWidth;
                    m5078(false);
                }
            } else if (m5081()) {
                this.f3461 = 0;
                if (this.f3466 == 16) {
                    this.f3462 = 0;
                    m5078(false);
                    return;
                }
                int i5 = this.f3460;
                if (i5 == 0) {
                    i5 = this.f3459.getIntrinsicHeight();
                }
                int textHeight = (((((i2 - getTextHeight()) - getPaddingTop()) - i5) - this.f3463) - getPaddingBottom()) / 2;
                if (this.f3462 != textHeight) {
                    this.f3462 = textHeight;
                    m5078(false);
                }
            }
        }
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    private boolean m5079() {
        int i = this.f3466;
        return i == 3 || i == 4;
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    private boolean m5080() {
        int i = this.f3466;
        return i == 1 || i == 2;
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    private boolean m5081() {
        int i = this.f3466;
        return i == 16 || i == 32;
    }

    /* renamed from: ʿ  reason: contains not printable characters */
    private boolean m5082() {
        return d0.m8764(this) == 1;
    }

    /* renamed from: ˆ  reason: contains not printable characters */
    private boolean m5083() {
        a aVar = this.f3454;
        return aVar != null && !aVar.m5158();
    }

    /* renamed from: ˈ  reason: contains not printable characters */
    private void m5084() {
        if (m5080()) {
            androidx.core.widget.j.m2158(this, this.f3459, null, null, null);
        } else if (m5079()) {
            androidx.core.widget.j.m2158(this, null, null, this.f3459, null);
        } else if (m5081()) {
            androidx.core.widget.j.m2158(this, null, this.f3459, null, null);
        }
    }

    public ColorStateList getBackgroundTintList() {
        return getSupportBackgroundTintList();
    }

    public PorterDuff.Mode getBackgroundTintMode() {
        return getSupportBackgroundTintMode();
    }

    public int getCornerRadius() {
        if (m5083()) {
            return this.f3454.m5133();
        }
        return 0;
    }

    public Drawable getIcon() {
        return this.f3459;
    }

    public int getIconGravity() {
        return this.f3466;
    }

    public int getIconPadding() {
        return this.f3463;
    }

    public int getIconSize() {
        return this.f3460;
    }

    public ColorStateList getIconTint() {
        return this.f3458;
    }

    public PorterDuff.Mode getIconTintMode() {
        return this.f3457;
    }

    public int getInsetBottom() {
        return this.f3454.m5141();
    }

    public int getInsetTop() {
        return this.f3454.m5145();
    }

    public ColorStateList getRippleColor() {
        if (m5083()) {
            return this.f3454.m5152();
        }
        return null;
    }

    public k getShapeAppearanceModel() {
        if (m5083()) {
            return this.f3454.m5153();
        }
        throw new IllegalStateException("Attempted to get ShapeAppearanceModel from a MaterialButton which has an overwritten background.");
    }

    public ColorStateList getStrokeColor() {
        if (m5083()) {
            return this.f3454.m5154();
        }
        return null;
    }

    public int getStrokeWidth() {
        if (m5083()) {
            return this.f3454.m5155();
        }
        return 0;
    }

    @Override // androidx.appcompat.widget.i, e.g.l.c0
    public ColorStateList getSupportBackgroundTintList() {
        if (m5083()) {
            return this.f3454.m5156();
        }
        return super.getSupportBackgroundTintList();
    }

    @Override // androidx.appcompat.widget.i, e.g.l.c0
    public PorterDuff.Mode getSupportBackgroundTintMode() {
        if (m5083()) {
            return this.f3454.m5157();
        }
        return super.getSupportBackgroundTintMode();
    }

    public boolean isChecked() {
        return this.f3464;
    }

    /* access modifiers changed from: protected */
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        if (m5083()) {
            h.m10266(this, this.f3454.m5150());
        }
    }

    /* access modifiers changed from: protected */
    public int[] onCreateDrawableState(int i) {
        int[] onCreateDrawableState = super.onCreateDrawableState(i + 2);
        if (m5086()) {
            Button.mergeDrawableStates(onCreateDrawableState, f3451);
        }
        if (isChecked()) {
            Button.mergeDrawableStates(onCreateDrawableState, f3452);
        }
        return onCreateDrawableState;
    }

    @Override // androidx.appcompat.widget.i
    public void onInitializeAccessibilityEvent(AccessibilityEvent accessibilityEvent) {
        super.onInitializeAccessibilityEvent(accessibilityEvent);
        accessibilityEvent.setClassName(getA11yClassName());
        accessibilityEvent.setChecked(isChecked());
    }

    @Override // androidx.appcompat.widget.i
    public void onInitializeAccessibilityNodeInfo(AccessibilityNodeInfo accessibilityNodeInfo) {
        super.onInitializeAccessibilityNodeInfo(accessibilityNodeInfo);
        accessibilityNodeInfo.setClassName(getA11yClassName());
        accessibilityNodeInfo.setCheckable(m5086());
        accessibilityNodeInfo.setChecked(isChecked());
        accessibilityNodeInfo.setClickable(isClickable());
    }

    /* access modifiers changed from: protected */
    @Override // androidx.appcompat.widget.i
    public void onLayout(boolean z, int i, int i2, int i3, int i4) {
        a aVar;
        super.onLayout(z, i, i2, i3, i4);
        if (Build.VERSION.SDK_INT == 21 && (aVar = this.f3454) != null) {
            aVar.m5135(i4 - i2, i3 - i);
        }
    }

    public void onRestoreInstanceState(Parcelable parcelable) {
        if (!(parcelable instanceof c)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        c cVar = (c) parcelable;
        super.onRestoreInstanceState(cVar.m9382());
        setChecked(cVar.f3467);
    }

    public Parcelable onSaveInstanceState() {
        c cVar = new c(super.onSaveInstanceState());
        cVar.f3467 = this.f3464;
        return cVar;
    }

    /* access modifiers changed from: protected */
    public void onSizeChanged(int i, int i2, int i3, int i4) {
        super.onSizeChanged(i, i2, i3, i4);
        m5077(i, i2);
    }

    /* access modifiers changed from: protected */
    @Override // androidx.appcompat.widget.i
    public void onTextChanged(CharSequence charSequence, int i, int i2, int i3) {
        super.onTextChanged(charSequence, i, i2, i3);
        m5077(getMeasuredWidth(), getMeasuredHeight());
    }

    public boolean performClick() {
        toggle();
        return super.performClick();
    }

    public void refreshDrawableState() {
        super.refreshDrawableState();
        if (this.f3459 != null) {
            if (this.f3459.setState(getDrawableState())) {
                invalidate();
            }
        }
    }

    public void setBackground(Drawable drawable) {
        setBackgroundDrawable(drawable);
    }

    public void setBackgroundColor(int i) {
        if (m5083()) {
            this.f3454.m5134(i);
        } else {
            super.setBackgroundColor(i);
        }
    }

    @Override // androidx.appcompat.widget.i
    public void setBackgroundDrawable(Drawable drawable) {
        if (!m5083()) {
            super.setBackgroundDrawable(drawable);
        } else if (drawable != getBackground()) {
            Log.w("MaterialButton", "MaterialButton manages its own background to control elevation, shape, color and states. Consider using backgroundTint, shapeAppearance and other attributes where available. A custom background will ignore these attributes and you should consider handling interaction states such as pressed, focused and disabled");
            this.f3454.m5160();
            super.setBackgroundDrawable(drawable);
        } else {
            getBackground().setState(drawable.getState());
        }
    }

    @Override // androidx.appcompat.widget.i
    public void setBackgroundResource(int i) {
        setBackgroundDrawable(i != 0 ? e.a.k.a.a.m7308(getContext(), i) : null);
    }

    public void setBackgroundTintList(ColorStateList colorStateList) {
        setSupportBackgroundTintList(colorStateList);
    }

    public void setBackgroundTintMode(PorterDuff.Mode mode) {
        setSupportBackgroundTintMode(mode);
    }

    public void setCheckable(boolean z) {
        if (m5083()) {
            this.f3454.m5140(z);
        }
    }

    public void setChecked(boolean z) {
        if (m5086() && isEnabled() && this.f3464 != z) {
            this.f3464 = z;
            refreshDrawableState();
            if (!this.f3465) {
                this.f3465 = true;
                Iterator<a> it = this.f3455.iterator();
                while (it.hasNext()) {
                    it.next().m5088(this, this.f3464);
                }
                this.f3465 = false;
            }
        }
    }

    public void setCornerRadius(int i) {
        if (m5083()) {
            this.f3454.m5142(i);
        }
    }

    public void setCornerRadiusResource(int i) {
        if (m5083()) {
            setCornerRadius(getResources().getDimensionPixelSize(i));
        }
    }

    public void setElevation(float f2) {
        super.setElevation(f2);
        if (m5083()) {
            this.f3454.m5150().m10223(f2);
        }
    }

    public void setIcon(Drawable drawable) {
        if (this.f3459 != drawable) {
            this.f3459 = drawable;
            m5078(true);
            m5077(getMeasuredWidth(), getMeasuredHeight());
        }
    }

    public void setIconGravity(int i) {
        if (this.f3466 != i) {
            this.f3466 = i;
            m5077(getMeasuredWidth(), getMeasuredHeight());
        }
    }

    public void setIconPadding(int i) {
        if (this.f3463 != i) {
            this.f3463 = i;
            setCompoundDrawablePadding(i);
        }
    }

    public void setIconResource(int i) {
        setIcon(i != 0 ? e.a.k.a.a.m7308(getContext(), i) : null);
    }

    public void setIconSize(int i) {
        if (i < 0) {
            throw new IllegalArgumentException("iconSize cannot be less than 0");
        } else if (this.f3460 != i) {
            this.f3460 = i;
            m5078(true);
        }
    }

    public void setIconTint(ColorStateList colorStateList) {
        if (this.f3458 != colorStateList) {
            this.f3458 = colorStateList;
            m5078(false);
        }
    }

    public void setIconTintMode(PorterDuff.Mode mode) {
        if (this.f3457 != mode) {
            this.f3457 = mode;
            m5078(false);
        }
    }

    public void setIconTintResource(int i) {
        setIconTint(e.a.k.a.a.m7307(getContext(), i));
    }

    public void setInsetBottom(int i) {
        this.f3454.m5146(i);
    }

    public void setInsetTop(int i) {
        this.f3454.m5149(i);
    }

    /* access modifiers changed from: package-private */
    public void setInternalBackground(Drawable drawable) {
        super.setBackgroundDrawable(drawable);
    }

    /* access modifiers changed from: package-private */
    public void setOnPressedChangeListenerInternal(b bVar) {
        this.f3456 = bVar;
    }

    public void setPressed(boolean z) {
        b bVar = this.f3456;
        if (bVar != null) {
            bVar.m5089(this, z);
        }
        super.setPressed(z);
    }

    public void setRippleColor(ColorStateList colorStateList) {
        if (m5083()) {
            this.f3454.m5136(colorStateList);
        }
    }

    public void setRippleColorResource(int i) {
        if (m5083()) {
            setRippleColor(e.a.k.a.a.m7307(getContext(), i));
        }
    }

    @Override // f.e.a.a.b0.n
    public void setShapeAppearanceModel(k kVar) {
        if (m5083()) {
            this.f3454.m5139(kVar);
            return;
        }
        throw new IllegalStateException("Attempted to set ShapeAppearanceModel on a MaterialButton which has an overwritten background.");
    }

    /* access modifiers changed from: package-private */
    public void setShouldDrawSurfaceColorStroke(boolean z) {
        if (m5083()) {
            this.f3454.m5144(z);
        }
    }

    public void setStrokeColor(ColorStateList colorStateList) {
        if (m5083()) {
            this.f3454.m5143(colorStateList);
        }
    }

    public void setStrokeColorResource(int i) {
        if (m5083()) {
            setStrokeColor(e.a.k.a.a.m7307(getContext(), i));
        }
    }

    public void setStrokeWidth(int i) {
        if (m5083()) {
            this.f3454.m5151(i);
        }
    }

    public void setStrokeWidthResource(int i) {
        if (m5083()) {
            setStrokeWidth(getResources().getDimensionPixelSize(i));
        }
    }

    @Override // androidx.appcompat.widget.i, e.g.l.c0
    public void setSupportBackgroundTintList(ColorStateList colorStateList) {
        if (m5083()) {
            this.f3454.m5147(colorStateList);
        } else {
            super.setSupportBackgroundTintList(colorStateList);
        }
    }

    @Override // androidx.appcompat.widget.i, e.g.l.c0
    public void setSupportBackgroundTintMode(PorterDuff.Mode mode) {
        if (m5083()) {
            this.f3454.m5138(mode);
        } else {
            super.setSupportBackgroundTintMode(mode);
        }
    }

    public void toggle() {
        setChecked(!this.f3464);
    }

    public MaterialButton(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, f.e.a.a.b.materialButtonStyle);
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public void m5087(a aVar) {
        this.f3455.remove(aVar);
    }

    public MaterialButton(Context context, AttributeSet attributeSet, int i) {
        super(com.google.android.material.theme.a.a.m6153(context, attributeSet, i, f3453), attributeSet, i);
        this.f3455 = new LinkedHashSet<>();
        boolean z = false;
        this.f3464 = false;
        this.f3465 = false;
        Context context2 = getContext();
        TypedArray r0 = p.m5885(context2, attributeSet, f.e.a.a.k.MaterialButton, i, f3453, new int[0]);
        this.f3463 = r0.getDimensionPixelSize(f.e.a.a.k.MaterialButton_iconPadding, 0);
        this.f3457 = r.m5892(r0.getInt(f.e.a.a.k.MaterialButton_iconTintMode, -1), PorterDuff.Mode.SRC_IN);
        this.f3458 = f.e.a.a.y.c.m10535(getContext(), r0, f.e.a.a.k.MaterialButton_iconTint);
        this.f3459 = f.e.a.a.y.c.m10538(getContext(), r0, f.e.a.a.k.MaterialButton_icon);
        this.f3466 = r0.getInteger(f.e.a.a.k.MaterialButton_iconGravity, 1);
        this.f3460 = r0.getDimensionPixelSize(f.e.a.a.k.MaterialButton_iconSize, 0);
        a aVar = new a(this, k.m10274(context2, attributeSet, i, f3453).m10312());
        this.f3454 = aVar;
        aVar.m5137(r0);
        r0.recycle();
        setCompoundDrawablePadding(this.f3463);
        m5078(this.f3459 != null ? true : z);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private void m5078(boolean z) {
        Drawable drawable = this.f3459;
        boolean z2 = true;
        if (drawable != null) {
            Drawable mutate = androidx.core.graphics.drawable.a.m1991(drawable).mutate();
            this.f3459 = mutate;
            androidx.core.graphics.drawable.a.m1976(mutate, this.f3458);
            PorterDuff.Mode mode = this.f3457;
            if (mode != null) {
                androidx.core.graphics.drawable.a.m1979(this.f3459, mode);
            }
            int i = this.f3460;
            if (i == 0) {
                i = this.f3459.getIntrinsicWidth();
            }
            int i2 = this.f3460;
            if (i2 == 0) {
                i2 = this.f3459.getIntrinsicHeight();
            }
            Drawable drawable2 = this.f3459;
            int i3 = this.f3461;
            int i4 = this.f3462;
            drawable2.setBounds(i3, i4, i + i3, i2 + i4);
            this.f3459.setVisible(true, z);
        }
        if (z) {
            m5084();
            return;
        }
        Drawable[] r7 = androidx.core.widget.j.m2161(this);
        Drawable drawable3 = r7[0];
        Drawable drawable4 = r7[1];
        Drawable drawable5 = r7[2];
        if ((!m5080() || drawable3 == this.f3459) && ((!m5079() || drawable5 == this.f3459) && (!m5081() || drawable4 == this.f3459))) {
            z2 = false;
        }
        if (z2) {
            m5084();
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public void m5085(a aVar) {
        this.f3455.add(aVar);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public boolean m5086() {
        a aVar = this.f3454;
        return aVar != null && aVar.m5159();
    }
}
