package com.google.android.material.chip;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.drawable.Drawable;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewGroup;
import android.view.accessibility.AccessibilityNodeInfo;
import android.widget.CompoundButton;
import com.google.android.material.internal.p;
import e.g.l.d0;
import e.g.l.m0.c;
import f.e.a.a.j;
import f.e.a.a.k;
import java.util.ArrayList;
import java.util.List;

public class ChipGroup extends com.google.android.material.internal.d {

    /* renamed from: ᴵ  reason: contains not printable characters */
    private static final int f3534 = j.Widget_MaterialComponents_ChipGroup;

    /* renamed from: ˊ  reason: contains not printable characters */
    private int f3535;

    /* renamed from: ˋ  reason: contains not printable characters */
    private int f3536;

    /* renamed from: ˎ  reason: contains not printable characters */
    private boolean f3537;

    /* renamed from: ˏ  reason: contains not printable characters */
    private boolean f3538;

    /* renamed from: ˑ  reason: contains not printable characters */
    private d f3539;

    /* renamed from: י  reason: contains not printable characters */
    private final b f3540;

    /* renamed from: ـ  reason: contains not printable characters */
    private e f3541;

    /* renamed from: ٴ  reason: contains not printable characters */
    private int f3542;

    /* renamed from: ᐧ  reason: contains not printable characters */
    private boolean f3543;

    /* access modifiers changed from: private */
    public class b implements CompoundButton.OnCheckedChangeListener {
        private b() {
        }

        public void onCheckedChanged(CompoundButton compoundButton, boolean z) {
            if (!ChipGroup.this.f3543) {
                if (!ChipGroup.this.getCheckedChipIds().isEmpty() || !ChipGroup.this.f3538) {
                    int id = compoundButton.getId();
                    if (z) {
                        if (!(ChipGroup.this.f3542 == -1 || ChipGroup.this.f3542 == id || !ChipGroup.this.f3537)) {
                            ChipGroup chipGroup = ChipGroup.this;
                            chipGroup.m5201(chipGroup.f3542, false);
                        }
                        ChipGroup.this.setCheckedId(id);
                    } else if (ChipGroup.this.f3542 == id) {
                        ChipGroup.this.setCheckedId(-1);
                    }
                } else {
                    ChipGroup.this.m5201(compoundButton.getId(), true);
                    ChipGroup.this.m5198((ChipGroup) compoundButton.getId(), false);
                }
            }
        }
    }

    public static class c extends ViewGroup.MarginLayoutParams {
        public c(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
        }

        public c(ViewGroup.LayoutParams layoutParams) {
            super(layoutParams);
        }

        public c(int i, int i2) {
            super(i, i2);
        }
    }

    public interface d {
        /* renamed from: ʻ  reason: contains not printable characters */
        void m5212(ChipGroup chipGroup, int i);
    }

    private class e implements ViewGroup.OnHierarchyChangeListener {

        /* renamed from: ʿ  reason: contains not printable characters */
        private ViewGroup.OnHierarchyChangeListener f3545;

        private e() {
        }

        public void onChildViewAdded(View view, View view2) {
            if (view == ChipGroup.this && (view2 instanceof Chip)) {
                if (view2.getId() == -1) {
                    view2.setId(d0.m8716());
                }
                Chip chip = (Chip) view2;
                if (chip.isChecked()) {
                    ((ChipGroup) view).m5207(chip.getId());
                }
                chip.setOnCheckedChangeListenerInternal(ChipGroup.this.f3540);
            }
            ViewGroup.OnHierarchyChangeListener onHierarchyChangeListener = this.f3545;
            if (onHierarchyChangeListener != null) {
                onHierarchyChangeListener.onChildViewAdded(view, view2);
            }
        }

        public void onChildViewRemoved(View view, View view2) {
            if (view == ChipGroup.this && (view2 instanceof Chip)) {
                ((Chip) view2).setOnCheckedChangeListenerInternal(null);
            }
            ViewGroup.OnHierarchyChangeListener onHierarchyChangeListener = this.f3545;
            if (onHierarchyChangeListener != null) {
                onHierarchyChangeListener.onChildViewRemoved(view, view2);
            }
        }
    }

    public ChipGroup(Context context) {
        this(context, null);
    }

    private int getChipCount() {
        int i = 0;
        for (int i2 = 0; i2 < getChildCount(); i2++) {
            if (getChildAt(i2) instanceof Chip) {
                i++;
            }
        }
        return i;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void setCheckedId(int i) {
        m5198(i, true);
    }

    @Override // android.view.ViewGroup
    public void addView(View view, int i, ViewGroup.LayoutParams layoutParams) {
        if (view instanceof Chip) {
            Chip chip = (Chip) view;
            if (chip.isChecked()) {
                int i2 = this.f3542;
                if (i2 != -1 && this.f3537) {
                    m5201(i2, false);
                }
                setCheckedId(chip.getId());
            }
        }
        super.addView(view, i, layoutParams);
    }

    /* access modifiers changed from: protected */
    public boolean checkLayoutParams(ViewGroup.LayoutParams layoutParams) {
        return super.checkLayoutParams(layoutParams) && (layoutParams instanceof c);
    }

    /* access modifiers changed from: protected */
    public ViewGroup.LayoutParams generateDefaultLayoutParams() {
        return new c(-2, -2);
    }

    @Override // android.view.ViewGroup
    public ViewGroup.LayoutParams generateLayoutParams(AttributeSet attributeSet) {
        return new c(getContext(), attributeSet);
    }

    public int getCheckedChipId() {
        if (this.f3537) {
            return this.f3542;
        }
        return -1;
    }

    public List<Integer> getCheckedChipIds() {
        ArrayList arrayList = new ArrayList();
        for (int i = 0; i < getChildCount(); i++) {
            View childAt = getChildAt(i);
            if ((childAt instanceof Chip) && ((Chip) childAt).isChecked()) {
                arrayList.add(Integer.valueOf(childAt.getId()));
                if (this.f3537) {
                    return arrayList;
                }
            }
        }
        return arrayList;
    }

    public int getChipSpacingHorizontal() {
        return this.f3535;
    }

    public int getChipSpacingVertical() {
        return this.f3536;
    }

    /* access modifiers changed from: protected */
    public void onFinishInflate() {
        super.onFinishInflate();
        int i = this.f3542;
        if (i != -1) {
            m5201(i, true);
            setCheckedId(this.f3542);
        }
    }

    public void onInitializeAccessibilityNodeInfo(AccessibilityNodeInfo accessibilityNodeInfo) {
        super.onInitializeAccessibilityNodeInfo(accessibilityNodeInfo);
        e.g.l.m0.c.m9166(accessibilityNodeInfo).m9189(c.b.m9250(getRowCount(), m5208() ? getChipCount() : -1, false, m5211() ? 1 : 2));
    }

    public void setChipSpacing(int i) {
        setChipSpacingHorizontal(i);
        setChipSpacingVertical(i);
    }

    public void setChipSpacingHorizontal(int i) {
        if (this.f3535 != i) {
            this.f3535 = i;
            setItemSpacing(i);
            requestLayout();
        }
    }

    public void setChipSpacingHorizontalResource(int i) {
        setChipSpacingHorizontal(getResources().getDimensionPixelOffset(i));
    }

    public void setChipSpacingResource(int i) {
        setChipSpacing(getResources().getDimensionPixelOffset(i));
    }

    public void setChipSpacingVertical(int i) {
        if (this.f3536 != i) {
            this.f3536 = i;
            setLineSpacing(i);
            requestLayout();
        }
    }

    public void setChipSpacingVerticalResource(int i) {
        setChipSpacingVertical(getResources().getDimensionPixelOffset(i));
    }

    @Deprecated
    public void setDividerDrawableHorizontal(Drawable drawable) {
        throw new UnsupportedOperationException("Changing divider drawables have no effect. ChipGroup do not use divider drawables as spacing.");
    }

    @Deprecated
    public void setDividerDrawableVertical(Drawable drawable) {
        throw new UnsupportedOperationException("Changing divider drawables have no effect. ChipGroup do not use divider drawables as spacing.");
    }

    @Deprecated
    public void setFlexWrap(int i) {
        throw new UnsupportedOperationException("Changing flex wrap not allowed. ChipGroup exposes a singleLine attribute instead.");
    }

    public void setOnCheckedChangeListener(d dVar) {
        this.f3539 = dVar;
    }

    public void setOnHierarchyChangeListener(ViewGroup.OnHierarchyChangeListener onHierarchyChangeListener) {
        this.f3541.f3545 = onHierarchyChangeListener;
    }

    public void setSelectionRequired(boolean z) {
        this.f3538 = z;
    }

    @Deprecated
    public void setShowDividerHorizontal(int i) {
        throw new UnsupportedOperationException("Changing divider modes has no effect. ChipGroup do not use divider drawables as spacing.");
    }

    @Deprecated
    public void setShowDividerVertical(int i) {
        throw new UnsupportedOperationException("Changing divider modes has no effect. ChipGroup do not use divider drawables as spacing.");
    }

    @Override // com.google.android.material.internal.d
    public void setSingleLine(boolean z) {
        super.setSingleLine(z);
    }

    public void setSingleSelection(boolean z) {
        if (this.f3537 != z) {
            this.f3537 = z;
            m5210();
        }
    }

    public ChipGroup(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, f.e.a.a.b.chipGroupStyle);
    }

    /* access modifiers changed from: protected */
    @Override // android.view.ViewGroup
    public ViewGroup.LayoutParams generateLayoutParams(ViewGroup.LayoutParams layoutParams) {
        return new c(layoutParams);
    }

    public void setSingleLine(int i) {
        setSingleLine(getResources().getBoolean(i));
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    public boolean m5211() {
        return this.f3537;
    }

    public ChipGroup(Context context, AttributeSet attributeSet, int i) {
        super(com.google.android.material.theme.a.a.m6153(context, attributeSet, i, f3534), attributeSet, i);
        this.f3540 = new b();
        this.f3541 = new e();
        this.f3542 = -1;
        this.f3543 = false;
        TypedArray r9 = p.m5885(getContext(), attributeSet, k.ChipGroup, i, f3534, new int[0]);
        int dimensionPixelOffset = r9.getDimensionPixelOffset(k.ChipGroup_chipSpacing, 0);
        setChipSpacingHorizontal(r9.getDimensionPixelOffset(k.ChipGroup_chipSpacingHorizontal, dimensionPixelOffset));
        setChipSpacingVertical(r9.getDimensionPixelOffset(k.ChipGroup_chipSpacingVertical, dimensionPixelOffset));
        setSingleLine(r9.getBoolean(k.ChipGroup_singleLine, false));
        setSingleSelection(r9.getBoolean(k.ChipGroup_singleSelection, false));
        setSelectionRequired(r9.getBoolean(k.ChipGroup_selectionRequired, false));
        int resourceId = r9.getResourceId(k.ChipGroup_checkedChip, -1);
        if (resourceId != -1) {
            this.f3542 = resourceId;
        }
        r9.recycle();
        super.setOnHierarchyChangeListener(this.f3541);
        d0.m8745(this, 1);
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public void m5210() {
        this.f3543 = true;
        for (int i = 0; i < getChildCount(); i++) {
            View childAt = getChildAt(i);
            if (childAt instanceof Chip) {
                ((Chip) childAt).setChecked(false);
            }
        }
        this.f3543 = false;
        setCheckedId(-1);
    }

    public void setSingleSelection(int i) {
        setSingleSelection(getResources().getBoolean(i));
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public void m5207(int i) {
        int i2 = this.f3542;
        if (i != i2) {
            if (i2 != -1 && this.f3537) {
                m5201(i2, false);
            }
            if (i != -1) {
                m5201(i, true);
            }
            setCheckedId(i);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    /* renamed from: ʻ  reason: contains not printable characters */
    private void m5198(int i, boolean z) {
        this.f3542 = i;
        d dVar = this.f3539;
        if (dVar != null && this.f3537 && z) {
            dVar.m5212(this, i);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    /* renamed from: ʼ  reason: contains not printable characters */
    private void m5201(int i, boolean z) {
        View findViewById = findViewById(i);
        if (findViewById instanceof Chip) {
            this.f3543 = true;
            ((Chip) findViewById).setChecked(z);
            this.f3543 = false;
        }
    }

    @Override // com.google.android.material.internal.d
    /* renamed from: ʻ  reason: contains not printable characters */
    public boolean m5208() {
        return super.m5773();
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʼ  reason: contains not printable characters */
    public int m5209(View view) {
        if (!(view instanceof Chip)) {
            return -1;
        }
        int i = 0;
        for (int i2 = 0; i2 < getChildCount(); i2++) {
            if (getChildAt(i2) instanceof Chip) {
                if (((Chip) getChildAt(i2)) == view) {
                    return i;
                }
                i++;
            }
        }
        return -1;
    }
}
