package com.google.android.material.chip;

import android.annotation.TargetApi;
import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.ColorFilter;
import android.graphics.Outline;
import android.graphics.Paint;
import android.graphics.Path;
import android.graphics.PointF;
import android.graphics.PorterDuff;
import android.graphics.PorterDuffColorFilter;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.RippleDrawable;
import android.graphics.drawable.ShapeDrawable;
import android.graphics.drawable.shapes.OvalShape;
import android.text.TextUtils;
import android.util.AttributeSet;
import androidx.core.graphics.drawable.b;
import com.google.android.material.internal.n;
import com.google.android.material.internal.p;
import com.google.android.material.internal.r;
import f.e.a.a.b0.g;
import f.e.a.a.k;
import f.e.a.a.l.h;
import f.e.a.a.y.c;
import f.e.a.a.y.d;
import java.lang.ref.WeakReference;
import java.util.Arrays;
import me.zhanghai.android.materialprogressbar.BuildConfig;

/* compiled from: ChipDrawable */
public class a extends g implements b, Drawable.Callback, n.b {

    /* renamed from: ʼᵎ  reason: contains not printable characters */
    private static final int[] f3547 = {16842910};

    /* renamed from: ʼᵔ  reason: contains not printable characters */
    private static final ShapeDrawable f3548 = new ShapeDrawable(new OvalShape());

    /* renamed from: ʻʼ  reason: contains not printable characters */
    private Drawable f3549;

    /* renamed from: ʻʽ  reason: contains not printable characters */
    private ColorStateList f3550;

    /* renamed from: ʻʾ  reason: contains not printable characters */
    private h f3551;

    /* renamed from: ʻʿ  reason: contains not printable characters */
    private h f3552;

    /* renamed from: ʻˆ  reason: contains not printable characters */
    private float f3553;

    /* renamed from: ʻˈ  reason: contains not printable characters */
    private float f3554;

    /* renamed from: ʻˉ  reason: contains not printable characters */
    private float f3555;

    /* renamed from: ʻˊ  reason: contains not printable characters */
    private float f3556;

    /* renamed from: ʻˋ  reason: contains not printable characters */
    private float f3557;

    /* renamed from: ʻˎ  reason: contains not printable characters */
    private float f3558;

    /* renamed from: ʻˏ  reason: contains not printable characters */
    private float f3559;

    /* renamed from: ʻˑ  reason: contains not printable characters */
    private float f3560;

    /* renamed from: ʻי  reason: contains not printable characters */
    private final Context f3561;

    /* renamed from: ʻـ  reason: contains not printable characters */
    private final Paint f3562 = new Paint(1);

    /* renamed from: ʻٴ  reason: contains not printable characters */
    private final Paint f3563;

    /* renamed from: ʻᐧ  reason: contains not printable characters */
    private final Paint.FontMetrics f3564 = new Paint.FontMetrics();

    /* renamed from: ʻᴵ  reason: contains not printable characters */
    private final RectF f3565 = new RectF();

    /* renamed from: ʻᵎ  reason: contains not printable characters */
    private final PointF f3566 = new PointF();

    /* renamed from: ʻᵔ  reason: contains not printable characters */
    private final Path f3567 = new Path();

    /* renamed from: ʻᵢ  reason: contains not printable characters */
    private final n f3568;

    /* renamed from: ʻⁱ  reason: contains not printable characters */
    private int f3569;

    /* renamed from: ʻﹳ  reason: contains not printable characters */
    private int f3570;

    /* renamed from: ʻﹶ  reason: contains not printable characters */
    private int f3571;

    /* renamed from: ʻﾞ  reason: contains not printable characters */
    private int f3572;

    /* renamed from: ʼʻ  reason: contains not printable characters */
    private int f3573;

    /* renamed from: ʼʼ  reason: contains not printable characters */
    private ColorStateList f3574;

    /* renamed from: ʼʽ  reason: contains not printable characters */
    private int f3575;

    /* renamed from: ʼʾ  reason: contains not printable characters */
    private boolean f3576;

    /* renamed from: ʼʿ  reason: contains not printable characters */
    private int f3577;

    /* renamed from: ʼˆ  reason: contains not printable characters */
    private int f3578 = 255;

    /* renamed from: ʼˈ  reason: contains not printable characters */
    private ColorFilter f3579;

    /* renamed from: ʼˉ  reason: contains not printable characters */
    private PorterDuffColorFilter f3580;

    /* renamed from: ʼˊ  reason: contains not printable characters */
    private ColorStateList f3581;

    /* renamed from: ʼˋ  reason: contains not printable characters */
    private PorterDuff.Mode f3582 = PorterDuff.Mode.SRC_IN;

    /* renamed from: ʼˎ  reason: contains not printable characters */
    private int[] f3583;

    /* renamed from: ʼˏ  reason: contains not printable characters */
    private boolean f3584;

    /* renamed from: ʼˑ  reason: contains not printable characters */
    private ColorStateList f3585;

    /* renamed from: ʼי  reason: contains not printable characters */
    private WeakReference<AbstractC0036a> f3586;

    /* renamed from: ʼـ  reason: contains not printable characters */
    private TextUtils.TruncateAt f3587;

    /* renamed from: ʼٴ  reason: contains not printable characters */
    private boolean f3588;

    /* renamed from: ʼᐧ  reason: contains not printable characters */
    private int f3589;

    /* renamed from: ʼᴵ  reason: contains not printable characters */
    private boolean f3590;

    /* renamed from: ʽʽ  reason: contains not printable characters */
    private ColorStateList f3591;

    /* renamed from: ʾʾ  reason: contains not printable characters */
    private float f3592 = -1.0f;

    /* renamed from: ʿʿ  reason: contains not printable characters */
    private float f3593;

    /* renamed from: ˆˆ  reason: contains not printable characters */
    private float f3594;

    /* renamed from: ˈˈ  reason: contains not printable characters */
    private CharSequence f3595;

    /* renamed from: ˉˉ  reason: contains not printable characters */
    private ColorStateList f3596;

    /* renamed from: ˊˊ  reason: contains not printable characters */
    private Drawable f3597;

    /* renamed from: ˋˋ  reason: contains not printable characters */
    private boolean f3598;

    /* renamed from: ˎˎ  reason: contains not printable characters */
    private float f3599;

    /* renamed from: ˏˏ  reason: contains not printable characters */
    private ColorStateList f3600;

    /* renamed from: ˑˑ  reason: contains not printable characters */
    private boolean f3601;

    /* renamed from: יי  reason: contains not printable characters */
    private Drawable f3602;

    /* renamed from: ــ  reason: contains not printable characters */
    private ColorStateList f3603;

    /* renamed from: ٴٴ  reason: contains not printable characters */
    private boolean f3604;

    /* renamed from: ᵎᵎ  reason: contains not printable characters */
    private Drawable f3605;

    /* renamed from: ᵔᵔ  reason: contains not printable characters */
    private boolean f3606;

    /* renamed from: ᵢᵢ  reason: contains not printable characters */
    private ColorStateList f3607;

    /* renamed from: ⁱⁱ  reason: contains not printable characters */
    private float f3608;

    /* renamed from: ﹳﹳ  reason: contains not printable characters */
    private CharSequence f3609;

    /* renamed from: ﹶﹶ  reason: contains not printable characters */
    private boolean f3610;

    /* renamed from: com.google.android.material.chip.a$a  reason: collision with other inner class name */
    /* compiled from: ChipDrawable */
    public interface AbstractC0036a {
        /* renamed from: ʻ  reason: contains not printable characters */
        void m5353();
    }

    private a(Context context, AttributeSet attributeSet, int i, int i2) {
        super(context, attributeSet, i, i2);
        Paint paint = null;
        this.f3586 = new WeakReference<>(null);
        m10227(context);
        this.f3561 = context;
        n nVar = new n(this);
        this.f3568 = nVar;
        this.f3595 = BuildConfig.FLAVOR;
        nVar.m5874().density = context.getResources().getDisplayMetrics().density;
        this.f3563 = null;
        if (0 != 0) {
            paint.setStyle(Paint.Style.STROKE);
        }
        setState(f3547);
        m5280(f3547);
        this.f3588 = true;
        if (f.e.a.a.z.b.f7090) {
            f3548.setTint(-1);
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public static a m5214(Context context, AttributeSet attributeSet, int i, int i2) {
        a aVar = new a(context, attributeSet, i, i2);
        aVar.m5217(attributeSet, i, i2);
        return aVar;
    }

    /* renamed from: ʻᵎ  reason: contains not printable characters */
    private float m5220() {
        this.f3568.m5874().getFontMetrics(this.f3564);
        Paint.FontMetrics fontMetrics = this.f3564;
        return (fontMetrics.descent + fontMetrics.ascent) / 2.0f;
    }

    /* renamed from: ʻᵔ  reason: contains not printable characters */
    private boolean m5221() {
        return this.f3610 && this.f3549 != null && this.f3604;
    }

    /* renamed from: ʻᵢ  reason: contains not printable characters */
    private float m5222() {
        Drawable drawable = this.f3576 ? this.f3549 : this.f3597;
        if (this.f3599 > 0.0f || drawable == null) {
            return this.f3599;
        }
        float ceil = (float) Math.ceil((double) r.m5890(this.f3561, 24));
        return ((float) drawable.getIntrinsicHeight()) <= ceil ? (float) drawable.getIntrinsicHeight() : ceil;
    }

    /* renamed from: ʻⁱ  reason: contains not printable characters */
    private float m5223() {
        Drawable drawable = this.f3576 ? this.f3549 : this.f3597;
        if (this.f3599 > 0.0f || drawable == null) {
            return this.f3599;
        }
        return (float) drawable.getIntrinsicWidth();
    }

    /* renamed from: ʻﹳ  reason: contains not printable characters */
    private ColorFilter m5224() {
        ColorFilter colorFilter = this.f3579;
        return colorFilter != null ? colorFilter : this.f3580;
    }

    /* renamed from: ʻﹶ  reason: contains not printable characters */
    private boolean m5225() {
        return this.f3610 && this.f3549 != null && this.f3576;
    }

    /* renamed from: ʻﾞ  reason: contains not printable characters */
    private boolean m5226() {
        return this.f3598 && this.f3597 != null;
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    private void m5227(Canvas canvas, Rect rect) {
        if (!this.f3590) {
            this.f3562.setColor(this.f3570);
            this.f3562.setStyle(Paint.Style.FILL);
            this.f3562.setColorFilter(m5224());
            this.f3565.set(rect);
            canvas.drawRoundRect(this.f3565, m5309(), m5309(), this.f3562);
        }
    }

    /* renamed from: ʼʻ  reason: contains not printable characters */
    private boolean m5230() {
        return this.f3606 && this.f3602 != null;
    }

    /* renamed from: ʼʽ  reason: contains not printable characters */
    private void m5231() {
        this.f3585 = this.f3584 ? f.e.a.a.z.b.m10564(this.f3596) : null;
    }

    @TargetApi(21)
    /* renamed from: ʼʾ  reason: contains not printable characters */
    private void m5232() {
        this.f3605 = new RippleDrawable(f.e.a.a.z.b.m10564(m5264()), this.f3602, f3548);
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    private void m5233(Canvas canvas, Rect rect) {
        if (m5226()) {
            m5216(rect, this.f3565);
            RectF rectF = this.f3565;
            float f2 = rectF.left;
            float f3 = rectF.top;
            canvas.translate(f2, f3);
            this.f3597.setBounds(0, 0, (int) this.f3565.width(), (int) this.f3565.height());
            this.f3597.draw(canvas);
            canvas.translate(-f2, -f3);
        }
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    private void m5235(Canvas canvas, Rect rect) {
        if (this.f3594 > 0.0f && !this.f3590) {
            this.f3562.setColor(this.f3572);
            this.f3562.setStyle(Paint.Style.STROKE);
            if (!this.f3590) {
                this.f3562.setColorFilter(m5224());
            }
            RectF rectF = this.f3565;
            float f2 = this.f3594;
            rectF.set(((float) rect.left) + (f2 / 2.0f), ((float) rect.top) + (f2 / 2.0f), ((float) rect.right) - (f2 / 2.0f), ((float) rect.bottom) - (f2 / 2.0f));
            float f3 = this.f3592 - (this.f3594 / 2.0f);
            canvas.drawRoundRect(this.f3565, f3, f3, this.f3562);
        }
    }

    /* renamed from: ʿ  reason: contains not printable characters */
    private void m5238(Canvas canvas, Rect rect) {
        if (!this.f3590) {
            this.f3562.setColor(this.f3569);
            this.f3562.setStyle(Paint.Style.FILL);
            this.f3565.set(rect);
            canvas.drawRoundRect(this.f3565, m5309(), m5309(), this.f3562);
        }
    }

    /* renamed from: ˈ  reason: contains not printable characters */
    private void m5243(Canvas canvas, Rect rect) {
        this.f3562.setColor(this.f3573);
        this.f3562.setStyle(Paint.Style.FILL);
        this.f3565.set(rect);
        if (!this.f3590) {
            canvas.drawRoundRect(this.f3565, m5309(), m5309(), this.f3562);
            return;
        }
        m10231(new RectF(rect), this.f3567);
        super.m10230(canvas, this.f3562, this.f3567, m10240());
    }

    /* renamed from: ˉ  reason: contains not printable characters */
    private void m5244(Canvas canvas, Rect rect) {
        Paint paint = this.f3563;
        if (paint != null) {
            paint.setColor(e.g.e.a.m8422(-16777216, 127));
            canvas.drawRect(rect, this.f3563);
            if (m5226() || m5225()) {
                m5216(rect, this.f3565);
                canvas.drawRect(this.f3565, this.f3563);
            }
            if (this.f3595 != null) {
                canvas.drawLine((float) rect.left, rect.exactCenterY(), (float) rect.right, rect.exactCenterY(), this.f3563);
            }
            if (m5230()) {
                m5234(rect, this.f3565);
                canvas.drawRect(this.f3565, this.f3563);
            }
            this.f3563.setColor(e.g.e.a.m8422(-65536, 127));
            m5228(rect, this.f3565);
            canvas.drawRect(this.f3565, this.f3563);
            this.f3563.setColor(e.g.e.a.m8422(-16711936, 127));
            m5236(rect, this.f3565);
            canvas.drawRect(this.f3565, this.f3563);
        }
    }

    /* renamed from: ˊ  reason: contains not printable characters */
    private void m5245(Canvas canvas, Rect rect) {
        if (this.f3595 != null) {
            Paint.Align r0 = m5248(rect, this.f3566);
            m5239(rect, this.f3565);
            if (this.f3568.m5869() != null) {
                this.f3568.m5874().drawableState = getState();
                this.f3568.m5870(this.f3561);
            }
            this.f3568.m5874().setTextAlign(r0);
            int i = 0;
            boolean z = Math.round(this.f3568.m5868(m5266().toString())) > Math.round(this.f3565.width());
            if (z) {
                i = canvas.save();
                canvas.clipRect(this.f3565);
            }
            CharSequence charSequence = this.f3595;
            if (z && this.f3587 != null) {
                charSequence = TextUtils.ellipsize(charSequence, this.f3568.m5874(), this.f3565.width(), this.f3587);
            }
            int length = charSequence.length();
            PointF pointF = this.f3566;
            canvas.drawText(charSequence, 0, length, pointF.x, pointF.y, this.f3568.m5874());
            if (z) {
                canvas.restoreToCount(i);
            }
        }
    }

    /* renamed from: ˋ  reason: contains not printable characters */
    private void m5247(ColorStateList colorStateList) {
        if (this.f3591 != colorStateList) {
            this.f3591 = colorStateList;
            onStateChange(getState());
        }
    }

    @Override // f.e.a.a.b0.g
    public void draw(Canvas canvas) {
        Rect bounds = getBounds();
        if (!bounds.isEmpty() && getAlpha() != 0) {
            int i = 0;
            int i2 = this.f3578;
            if (i2 < 255) {
                i = f.e.a.a.m.a.m10429(canvas, (float) bounds.left, (float) bounds.top, (float) bounds.right, (float) bounds.bottom, i2);
            }
            m5238(canvas, bounds);
            m5227(canvas, bounds);
            if (this.f3590) {
                super.draw(canvas);
            }
            m5235(canvas, bounds);
            m5243(canvas, bounds);
            m5233(canvas, bounds);
            m5215(canvas, bounds);
            if (this.f3588) {
                m5245(canvas, bounds);
            }
            m5241(canvas, bounds);
            m5244(canvas, bounds);
            if (this.f3578 < 255) {
                canvas.restoreToCount(i);
            }
        }
    }

    public int getAlpha() {
        return this.f3578;
    }

    public ColorFilter getColorFilter() {
        return this.f3579;
    }

    public int getIntrinsicHeight() {
        return (int) this.f3593;
    }

    public int getIntrinsicWidth() {
        return Math.min(Math.round(this.f3553 + m5281() + this.f3556 + this.f3568.m5868(m5266().toString()) + this.f3557 + m5295() + this.f3560), this.f3589);
    }

    @Override // f.e.a.a.b0.g
    public int getOpacity() {
        return -3;
    }

    @Override // f.e.a.a.b0.g
    @TargetApi(21)
    public void getOutline(Outline outline) {
        if (this.f3590) {
            super.getOutline(outline);
            return;
        }
        Rect bounds = getBounds();
        if (!bounds.isEmpty()) {
            outline.setRoundRect(bounds, this.f3592);
        } else {
            outline.setRoundRect(0, 0, getIntrinsicWidth(), getIntrinsicHeight(), this.f3592);
        }
        outline.setAlpha(((float) getAlpha()) / 255.0f);
    }

    public void invalidateDrawable(Drawable drawable) {
        Drawable.Callback callback = getCallback();
        if (callback != null) {
            callback.invalidateDrawable(this);
        }
    }

    @Override // f.e.a.a.b0.g
    public boolean isStateful() {
        return m5246(this.f3591) || m5246(this.f3574) || m5246(this.f3603) || (this.f3584 && m5246(this.f3585)) || m5229(this.f3568.m5869()) || m5221() || m5240(this.f3597) || m5240(this.f3549) || m5246(this.f3581);
    }

    public boolean onLayoutDirectionChanged(int i) {
        boolean onLayoutDirectionChanged = super.onLayoutDirectionChanged(i);
        if (m5226()) {
            onLayoutDirectionChanged |= androidx.core.graphics.drawable.a.m1982(this.f3597, i);
        }
        if (m5225()) {
            onLayoutDirectionChanged |= androidx.core.graphics.drawable.a.m1982(this.f3549, i);
        }
        if (m5230()) {
            onLayoutDirectionChanged |= androidx.core.graphics.drawable.a.m1982(this.f3602, i);
        }
        if (!onLayoutDirectionChanged) {
            return true;
        }
        invalidateSelf();
        return true;
    }

    /* access modifiers changed from: protected */
    public boolean onLevelChange(int i) {
        boolean onLevelChange = super.onLevelChange(i);
        if (m5226()) {
            onLevelChange |= this.f3597.setLevel(i);
        }
        if (m5225()) {
            onLevelChange |= this.f3549.setLevel(i);
        }
        if (m5230()) {
            onLevelChange |= this.f3602.setLevel(i);
        }
        if (onLevelChange) {
            invalidateSelf();
        }
        return onLevelChange;
    }

    @Override // f.e.a.a.b0.g, com.google.android.material.internal.n.b
    public boolean onStateChange(int[] iArr) {
        if (this.f3590) {
            super.onStateChange(iArr);
        }
        return m5219(iArr, m5350());
    }

    public void scheduleDrawable(Drawable drawable, Runnable runnable, long j) {
        Drawable.Callback callback = getCallback();
        if (callback != null) {
            callback.scheduleDrawable(this, runnable, j);
        }
    }

    @Override // f.e.a.a.b0.g
    public void setAlpha(int i) {
        if (this.f3578 != i) {
            this.f3578 = i;
            invalidateSelf();
        }
    }

    @Override // f.e.a.a.b0.g
    public void setColorFilter(ColorFilter colorFilter) {
        if (this.f3579 != colorFilter) {
            this.f3579 = colorFilter;
            invalidateSelf();
        }
    }

    @Override // f.e.a.a.b0.g, androidx.core.graphics.drawable.b
    public void setTintList(ColorStateList colorStateList) {
        if (this.f3581 != colorStateList) {
            this.f3581 = colorStateList;
            onStateChange(getState());
        }
    }

    @Override // f.e.a.a.b0.g, androidx.core.graphics.drawable.b
    public void setTintMode(PorterDuff.Mode mode) {
        if (this.f3582 != mode) {
            this.f3582 = mode;
            this.f3580 = f.e.a.a.s.a.m10501(this, this.f3581, mode);
            invalidateSelf();
        }
    }

    public boolean setVisible(boolean z, boolean z2) {
        boolean visible = super.setVisible(z, z2);
        if (m5226()) {
            visible |= this.f3597.setVisible(z, z2);
        }
        if (m5225()) {
            visible |= this.f3549.setVisible(z, z2);
        }
        if (m5230()) {
            visible |= this.f3602.setVisible(z, z2);
        }
        if (visible) {
            invalidateSelf();
        }
        return visible;
    }

    public void unscheduleDrawable(Drawable drawable, Runnable runnable) {
        Drawable.Callback callback = getCallback();
        if (callback != null) {
            callback.unscheduleDrawable(this, runnable);
        }
    }

    /* renamed from: ʻʻ  reason: contains not printable characters */
    public void m5258(int i) {
        m5277(h.m10410(this.f3561, i));
    }

    /* renamed from: ʻʼ  reason: contains not printable characters */
    public ColorStateList m5259() {
        return this.f3607;
    }

    /* renamed from: ʻʽ  reason: contains not printable characters */
    public TextUtils.TruncateAt m5260() {
        return this.f3587;
    }

    /* renamed from: ʻʾ  reason: contains not printable characters */
    public h m5261() {
        return this.f3552;
    }

    /* renamed from: ʻʿ  reason: contains not printable characters */
    public float m5262() {
        return this.f3555;
    }

    /* renamed from: ʻˆ  reason: contains not printable characters */
    public float m5263() {
        return this.f3554;
    }

    /* renamed from: ʻˈ  reason: contains not printable characters */
    public ColorStateList m5264() {
        return this.f3596;
    }

    /* renamed from: ʻˉ  reason: contains not printable characters */
    public h m5265() {
        return this.f3551;
    }

    /* renamed from: ʻˊ  reason: contains not printable characters */
    public CharSequence m5266() {
        return this.f3595;
    }

    /* renamed from: ʻˋ  reason: contains not printable characters */
    public d m5267() {
        return this.f3568.m5869();
    }

    /* renamed from: ʻˎ  reason: contains not printable characters */
    public float m5268() {
        return this.f3557;
    }

    /* renamed from: ʻˏ  reason: contains not printable characters */
    public float m5269() {
        return this.f3556;
    }

    /* renamed from: ʻˑ  reason: contains not printable characters */
    public boolean m5270() {
        return this.f3584;
    }

    /* renamed from: ʻי  reason: contains not printable characters */
    public boolean m5271() {
        return this.f3604;
    }

    /* renamed from: ʻـ  reason: contains not printable characters */
    public boolean m5272() {
        return m5240(this.f3602);
    }

    /* renamed from: ʻٴ  reason: contains not printable characters */
    public boolean m5273() {
        return this.f3606;
    }

    /* access modifiers changed from: protected */
    /* renamed from: ʻᐧ  reason: contains not printable characters */
    public void m5274() {
        AbstractC0036a aVar = this.f3586.get();
        if (aVar != null) {
            aVar.m5353();
        }
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʻᴵ  reason: contains not printable characters */
    public boolean m5275() {
        return this.f3588;
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʼʼ  reason: contains not printable characters */
    public float m5281() {
        if (m5226() || m5225()) {
            return this.f3554 + m5223() + this.f3555;
        }
        return 0.0f;
    }

    /* renamed from: ʽʽ  reason: contains not printable characters */
    public void m5286(int i) {
        m5255(new d(this.f3561, i));
    }

    /* renamed from: ʾʾ  reason: contains not printable characters */
    public Drawable m5290() {
        return this.f3549;
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʿʿ  reason: contains not printable characters */
    public float m5295() {
        if (m5230()) {
            return this.f3558 + this.f3608 + this.f3559;
        }
        return 0.0f;
    }

    /* renamed from: ˆ  reason: contains not printable characters */
    public void m5300(boolean z) {
        if (this.f3584 != z) {
            this.f3584 = z;
            m5231();
            onStateChange(getState());
        }
    }

    /* renamed from: ˆˆ  reason: contains not printable characters */
    public ColorStateList m5301() {
        return this.f3574;
    }

    /* renamed from: ˈˈ  reason: contains not printable characters */
    public float m5305() {
        return this.f3560;
    }

    /* renamed from: ˉˉ  reason: contains not printable characters */
    public float m5309() {
        return this.f3590 ? m10252() : this.f3592;
    }

    /* renamed from: ˊˊ  reason: contains not printable characters */
    public float m5312() {
        return this.f3599;
    }

    /* renamed from: ˋˋ  reason: contains not printable characters */
    public Drawable m5315() {
        Drawable drawable = this.f3597;
        if (drawable != null) {
            return androidx.core.graphics.drawable.a.m1990(drawable);
        }
        return null;
    }

    /* renamed from: ˎ  reason: contains not printable characters */
    public void m5317(int i) {
        m5276(e.a.k.a.a.m7308(this.f3561, i));
    }

    /* renamed from: ˎˎ  reason: contains not printable characters */
    public float m5318() {
        return this.f3593;
    }

    /* renamed from: ˏ  reason: contains not printable characters */
    public void m5320(int i) {
        m5302(this.f3561.getResources().getDimension(i));
    }

    /* renamed from: ˏˏ  reason: contains not printable characters */
    public ColorStateList m5321() {
        return this.f3600;
    }

    /* renamed from: ˑ  reason: contains not printable characters */
    public void m5323(int i) {
        m5293(e.a.k.a.a.m7307(this.f3561, i));
    }

    /* renamed from: ˑˑ  reason: contains not printable characters */
    public float m5324() {
        return this.f3553;
    }

    /* renamed from: י  reason: contains not printable characters */
    public void m5326(int i) {
        m5285(this.f3561.getResources().getBoolean(i));
    }

    /* renamed from: יי  reason: contains not printable characters */
    public float m5327() {
        return this.f3594;
    }

    /* renamed from: ـ  reason: contains not printable characters */
    public void m5329(int i) {
        m5306(this.f3561.getResources().getDimension(i));
    }

    /* renamed from: ــ  reason: contains not printable characters */
    public ColorStateList m5330() {
        return this.f3550;
    }

    /* renamed from: ٴ  reason: contains not printable characters */
    public void m5332(int i) {
        m5310(this.f3561.getResources().getDimension(i));
    }

    /* renamed from: ٴٴ  reason: contains not printable characters */
    public float m5333() {
        return this.f3558;
    }

    /* renamed from: ᐧ  reason: contains not printable characters */
    public void m5335(int i) {
        m5299(e.a.k.a.a.m7307(this.f3561, i));
    }

    /* renamed from: ᐧᐧ  reason: contains not printable characters */
    public void m5336(int i) {
        this.f3589 = i;
    }

    /* renamed from: ᴵ  reason: contains not printable characters */
    public void m5337(int i) {
        m5313(this.f3561.getResources().getDimension(i));
    }

    /* renamed from: ᴵᴵ  reason: contains not printable characters */
    public void m5338(int i) {
        m5308(e.a.k.a.a.m7307(this.f3561, i));
    }

    /* renamed from: ᵎ  reason: contains not printable characters */
    public void m5339(int i) {
        m5316(this.f3561.getResources().getDimension(i));
    }

    /* renamed from: ᵎᵎ  reason: contains not printable characters */
    public Drawable m5340() {
        Drawable drawable = this.f3602;
        if (drawable != null) {
            return androidx.core.graphics.drawable.a.m1990(drawable);
        }
        return null;
    }

    /* renamed from: ᵔ  reason: contains not printable characters */
    public void m5341(int i) {
        m5284(e.a.k.a.a.m7308(this.f3561, i));
    }

    /* renamed from: ᵔᵔ  reason: contains not printable characters */
    public ColorStateList m5342() {
        return this.f3603;
    }

    /* renamed from: ᵢ  reason: contains not printable characters */
    public void m5343(int i) {
        m5319(this.f3561.getResources().getDimension(i));
    }

    /* renamed from: ᵢᵢ  reason: contains not printable characters */
    public CharSequence m5344() {
        return this.f3609;
    }

    /* renamed from: ⁱ  reason: contains not printable characters */
    public void m5345(int i) {
        m5322(this.f3561.getResources().getDimension(i));
    }

    /* renamed from: ⁱⁱ  reason: contains not printable characters */
    public float m5346() {
        return this.f3559;
    }

    /* renamed from: ﹳ  reason: contains not printable characters */
    public void m5347(int i) {
        m5304(e.a.k.a.a.m7307(this.f3561, i));
    }

    /* renamed from: ﹳﹳ  reason: contains not printable characters */
    public float m5348() {
        return this.f3608;
    }

    /* renamed from: ﹶ  reason: contains not printable characters */
    public void m5349(int i) {
        m5254(h.m10410(this.f3561, i));
    }

    /* renamed from: ﹶﹶ  reason: contains not printable characters */
    public int[] m5350() {
        return this.f3583;
    }

    /* renamed from: ﾞ  reason: contains not printable characters */
    public void m5351(int i) {
        m5325(this.f3561.getResources().getDimension(i));
    }

    /* renamed from: ﾞﾞ  reason: contains not printable characters */
    public void m5352(int i) {
        m5328(this.f3561.getResources().getDimension(i));
    }

    /* renamed from: ˎ  reason: contains not printable characters */
    public void m5316(float f2) {
        if (this.f3559 != f2) {
            this.f3559 = f2;
            invalidateSelf();
            if (m5230()) {
                m5274();
            }
        }
    }

    /* renamed from: ˏ  reason: contains not printable characters */
    public void m5319(float f2) {
        if (this.f3608 != f2) {
            this.f3608 = f2;
            invalidateSelf();
            if (m5230()) {
                m5274();
            }
        }
    }

    /* renamed from: ˑ  reason: contains not printable characters */
    public void m5322(float f2) {
        if (this.f3558 != f2) {
            this.f3558 = f2;
            invalidateSelf();
            if (m5230()) {
                m5274();
            }
        }
    }

    /* renamed from: י  reason: contains not printable characters */
    public void m5325(float f2) {
        if (this.f3555 != f2) {
            float r0 = m5281();
            this.f3555 = f2;
            float r2 = m5281();
            invalidateSelf();
            if (r0 != r2) {
                m5274();
            }
        }
    }

    /* renamed from: ـ  reason: contains not printable characters */
    public void m5328(float f2) {
        if (this.f3554 != f2) {
            float r0 = m5281();
            this.f3554 = f2;
            float r2 = m5281();
            invalidateSelf();
            if (r0 != r2) {
                m5274();
            }
        }
    }

    /* renamed from: ٴ  reason: contains not printable characters */
    public void m5331(float f2) {
        if (this.f3557 != f2) {
            this.f3557 = f2;
            invalidateSelf();
            m5274();
        }
    }

    /* renamed from: ᐧ  reason: contains not printable characters */
    public void m5334(float f2) {
        if (this.f3556 != f2) {
            this.f3556 = f2;
            invalidateSelf();
            m5274();
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private void m5217(AttributeSet attributeSet, int i, int i2) {
        TypedArray r9 = p.m5885(this.f3561, attributeSet, k.Chip, i, i2, new int[0]);
        this.f3590 = r9.hasValue(k.Chip_shapeAppearance);
        m5247(c.m10535(this.f3561, r9, k.Chip_chipSurfaceColor));
        m5288(c.m10535(this.f3561, r9, k.Chip_chipBackgroundColor));
        m5306(r9.getDimension(k.Chip_chipMinHeight, 0.0f));
        if (r9.hasValue(k.Chip_chipCornerRadius)) {
            m5291(r9.getDimension(k.Chip_chipCornerRadius, 0.0f));
        }
        m5299(c.m10535(this.f3561, r9, k.Chip_chipStrokeColor));
        m5313(r9.getDimension(k.Chip_chipStrokeWidth, 0.0f));
        m5308(c.m10535(this.f3561, r9, k.Chip_rippleColor));
        m5278(r9.getText(k.Chip_android_text));
        d r10 = c.m10540(this.f3561, r9, k.Chip_android_textAppearance);
        r10.m10548(r9.getDimension(k.Chip_android_textSize, r10.m10555()));
        m5255(r10);
        int i3 = r9.getInt(k.Chip_android_ellipsize, 0);
        if (i3 == 1) {
            m5252(TextUtils.TruncateAt.START);
        } else if (i3 == 2) {
            m5252(TextUtils.TruncateAt.MIDDLE);
        } else if (i3 == 3) {
            m5252(TextUtils.TruncateAt.END);
        }
        m5285(r9.getBoolean(k.Chip_chipIconVisible, false));
        if (!(attributeSet == null || attributeSet.getAttributeValue("http://schemas.android.com/apk/res-auto", "chipIconEnabled") == null || attributeSet.getAttributeValue("http://schemas.android.com/apk/res-auto", "chipIconVisible") != null)) {
            m5285(r9.getBoolean(k.Chip_chipIconEnabled, false));
        }
        m5276(c.m10538(this.f3561, r9, k.Chip_chipIcon));
        if (r9.hasValue(k.Chip_chipIconTint)) {
            m5293(c.m10535(this.f3561, r9, k.Chip_chipIconTint));
        }
        m5302(r9.getDimension(k.Chip_chipIconSize, -1.0f));
        m5289(r9.getBoolean(k.Chip_closeIconVisible, false));
        if (!(attributeSet == null || attributeSet.getAttributeValue("http://schemas.android.com/apk/res-auto", "closeIconEnabled") == null || attributeSet.getAttributeValue("http://schemas.android.com/apk/res-auto", "closeIconVisible") != null)) {
            m5289(r9.getBoolean(k.Chip_closeIconEnabled, false));
        }
        m5284(c.m10538(this.f3561, r9, k.Chip_closeIcon));
        m5304(c.m10535(this.f3561, r9, k.Chip_closeIconTint));
        m5319(r9.getDimension(k.Chip_closeIconSize, 0.0f));
        m5257(r9.getBoolean(k.Chip_android_checkable, false));
        m5279(r9.getBoolean(k.Chip_checkedIconVisible, false));
        if (!(attributeSet == null || attributeSet.getAttributeValue("http://schemas.android.com/apk/res-auto", "checkedIconEnabled") == null || attributeSet.getAttributeValue("http://schemas.android.com/apk/res-auto", "checkedIconVisible") != null)) {
            m5279(r9.getBoolean(k.Chip_checkedIconEnabled, false));
        }
        m5251(c.m10538(this.f3561, r9, k.Chip_checkedIcon));
        if (r9.hasValue(k.Chip_checkedIconTint)) {
            m5283(c.m10535(this.f3561, r9, k.Chip_checkedIconTint));
        }
        m5277(h.m10411(this.f3561, r9, k.Chip_showMotionSpec));
        m5254(h.m10411(this.f3561, r9, k.Chip_hideMotionSpec));
        m5310(r9.getDimension(k.Chip_chipStartPadding, 0.0f));
        m5328(r9.getDimension(k.Chip_iconStartPadding, 0.0f));
        m5325(r9.getDimension(k.Chip_iconEndPadding, 0.0f));
        m5334(r9.getDimension(k.Chip_textStartPadding, 0.0f));
        m5331(r9.getDimension(k.Chip_textEndPadding, 0.0f));
        m5322(r9.getDimension(k.Chip_closeIconStartPadding, 0.0f));
        m5316(r9.getDimension(k.Chip_closeIconEndPadding, 0.0f));
        m5297(r9.getDimension(k.Chip_chipEndPadding, 0.0f));
        m5336(r9.getDimensionPixelSize(k.Chip_android_maxWidth, Integer.MAX_VALUE));
        r9.recycle();
    }

    /* renamed from: ʼʼ  reason: contains not printable characters */
    public void m5282(int i) {
        m5331(this.f3561.getResources().getDimension(i));
    }

    /* renamed from: ʿʿ  reason: contains not printable characters */
    public void m5296(int i) {
        m5334(this.f3561.getResources().getDimension(i));
    }

    /* renamed from: ˋ  reason: contains not printable characters */
    public void m5313(float f2) {
        if (this.f3594 != f2) {
            this.f3594 = f2;
            this.f3562.setStrokeWidth(f2);
            if (this.f3590) {
                super.m10241(f2);
            }
            invalidateSelf();
        }
    }

    /* renamed from: ˆ  reason: contains not printable characters */
    private void m5241(Canvas canvas, Rect rect) {
        if (m5230()) {
            m5234(rect, this.f3565);
            RectF rectF = this.f3565;
            float f2 = rectF.left;
            float f3 = rectF.top;
            canvas.translate(f2, f3);
            this.f3602.setBounds(0, 0, (int) this.f3565.width(), (int) this.f3565.height());
            if (f.e.a.a.z.b.f7090) {
                this.f3605.setBounds(this.f3602.getBounds());
                this.f3605.jumpToCurrentState();
                this.f3605.draw(canvas);
            } else {
                this.f3602.draw(canvas);
            }
            canvas.translate(-f2, -f3);
        }
    }

    /* renamed from: ʿ  reason: contains not printable characters */
    private void m5239(Rect rect, RectF rectF) {
        rectF.setEmpty();
        if (this.f3595 != null) {
            float r0 = this.f3553 + m5281() + this.f3556;
            float r1 = this.f3560 + m5295() + this.f3557;
            if (androidx.core.graphics.drawable.a.m1987(this) == 0) {
                rectF.left = ((float) rect.left) + r0;
                rectF.right = ((float) rect.right) - r1;
            } else {
                rectF.left = ((float) rect.left) + r1;
                rectF.right = ((float) rect.right) - r0;
            }
            rectF.top = (float) rect.top;
            rectF.bottom = (float) rect.bottom;
        }
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    private void m5228(Rect rect, RectF rectF) {
        rectF.set(rect);
        if (m5230()) {
            float f2 = this.f3560 + this.f3559 + this.f3608 + this.f3558 + this.f3557;
            if (androidx.core.graphics.drawable.a.m1987(this) == 0) {
                rectF.right = ((float) rect.right) - f2;
            } else {
                rectF.left = ((float) rect.left) + f2;
            }
        }
    }

    /* renamed from: ˈ  reason: contains not printable characters */
    public void m5302(float f2) {
        if (this.f3599 != f2) {
            float r0 = m5281();
            this.f3599 = f2;
            float r2 = m5281();
            invalidateSelf();
            if (r0 != r2) {
                m5274();
            }
        }
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    private void m5234(Rect rect, RectF rectF) {
        rectF.setEmpty();
        if (m5230()) {
            float f2 = this.f3560 + this.f3559;
            if (androidx.core.graphics.drawable.a.m1987(this) == 0) {
                float f3 = ((float) rect.right) - f2;
                rectF.right = f3;
                rectF.left = f3 - this.f3608;
            } else {
                float f4 = ((float) rect.left) + f2;
                rectF.left = f4;
                rectF.right = f4 + this.f3608;
            }
            float exactCenterY = rect.exactCenterY();
            float f5 = this.f3608;
            float f6 = exactCenterY - (f5 / 2.0f);
            rectF.top = f6;
            rectF.bottom = f6 + f5;
        }
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    private void m5236(Rect rect, RectF rectF) {
        rectF.setEmpty();
        if (m5230()) {
            float f2 = this.f3560 + this.f3559 + this.f3608 + this.f3558 + this.f3557;
            if (androidx.core.graphics.drawable.a.m1987(this) == 0) {
                float f3 = (float) rect.right;
                rectF.right = f3;
                rectF.left = f3 - f2;
            } else {
                int i = rect.left;
                rectF.left = (float) i;
                rectF.right = ((float) i) + f2;
            }
            rectF.top = (float) rect.top;
            rectF.bottom = (float) rect.bottom;
        }
    }

    /* renamed from: ˋ  reason: contains not printable characters */
    public void m5314(int i) {
        m5297(this.f3561.getResources().getDimension(i));
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public boolean m5280(int[] iArr) {
        if (Arrays.equals(this.f3583, iArr)) {
            return false;
        }
        this.f3583 = iArr;
        if (m5230()) {
            return m5219(getState(), iArr);
        }
        return false;
    }

    /* renamed from: ˈ  reason: contains not printable characters */
    public void m5304(ColorStateList colorStateList) {
        if (this.f3607 != colorStateList) {
            this.f3607 = colorStateList;
            if (m5230()) {
                androidx.core.graphics.drawable.a.m1976(this.f3602, colorStateList);
            }
            onStateChange(getState());
        }
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    private static boolean m5229(d dVar) {
        return (dVar == null || dVar.m10553() == null || !dVar.m10553().isStateful()) ? false : true;
    }

    /* renamed from: ʿ  reason: contains not printable characters */
    private static boolean m5240(Drawable drawable) {
        return drawable != null && drawable.isStateful();
    }

    /* renamed from: ˆ  reason: contains not printable characters */
    private void m5242(Drawable drawable) {
        if (drawable != null) {
            drawable.setCallback(null);
        }
    }

    @Deprecated
    /* renamed from: ʿ  reason: contains not printable characters */
    public void m5291(float f2) {
        if (this.f3592 != f2) {
            this.f3592 = f2;
            setShapeAppearanceModel(m10250().m10279(f2));
        }
    }

    /* renamed from: ˆ  reason: contains not printable characters */
    public void m5299(ColorStateList colorStateList) {
        if (this.f3603 != colorStateList) {
            this.f3603 = colorStateList;
            if (this.f3590) {
                m10236(colorStateList);
            }
            onStateChange(getState());
        }
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    private void m5237(Drawable drawable) {
        if (drawable != null) {
            drawable.setCallback(this);
            androidx.core.graphics.drawable.a.m1982(drawable, androidx.core.graphics.drawable.a.m1987(this));
            drawable.setLevel(getLevel());
            drawable.setVisible(isVisible(), false);
            if (drawable == this.f3602) {
                if (drawable.isStateful()) {
                    drawable.setState(m5350());
                }
                androidx.core.graphics.drawable.a.m1976(drawable, this.f3607);
                return;
            }
            Drawable drawable2 = this.f3597;
            if (drawable == drawable2 && this.f3601) {
                androidx.core.graphics.drawable.a.m1976(drawable2, this.f3600);
            }
            if (drawable.isStateful()) {
                drawable.setState(getState());
            }
        }
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public void m5278(CharSequence charSequence) {
        if (charSequence == null) {
            charSequence = BuildConfig.FLAVOR;
        }
        if (!TextUtils.equals(this.f3595, charSequence)) {
            this.f3595 = charSequence;
            this.f3568.m5873(true);
            invalidateSelf();
            m5274();
        }
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    public void m5285(boolean z) {
        if (this.f3598 != z) {
            boolean r0 = m5226();
            this.f3598 = z;
            boolean r2 = m5226();
            if (r0 != r2) {
                if (r2) {
                    m5237(this.f3597);
                } else {
                    m5242(this.f3597);
                }
                invalidateSelf();
                m5274();
            }
        }
    }

    /* renamed from: ˈ  reason: contains not printable characters */
    public void m5303(int i) {
        m5279(this.f3561.getResources().getBoolean(i));
    }

    /* renamed from: ˊ  reason: contains not printable characters */
    private static boolean m5246(ColorStateList colorStateList) {
        return colorStateList != null && colorStateList.isStateful();
    }

    /* renamed from: ˉ  reason: contains not printable characters */
    public void m5307(int i) {
        m5288(e.a.k.a.a.m7307(this.f3561, i));
    }

    /* renamed from: ʿ  reason: contains not printable characters */
    public void m5293(ColorStateList colorStateList) {
        this.f3601 = true;
        if (this.f3600 != colorStateList) {
            this.f3600 = colorStateList;
            if (m5226()) {
                androidx.core.graphics.drawable.a.m1976(this.f3597, colorStateList);
            }
            onStateChange(getState());
        }
    }

    /* renamed from: ˉ  reason: contains not printable characters */
    public void m5306(float f2) {
        if (this.f3593 != f2) {
            this.f3593 = f2;
            invalidateSelf();
            m5274();
        }
    }

    @Deprecated
    /* renamed from: ˊ  reason: contains not printable characters */
    public void m5311(int i) {
        m5291(this.f3561.getResources().getDimension(i));
    }

    /* renamed from: ˊ  reason: contains not printable characters */
    public void m5310(float f2) {
        if (this.f3553 != f2) {
            this.f3553 = f2;
            invalidateSelf();
            m5274();
        }
    }

    /* renamed from: ˆ  reason: contains not printable characters */
    public void m5298(int i) {
        m5283(e.a.k.a.a.m7307(this.f3561, i));
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public void m5276(Drawable drawable) {
        Drawable r0 = m5315();
        if (r0 != drawable) {
            float r1 = m5281();
            this.f3597 = drawable != null ? androidx.core.graphics.drawable.a.m1991(drawable).mutate() : null;
            float r3 = m5281();
            m5242(r0);
            if (m5226()) {
                m5237(this.f3597);
            }
            invalidateSelf();
            if (r1 != r3) {
                m5274();
            }
        }
    }

    /* renamed from: ˆ  reason: contains not printable characters */
    public void m5297(float f2) {
        if (this.f3560 != f2) {
            this.f3560 = f2;
            invalidateSelf();
            m5274();
        }
    }

    /* renamed from: ˉ  reason: contains not printable characters */
    public void m5308(ColorStateList colorStateList) {
        if (this.f3596 != colorStateList) {
            this.f3596 = colorStateList;
            m5231();
            onStateChange(getState());
        }
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    public void m5284(Drawable drawable) {
        Drawable r0 = m5340();
        if (r0 != drawable) {
            float r1 = m5295();
            this.f3602 = drawable != null ? androidx.core.graphics.drawable.a.m1991(drawable).mutate() : null;
            if (f.e.a.a.z.b.f7090) {
                m5232();
            }
            float r3 = m5295();
            m5242(r0);
            if (m5230()) {
                m5237(this.f3602);
            }
            invalidateSelf();
            if (r1 != r3) {
                m5274();
            }
        }
    }

    /* renamed from: ʿ  reason: contains not printable characters */
    public void m5292(int i) {
        m5251(e.a.k.a.a.m7308(this.f3561, i));
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʿ  reason: contains not printable characters */
    public void m5294(boolean z) {
        this.f3588 = z;
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    public void m5288(ColorStateList colorStateList) {
        if (this.f3574 != colorStateList) {
            this.f3574 = colorStateList;
            onStateChange(getState());
        }
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public void m5279(boolean z) {
        if (this.f3610 != z) {
            boolean r0 = m5225();
            this.f3610 = z;
            boolean r2 = m5225();
            if (r0 != r2) {
                if (r2) {
                    m5237(this.f3549);
                } else {
                    m5242(this.f3549);
                }
                invalidateSelf();
                m5274();
            }
        }
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    public void m5289(boolean z) {
        if (this.f3606 != z) {
            boolean r0 = m5230();
            this.f3606 = z;
            boolean r2 = m5230();
            if (r0 != r2) {
                if (r2) {
                    m5237(this.f3602);
                } else {
                    m5242(this.f3602);
                }
                invalidateSelf();
                m5274();
            }
        }
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    public void m5283(ColorStateList colorStateList) {
        if (this.f3550 != colorStateList) {
            this.f3550 = colorStateList;
            if (m5221()) {
                androidx.core.graphics.drawable.a.m1976(this.f3549, colorStateList);
            }
            onStateChange(getState());
        }
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public void m5277(h hVar) {
        this.f3551 = hVar;
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    public void m5287(int i) {
        m5257(this.f3561.getResources().getBoolean(i));
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public void m5253(AbstractC0036a aVar) {
        this.f3586 = new WeakReference<>(aVar);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public void m5250(RectF rectF) {
        m5236(getBounds(), rectF);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private void m5215(Canvas canvas, Rect rect) {
        if (m5225()) {
            m5216(rect, this.f3565);
            RectF rectF = this.f3565;
            float f2 = rectF.left;
            float f3 = rectF.top;
            canvas.translate(f2, f3);
            this.f3549.setBounds(0, 0, (int) this.f3565.width(), (int) this.f3565.height());
            this.f3549.draw(canvas);
            canvas.translate(-f2, -f3);
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private void m5216(Rect rect, RectF rectF) {
        rectF.setEmpty();
        if (m5226() || m5225()) {
            float f2 = this.f3553 + this.f3554;
            float r1 = m5223();
            if (androidx.core.graphics.drawable.a.m1987(this) == 0) {
                float f3 = ((float) rect.left) + f2;
                rectF.left = f3;
                rectF.right = f3 + r1;
            } else {
                float f4 = ((float) rect.right) - f2;
                rectF.right = f4;
                rectF.left = f4 - r1;
            }
            float r0 = m5222();
            float exactCenterY = rect.exactCenterY() - (r0 / 2.0f);
            rectF.top = exactCenterY;
            rectF.bottom = exactCenterY + r0;
        }
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʻ  reason: contains not printable characters */
    public Paint.Align m5248(Rect rect, PointF pointF) {
        pointF.set(0.0f, 0.0f);
        Paint.Align align = Paint.Align.LEFT;
        if (this.f3595 != null) {
            float r0 = this.f3553 + m5281() + this.f3556;
            if (androidx.core.graphics.drawable.a.m1987(this) == 0) {
                pointF.x = ((float) rect.left) + r0;
                align = Paint.Align.LEFT;
            } else {
                pointF.x = ((float) rect.right) - r0;
                align = Paint.Align.RIGHT;
            }
            pointF.y = ((float) rect.centerY()) - m5220();
        }
        return align;
    }

    @Override // com.google.android.material.internal.n.b
    /* renamed from: ʻ  reason: contains not printable characters */
    public void m5249() {
        m5274();
        invalidateSelf();
    }

    /* JADX WARNING: Removed duplicated region for block: B:69:0x00e7  */
    /* JADX WARNING: Removed duplicated region for block: B:70:0x00ee  */
    /* JADX WARNING: Removed duplicated region for block: B:73:0x00f3  */
    /* JADX WARNING: Removed duplicated region for block: B:74:0x0100  */
    /* JADX WARNING: Removed duplicated region for block: B:77:0x0109  */
    /* JADX WARNING: Removed duplicated region for block: B:80:0x0118  */
    /* JADX WARNING: Removed duplicated region for block: B:83:0x0127  */
    /* JADX WARNING: Removed duplicated region for block: B:90:0x0151  */
    /* JADX WARNING: Removed duplicated region for block: B:92:0x0156  */
    /* renamed from: ʻ  reason: contains not printable characters */
    private boolean m5219(int[] iArr, int[] iArr2) {
        boolean z;
        int colorForState;
        boolean onStateChange = super.onStateChange(iArr);
        ColorStateList colorStateList = this.f3591;
        int r1 = m10222(colorStateList != null ? colorStateList.getColorForState(iArr, this.f3569) : 0);
        boolean z2 = true;
        if (this.f3569 != r1) {
            this.f3569 = r1;
            onStateChange = true;
        }
        ColorStateList colorStateList2 = this.f3574;
        int r3 = m10222(colorStateList2 != null ? colorStateList2.getColorForState(iArr, this.f3570) : 0);
        if (this.f3570 != r3) {
            this.f3570 = r3;
            onStateChange = true;
        }
        int r12 = f.e.a.a.q.a.m10494(r1, r3);
        if ((this.f3571 != r12) || (m10243() == null)) {
            this.f3571 = r12;
            m10228(ColorStateList.valueOf(r12));
            onStateChange = true;
        }
        ColorStateList colorStateList3 = this.f3603;
        int colorForState2 = colorStateList3 != null ? colorStateList3.getColorForState(iArr, this.f3572) : 0;
        if (this.f3572 != colorForState2) {
            this.f3572 = colorForState2;
            onStateChange = true;
        }
        int colorForState3 = (this.f3585 == null || !f.e.a.a.z.b.m10565(iArr)) ? 0 : this.f3585.getColorForState(iArr, this.f3573);
        if (this.f3573 != colorForState3) {
            this.f3573 = colorForState3;
            if (this.f3584) {
                onStateChange = true;
            }
        }
        int colorForState4 = (this.f3568.m5869() == null || this.f3568.m5869().m10553() == null) ? 0 : this.f3568.m5869().m10553().getColorForState(iArr, this.f3575);
        if (this.f3575 != colorForState4) {
            this.f3575 = colorForState4;
            onStateChange = true;
        }
        boolean z3 = m5218(getState(), 16842912) && this.f3604;
        if (!(this.f3576 == z3 || this.f3549 == null)) {
            float r0 = m5281();
            this.f3576 = z3;
            if (r0 != m5281()) {
                onStateChange = true;
                z = true;
                ColorStateList colorStateList4 = this.f3581;
                colorForState = colorStateList4 == null ? colorStateList4.getColorForState(iArr, this.f3577) : 0;
                if (this.f3577 == colorForState) {
                    this.f3577 = colorForState;
                    this.f3580 = f.e.a.a.s.a.m10501(this, this.f3581, this.f3582);
                } else {
                    z2 = onStateChange;
                }
                if (m5240(this.f3597)) {
                    z2 |= this.f3597.setState(iArr);
                }
                if (m5240(this.f3549)) {
                    z2 |= this.f3549.setState(iArr);
                }
                if (m5240(this.f3602)) {
                    int[] iArr3 = new int[(iArr.length + iArr2.length)];
                    System.arraycopy(iArr, 0, iArr3, 0, iArr.length);
                    System.arraycopy(iArr2, 0, iArr3, iArr.length, iArr2.length);
                    z2 |= this.f3602.setState(iArr3);
                }
                if (f.e.a.a.z.b.f7090 && m5240(this.f3605)) {
                    z2 |= this.f3605.setState(iArr2);
                }
                if (z2) {
                    invalidateSelf();
                }
                if (z) {
                    m5274();
                }
                return z2;
            }
            onStateChange = true;
        }
        z = false;
        ColorStateList colorStateList42 = this.f3581;
        if (colorStateList42 == null) {
        }
        if (this.f3577 == colorForState) {
        }
        if (m5240(this.f3597)) {
        }
        if (m5240(this.f3549)) {
        }
        if (m5240(this.f3602)) {
        }
        z2 |= this.f3605.setState(iArr2);
        if (z2) {
        }
        if (z) {
        }
        return z2;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private static boolean m5218(int[] iArr, int i) {
        if (iArr == null) {
            return false;
        }
        for (int i2 : iArr) {
            if (i2 == i) {
                return true;
            }
        }
        return false;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public void m5255(d dVar) {
        this.f3568.m5872(dVar, this.f3561);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public void m5252(TextUtils.TruncateAt truncateAt) {
        this.f3587 = truncateAt;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public void m5256(CharSequence charSequence) {
        if (this.f3609 != charSequence) {
            this.f3609 = e.g.j.a.m8593().m8596(charSequence);
            invalidateSelf();
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public void m5257(boolean z) {
        if (this.f3604 != z) {
            this.f3604 = z;
            float r0 = m5281();
            if (!z && this.f3576) {
                this.f3576 = false;
            }
            float r2 = m5281();
            invalidateSelf();
            if (r0 != r2) {
                m5274();
            }
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public void m5251(Drawable drawable) {
        if (this.f3549 != drawable) {
            float r0 = m5281();
            this.f3549 = drawable;
            float r3 = m5281();
            m5242(this.f3549);
            m5237(this.f3549);
            invalidateSelf();
            if (r0 != r3) {
                m5274();
            }
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public void m5254(h hVar) {
        this.f3552 = hVar;
    }
}
