package com.google.android.material.datepicker;

import android.app.Dialog;
import android.content.Context;
import android.content.DialogInterface;
import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.InsetDrawable;
import android.graphics.drawable.StateListDrawable;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.Window;
import android.widget.Button;
import android.widget.LinearLayout;
import android.widget.TextView;
import androidx.fragment.app.g0;
import androidx.fragment.app.n;
import com.google.android.material.datepicker.a;
import com.google.android.material.internal.CheckableImageButton;
import e.g.l.d0;
import f.e.a.a.b0.g;
import f.e.a.a.e;
import f.e.a.a.f;
import f.e.a.a.h;
import f.e.a.a.j;
import java.util.Iterator;
import java.util.LinkedHashSet;

/* compiled from: MaterialDatePicker */
public final class i<S> extends n {

    /* renamed from: ʼٴ  reason: contains not printable characters */
    static final Object f3678 = "CONFIRM_BUTTON_TAG";

    /* renamed from: ʼᐧ  reason: contains not printable characters */
    static final Object f3679 = "CANCEL_BUTTON_TAG";

    /* renamed from: ʼᴵ  reason: contains not printable characters */
    static final Object f3680 = "TOGGLE_BUTTON_TAG";

    /* renamed from: ʻﹳ  reason: contains not printable characters */
    private final LinkedHashSet<j<? super S>> f3681 = new LinkedHashSet<>();

    /* renamed from: ʻﹶ  reason: contains not printable characters */
    private final LinkedHashSet<View.OnClickListener> f3682 = new LinkedHashSet<>();

    /* renamed from: ʻﾞ  reason: contains not printable characters */
    private final LinkedHashSet<DialogInterface.OnCancelListener> f3683 = new LinkedHashSet<>();

    /* renamed from: ʼʻ  reason: contains not printable characters */
    private final LinkedHashSet<DialogInterface.OnDismissListener> f3684 = new LinkedHashSet<>();

    /* renamed from: ʼʽ  reason: contains not printable characters */
    private int f3685;

    /* renamed from: ʼʾ  reason: contains not printable characters */
    private d<S> f3686;

    /* renamed from: ʼʿ  reason: contains not printable characters */
    private p<S> f3687;

    /* renamed from: ʼˆ  reason: contains not printable characters */
    private a f3688;

    /* renamed from: ʼˈ  reason: contains not printable characters */
    private h<S> f3689;

    /* renamed from: ʼˉ  reason: contains not printable characters */
    private int f3690;

    /* renamed from: ʼˊ  reason: contains not printable characters */
    private CharSequence f3691;

    /* renamed from: ʼˋ  reason: contains not printable characters */
    private boolean f3692;

    /* renamed from: ʼˎ  reason: contains not printable characters */
    private int f3693;

    /* renamed from: ʼˏ  reason: contains not printable characters */
    private TextView f3694;

    /* renamed from: ʼˑ  reason: contains not printable characters */
    private CheckableImageButton f3695;

    /* renamed from: ʼי  reason: contains not printable characters */
    private g f3696;

    /* renamed from: ʼـ  reason: contains not printable characters */
    private Button f3697;

    /* compiled from: MaterialDatePicker */
    class a implements View.OnClickListener {
        a() {
        }

        /* JADX DEBUG: Multi-variable search result rejected for r0v2, resolved type: com.google.android.material.datepicker.j */
        /* JADX WARN: Multi-variable type inference failed */
        public void onClick(View view) {
            Iterator it = i.this.f3681.iterator();
            while (it.hasNext()) {
                ((j) it.next()).m5454(i.this.m5449());
            }
            i.this.m2842();
        }
    }

    /* compiled from: MaterialDatePicker */
    class b implements View.OnClickListener {
        b() {
        }

        public void onClick(View view) {
            Iterator it = i.this.f3682.iterator();
            while (it.hasNext()) {
                ((View.OnClickListener) it.next()).onClick(view);
            }
            i.this.m2842();
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: MaterialDatePicker */
    public class c extends o<S> {
        c() {
        }

        @Override // com.google.android.material.datepicker.o
        /* renamed from: ʻ  reason: contains not printable characters */
        public void m5453(S s) {
            i.this.m5434();
            i.this.f3697.setEnabled(i.this.m5432().m5383());
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: MaterialDatePicker */
    public class d implements View.OnClickListener {
        d() {
        }

        public void onClick(View view) {
            i.this.f3697.setEnabled(i.this.m5432().m5383());
            i.this.f3695.toggle();
            i iVar = i.this;
            iVar.m5428((i) iVar.f3695);
            i.this.m5433();
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    /* renamed from: ʼˊ  reason: contains not printable characters */
    private d<S> m5432() {
        if (this.f3686 == null) {
            this.f3686 = (d) m2566().getParcelable("DATE_SELECTOR_KEY");
        }
        return this.f3686;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    /* renamed from: ʼˋ  reason: contains not printable characters */
    private void m5433() {
        int r0 = m5437(m2519());
        this.f3689 = h.m5394(m5432(), r0, this.f3688);
        this.f3687 = this.f3695.isChecked() ? k.m5455(m5432(), r0, this.f3688) : this.f3689;
        m5434();
        g0 r02 = m2569().m3035();
        r02.m2683(f.mtrl_calendar_frame, this.f3687);
        r02.m2694();
        this.f3687.m5494(new c());
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    /* renamed from: ʼˎ  reason: contains not printable characters */
    private void m5434() {
        String r0 = m5448();
        this.f3694.setContentDescription(String.format(m2480(f.e.a.a.i.mtrl_picker_announce_current_selection), r0));
        this.f3694.setText(r0);
    }

    @Override // androidx.fragment.app.n
    public final void onCancel(DialogInterface dialogInterface) {
        Iterator<DialogInterface.OnCancelListener> it = this.f3683.iterator();
        while (it.hasNext()) {
            it.next().onCancel(dialogInterface);
        }
        super.onCancel(dialogInterface);
    }

    @Override // androidx.fragment.app.n
    public final void onDismiss(DialogInterface dialogInterface) {
        Iterator<DialogInterface.OnDismissListener> it = this.f3684.iterator();
        while (it.hasNext()) {
            it.next().onDismiss(dialogInterface);
        }
        ViewGroup viewGroup = (ViewGroup) m2555();
        if (viewGroup != null) {
            viewGroup.removeAllViews();
        }
        super.onDismiss(dialogInterface);
    }

    @Override // androidx.fragment.app.n, androidx.fragment.app.Fragment
    /* renamed from: ʻʾ  reason: contains not printable characters */
    public void m5446() {
        super.m2840();
        Window window = m2849().getWindow();
        if (this.f3692) {
            window.setLayout(-1, -1);
            window.setBackgroundDrawable(this.f3696);
        } else {
            window.setLayout(-2, -2);
            int dimensionPixelOffset = m2532().getDimensionPixelOffset(f.e.a.a.d.mtrl_calendar_dialog_background_inset);
            Rect rect = new Rect(dimensionPixelOffset, dimensionPixelOffset, dimensionPixelOffset, dimensionPixelOffset);
            window.setBackgroundDrawable(new InsetDrawable((Drawable) this.f3696, dimensionPixelOffset, dimensionPixelOffset, dimensionPixelOffset, dimensionPixelOffset));
            window.getDecorView().setOnTouchListener(new f.e.a.a.r.a(m2849(), rect));
        }
        m5433();
    }

    @Override // androidx.fragment.app.n, androidx.fragment.app.Fragment
    /* renamed from: ʻʿ  reason: contains not printable characters */
    public void m5447() {
        this.f3687.m5495();
        super.m2841();
    }

    /* renamed from: ʼˈ  reason: contains not printable characters */
    public String m5448() {
        return m5432().m5379(m2572());
    }

    /* renamed from: ʼˉ  reason: contains not printable characters */
    public final S m5449() {
        return m5432().m5378();
    }

    @Override // androidx.fragment.app.n
    /* renamed from: י  reason: contains not printable characters */
    public final Dialog m5452(Bundle bundle) {
        Dialog dialog = new Dialog(m2519(), m5437(m2519()));
        Context context = dialog.getContext();
        this.f3692 = m5442(context);
        int r1 = f.e.a.a.y.b.m10529(context, f.e.a.a.b.colorSurface, i.class.getCanonicalName());
        g gVar = new g(context, null, f.e.a.a.b.materialCalendarStyle, j.Widget_MaterialComponents_MaterialCalendar);
        this.f3696 = gVar;
        gVar.m10227(context);
        this.f3696.m10228(ColorStateList.valueOf(r1));
        this.f3696.m10223(d0.m8756(dialog.getWindow().getDecorView()));
        return dialog;
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    private static Drawable m5430(Context context) {
        StateListDrawable stateListDrawable = new StateListDrawable();
        stateListDrawable.addState(new int[]{16842912}, e.a.k.a.a.m7308(context, e.material_ic_calendar_black_24dp));
        stateListDrawable.addState(new int[0], e.a.k.a.a.m7308(context, e.material_ic_edit_black_24dp));
        return stateListDrawable;
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    private int m5437(Context context) {
        int i = this.f3685;
        if (i != 0) {
            return i;
        }
        return m5432().m5380(context);
    }

    /* renamed from: ˆ  reason: contains not printable characters */
    static boolean m5442(Context context) {
        return m5429(context, 16843277);
    }

    /* renamed from: ˈ  reason: contains not printable characters */
    static boolean m5444(Context context) {
        return m5429(context, f.e.a.a.b.nestedScrollable);
    }

    @Override // androidx.fragment.app.n, androidx.fragment.app.Fragment
    /* renamed from: ʽ  reason: contains not printable characters */
    public final void m5450(Bundle bundle) {
        super.m2851(bundle);
        if (bundle == null) {
            bundle = m2566();
        }
        this.f3685 = bundle.getInt("OVERRIDE_THEME_RES_ID");
        this.f3686 = (d) bundle.getParcelable("DATE_SELECTOR_KEY");
        this.f3688 = (a) bundle.getParcelable("CALENDAR_CONSTRAINTS_KEY");
        this.f3690 = bundle.getInt("TITLE_TEXT_RES_ID_KEY");
        this.f3691 = bundle.getCharSequence("TITLE_TEXT_KEY");
        this.f3693 = bundle.getInt("INPUT_MODE_KEY");
    }

    @Override // androidx.fragment.app.n, androidx.fragment.app.Fragment
    /* renamed from: ʿ  reason: contains not printable characters */
    public final void m5451(Bundle bundle) {
        super.m2854(bundle);
        bundle.putInt("OVERRIDE_THEME_RES_ID", this.f3685);
        bundle.putParcelable("DATE_SELECTOR_KEY", this.f3686);
        a.b bVar = new a.b(this.f3688);
        if (this.f3689.m5412() != null) {
            bVar.m5370(this.f3689.m5412().f3711);
        }
        bundle.putParcelable("CALENDAR_CONSTRAINTS_KEY", bVar.m5371());
        bundle.putInt("TITLE_TEXT_RES_ID_KEY", this.f3690);
        bundle.putCharSequence("TITLE_TEXT_KEY", this.f3691);
    }

    @Override // androidx.fragment.app.Fragment
    /* renamed from: ʻ  reason: contains not printable characters */
    public final View m5445(LayoutInflater layoutInflater, ViewGroup viewGroup, Bundle bundle) {
        View inflate = layoutInflater.inflate(this.f3692 ? h.mtrl_picker_fullscreen : h.mtrl_picker_dialog, viewGroup);
        Context context = inflate.getContext();
        if (this.f3692) {
            inflate.findViewById(f.mtrl_calendar_frame).setLayoutParams(new LinearLayout.LayoutParams(m5435(context), -2));
        } else {
            inflate.findViewById(f.mtrl_calendar_main_pane).setLayoutParams(new LinearLayout.LayoutParams(m5435(context), -1));
        }
        TextView textView = (TextView) inflate.findViewById(f.mtrl_picker_header_selection_text);
        this.f3694 = textView;
        d0.m8742(textView, 1);
        this.f3695 = (CheckableImageButton) inflate.findViewById(f.mtrl_picker_header_toggle);
        TextView textView2 = (TextView) inflate.findViewById(f.mtrl_picker_title_text);
        CharSequence charSequence = this.f3691;
        if (charSequence != null) {
            textView2.setText(charSequence);
        } else {
            textView2.setText(this.f3690);
        }
        m5440(context);
        this.f3697 = (Button) inflate.findViewById(f.confirm_button);
        if (m5432().m5383()) {
            this.f3697.setEnabled(true);
        } else {
            this.f3697.setEnabled(false);
        }
        this.f3697.setTag(f3678);
        this.f3697.setOnClickListener(new a());
        Button button = (Button) inflate.findViewById(f.cancel_button);
        button.setTag(f3679);
        button.setOnClickListener(new b());
        return inflate;
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    private static int m5435(Context context) {
        Resources resources = context.getResources();
        int dimensionPixelOffset = resources.getDimensionPixelOffset(f.e.a.a.d.mtrl_calendar_content_padding);
        int i = l.m5462().f3709;
        return (dimensionPixelOffset * 2) + (resources.getDimensionPixelSize(f.e.a.a.d.mtrl_calendar_day_width) * i) + ((i - 1) * resources.getDimensionPixelOffset(f.e.a.a.d.mtrl_calendar_month_horizontal_padding));
    }

    /* renamed from: ʿ  reason: contains not printable characters */
    private void m5440(Context context) {
        this.f3695.setTag(f3680);
        this.f3695.setImageDrawable(m5430(context));
        this.f3695.setChecked(this.f3693 != 0);
        d0.m8704(this.f3695, (e.g.l.d) null);
        m5428(this.f3695);
        this.f3695.setOnClickListener(new d());
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    /* renamed from: ʻ  reason: contains not printable characters */
    private void m5428(CheckableImageButton checkableImageButton) {
        String str;
        if (this.f3695.isChecked()) {
            str = checkableImageButton.getContext().getString(f.e.a.a.i.mtrl_picker_toggle_to_calendar_input_mode);
        } else {
            str = checkableImageButton.getContext().getString(f.e.a.a.i.mtrl_picker_toggle_to_text_input_mode);
        }
        this.f3695.setContentDescription(str);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    static boolean m5429(Context context, int i) {
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(f.e.a.a.y.b.m10529(context, f.e.a.a.b.materialCalendarStyle, h.class.getCanonicalName()), new int[]{i});
        boolean z = obtainStyledAttributes.getBoolean(0, false);
        obtainStyledAttributes.recycle();
        return z;
    }
}
