package com.google.android.material.floatingactionbutton;

import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.animation.AnimatorSet;
import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.Rect;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.util.Property;
import android.view.View;
import android.view.ViewGroup;
import androidx.coordinatorlayout.widget.CoordinatorLayout;
import com.google.android.material.appbar.AppBarLayout;
import com.google.android.material.bottomsheet.BottomSheetBehavior;
import com.google.android.material.button.MaterialButton;
import e.g.l.d0;
import f.e.a.a.k;
import f.e.a.a.l.h;
import java.util.List;

public class ExtendedFloatingActionButton extends MaterialButton implements CoordinatorLayout.b {

    /* renamed from: ʻʻ  reason: contains not printable characters */
    private final int f3737;

    /* renamed from: ʼʼ  reason: contains not printable characters */
    private boolean f3738;

    /* renamed from: ʽʽ  reason: contains not printable characters */
    private final CoordinatorLayout.c<ExtendedFloatingActionButton> f3739;

    /* renamed from: ʾʾ  reason: contains not printable characters */
    private boolean f3740;

    /* renamed from: ʿʿ  reason: contains not printable characters */
    private boolean f3741;

    /* renamed from: ᐧᐧ  reason: contains not printable characters */
    private final d f3742;

    /* renamed from: ᴵᴵ  reason: contains not printable characters */
    private final d f3743;

    /* renamed from: ﹶ  reason: contains not printable characters */
    private int f3744;

    /* renamed from: ﾞ  reason: contains not printable characters */
    private final d f3745;

    /* renamed from: ﾞﾞ  reason: contains not printable characters */
    private final d f3746;

    protected static class ExtendedFloatingActionButtonBehavior<T extends ExtendedFloatingActionButton> extends CoordinatorLayout.c<T> {

        /* renamed from: ʻ  reason: contains not printable characters */
        private Rect f3747;

        /* renamed from: ʼ  reason: contains not printable characters */
        private f f3748;

        /* renamed from: ʽ  reason: contains not printable characters */
        private f f3749;

        /* renamed from: ʾ  reason: contains not printable characters */
        private boolean f3750;

        /* renamed from: ʿ  reason: contains not printable characters */
        private boolean f3751;

        public ExtendedFloatingActionButtonBehavior() {
            this.f3750 = false;
            this.f3751 = true;
        }

        /* renamed from: ʼ  reason: contains not printable characters */
        private boolean m5535(View view, ExtendedFloatingActionButton extendedFloatingActionButton) {
            if (!m5533(view, extendedFloatingActionButton)) {
                return false;
            }
            if (view.getTop() < (extendedFloatingActionButton.getHeight() / 2) + ((ViewGroup.MarginLayoutParams) ((CoordinatorLayout.f) extendedFloatingActionButton.getLayoutParams())).topMargin) {
                m5543(extendedFloatingActionButton);
                return true;
            }
            m5537(extendedFloatingActionButton);
            return true;
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        public boolean m5539(CoordinatorLayout coordinatorLayout, ExtendedFloatingActionButton extendedFloatingActionButton, Rect rect) {
            return super.m1833(coordinatorLayout, (View) extendedFloatingActionButton, rect);
        }

        public ExtendedFloatingActionButtonBehavior(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, k.ExtendedFloatingActionButton_Behavior_Layout);
            this.f3750 = obtainStyledAttributes.getBoolean(k.ExtendedFloatingActionButton_Behavior_Layout_behavior_autoHide, false);
            this.f3751 = obtainStyledAttributes.getBoolean(k.ExtendedFloatingActionButton_Behavior_Layout_behavior_autoShrink, true);
            obtainStyledAttributes.recycle();
        }

        @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.c
        /* renamed from: ʻ  reason: contains not printable characters */
        public void m5536(CoordinatorLayout.f fVar) {
            if (fVar.f1672 == 0) {
                fVar.f1672 = 80;
            }
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        public boolean m5544(CoordinatorLayout coordinatorLayout, ExtendedFloatingActionButton extendedFloatingActionButton, View view) {
            if (view instanceof AppBarLayout) {
                m5534(coordinatorLayout, (AppBarLayout) view, extendedFloatingActionButton);
                return false;
            } else if (!m5532(view)) {
                return false;
            } else {
                m5535(view, extendedFloatingActionButton);
                return false;
            }
        }

        /* access modifiers changed from: protected */
        /* renamed from: ʼ  reason: contains not printable characters */
        public void m5543(ExtendedFloatingActionButton extendedFloatingActionButton) {
            d dVar;
            f fVar = this.f3751 ? this.f3749 : this.f3748;
            if (this.f3751) {
                dVar = extendedFloatingActionButton.f3745;
            } else {
                dVar = extendedFloatingActionButton.f3743;
            }
            extendedFloatingActionButton.m5525((ExtendedFloatingActionButton) dVar, (d) fVar);
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        private static boolean m5532(View view) {
            ViewGroup.LayoutParams layoutParams = view.getLayoutParams();
            if (layoutParams instanceof CoordinatorLayout.f) {
                return ((CoordinatorLayout.f) layoutParams).m1863() instanceof BottomSheetBehavior;
            }
            return false;
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        private boolean m5533(View view, ExtendedFloatingActionButton extendedFloatingActionButton) {
            CoordinatorLayout.f fVar = (CoordinatorLayout.f) extendedFloatingActionButton.getLayoutParams();
            if ((this.f3750 || this.f3751) && fVar.m1862() == view.getId()) {
                return true;
            }
            return false;
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        private boolean m5534(CoordinatorLayout coordinatorLayout, AppBarLayout appBarLayout, ExtendedFloatingActionButton extendedFloatingActionButton) {
            if (!m5533(appBarLayout, extendedFloatingActionButton)) {
                return false;
            }
            if (this.f3747 == null) {
                this.f3747 = new Rect();
            }
            Rect rect = this.f3747;
            com.google.android.material.internal.c.m5767(coordinatorLayout, appBarLayout, rect);
            if (rect.bottom <= appBarLayout.getMinimumHeightForVisibleOverlappingContent()) {
                m5543(extendedFloatingActionButton);
                return true;
            }
            m5537(extendedFloatingActionButton);
            return true;
        }

        /* access modifiers changed from: protected */
        /* renamed from: ʻ  reason: contains not printable characters */
        public void m5537(ExtendedFloatingActionButton extendedFloatingActionButton) {
            d dVar;
            f fVar = this.f3751 ? this.f3749 : this.f3748;
            if (this.f3751) {
                dVar = extendedFloatingActionButton.f3746;
            } else {
                dVar = extendedFloatingActionButton.f3742;
            }
            extendedFloatingActionButton.m5525((ExtendedFloatingActionButton) dVar, (d) fVar);
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        public boolean m5538(CoordinatorLayout coordinatorLayout, ExtendedFloatingActionButton extendedFloatingActionButton, int i) {
            List<View> r0 = coordinatorLayout.m1807(extendedFloatingActionButton);
            int size = r0.size();
            for (int i2 = 0; i2 < size; i2++) {
                View view = r0.get(i2);
                if (!(view instanceof AppBarLayout)) {
                    if (m5532(view) && m5535(view, extendedFloatingActionButton)) {
                        break;
                    }
                } else if (m5534(coordinatorLayout, (AppBarLayout) view, extendedFloatingActionButton)) {
                    break;
                }
            }
            coordinatorLayout.m1814(extendedFloatingActionButton, i);
            return true;
        }
    }

    /* access modifiers changed from: package-private */
    public class a extends AnimatorListenerAdapter {

        /* renamed from: ʿ  reason: contains not printable characters */
        private boolean f3752;

        /* renamed from: ˆ  reason: contains not printable characters */
        final /* synthetic */ d f3753;

        /* renamed from: ˈ  reason: contains not printable characters */
        final /* synthetic */ f f3754;

        a(ExtendedFloatingActionButton extendedFloatingActionButton, d dVar, f fVar) {
            this.f3753 = dVar;
            this.f3754 = fVar;
        }

        public void onAnimationCancel(Animator animator) {
            this.f3752 = true;
            this.f3753.m5690();
        }

        public void onAnimationEnd(Animator animator) {
            this.f3753.m5689();
            if (!this.f3752) {
                this.f3753.m5686(this.f3754);
            }
        }

        public void onAnimationStart(Animator animator) {
            this.f3753.onAnimationStart(animator);
            this.f3752 = false;
        }
    }

    public static abstract class f {
    }

    static {
        new b(Float.class, "width");
        new c(Float.class, "height");
        new d(Float.class, "paddingStart");
        new e(Float.class, "paddingEnd");
    }

    /* renamed from: ˉ  reason: contains not printable characters */
    private boolean m5529() {
        if (getVisibility() != 0) {
            if (this.f3744 == 2) {
                return true;
            }
            return false;
        } else if (this.f3744 != 1) {
            return true;
        } else {
            return false;
        }
    }

    /* renamed from: ˊ  reason: contains not printable characters */
    private void m5530() {
        getTextColors();
    }

    /* renamed from: ˋ  reason: contains not printable characters */
    private boolean m5531() {
        return (d0.m8740(this) || (!m5529() && this.f3740)) && !isInEditMode();
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.b
    public CoordinatorLayout.c<ExtendedFloatingActionButton> getBehavior() {
        return this.f3739;
    }

    /* access modifiers changed from: package-private */
    public int getCollapsedPadding() {
        return (getCollapsedSize() - getIconSize()) / 2;
    }

    /* access modifiers changed from: package-private */
    public int getCollapsedSize() {
        int i = this.f3737;
        return i < 0 ? (Math.min(d0.m8771(this), d0.m8770(this)) * 2) + getIconSize() : i;
    }

    public h getExtendMotionSpec() {
        return this.f3746.m5685();
    }

    public h getHideMotionSpec() {
        return this.f3743.m5685();
    }

    public h getShowMotionSpec() {
        return this.f3742.m5685();
    }

    public h getShrinkMotionSpec() {
        return this.f3745.m5685();
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.material.button.MaterialButton
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        if (this.f3738 && TextUtils.isEmpty(getText()) && getIcon() != null) {
            this.f3738 = false;
            this.f3745.m5693();
        }
    }

    public void setAnimateShowBeforeLayout(boolean z) {
        this.f3740 = z;
    }

    public void setExtendMotionSpec(h hVar) {
        this.f3746.m5687(hVar);
    }

    public void setExtendMotionSpecResource(int i) {
        setExtendMotionSpec(h.m10410(getContext(), i));
    }

    public void setExtended(boolean z) {
        if (this.f3738 != z) {
            d dVar = z ? this.f3746 : this.f3745;
            if (!dVar.m5692()) {
                dVar.m5693();
            }
        }
    }

    public void setHideMotionSpec(h hVar) {
        this.f3743.m5687(hVar);
    }

    public void setHideMotionSpecResource(int i) {
        setHideMotionSpec(h.m10410(getContext(), i));
    }

    public void setPadding(int i, int i2, int i3, int i4) {
        super.setPadding(i, i2, i3, i4);
        if (this.f3738 && !this.f3741) {
            d0.m8771(this);
            d0.m8770(this);
        }
    }

    public void setPaddingRelative(int i, int i2, int i3, int i4) {
        super.setPaddingRelative(i, i2, i3, i4);
        if (this.f3738) {
            boolean z = this.f3741;
        }
    }

    public void setShowMotionSpec(h hVar) {
        this.f3742.m5687(hVar);
    }

    public void setShowMotionSpecResource(int i) {
        setShowMotionSpec(h.m10410(getContext(), i));
    }

    public void setShrinkMotionSpec(h hVar) {
        this.f3745.m5687(hVar);
    }

    public void setShrinkMotionSpecResource(int i) {
        setShrinkMotionSpec(h.m10410(getContext(), i));
    }

    @Override // android.widget.TextView
    public void setTextColor(int i) {
        super.setTextColor(i);
        m5530();
    }

    static class b extends Property<View, Float> {
        b(Class cls, String str) {
            super(cls, str);
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        public void set(View view, Float f2) {
            view.getLayoutParams().width = f2.intValue();
            view.requestLayout();
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        public Float get(View view) {
            return Float.valueOf((float) view.getLayoutParams().width);
        }
    }

    static class c extends Property<View, Float> {
        c(Class cls, String str) {
            super(cls, str);
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        public void set(View view, Float f2) {
            view.getLayoutParams().height = f2.intValue();
            view.requestLayout();
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        public Float get(View view) {
            return Float.valueOf((float) view.getLayoutParams().height);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    /* renamed from: ʻ  reason: contains not printable characters */
    private void m5525(d dVar, f fVar) {
        if (!dVar.m5692()) {
            if (!m5531()) {
                dVar.m5693();
                dVar.m5686(fVar);
                return;
            }
            measure(0, 0);
            AnimatorSet r0 = dVar.m5688();
            r0.addListener(new a(this, dVar, fVar));
            for (Animator.AnimatorListener animatorListener : dVar.m5691()) {
                r0.addListener(animatorListener);
            }
            r0.start();
        }
    }

    @Override // android.widget.TextView
    public void setTextColor(ColorStateList colorStateList) {
        super.setTextColor(colorStateList);
        m5530();
    }

    static class d extends Property<View, Float> {
        d(Class cls, String str) {
            super(cls, str);
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        public void set(View view, Float f2) {
            d0.m8698(view, f2.intValue(), view.getPaddingTop(), d0.m8770(view), view.getPaddingBottom());
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        public Float get(View view) {
            return Float.valueOf((float) d0.m8771(view));
        }
    }

    static class e extends Property<View, Float> {
        e(Class cls, String str) {
            super(cls, str);
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        public void set(View view, Float f2) {
            d0.m8698(view, d0.m8771(view), view.getPaddingTop(), f2.intValue(), view.getPaddingBottom());
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        public Float get(View view) {
            return Float.valueOf((float) d0.m8770(view));
        }
    }
}
