package com.google.android.material.floatingactionbutton;

import android.animation.Animator;
import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.PorterDuff;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.os.Bundle;
import android.os.Parcelable;
import android.util.AttributeSet;
import android.util.Log;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import androidx.appcompat.widget.m;
import androidx.coordinatorlayout.widget.CoordinatorLayout;
import androidx.core.widget.o;
import com.google.android.material.appbar.AppBarLayout;
import com.google.android.material.bottomsheet.BottomSheetBehavior;
import com.google.android.material.floatingactionbutton.b;
import com.google.android.material.internal.p;
import com.google.android.material.internal.r;
import com.google.android.material.internal.s;
import e.g.l.c0;
import e.g.l.d0;
import f.e.a.a.b0.n;
import f.e.a.a.j;
import f.e.a.a.k;
import f.e.a.a.l.h;
import java.util.List;

public class FloatingActionButton extends s implements c0, o, f.e.a.a.u.a, n, CoordinatorLayout.b {

    /* renamed from: ⁱ  reason: contains not printable characters */
    private static final int f3755 = j.Widget_Design_FloatingActionButton;

    /* renamed from: ˆ  reason: contains not printable characters */
    private ColorStateList f3756;

    /* renamed from: ˈ  reason: contains not printable characters */
    private PorterDuff.Mode f3757;

    /* renamed from: ˉ  reason: contains not printable characters */
    private ColorStateList f3758;

    /* renamed from: ˊ  reason: contains not printable characters */
    private PorterDuff.Mode f3759;

    /* renamed from: ˋ  reason: contains not printable characters */
    private ColorStateList f3760;

    /* renamed from: ˎ  reason: contains not printable characters */
    private int f3761;

    /* renamed from: ˏ  reason: contains not printable characters */
    private int f3762;

    /* renamed from: ˑ  reason: contains not printable characters */
    private int f3763;

    /* renamed from: י  reason: contains not printable characters */
    private int f3764;

    /* renamed from: ـ  reason: contains not printable characters */
    private int f3765;

    /* renamed from: ٴ  reason: contains not printable characters */
    boolean f3766;

    /* renamed from: ᐧ  reason: contains not printable characters */
    final Rect f3767;

    /* renamed from: ᴵ  reason: contains not printable characters */
    private final Rect f3768;

    /* renamed from: ᵎ  reason: contains not printable characters */
    private final androidx.appcompat.widget.s f3769;

    /* renamed from: ᵔ  reason: contains not printable characters */
    private final f.e.a.a.u.c f3770;

    /* renamed from: ᵢ  reason: contains not printable characters */
    private b f3771;

    protected static class BaseBehavior<T extends FloatingActionButton> extends CoordinatorLayout.c<T> {

        /* renamed from: ʻ  reason: contains not printable characters */
        private Rect f3772;

        /* renamed from: ʼ  reason: contains not printable characters */
        private b f3773;

        /* renamed from: ʽ  reason: contains not printable characters */
        private boolean f3774;

        public BaseBehavior() {
            this.f3774 = true;
        }

        /* renamed from: ʼ  reason: contains not printable characters */
        private boolean m5577(View view, FloatingActionButton floatingActionButton) {
            if (!m5575(view, floatingActionButton)) {
                return false;
            }
            if (view.getTop() < (floatingActionButton.getHeight() / 2) + ((ViewGroup.MarginLayoutParams) ((CoordinatorLayout.f) floatingActionButton.getLayoutParams())).topMargin) {
                floatingActionButton.m5563(this.f3773, false);
                return true;
            }
            floatingActionButton.m5570(this.f3773, false);
            return true;
        }

        public BaseBehavior(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, k.FloatingActionButton_Behavior_Layout);
            this.f3774 = obtainStyledAttributes.getBoolean(k.FloatingActionButton_Behavior_Layout_behavior_autoHide, true);
            obtainStyledAttributes.recycle();
        }

        @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.c
        /* renamed from: ʻ  reason: contains not printable characters */
        public void m5578(CoordinatorLayout.f fVar) {
            if (fVar.f1672 == 0) {
                fVar.f1672 = 80;
            }
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        public boolean m5584(CoordinatorLayout coordinatorLayout, FloatingActionButton floatingActionButton, View view) {
            if (view instanceof AppBarLayout) {
                m5576(coordinatorLayout, (AppBarLayout) view, floatingActionButton);
                return false;
            } else if (!m5574(view)) {
                return false;
            } else {
                m5577(view, floatingActionButton);
                return false;
            }
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        private static boolean m5574(View view) {
            ViewGroup.LayoutParams layoutParams = view.getLayoutParams();
            if (layoutParams instanceof CoordinatorLayout.f) {
                return ((CoordinatorLayout.f) layoutParams).m1863() instanceof BottomSheetBehavior;
            }
            return false;
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        private boolean m5575(View view, FloatingActionButton floatingActionButton) {
            CoordinatorLayout.f fVar = (CoordinatorLayout.f) floatingActionButton.getLayoutParams();
            if (this.f3774 && fVar.m1862() == view.getId() && floatingActionButton.getUserSetVisibility() == 0) {
                return true;
            }
            return false;
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        private boolean m5576(CoordinatorLayout coordinatorLayout, AppBarLayout appBarLayout, FloatingActionButton floatingActionButton) {
            if (!m5575(appBarLayout, floatingActionButton)) {
                return false;
            }
            if (this.f3772 == null) {
                this.f3772 = new Rect();
            }
            Rect rect = this.f3772;
            com.google.android.material.internal.c.m5767(coordinatorLayout, appBarLayout, rect);
            if (rect.bottom <= appBarLayout.getMinimumHeightForVisibleOverlappingContent()) {
                floatingActionButton.m5563(this.f3773, false);
                return true;
            }
            floatingActionButton.m5570(this.f3773, false);
            return true;
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        public boolean m5579(CoordinatorLayout coordinatorLayout, FloatingActionButton floatingActionButton, int i) {
            List<View> r0 = coordinatorLayout.m1807(floatingActionButton);
            int size = r0.size();
            for (int i2 = 0; i2 < size; i2++) {
                View view = r0.get(i2);
                if (!(view instanceof AppBarLayout)) {
                    if (m5574(view) && m5577(view, floatingActionButton)) {
                        break;
                    }
                } else if (m5576(coordinatorLayout, (AppBarLayout) view, floatingActionButton)) {
                    break;
                }
            }
            coordinatorLayout.m1814(floatingActionButton, i);
            m5573(coordinatorLayout, floatingActionButton);
            return true;
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        public boolean m5580(CoordinatorLayout coordinatorLayout, FloatingActionButton floatingActionButton, Rect rect) {
            Rect rect2 = floatingActionButton.f3767;
            rect.set(floatingActionButton.getLeft() + rect2.left, floatingActionButton.getTop() + rect2.top, floatingActionButton.getRight() - rect2.right, floatingActionButton.getBottom() - rect2.bottom);
            return true;
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        private void m5573(CoordinatorLayout coordinatorLayout, FloatingActionButton floatingActionButton) {
            int i;
            Rect rect = floatingActionButton.f3767;
            if (rect != null && rect.centerX() > 0 && rect.centerY() > 0) {
                CoordinatorLayout.f fVar = (CoordinatorLayout.f) floatingActionButton.getLayoutParams();
                int i2 = 0;
                if (floatingActionButton.getRight() >= coordinatorLayout.getWidth() - ((ViewGroup.MarginLayoutParams) fVar).rightMargin) {
                    i = rect.right;
                } else {
                    i = floatingActionButton.getLeft() <= ((ViewGroup.MarginLayoutParams) fVar).leftMargin ? -rect.left : 0;
                }
                if (floatingActionButton.getBottom() >= coordinatorLayout.getHeight() - ((ViewGroup.MarginLayoutParams) fVar).bottomMargin) {
                    i2 = rect.bottom;
                } else if (floatingActionButton.getTop() <= ((ViewGroup.MarginLayoutParams) fVar).topMargin) {
                    i2 = -rect.top;
                }
                if (i2 != 0) {
                    d0.m8735(floatingActionButton, i2);
                }
                if (i != 0) {
                    d0.m8731(floatingActionButton, i);
                }
            }
        }
    }

    public static class Behavior extends BaseBehavior<FloatingActionButton> {
        public Behavior() {
        }

        public Behavior(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
        }
    }

    /* access modifiers changed from: package-private */
    public class a implements b.k {

        /* renamed from: ʻ  reason: contains not printable characters */
        final /* synthetic */ b f3775;

        a(b bVar) {
            this.f3775 = bVar;
        }

        @Override // com.google.android.material.floatingactionbutton.b.k
        /* renamed from: ʻ  reason: contains not printable characters */
        public void m5585() {
            this.f3775.m5588(FloatingActionButton.this);
        }

        @Override // com.google.android.material.floatingactionbutton.b.k
        /* renamed from: ʼ  reason: contains not printable characters */
        public void m5586() {
            this.f3775.m5587(FloatingActionButton.this);
        }
    }

    public static abstract class b {
        /* renamed from: ʻ  reason: contains not printable characters */
        public void m5587(FloatingActionButton floatingActionButton) {
        }

        /* renamed from: ʼ  reason: contains not printable characters */
        public void m5588(FloatingActionButton floatingActionButton) {
        }
    }

    class d<T extends FloatingActionButton> implements b.j {

        /* renamed from: ʻ  reason: contains not printable characters */
        private final f.e.a.a.l.k<T> f3778;

        d(f.e.a.a.l.k<T> kVar) {
            this.f3778 = kVar;
        }

        public boolean equals(Object obj) {
            return (obj instanceof d) && ((d) obj).f3778.equals(this.f3778);
        }

        public int hashCode() {
            return this.f3778.hashCode();
        }

        /* JADX DEBUG: Multi-variable search result rejected for r0v0, resolved type: f.e.a.a.l.k<T extends com.google.android.material.floatingactionbutton.FloatingActionButton> */
        /* JADX WARN: Multi-variable type inference failed */
        @Override // com.google.android.material.floatingactionbutton.b.j
        /* renamed from: ʻ  reason: contains not printable characters */
        public void m5592() {
            this.f3778.m10427(FloatingActionButton.this);
        }

        /* JADX DEBUG: Multi-variable search result rejected for r0v0, resolved type: f.e.a.a.l.k<T extends com.google.android.material.floatingactionbutton.FloatingActionButton> */
        /* JADX WARN: Multi-variable type inference failed */
        @Override // com.google.android.material.floatingactionbutton.b.j
        /* renamed from: ʼ  reason: contains not printable characters */
        public void m5593() {
            this.f3778.m10428(FloatingActionButton.this);
        }
    }

    public FloatingActionButton(Context context) {
        this(context, null);
    }

    private b getImpl() {
        if (this.f3771 == null) {
            this.f3771 = m5559();
        }
        return this.f3771;
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    private b.k m5557(b bVar) {
        if (bVar == null) {
            return null;
        }
        return new a(bVar);
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    private b m5559() {
        if (Build.VERSION.SDK_INT >= 21) {
            return new c(this, new c());
        }
        return new b(this, new c());
    }

    /* renamed from: ʿ  reason: contains not printable characters */
    private void m5560() {
        Drawable drawable = getDrawable();
        if (drawable != null) {
            ColorStateList colorStateList = this.f3758;
            if (colorStateList == null) {
                androidx.core.graphics.drawable.a.m1983(drawable);
                return;
            }
            int colorForState = colorStateList.getColorForState(getDrawableState(), 0);
            PorterDuff.Mode mode = this.f3759;
            if (mode == null) {
                mode = PorterDuff.Mode.SRC_IN;
            }
            drawable.mutate().setColorFilter(m.m1436(colorForState, mode));
        }
    }

    /* access modifiers changed from: protected */
    public void drawableStateChanged() {
        super.drawableStateChanged();
        getImpl().m5625(getDrawableState());
    }

    public ColorStateList getBackgroundTintList() {
        return this.f3756;
    }

    public PorterDuff.Mode getBackgroundTintMode() {
        return this.f3757;
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.b
    public CoordinatorLayout.c<FloatingActionButton> getBehavior() {
        return new Behavior();
    }

    public float getCompatElevation() {
        return getImpl().m5635();
    }

    public float getCompatHoveredFocusedTranslationZ() {
        return getImpl().m5641();
    }

    public float getCompatPressedTranslationZ() {
        return getImpl().m5642();
    }

    public Drawable getContentBackground() {
        return getImpl().m5626();
    }

    public int getCustomSize() {
        return this.f3763;
    }

    public int getExpandedComponentIdHint() {
        return this.f3770.m10509();
    }

    public h getHideMotionSpec() {
        return getImpl().m5639();
    }

    @Deprecated
    public int getRippleColor() {
        ColorStateList colorStateList = this.f3760;
        if (colorStateList != null) {
            return colorStateList.getDefaultColor();
        }
        return 0;
    }

    public ColorStateList getRippleColorStateList() {
        return this.f3760;
    }

    public f.e.a.a.b0.k getShapeAppearanceModel() {
        f.e.a.a.b0.k r0 = getImpl().m5643();
        e.g.k.h.m8663(r0);
        return r0;
    }

    public h getShowMotionSpec() {
        return getImpl().m5644();
    }

    public int getSize() {
        return this.f3762;
    }

    /* access modifiers changed from: package-private */
    public int getSizeDimension() {
        return m5553(this.f3762);
    }

    @Override // e.g.l.c0
    public ColorStateList getSupportBackgroundTintList() {
        return getBackgroundTintList();
    }

    @Override // e.g.l.c0
    public PorterDuff.Mode getSupportBackgroundTintMode() {
        return getBackgroundTintMode();
    }

    @Override // androidx.core.widget.o
    public ColorStateList getSupportImageTintList() {
        return this.f3758;
    }

    @Override // androidx.core.widget.o
    public PorterDuff.Mode getSupportImageTintMode() {
        return this.f3759;
    }

    public boolean getUseCompatPadding() {
        return this.f3766;
    }

    public void jumpDrawablesToCurrentState() {
        super.jumpDrawablesToCurrentState();
        getImpl().m5647();
    }

    /* access modifiers changed from: protected */
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        getImpl().m5648();
    }

    /* access modifiers changed from: protected */
    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        getImpl().m5650();
    }

    /* access modifiers changed from: protected */
    public void onMeasure(int i, int i2) {
        int sizeDimension = getSizeDimension();
        this.f3764 = (sizeDimension - this.f3765) / 2;
        getImpl().m5659();
        int min = Math.min(m5554(sizeDimension, i), m5554(sizeDimension, i2));
        Rect rect = this.f3767;
        setMeasuredDimension(rect.left + min + rect.right, min + rect.top + rect.bottom);
    }

    /* access modifiers changed from: protected */
    public void onRestoreInstanceState(Parcelable parcelable) {
        if (!(parcelable instanceof f.e.a.a.c0.a)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        f.e.a.a.c0.a aVar = (f.e.a.a.c0.a) parcelable;
        super.onRestoreInstanceState(aVar.m9382());
        f.e.a.a.u.c cVar = this.f3770;
        Bundle bundle = aVar.f7000.get("expandableWidgetHelper");
        e.g.k.h.m8663(bundle);
        cVar.m10511(bundle);
    }

    /* access modifiers changed from: protected */
    public Parcelable onSaveInstanceState() {
        Parcelable onSaveInstanceState = super.onSaveInstanceState();
        if (onSaveInstanceState == null) {
            onSaveInstanceState = new Bundle();
        }
        f.e.a.a.c0.a aVar = new f.e.a.a.c0.a(onSaveInstanceState);
        aVar.f7000.put("expandableWidgetHelper", this.f3770.m10513());
        return aVar;
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        if (motionEvent.getAction() != 0 || !m5566(this.f3768) || this.f3768.contains((int) motionEvent.getX(), (int) motionEvent.getY())) {
            return super.onTouchEvent(motionEvent);
        }
        return false;
    }

    public void setBackgroundColor(int i) {
        Log.i("FloatingActionButton", "Setting a custom background is not supported.");
    }

    public void setBackgroundDrawable(Drawable drawable) {
        Log.i("FloatingActionButton", "Setting a custom background is not supported.");
    }

    public void setBackgroundResource(int i) {
        Log.i("FloatingActionButton", "Setting a custom background is not supported.");
    }

    public void setBackgroundTintList(ColorStateList colorStateList) {
        if (this.f3756 != colorStateList) {
            this.f3756 = colorStateList;
            getImpl().m5616(colorStateList);
        }
    }

    public void setBackgroundTintMode(PorterDuff.Mode mode) {
        if (this.f3757 != mode) {
            this.f3757 = mode;
            getImpl().m5618(mode);
        }
    }

    public void setCompatElevation(float f2) {
        getImpl().m5612(f2);
    }

    public void setCompatElevationResource(int i) {
        setCompatElevation(getResources().getDimension(i));
    }

    public void setCompatHoveredFocusedTranslationZ(float f2) {
        getImpl().m5627(f2);
    }

    public void setCompatHoveredFocusedTranslationZResource(int i) {
        setCompatHoveredFocusedTranslationZ(getResources().getDimension(i));
    }

    public void setCompatPressedTranslationZ(float f2) {
        getImpl().m5637(f2);
    }

    public void setCompatPressedTranslationZResource(int i) {
        setCompatPressedTranslationZ(getResources().getDimension(i));
    }

    public void setCustomSize(int i) {
        if (i < 0) {
            throw new IllegalArgumentException("Custom size must be non-negative");
        } else if (i != this.f3763) {
            this.f3763 = i;
            requestLayout();
        }
    }

    public void setElevation(float f2) {
        super.setElevation(f2);
        getImpl().m5640(f2);
    }

    public void setEnsureMinTouchTargetSize(boolean z) {
        if (z != getImpl().m5638()) {
            getImpl().m5624(z);
            requestLayout();
        }
    }

    public void setExpandedComponentIdHint(int i) {
        this.f3770.m10510(i);
    }

    public void setHideMotionSpec(h hVar) {
        getImpl().m5623(hVar);
    }

    public void setHideMotionSpecResource(int i) {
        setHideMotionSpec(h.m10410(getContext(), i));
    }

    public void setImageDrawable(Drawable drawable) {
        if (getDrawable() != drawable) {
            super.setImageDrawable(drawable);
            getImpl().m5658();
            if (this.f3758 != null) {
                m5560();
            }
        }
    }

    public void setImageResource(int i) {
        this.f3769.m1559(i);
        m5560();
    }

    public void setMaxImageSize(int i) {
        this.f3765 = i;
        getImpl().m5614(i);
    }

    public void setRippleColor(int i) {
        setRippleColor(ColorStateList.valueOf(i));
    }

    public void setScaleX(float f2) {
        super.setScaleX(f2);
        getImpl().m5652();
    }

    public void setScaleY(float f2) {
        super.setScaleY(f2);
        getImpl().m5652();
    }

    public void setShadowPaddingEnabled(boolean z) {
        getImpl().m5634(z);
    }

    @Override // f.e.a.a.b0.n
    public void setShapeAppearanceModel(f.e.a.a.b0.k kVar) {
        getImpl().m5622(kVar);
    }

    public void setShowMotionSpec(h hVar) {
        getImpl().m5633(hVar);
    }

    public void setShowMotionSpecResource(int i) {
        setShowMotionSpec(h.m10410(getContext(), i));
    }

    public void setSize(int i) {
        this.f3763 = 0;
        if (i != this.f3762) {
            this.f3762 = i;
            requestLayout();
        }
    }

    @Override // e.g.l.c0
    public void setSupportBackgroundTintList(ColorStateList colorStateList) {
        setBackgroundTintList(colorStateList);
    }

    @Override // e.g.l.c0
    public void setSupportBackgroundTintMode(PorterDuff.Mode mode) {
        setBackgroundTintMode(mode);
    }

    @Override // androidx.core.widget.o
    public void setSupportImageTintList(ColorStateList colorStateList) {
        if (this.f3758 != colorStateList) {
            this.f3758 = colorStateList;
            m5560();
        }
    }

    @Override // androidx.core.widget.o
    public void setSupportImageTintMode(PorterDuff.Mode mode) {
        if (this.f3759 != mode) {
            this.f3759 = mode;
            m5560();
        }
    }

    public void setTranslationX(float f2) {
        super.setTranslationX(f2);
        getImpl().m5653();
    }

    public void setTranslationY(float f2) {
        super.setTranslationY(f2);
        getImpl().m5653();
    }

    public void setTranslationZ(float f2) {
        super.setTranslationZ(f2);
        getImpl().m5653();
    }

    public void setUseCompatPadding(boolean z) {
        if (this.f3766 != z) {
            this.f3766 = z;
            getImpl().m5649();
        }
    }

    @Override // com.google.android.material.internal.s
    public void setVisibility(int i) {
        super.setVisibility(i);
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public void m5569(b bVar) {
        m5570(bVar, true);
    }

    public FloatingActionButton(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, f.e.a.a.b.floatingActionButtonStyle);
    }

    public void setRippleColor(ColorStateList colorStateList) {
        if (this.f3760 != colorStateList) {
            this.f3760 = colorStateList;
            getImpl().m5630(this.f3760);
        }
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʼ  reason: contains not printable characters */
    public void m5570(b bVar, boolean z) {
        getImpl().m5632(m5557(bVar), z);
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    public boolean m5572() {
        return getImpl().m5646();
    }

    public FloatingActionButton(Context context, AttributeSet attributeSet, int i) {
        super(com.google.android.material.theme.a.a.m6153(context, attributeSet, i, f3755), attributeSet, i);
        this.f3767 = new Rect();
        this.f3768 = new Rect();
        Context context2 = getContext();
        TypedArray r0 = p.m5885(context2, attributeSet, k.FloatingActionButton, i, f3755, new int[0]);
        this.f3756 = f.e.a.a.y.c.m10535(context2, r0, k.FloatingActionButton_backgroundTint);
        this.f3757 = r.m5892(r0.getInt(k.FloatingActionButton_backgroundTintMode, -1), (PorterDuff.Mode) null);
        this.f3760 = f.e.a.a.y.c.m10535(context2, r0, k.FloatingActionButton_rippleColor);
        this.f3762 = r0.getInt(k.FloatingActionButton_fabSize, -1);
        this.f3763 = r0.getDimensionPixelSize(k.FloatingActionButton_fabCustomSize, 0);
        this.f3761 = r0.getDimensionPixelSize(k.FloatingActionButton_borderWidth, 0);
        float dimension = r0.getDimension(k.FloatingActionButton_elevation, 0.0f);
        float dimension2 = r0.getDimension(k.FloatingActionButton_hoveredFocusedTranslationZ, 0.0f);
        float dimension3 = r0.getDimension(k.FloatingActionButton_pressedTranslationZ, 0.0f);
        this.f3766 = r0.getBoolean(k.FloatingActionButton_useCompatPadding, false);
        int dimensionPixelSize = getResources().getDimensionPixelSize(f.e.a.a.d.mtrl_fab_min_touch_target);
        setMaxImageSize(r0.getDimensionPixelSize(k.FloatingActionButton_maxImageSize, 0));
        h r5 = h.m10411(context2, r0, k.FloatingActionButton_showMotionSpec);
        h r7 = h.m10411(context2, r0, k.FloatingActionButton_hideMotionSpec);
        f.e.a.a.b0.k r11 = f.e.a.a.b0.k.m10276(context2, attributeSet, i, f3755, f.e.a.a.b0.k.f6931).m10312();
        boolean z = r0.getBoolean(k.FloatingActionButton_ensureMinTouchTargetSize, false);
        setEnabled(r0.getBoolean(k.FloatingActionButton_android_enabled, true));
        r0.recycle();
        androidx.appcompat.widget.s sVar = new androidx.appcompat.widget.s(this);
        this.f3769 = sVar;
        sVar.m1563(attributeSet, i);
        this.f3770 = new f.e.a.a.u.c(this);
        getImpl().m5622(r11);
        getImpl().m5617(this.f3756, this.f3757, this.f3760, this.f3761);
        getImpl().m5628(dimensionPixelSize);
        getImpl().m5612(dimension);
        getImpl().m5627(dimension2);
        getImpl().m5637(dimension3);
        getImpl().m5633(r5);
        getImpl().m5623(r7);
        getImpl().m5624(z);
        setScaleType(ImageView.ScaleType.MATRIX);
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    private void m5558(Rect rect) {
        int i = rect.left;
        Rect rect2 = this.f3767;
        rect.left = i + rect2.left;
        rect.top += rect2.top;
        rect.right -= rect2.right;
        rect.bottom -= rect2.bottom;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public void m5562(b bVar) {
        m5563(bVar, true);
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public void m5567(Animator.AnimatorListener animatorListener) {
        getImpl().m5629(animatorListener);
    }

    /* access modifiers changed from: private */
    public class c implements f.e.a.a.a0.b {
        c() {
        }

        @Override // f.e.a.a.a0.b
        /* renamed from: ʻ  reason: contains not printable characters */
        public void m5589(int i, int i2, int i3, int i4) {
            FloatingActionButton.this.f3767.set(i, i2, i3, i4);
            FloatingActionButton floatingActionButton = FloatingActionButton.this;
            floatingActionButton.setPadding(i + floatingActionButton.f3764, i2 + FloatingActionButton.this.f3764, i3 + FloatingActionButton.this.f3764, i4 + FloatingActionButton.this.f3764);
        }

        @Override // f.e.a.a.a0.b
        /* renamed from: ʻ  reason: contains not printable characters */
        public void m5590(Drawable drawable) {
            if (drawable != null) {
                FloatingActionButton.super.setBackgroundDrawable(drawable);
            }
        }

        @Override // f.e.a.a.a0.b
        /* renamed from: ʻ  reason: contains not printable characters */
        public boolean m5591() {
            return FloatingActionButton.this.f3766;
        }
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʻ  reason: contains not printable characters */
    public void m5563(b bVar, boolean z) {
        getImpl().m5621(m5557(bVar), z);
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public boolean m5571() {
        return getImpl().m5645();
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public void m5561(Animator.AnimatorListener animatorListener) {
        getImpl().m5615(animatorListener);
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public void m5568(Rect rect) {
        rect.set(0, 0, getMeasuredWidth(), getMeasuredHeight());
        m5558(rect);
    }

    @Override // f.e.a.a.u.b
    /* renamed from: ʻ  reason: contains not printable characters */
    public boolean m5565() {
        return this.f3770.m10512();
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private int m5553(int i) {
        int i2 = this.f3763;
        if (i2 != 0) {
            return i2;
        }
        Resources resources = getResources();
        if (i != -1) {
            if (i != 1) {
                return resources.getDimensionPixelSize(f.e.a.a.d.design_fab_size_normal);
            }
            return resources.getDimensionPixelSize(f.e.a.a.d.design_fab_size_mini);
        } else if (Math.max(resources.getConfiguration().screenWidthDp, resources.getConfiguration().screenHeightDp) < 470) {
            return m5553(1);
        } else {
            return m5553(0);
        }
    }

    @Deprecated
    /* renamed from: ʻ  reason: contains not printable characters */
    public boolean m5566(Rect rect) {
        if (!d0.m8740(this)) {
            return false;
        }
        rect.set(0, 0, getWidth(), getHeight());
        m5558(rect);
        return true;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private static int m5554(int i, int i2) {
        int mode = View.MeasureSpec.getMode(i2);
        int size = View.MeasureSpec.getSize(i2);
        if (mode == Integer.MIN_VALUE) {
            return Math.min(i, size);
        }
        if (mode == 0) {
            return i;
        }
        if (mode == 1073741824) {
            return size;
        }
        throw new IllegalArgumentException();
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public void m5564(f.e.a.a.l.k<? extends FloatingActionButton> kVar) {
        getImpl().m5620(new d(kVar));
    }
}
