package com.google.android.material.floatingactionbutton;

import android.animation.Animator;
import android.animation.AnimatorSet;
import android.animation.ObjectAnimator;
import android.animation.StateListAnimator;
import android.content.Context;
import android.content.res.ColorStateList;
import android.graphics.PorterDuff;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.LayerDrawable;
import android.graphics.drawable.RippleDrawable;
import android.os.Build;
import android.view.View;
import e.g.k.h;
import f.e.a.a.a0.b;
import f.e.a.a.b0.g;
import f.e.a.a.b0.k;
import java.util.ArrayList;

/* access modifiers changed from: package-private */
/* compiled from: FloatingActionButtonImplLollipop */
public class c extends b {

    /* access modifiers changed from: package-private */
    /* compiled from: FloatingActionButtonImplLollipop */
    public static class a extends g {
        a(k kVar) {
            super(kVar);
        }

        @Override // f.e.a.a.b0.g
        public boolean isStateful() {
            return true;
        }
    }

    c(FloatingActionButton floatingActionButton, b bVar) {
        super(floatingActionButton, bVar);
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.android.material.floatingactionbutton.b
    /* renamed from: ʻ  reason: contains not printable characters */
    public void m5675(ColorStateList colorStateList, PorterDuff.Mode mode, ColorStateList colorStateList2, int i) {
        Drawable drawable;
        g r0 = m5673();
        this.f3806 = r0;
        r0.setTintList(colorStateList);
        if (mode != null) {
            this.f3806.setTintMode(mode);
        }
        this.f3806.m10227(this.f3829.getContext());
        if (i > 0) {
            this.f3808 = m5672(i, colorStateList);
            a aVar = this.f3808;
            h.m8663(aVar);
            g gVar = this.f3806;
            h.m8663(gVar);
            drawable = new LayerDrawable(new Drawable[]{aVar, gVar});
        } else {
            this.f3808 = null;
            drawable = this.f3806;
        }
        RippleDrawable rippleDrawable = new RippleDrawable(f.e.a.a.z.b.m10564(colorStateList2), drawable, null);
        this.f3807 = rippleDrawable;
        this.f3809 = rippleDrawable;
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.android.material.floatingactionbutton.b
    /* renamed from: ʼ  reason: contains not printable characters */
    public void m5678(ColorStateList colorStateList) {
        Drawable drawable = this.f3807;
        if (drawable instanceof RippleDrawable) {
            ((RippleDrawable) drawable).setColor(f.e.a.a.z.b.m10564(colorStateList));
        } else {
            super.m5630(colorStateList);
        }
    }

    @Override // com.google.android.material.floatingactionbutton.b
    /* renamed from: ʽ  reason: contains not printable characters */
    public float m5679() {
        return this.f3829.getElevation();
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.android.material.floatingactionbutton.b
    /* renamed from: ˏ  reason: contains not printable characters */
    public void m5680() {
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.android.material.floatingactionbutton.b
    /* renamed from: י  reason: contains not printable characters */
    public void m5681() {
        m5659();
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.android.material.floatingactionbutton.b
    /* renamed from: ᵎ  reason: contains not printable characters */
    public boolean m5682() {
        return false;
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.android.material.floatingactionbutton.b
    /* renamed from: ᵔ  reason: contains not printable characters */
    public boolean m5683() {
        return this.f3830.m10188() || !m5656();
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.android.material.floatingactionbutton.b
    /* renamed from: ⁱ  reason: contains not printable characters */
    public void m5684() {
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.android.material.floatingactionbutton.b
    /* renamed from: ʻ  reason: contains not printable characters */
    public void m5674(float f2, float f3, float f4) {
        if (Build.VERSION.SDK_INT == 21) {
            this.f3829.refreshDrawableState();
        } else {
            StateListAnimator stateListAnimator = new StateListAnimator();
            stateListAnimator.addState(b.f3797, m5671(f2, f4));
            stateListAnimator.addState(b.f3800, m5671(f2, f3));
            stateListAnimator.addState(b.f3799, m5671(f2, f3));
            stateListAnimator.addState(b.f3803, m5671(f2, f3));
            AnimatorSet animatorSet = new AnimatorSet();
            ArrayList arrayList = new ArrayList();
            arrayList.add(ObjectAnimator.ofFloat(this.f3829, "elevation", f2).setDuration(0L));
            int i = Build.VERSION.SDK_INT;
            if (i >= 22 && i <= 24) {
                FloatingActionButton floatingActionButton = this.f3829;
                arrayList.add(ObjectAnimator.ofFloat(floatingActionButton, View.TRANSLATION_Z, floatingActionButton.getTranslationZ()).setDuration(100L));
            }
            arrayList.add(ObjectAnimator.ofFloat(this.f3829, View.TRANSLATION_Z, 0.0f).setDuration(100L));
            animatorSet.playSequentially((Animator[]) arrayList.toArray(new Animator[0]));
            animatorSet.setInterpolator(b.f3798);
            stateListAnimator.addState(b.f3801, animatorSet);
            stateListAnimator.addState(b.f3802, m5671(0.0f, 0.0f));
            this.f3829.setStateListAnimator(stateListAnimator);
        }
        if (m5683()) {
            m5659();
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private Animator m5671(float f2, float f3) {
        AnimatorSet animatorSet = new AnimatorSet();
        animatorSet.play(ObjectAnimator.ofFloat(this.f3829, "elevation", f2).setDuration(0L)).with(ObjectAnimator.ofFloat(this.f3829, View.TRANSLATION_Z, f3).setDuration(100L));
        animatorSet.setInterpolator(b.f3798);
        return animatorSet;
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.android.material.floatingactionbutton.b
    /* renamed from: ʻ  reason: contains not printable characters */
    public void m5677(int[] iArr) {
        if (Build.VERSION.SDK_INT != 21) {
            return;
        }
        if (this.f3829.isEnabled()) {
            this.f3829.setElevation(this.f3812);
            if (this.f3829.isPressed()) {
                this.f3829.setTranslationZ(this.f3814);
            } else if (this.f3829.isFocused() || this.f3829.isHovered()) {
                this.f3829.setTranslationZ(this.f3813);
            } else {
                this.f3829.setTranslationZ(0.0f);
            }
        } else {
            this.f3829.setElevation(0.0f);
            this.f3829.setTranslationZ(0.0f);
        }
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʻ  reason: contains not printable characters */
    public a m5672(int i, ColorStateList colorStateList) {
        Context context = this.f3829.getContext();
        k kVar = this.f3804;
        h.m8663(kVar);
        a aVar = new a(kVar);
        aVar.m5597(e.g.d.a.m8255(context, f.e.a.a.c.design_fab_stroke_top_outer_color), e.g.d.a.m8255(context, f.e.a.a.c.design_fab_stroke_top_inner_color), e.g.d.a.m8255(context, f.e.a.a.c.design_fab_stroke_end_inner_color), e.g.d.a.m8255(context, f.e.a.a.c.design_fab_stroke_end_outer_color));
        aVar.m5596((float) i);
        aVar.m5598(colorStateList);
        return aVar;
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.android.material.floatingactionbutton.b
    /* renamed from: ʻ  reason: contains not printable characters */
    public g m5673() {
        k kVar = this.f3804;
        h.m8663(kVar);
        return new a(kVar);
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.android.material.floatingactionbutton.b
    /* renamed from: ʻ  reason: contains not printable characters */
    public void m5676(Rect rect) {
        if (this.f3830.m10188()) {
            super.m5619(rect);
        } else if (!m5656()) {
            int sizeDimension = (this.f3815 - this.f3829.getSizeDimension()) / 2;
            rect.set(sizeDimension, sizeDimension, sizeDimension, sizeDimension);
        } else {
            rect.set(0, 0, 0, 0);
        }
    }
}
