package com.google.android.material.internal;

import android.content.Context;
import android.os.Parcel;
import android.os.Parcelable;
import android.util.AttributeSet;
import android.view.View;
import android.view.accessibility.AccessibilityEvent;
import android.widget.Checkable;
import android.widget.ImageButton;
import androidx.appcompat.widget.r;
import e.g.l.d;
import e.g.l.d0;
import e.g.l.m0.c;

public class CheckableImageButton extends r implements Checkable {

    /* renamed from: ˎ  reason: contains not printable characters */
    private static final int[] f3860 = {16842912};

    /* renamed from: ˉ  reason: contains not printable characters */
    private boolean f3861;

    /* renamed from: ˊ  reason: contains not printable characters */
    private boolean f3862;

    /* renamed from: ˋ  reason: contains not printable characters */
    private boolean f3863;

    class a extends d {
        a() {
        }

        @Override // e.g.l.d
        /* renamed from: ʻ  reason: contains not printable characters */
        public void m5695(View view, c cVar) {
            super.m8677(view, cVar);
            cVar.m9199(CheckableImageButton.this.m5694());
            cVar.m9206(CheckableImageButton.this.isChecked());
        }

        @Override // e.g.l.d
        /* renamed from: ʼ  reason: contains not printable characters */
        public void m5696(View view, AccessibilityEvent accessibilityEvent) {
            super.m8681(view, accessibilityEvent);
            accessibilityEvent.setChecked(CheckableImageButton.this.isChecked());
        }
    }

    /* access modifiers changed from: package-private */
    public static class b extends e.i.a.a {
        public static final Parcelable.Creator<b> CREATOR = new a();

        /* renamed from: ˈ  reason: contains not printable characters */
        boolean f3865;

        static class a implements Parcelable.ClassLoaderCreator<b> {
            a() {
            }

            @Override // android.os.Parcelable.Creator
            public b[] newArray(int i) {
                return new b[i];
            }

            @Override // android.os.Parcelable.ClassLoaderCreator
            public b createFromParcel(Parcel parcel, ClassLoader classLoader) {
                return new b(parcel, classLoader);
            }

            @Override // android.os.Parcelable.Creator
            public b createFromParcel(Parcel parcel) {
                return new b(parcel, null);
            }
        }

        public b(Parcelable parcelable) {
            super(parcelable);
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        private void m5697(Parcel parcel) {
            boolean z = true;
            if (parcel.readInt() != 1) {
                z = false;
            }
            this.f3865 = z;
        }

        @Override // e.i.a.a
        public void writeToParcel(Parcel parcel, int i) {
            super.writeToParcel(parcel, i);
            parcel.writeInt(this.f3865 ? 1 : 0);
        }

        public b(Parcel parcel, ClassLoader classLoader) {
            super(parcel, classLoader);
            m5697(parcel);
        }
    }

    public CheckableImageButton(Context context) {
        this(context, null);
    }

    public boolean isChecked() {
        return this.f3861;
    }

    public int[] onCreateDrawableState(int i) {
        if (this.f3861) {
            return ImageButton.mergeDrawableStates(super.onCreateDrawableState(i + f3860.length), f3860);
        }
        return super.onCreateDrawableState(i);
    }

    /* access modifiers changed from: protected */
    public void onRestoreInstanceState(Parcelable parcelable) {
        if (!(parcelable instanceof b)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        b bVar = (b) parcelable;
        super.onRestoreInstanceState(bVar.m9382());
        setChecked(bVar.f3865);
    }

    /* access modifiers changed from: protected */
    public Parcelable onSaveInstanceState() {
        b bVar = new b(super.onSaveInstanceState());
        bVar.f3865 = this.f3861;
        return bVar;
    }

    public void setCheckable(boolean z) {
        if (this.f3862 != z) {
            this.f3862 = z;
            sendAccessibilityEvent(0);
        }
    }

    public void setChecked(boolean z) {
        if (this.f3862 && this.f3861 != z) {
            this.f3861 = z;
            refreshDrawableState();
            sendAccessibilityEvent(2048);
        }
    }

    public void setPressable(boolean z) {
        this.f3863 = z;
    }

    public void setPressed(boolean z) {
        if (this.f3863) {
            super.setPressed(z);
        }
    }

    public void toggle() {
        setChecked(!this.f3861);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public boolean m5694() {
        return this.f3862;
    }

    public CheckableImageButton(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, e.a.a.imageButtonStyle);
    }

    public CheckableImageButton(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        this.f3862 = true;
        this.f3863 = true;
        d0.m8704(this, new a());
    }
}
