package com.google.android.material.internal;

import android.content.Context;
import android.content.res.ColorStateList;
import android.graphics.drawable.ColorDrawable;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.StateListDrawable;
import android.util.AttributeSet;
import android.util.TypedValue;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewStub;
import android.widget.CheckedTextView;
import android.widget.FrameLayout;
import android.widget.LinearLayout;
import androidx.appcompat.view.menu.i;
import androidx.appcompat.view.menu.n;
import androidx.appcompat.widget.e1;
import androidx.appcompat.widget.n0;
import e.g.d.f.j;
import e.g.l.d;
import e.g.l.d0;
import e.g.l.m0.c;
import f.e.a.a.e;
import f.e.a.a.f;
import f.e.a.a.h;

public class NavigationMenuItemView extends e implements n.a {

    /* renamed from: ˉˉ  reason: contains not printable characters */
    private static final int[] f3866 = {16842912};

    /* renamed from: ʻʻ  reason: contains not printable characters */
    private final CheckedTextView f3867;

    /* renamed from: ʼʼ  reason: contains not printable characters */
    private i f3868;

    /* renamed from: ʽʽ  reason: contains not printable characters */
    private FrameLayout f3869;

    /* renamed from: ʾʾ  reason: contains not printable characters */
    private boolean f3870;

    /* renamed from: ʿʿ  reason: contains not printable characters */
    private ColorStateList f3871;

    /* renamed from: ˆˆ  reason: contains not printable characters */
    private final d f3872;

    /* renamed from: ــ  reason: contains not printable characters */
    private Drawable f3873;

    /* renamed from: ᐧᐧ  reason: contains not printable characters */
    private boolean f3874;

    /* renamed from: ᴵᴵ  reason: contains not printable characters */
    boolean f3875;

    /* renamed from: ﾞﾞ  reason: contains not printable characters */
    private int f3876;

    class a extends d {
        a() {
        }

        @Override // e.g.l.d
        /* renamed from: ʻ  reason: contains not printable characters */
        public void m5704(View view, c cVar) {
            super.m8677(view, cVar);
            cVar.m9199(NavigationMenuItemView.this.f3875);
        }
    }

    public NavigationMenuItemView(Context context) {
        this(context, null);
    }

    private void setActionView(View view) {
        if (view != null) {
            if (this.f3869 == null) {
                this.f3869 = (FrameLayout) ((ViewStub) findViewById(f.design_menu_item_action_area_stub)).inflate();
            }
            this.f3869.removeAllViews();
            this.f3869.addView(view);
        }
    }

    /* renamed from: ʿ  reason: contains not printable characters */
    private void m5698() {
        if (m5700()) {
            this.f3867.setVisibility(8);
            FrameLayout frameLayout = this.f3869;
            if (frameLayout != null) {
                n0.a aVar = (n0.a) frameLayout.getLayoutParams();
                ((LinearLayout.LayoutParams) aVar).width = -1;
                this.f3869.setLayoutParams(aVar);
                return;
            }
            return;
        }
        this.f3867.setVisibility(0);
        FrameLayout frameLayout2 = this.f3869;
        if (frameLayout2 != null) {
            n0.a aVar2 = (n0.a) frameLayout2.getLayoutParams();
            ((LinearLayout.LayoutParams) aVar2).width = -2;
            this.f3869.setLayoutParams(aVar2);
        }
    }

    /* renamed from: ˆ  reason: contains not printable characters */
    private StateListDrawable m5699() {
        TypedValue typedValue = new TypedValue();
        if (!getContext().getTheme().resolveAttribute(e.a.a.colorControlHighlight, typedValue, true)) {
            return null;
        }
        StateListDrawable stateListDrawable = new StateListDrawable();
        stateListDrawable.addState(f3866, new ColorDrawable(typedValue.data));
        stateListDrawable.addState(ViewGroup.EMPTY_STATE_SET, new ColorDrawable(0));
        return stateListDrawable;
    }

    /* renamed from: ˈ  reason: contains not printable characters */
    private boolean m5700() {
        return this.f3868.getTitle() == null && this.f3868.getIcon() == null && this.f3868.getActionView() != null;
    }

    @Override // androidx.appcompat.view.menu.n.a
    public i getItemData() {
        return this.f3868;
    }

    /* access modifiers changed from: protected */
    public int[] onCreateDrawableState(int i) {
        int[] onCreateDrawableState = super.onCreateDrawableState(i + 1);
        i iVar = this.f3868;
        if (iVar != null && iVar.isCheckable() && this.f3868.isChecked()) {
            ViewGroup.mergeDrawableStates(onCreateDrawableState, f3866);
        }
        return onCreateDrawableState;
    }

    public void setCheckable(boolean z) {
        refreshDrawableState();
        if (this.f3875 != z) {
            this.f3875 = z;
            this.f3872.m8676(this.f3867, 2048);
        }
    }

    public void setChecked(boolean z) {
        refreshDrawableState();
        this.f3867.setChecked(z);
    }

    public void setHorizontalPadding(int i) {
        setPadding(i, getPaddingTop(), i, getPaddingBottom());
    }

    public void setIcon(Drawable drawable) {
        if (drawable != null) {
            if (this.f3870) {
                Drawable.ConstantState constantState = drawable.getConstantState();
                if (constantState != null) {
                    drawable = constantState.newDrawable();
                }
                drawable = androidx.core.graphics.drawable.a.m1991(drawable).mutate();
                androidx.core.graphics.drawable.a.m1976(drawable, this.f3871);
            }
            int i = this.f3876;
            drawable.setBounds(0, 0, i, i);
        } else if (this.f3874) {
            if (this.f3873 == null) {
                Drawable r4 = j.m8377(getResources(), e.navigation_empty_icon, getContext().getTheme());
                this.f3873 = r4;
                if (r4 != null) {
                    int i2 = this.f3876;
                    r4.setBounds(0, 0, i2, i2);
                }
            }
            drawable = this.f3873;
        }
        androidx.core.widget.j.m2158(this.f3867, drawable, null, null, null);
    }

    public void setIconPadding(int i) {
        this.f3867.setCompoundDrawablePadding(i);
    }

    public void setIconSize(int i) {
        this.f3876 = i;
    }

    /* access modifiers changed from: package-private */
    public void setIconTintList(ColorStateList colorStateList) {
        this.f3871 = colorStateList;
        this.f3870 = colorStateList != null;
        i iVar = this.f3868;
        if (iVar != null) {
            setIcon(iVar.getIcon());
        }
    }

    public void setMaxLines(int i) {
        this.f3867.setMaxLines(i);
    }

    public void setNeedsEmptyIcon(boolean z) {
        this.f3874 = z;
    }

    public void setTextAppearance(int i) {
        androidx.core.widget.j.m2167(this.f3867, i);
    }

    public void setTextColor(ColorStateList colorStateList) {
        this.f3867.setTextColor(colorStateList);
    }

    public void setTitle(CharSequence charSequence) {
        this.f3867.setText(charSequence);
    }

    @Override // androidx.appcompat.view.menu.n.a
    /* renamed from: ʻ  reason: contains not printable characters */
    public void m5701(i iVar, int i) {
        this.f3868 = iVar;
        if (iVar.getItemId() > 0) {
            setId(iVar.getItemId());
        }
        setVisibility(iVar.isVisible() ? 0 : 8);
        if (getBackground() == null) {
            d0.m8703(this, m5699());
        }
        setCheckable(iVar.isCheckable());
        setChecked(iVar.isChecked());
        setEnabled(iVar.isEnabled());
        setTitle(iVar.getTitle());
        setIcon(iVar.getIcon());
        setActionView(iVar.getActionView());
        setContentDescription(iVar.getContentDescription());
        e1.m1251(this, iVar.getTooltipText());
        m5698();
    }

    @Override // androidx.appcompat.view.menu.n.a
    /* renamed from: ʽ  reason: contains not printable characters */
    public boolean m5702() {
        return false;
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    public void m5703() {
        FrameLayout frameLayout = this.f3869;
        if (frameLayout != null) {
            frameLayout.removeAllViews();
        }
        this.f3867.setCompoundDrawables(null, null, null, null);
    }

    public NavigationMenuItemView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public NavigationMenuItemView(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        this.f3872 = new a();
        setOrientation(0);
        LayoutInflater.from(context).inflate(h.design_navigation_menu_item, (ViewGroup) this, true);
        setIconSize(context.getResources().getDimensionPixelSize(f.e.a.a.d.design_navigation_icon_size));
        CheckedTextView checkedTextView = (CheckedTextView) findViewById(f.design_menu_item_text);
        this.f3867 = checkedTextView;
        checkedTextView.setDuplicateParentStateEnabled(true);
        d0.m8704(this.f3867, this.f3872);
    }
}
