package com.google.android.material.internal;

import android.animation.TimeInterpolator;
import android.content.res.ColorStateList;
import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.Paint;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.Typeface;
import android.os.Build;
import android.text.Layout;
import android.text.StaticLayout;
import android.text.TextPaint;
import android.text.TextUtils;
import android.util.Log;
import android.view.View;
import com.google.android.material.internal.m;
import e.g.j.e;
import e.g.l.d0;
import e.g.l.h;
import f.e.a.a.y.a;
import f.e.a.a.y.d;

/* compiled from: CollapsingTextHelper */
public final class a {

    /* renamed from: ʻי  reason: contains not printable characters */
    private static final boolean f3878 = (Build.VERSION.SDK_INT < 18);

    /* renamed from: ʻـ  reason: contains not printable characters */
    private static final Paint f3879 = null;

    /* renamed from: ʻ  reason: contains not printable characters */
    private final View f3880;

    /* renamed from: ʻʻ  reason: contains not printable characters */
    private CharSequence f3881;

    /* renamed from: ʻʼ  reason: contains not printable characters */
    private float f3882;

    /* renamed from: ʻʽ  reason: contains not printable characters */
    private float f3883;

    /* renamed from: ʻʾ  reason: contains not printable characters */
    private StaticLayout f3884;

    /* renamed from: ʻʿ  reason: contains not printable characters */
    private float f3885;

    /* renamed from: ʻˆ  reason: contains not printable characters */
    private float f3886;

    /* renamed from: ʻˈ  reason: contains not printable characters */
    private float f3887;

    /* renamed from: ʻˉ  reason: contains not printable characters */
    private float f3888;

    /* renamed from: ʻˊ  reason: contains not printable characters */
    private CharSequence f3889;

    /* renamed from: ʻˋ  reason: contains not printable characters */
    private int f3890 = 1;

    /* renamed from: ʻˎ  reason: contains not printable characters */
    private float f3891 = 0.0f;

    /* renamed from: ʻˏ  reason: contains not printable characters */
    private float f3892 = 1.0f;

    /* renamed from: ʻˑ  reason: contains not printable characters */
    private int f3893 = m.f4006;

    /* renamed from: ʼ  reason: contains not printable characters */
    private boolean f3894;

    /* renamed from: ʼʼ  reason: contains not printable characters */
    private boolean f3895 = true;

    /* renamed from: ʽ  reason: contains not printable characters */
    private float f3896;

    /* renamed from: ʽʽ  reason: contains not printable characters */
    private boolean f3897;

    /* renamed from: ʾ  reason: contains not printable characters */
    private boolean f3898;

    /* renamed from: ʾʾ  reason: contains not printable characters */
    private Bitmap f3899;

    /* renamed from: ʿ  reason: contains not printable characters */
    private float f3900;

    /* renamed from: ʿʿ  reason: contains not printable characters */
    private boolean f3901;

    /* renamed from: ˆ  reason: contains not printable characters */
    private float f3902;

    /* renamed from: ˆˆ  reason: contains not printable characters */
    private float f3903;

    /* renamed from: ˈ  reason: contains not printable characters */
    private int f3904;

    /* renamed from: ˈˈ  reason: contains not printable characters */
    private int[] f3905;

    /* renamed from: ˉ  reason: contains not printable characters */
    private final Rect f3906;

    /* renamed from: ˉˉ  reason: contains not printable characters */
    private float f3907;

    /* renamed from: ˊ  reason: contains not printable characters */
    private final Rect f3908;

    /* renamed from: ˊˊ  reason: contains not printable characters */
    private final TextPaint f3909;

    /* renamed from: ˋ  reason: contains not printable characters */
    private final RectF f3910;

    /* renamed from: ˋˋ  reason: contains not printable characters */
    private boolean f3911;

    /* renamed from: ˎ  reason: contains not printable characters */
    private int f3912 = 16;

    /* renamed from: ˎˎ  reason: contains not printable characters */
    private TimeInterpolator f3913;

    /* renamed from: ˏ  reason: contains not printable characters */
    private int f3914 = 16;

    /* renamed from: ˏˏ  reason: contains not printable characters */
    private final TextPaint f3915;

    /* renamed from: ˑ  reason: contains not printable characters */
    private float f3916 = 15.0f;

    /* renamed from: ˑˑ  reason: contains not printable characters */
    private TimeInterpolator f3917;

    /* renamed from: י  reason: contains not printable characters */
    private float f3918 = 15.0f;

    /* renamed from: יי  reason: contains not printable characters */
    private float f3919;

    /* renamed from: ـ  reason: contains not printable characters */
    private ColorStateList f3920;

    /* renamed from: ــ  reason: contains not printable characters */
    private Paint f3921;

    /* renamed from: ٴ  reason: contains not printable characters */
    private ColorStateList f3922;

    /* renamed from: ٴٴ  reason: contains not printable characters */
    private float f3923;

    /* renamed from: ᐧ  reason: contains not printable characters */
    private float f3924;

    /* renamed from: ᐧᐧ  reason: contains not printable characters */
    private f.e.a.a.y.a f3925;

    /* renamed from: ᴵ  reason: contains not printable characters */
    private float f3926;

    /* renamed from: ᴵᴵ  reason: contains not printable characters */
    private CharSequence f3927;

    /* renamed from: ᵎ  reason: contains not printable characters */
    private float f3928;

    /* renamed from: ᵎᵎ  reason: contains not printable characters */
    private float f3929;

    /* renamed from: ᵔ  reason: contains not printable characters */
    private float f3930;

    /* renamed from: ᵔᵔ  reason: contains not printable characters */
    private float f3931;

    /* renamed from: ᵢ  reason: contains not printable characters */
    private float f3932;

    /* renamed from: ᵢᵢ  reason: contains not printable characters */
    private ColorStateList f3933;

    /* renamed from: ⁱ  reason: contains not printable characters */
    private float f3934;

    /* renamed from: ⁱⁱ  reason: contains not printable characters */
    private float f3935;

    /* renamed from: ﹳ  reason: contains not printable characters */
    private Typeface f3936;

    /* renamed from: ﹳﹳ  reason: contains not printable characters */
    private float f3937;

    /* renamed from: ﹶ  reason: contains not printable characters */
    private Typeface f3938;

    /* renamed from: ﹶﹶ  reason: contains not printable characters */
    private ColorStateList f3939;

    /* renamed from: ﾞ  reason: contains not printable characters */
    private Typeface f3940;

    /* renamed from: ﾞﾞ  reason: contains not printable characters */
    private f.e.a.a.y.a f3941;

    /* renamed from: com.google.android.material.internal.a$a  reason: collision with other inner class name */
    /* compiled from: CollapsingTextHelper */
    class C0041a implements a.AbstractC0106a {
        C0041a() {
        }

        @Override // f.e.a.a.y.a.AbstractC0106a
        /* renamed from: ʻ  reason: contains not printable characters */
        public void m5765(Typeface typeface) {
            a.this.m5746(typeface);
        }
    }

    static {
        Paint paint = null;
        if (0 != 0) {
            paint.setAntiAlias(true);
            f3879.setColor(-65281);
        }
    }

    public a(View view) {
        this.f3880 = view;
        this.f3909 = new TextPaint(129);
        this.f3915 = new TextPaint(this.f3909);
        this.f3908 = new Rect();
        this.f3906 = new Rect();
        this.f3910 = new RectF();
        this.f3902 = m5731();
    }

    /* renamed from: ˉ  reason: contains not printable characters */
    private void m5728(float f2) {
        this.f3887 = f2;
        d0.m8749(this.f3880);
    }

    /* renamed from: ˊ  reason: contains not printable characters */
    private void m5729() {
        m5723(this.f3896);
    }

    /* renamed from: ˋ  reason: contains not printable characters */
    private float m5731() {
        float f2 = this.f3900;
        return f2 + ((1.0f - f2) * 0.5f);
    }

    /* renamed from: ˎ  reason: contains not printable characters */
    private void m5732() {
        Bitmap bitmap = this.f3899;
        if (bitmap != null) {
            bitmap.recycle();
            this.f3899 = null;
        }
    }

    /* renamed from: ˏ  reason: contains not printable characters */
    private void m5733() {
        if (this.f3899 == null && !this.f3906.isEmpty() && !TextUtils.isEmpty(this.f3881)) {
            m5723(0.0f);
            int width = this.f3884.getWidth();
            int height = this.f3884.getHeight();
            if (width > 0 && height > 0) {
                this.f3899 = Bitmap.createBitmap(width, height, Bitmap.Config.ARGB_8888);
                this.f3884.draw(new Canvas(this.f3899));
                if (this.f3921 == null) {
                    this.f3921 = new Paint(3);
                }
            }
        }
    }

    /* renamed from: ˑ  reason: contains not printable characters */
    private int m5734() {
        return m5721(this.f3920);
    }

    /* renamed from: י  reason: contains not printable characters */
    private boolean m5735() {
        return d0.m8764(this.f3880) == 1;
    }

    /* renamed from: ـ  reason: contains not printable characters */
    private boolean m5736() {
        return this.f3890 > 1 && (!this.f3897 || this.f3898) && !this.f3901;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public void m5741(TimeInterpolator timeInterpolator) {
        this.f3913 = timeInterpolator;
        m5764();
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public void m5754(TimeInterpolator timeInterpolator) {
        this.f3917 = timeInterpolator;
        m5764();
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    public void m5759(int i) {
        if (this.f3912 != i) {
            this.f3912 = i;
            m5764();
        }
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    public float m5760() {
        m5717(this.f3915);
        return -this.f3915.ascent();
    }

    /* renamed from: ʿ  reason: contains not printable characters */
    public float m5761() {
        return this.f3896;
    }

    /* renamed from: ˆ  reason: contains not printable characters */
    public final boolean m5762() {
        ColorStateList colorStateList;
        ColorStateList colorStateList2 = this.f3922;
        return (colorStateList2 != null && colorStateList2.isStateful()) || ((colorStateList = this.f3920) != null && colorStateList.isStateful());
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ˈ  reason: contains not printable characters */
    public void m5763() {
        this.f3894 = this.f3908.width() > 0 && this.f3908.height() > 0 && this.f3906.width() > 0 && this.f3906.height() > 0;
    }

    /* renamed from: ʿ  reason: contains not printable characters */
    private void m5725(float f2) {
        m5710(f2, false);
    }

    /* renamed from: ˊ  reason: contains not printable characters */
    private void m5730(float f2) {
        m5725(f2);
        boolean z = f3878 && this.f3903 != 1.0f;
        this.f3901 = z;
        if (z) {
            m5733();
        }
        d0.m8749(this.f3880);
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    private boolean m5724(Typeface typeface) {
        f.e.a.a.y.a aVar = this.f3941;
        if (aVar != null) {
            aVar.m10524();
        }
        if (this.f3938 == typeface) {
            return false;
        }
        this.f3938 = typeface;
        return true;
    }

    /* renamed from: ˆ  reason: contains not printable characters */
    private void m5726(float f2) {
        if (this.f3898) {
            this.f3910.set(f2 < this.f3902 ? this.f3906 : this.f3908);
            return;
        }
        this.f3910.left = m5706((float) this.f3906.left, (float) this.f3908.left, f2, this.f3913);
        this.f3910.top = m5706(this.f3924, this.f3926, f2, this.f3913);
        this.f3910.right = m5706((float) this.f3906.right, (float) this.f3908.right, f2, this.f3913);
        this.f3910.bottom = m5706((float) this.f3906.bottom, (float) this.f3908.bottom, f2, this.f3913);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public void m5738(float f2) {
        if (this.f3916 != f2) {
            this.f3916 = f2;
            m5764();
        }
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public void m5755(ColorStateList colorStateList) {
        if (this.f3920 != colorStateList) {
            this.f3920 = colorStateList;
            m5764();
        }
    }

    /* renamed from: ˉ  reason: contains not printable characters */
    public void m5764() {
        m5748(false);
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    private boolean m5722(Typeface typeface) {
        f.e.a.a.y.a aVar = this.f3925;
        if (aVar != null) {
            aVar.m10524();
        }
        if (this.f3936 == typeface) {
            return false;
        }
        this.f3936 = typeface;
        return true;
    }

    /* renamed from: ˈ  reason: contains not printable characters */
    private void m5727(float f2) {
        this.f3886 = f2;
        d0.m8749(this.f3880);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public void m5742(ColorStateList colorStateList) {
        if (this.f3922 != colorStateList) {
            this.f3922 = colorStateList;
            m5764();
        }
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public void m5753(int i, int i2, int i3, int i4) {
        if (!m5714(this.f3906, i, i2, i3, i4)) {
            this.f3906.set(i, i2, i3, i4);
            this.f3911 = true;
            m5763();
        }
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    private void m5723(float f2) {
        float f3;
        m5726(f2);
        if (!this.f3898) {
            this.f3932 = m5706(this.f3928, this.f3930, f2, this.f3913);
            this.f3934 = m5706(this.f3924, this.f3926, f2, this.f3913);
            m5730(m5706(this.f3916, this.f3918, f2, this.f3917));
            f3 = f2;
        } else if (f2 < this.f3902) {
            this.f3932 = this.f3928;
            this.f3934 = this.f3924;
            m5730(this.f3916);
            f3 = 0.0f;
        } else {
            this.f3932 = this.f3930;
            this.f3934 = this.f3926 - ((float) Math.max(0, this.f3904));
            m5730(this.f3918);
            f3 = 1.0f;
        }
        m5727(1.0f - m5706(0.0f, 1.0f, 1.0f - f2, f.e.a.a.l.a.f7002));
        m5728(m5706(1.0f, 0.0f, f2, f.e.a.a.l.a.f7002));
        if (this.f3922 != this.f3920) {
            this.f3909.setColor(m5708(m5734(), m5758(), f3));
        } else {
            this.f3909.setColor(m5758());
        }
        if (Build.VERSION.SDK_INT >= 21) {
            float f4 = this.f3882;
            float f5 = this.f3883;
            if (f4 != f5) {
                this.f3909.setLetterSpacing(m5706(f5, f4, f2, f.e.a.a.l.a.f7002));
            } else {
                this.f3909.setLetterSpacing(f4);
            }
        }
        this.f3909.setShadowLayer(m5706(this.f3935, this.f3931, f2, (TimeInterpolator) null), m5706(this.f3937, this.f3919, f2, (TimeInterpolator) null), m5706(this.f3923, this.f3929, f2, (TimeInterpolator) null), m5708(m5721(this.f3939), m5721(this.f3933), f2));
        if (this.f3898) {
            int alpha = this.f3909.getAlpha();
            this.f3909.setAlpha((int) (m5720(f2) * ((float) alpha)));
        }
        d0.m8749(this.f3880);
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    private float m5720(float f2) {
        float f3 = this.f3902;
        if (f2 <= f3) {
            return f.e.a.a.l.a.m10399(1.0f, 0.0f, this.f3900, f3, f2);
        }
        return f.e.a.a.l.a.m10399(0.0f, 1.0f, f3, 1.0f, f2);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public void m5740(int i, int i2, int i3, int i4) {
        if (!m5714(this.f3908, i, i2, i3, i4)) {
            this.f3908.set(i, i2, i3, i4);
            this.f3911 = true;
            m5763();
        }
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public void m5756(Rect rect) {
        m5753(rect.left, rect.top, rect.right, rect.bottom);
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    private float m5716(RectF rectF, int i, int i2) {
        if (i2 == 17 || (i2 & 7) == 1) {
            return (((float) i) / 2.0f) + (this.f3885 / 2.0f);
        }
        return ((i2 & 8388613) == 8388613 || (i2 & 5) == 5) ? this.f3897 ? rectF.left + this.f3885 : (float) this.f3908.right : this.f3897 ? (float) this.f3908.right : rectF.left + this.f3885;
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    public int m5758() {
        return m5721(this.f3922);
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    private int m5721(ColorStateList colorStateList) {
        if (colorStateList == null) {
            return 0;
        }
        int[] iArr = this.f3905;
        if (iArr != null) {
            return colorStateList.getColorForState(iArr, 0);
        }
        return colorStateList.getDefaultColor();
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public void m5744(Rect rect) {
        m5740(rect.left, rect.top, rect.right, rect.bottom);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public void m5745(RectF rectF, int i, int i2) {
        this.f3897 = m5719(this.f3927);
        rectF.left = m5707(i, i2);
        rectF.top = (float) this.f3908.top;
        rectF.right = m5716(rectF, i, i2);
        rectF.bottom = ((float) this.f3908.top) + m5750();
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public float m5750() {
        m5712(this.f3915);
        return -this.f3915.ascent();
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    private void m5717(TextPaint textPaint) {
        textPaint.setTextSize(this.f3916);
        textPaint.setTypeface(this.f3938);
        if (Build.VERSION.SDK_INT >= 21) {
            textPaint.setLetterSpacing(this.f3883);
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private float m5707(int i, int i2) {
        if (i2 == 17 || (i2 & 7) == 1) {
            return (((float) i) / 2.0f) - (this.f3885 / 2.0f);
        }
        return ((i2 & 8388613) == 8388613 || (i2 & 5) == 5) ? this.f3897 ? (float) this.f3908.left : ((float) this.f3908.right) - this.f3885 : this.f3897 ? ((float) this.f3908.right) - this.f3885 : (float) this.f3908.left;
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public void m5752(int i) {
        if (this.f3914 != i) {
            this.f3914 = i;
            m5764();
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private void m5712(TextPaint textPaint) {
        textPaint.setTextSize(this.f3918);
        textPaint.setTypeface(this.f3936);
        if (Build.VERSION.SDK_INT >= 21) {
            textPaint.setLetterSpacing(this.f3882);
        }
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public void m5757(Typeface typeface) {
        boolean r0 = m5722(typeface);
        boolean r2 = m5724(typeface);
        if (r0 || r2) {
            m5764();
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public void m5739(int i) {
        d dVar = new d(this.f3880.getContext(), i);
        if (dVar.m10553() != null) {
            this.f3922 = dVar.m10553();
        }
        if (dVar.m10555() != 0.0f) {
            this.f3918 = dVar.m10555();
        }
        ColorStateList colorStateList = dVar.f7067;
        if (colorStateList != null) {
            this.f3933 = colorStateList;
        }
        this.f3919 = dVar.f7071;
        this.f3929 = dVar.f7072;
        this.f3931 = dVar.f7073;
        this.f3882 = dVar.f7075;
        f.e.a.a.y.a aVar = this.f3925;
        if (aVar != null) {
            aVar.m10524();
        }
        this.f3925 = new f.e.a.a.y.a(new C0041a(), dVar.m10546());
        dVar.m10550(this.f3880.getContext(), this.f3925);
        m5764();
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public void m5751(float f2) {
        float r3 = e.g.g.a.m8527(f2, 0.0f, 1.0f);
        if (r3 != this.f3896) {
            this.f3896 = r3;
            m5729();
        }
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    private void m5718(boolean z) {
        StaticLayout staticLayout;
        float f2 = this.f3907;
        m5710(this.f3918, z);
        CharSequence charSequence = this.f3881;
        if (!(charSequence == null || (staticLayout = this.f3884) == null)) {
            this.f3889 = TextUtils.ellipsize(charSequence, this.f3909, (float) staticLayout.getWidth(), TextUtils.TruncateAt.END);
        }
        float f3 = 0.0f;
        if (this.f3889 != null) {
            TextPaint textPaint = new TextPaint(this.f3909);
            if (Build.VERSION.SDK_INT >= 21) {
                textPaint.setLetterSpacing(this.f3882);
            }
            CharSequence charSequence2 = this.f3889;
            this.f3885 = textPaint.measureText(charSequence2, 0, charSequence2.length());
        } else {
            this.f3885 = 0.0f;
        }
        int r1 = h.m9009(this.f3914, this.f3897 ? 1 : 0);
        int i = r1 & 112;
        if (i == 48) {
            this.f3926 = (float) this.f3908.top;
        } else if (i != 80) {
            this.f3926 = ((float) this.f3908.centerY()) - ((this.f3909.descent() - this.f3909.ascent()) / 2.0f);
        } else {
            this.f3926 = ((float) this.f3908.bottom) + this.f3909.ascent();
        }
        int i2 = r1 & 8388615;
        if (i2 == 1) {
            this.f3930 = ((float) this.f3908.centerX()) - (this.f3885 / 2.0f);
        } else if (i2 != 5) {
            this.f3930 = (float) this.f3908.left;
        } else {
            this.f3930 = ((float) this.f3908.right) - this.f3885;
        }
        m5710(this.f3916, z);
        StaticLayout staticLayout2 = this.f3884;
        float height = staticLayout2 != null ? (float) staticLayout2.getHeight() : 0.0f;
        StaticLayout staticLayout3 = this.f3884;
        if (staticLayout3 != null) {
            staticLayout3.getLineCount();
        }
        CharSequence charSequence3 = this.f3881;
        float measureText = charSequence3 != null ? this.f3909.measureText(charSequence3, 0, charSequence3.length()) : 0.0f;
        StaticLayout staticLayout4 = this.f3884;
        if (staticLayout4 != null && this.f3890 > 1) {
            measureText = (float) staticLayout4.getWidth();
        }
        StaticLayout staticLayout5 = this.f3884;
        if (staticLayout5 != null) {
            f3 = this.f3890 > 1 ? (float) staticLayout5.getLineStart(0) : staticLayout5.getLineLeft(0);
        }
        this.f3888 = f3;
        int r2 = h.m9009(this.f3912, this.f3897 ? 1 : 0);
        int i3 = r2 & 112;
        if (i3 == 48) {
            this.f3924 = (float) this.f3906.top;
        } else if (i3 != 80) {
            this.f3924 = ((float) this.f3906.centerY()) - (height / 2.0f);
        } else {
            this.f3924 = (((float) this.f3906.bottom) - height) + this.f3909.descent();
        }
        int i4 = r2 & 8388615;
        if (i4 == 1) {
            this.f3928 = ((float) this.f3906.centerX()) - (measureText / 2.0f);
        } else if (i4 != 5) {
            this.f3928 = (float) this.f3906.left;
        } else {
            this.f3928 = ((float) this.f3906.right) - measureText;
        }
        m5732();
        m5730(f2);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public void m5746(Typeface typeface) {
        if (m5722(typeface)) {
            m5764();
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public final boolean m5749(int[] iArr) {
        this.f3905 = iArr;
        if (!m5762()) {
            return false;
        }
        m5764();
        return true;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public void m5743(Canvas canvas) {
        int save = canvas.save();
        if (this.f3881 != null && this.f3894) {
            boolean z = true;
            float lineStart = (this.f3932 + (this.f3890 > 1 ? (float) this.f3884.getLineStart(0) : this.f3884.getLineLeft(0))) - (this.f3888 * 2.0f);
            this.f3909.setTextSize(this.f3907);
            float f2 = this.f3932;
            float f3 = this.f3934;
            if (!this.f3901 || this.f3899 == null) {
                z = false;
            }
            float f4 = this.f3903;
            if (f4 != 1.0f && !this.f3898) {
                canvas.scale(f4, f4, f2, f3);
            }
            if (z) {
                canvas.drawBitmap(this.f3899, f2, f3, this.f3921);
                canvas.restoreToCount(save);
                return;
            }
            if (!m5736() || (this.f3898 && this.f3896 <= this.f3902)) {
                canvas.translate(f2, f3);
                this.f3884.draw(canvas);
            } else {
                m5711(canvas, lineStart, f3);
            }
            canvas.restoreToCount(save);
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private void m5711(Canvas canvas, float f2, float f3) {
        int alpha = this.f3909.getAlpha();
        canvas.translate(f2, f3);
        float f4 = (float) alpha;
        this.f3909.setAlpha((int) (this.f3887 * f4));
        this.f3884.draw(canvas);
        this.f3909.setAlpha((int) (this.f3886 * f4));
        int lineBaseline = this.f3884.getLineBaseline(0);
        CharSequence charSequence = this.f3889;
        float f5 = (float) lineBaseline;
        canvas.drawText(charSequence, 0, charSequence.length(), 0.0f, f5, this.f3909);
        if (!this.f3898) {
            String trim = this.f3889.toString().trim();
            if (trim.endsWith("…")) {
                trim = trim.substring(0, trim.length() - 1);
            }
            this.f3909.setAlpha(alpha);
            canvas.drawText(trim, 0, Math.min(this.f3884.getLineEnd(0), trim.length()), 0.0f, f5, (Paint) this.f3909);
        }
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    private boolean m5719(CharSequence charSequence) {
        boolean r0 = m5735();
        return this.f3895 ? m5715(charSequence, r0) : r0;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private boolean m5715(CharSequence charSequence, boolean z) {
        return (z ? e.f6013 : e.f6012).m8631(charSequence, 0, charSequence.length());
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private void m5710(float f2, boolean z) {
        boolean z2;
        float f3;
        boolean z3;
        if (this.f3927 != null) {
            float width = (float) this.f3908.width();
            float width2 = (float) this.f3906.width();
            boolean z4 = false;
            int i = 1;
            if (m5713(f2, this.f3918)) {
                f3 = this.f3918;
                this.f3903 = 1.0f;
                Typeface typeface = this.f3940;
                Typeface typeface2 = this.f3936;
                if (typeface != typeface2) {
                    this.f3940 = typeface2;
                    z2 = true;
                } else {
                    z2 = false;
                }
            } else {
                float f4 = this.f3916;
                Typeface typeface3 = this.f3940;
                Typeface typeface4 = this.f3938;
                if (typeface3 != typeface4) {
                    this.f3940 = typeface4;
                    z3 = true;
                } else {
                    z3 = false;
                }
                if (m5713(f2, this.f3916)) {
                    this.f3903 = 1.0f;
                } else {
                    this.f3903 = f2 / this.f3916;
                }
                float f5 = this.f3918 / this.f3916;
                float f6 = width2 * f5;
                if (!z && f6 > width) {
                    width = Math.min(width / f5, width2);
                } else {
                    width = width2;
                }
                f3 = f4;
                z2 = z3;
            }
            if (width > 0.0f) {
                z2 = this.f3907 != f3 || this.f3911 || z2;
                this.f3907 = f3;
                this.f3911 = false;
            }
            if (this.f3881 == null || z2) {
                this.f3909.setTextSize(this.f3907);
                this.f3909.setTypeface(this.f3940);
                TextPaint textPaint = this.f3909;
                if (this.f3903 != 1.0f) {
                    z4 = true;
                }
                textPaint.setLinearText(z4);
                this.f3897 = m5719(this.f3927);
                if (m5736()) {
                    i = this.f3890;
                }
                StaticLayout r9 = m5709(i, width, this.f3897);
                this.f3884 = r9;
                this.f3881 = r9.getText();
            }
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private StaticLayout m5709(int i, float f2, boolean z) {
        StaticLayout staticLayout;
        try {
            m r4 = m.m5855(this.f3927, this.f3909, (int) f2);
            r4.m5861(TextUtils.TruncateAt.END);
            r4.m5864(z);
            r4.m5860(Layout.Alignment.ALIGN_NORMAL);
            r4.m5862(false);
            r4.m5863(i);
            r4.m5858(this.f3891, this.f3892);
            r4.m5859(this.f3893);
            staticLayout = r4.m5857();
        } catch (m.a e2) {
            Log.e("CollapsingTextHelper", e2.getCause().getMessage(), e2);
            staticLayout = null;
        }
        e.g.k.h.m8663(staticLayout);
        return staticLayout;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public void m5748(boolean z) {
        if ((this.f3880.getHeight() > 0 && this.f3880.getWidth() > 0) || z) {
            m5718(z);
            m5729();
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public void m5747(CharSequence charSequence) {
        if (charSequence == null || !TextUtils.equals(this.f3927, charSequence)) {
            this.f3927 = charSequence;
            this.f3881 = null;
            m5732();
            m5764();
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private static boolean m5713(float f2, float f3) {
        return Math.abs(f2 - f3) < 0.001f;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public ColorStateList m5737() {
        return this.f3922;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private static int m5708(int i, int i2, float f2) {
        float f3 = 1.0f - f2;
        return Color.argb((int) ((((float) Color.alpha(i)) * f3) + (((float) Color.alpha(i2)) * f2)), (int) ((((float) Color.red(i)) * f3) + (((float) Color.red(i2)) * f2)), (int) ((((float) Color.green(i)) * f3) + (((float) Color.green(i2)) * f2)), (int) ((((float) Color.blue(i)) * f3) + (((float) Color.blue(i2)) * f2)));
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private static float m5706(float f2, float f3, float f4, TimeInterpolator timeInterpolator) {
        if (timeInterpolator != null) {
            f4 = timeInterpolator.getInterpolation(f4);
        }
        return f.e.a.a.l.a.m10398(f2, f3, f4);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private static boolean m5714(Rect rect, int i, int i2, int i3, int i4) {
        return rect.left == i && rect.top == i2 && rect.right == i3 && rect.bottom == i4;
    }
}
