package com.google.android.material.internal;

import android.os.Build;
import android.text.Layout;
import android.text.StaticLayout;
import android.text.TextDirectionHeuristic;
import android.text.TextDirectionHeuristics;
import android.text.TextPaint;
import android.text.TextUtils;
import e.g.k.h;
import java.lang.reflect.Constructor;
import me.zhanghai.android.materialprogressbar.BuildConfig;

/* compiled from: StaticLayoutBuilderCompat */
final class m {

    /* renamed from: י  reason: contains not printable characters */
    static final int f4006 = (Build.VERSION.SDK_INT >= 23 ? 1 : 0);

    /* renamed from: ـ  reason: contains not printable characters */
    private static boolean f4007;

    /* renamed from: ٴ  reason: contains not printable characters */
    private static Constructor<StaticLayout> f4008;

    /* renamed from: ᐧ  reason: contains not printable characters */
    private static Object f4009;

    /* renamed from: ʻ  reason: contains not printable characters */
    private CharSequence f4010;

    /* renamed from: ʼ  reason: contains not printable characters */
    private final TextPaint f4011;

    /* renamed from: ʽ  reason: contains not printable characters */
    private final int f4012;

    /* renamed from: ʾ  reason: contains not printable characters */
    private int f4013 = 0;

    /* renamed from: ʿ  reason: contains not printable characters */
    private int f4014;

    /* renamed from: ˆ  reason: contains not printable characters */
    private Layout.Alignment f4015;

    /* renamed from: ˈ  reason: contains not printable characters */
    private int f4016;

    /* renamed from: ˉ  reason: contains not printable characters */
    private float f4017;

    /* renamed from: ˊ  reason: contains not printable characters */
    private float f4018;

    /* renamed from: ˋ  reason: contains not printable characters */
    private int f4019;

    /* renamed from: ˎ  reason: contains not printable characters */
    private boolean f4020;

    /* renamed from: ˏ  reason: contains not printable characters */
    private boolean f4021;

    /* renamed from: ˑ  reason: contains not printable characters */
    private TextUtils.TruncateAt f4022;

    /* access modifiers changed from: package-private */
    /* compiled from: StaticLayoutBuilderCompat */
    public static class a extends Exception {
        a(Throwable th) {
            super("Error thrown initializing StaticLayout " + th.getMessage(), th);
        }
    }

    private m(CharSequence charSequence, TextPaint textPaint, int i) {
        this.f4010 = charSequence;
        this.f4011 = textPaint;
        this.f4012 = i;
        this.f4014 = charSequence.length();
        this.f4015 = Layout.Alignment.ALIGN_NORMAL;
        this.f4016 = Integer.MAX_VALUE;
        this.f4017 = 0.0f;
        this.f4018 = 1.0f;
        this.f4019 = f4006;
        this.f4020 = true;
        this.f4022 = null;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public static m m5855(CharSequence charSequence, TextPaint textPaint, int i) {
        return new m(charSequence, textPaint, i);
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public m m5863(int i) {
        this.f4016 = i;
        return this;
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    private void m5856() throws a {
        Class<?> cls;
        if (!f4007) {
            try {
                boolean z = this.f4021 && Build.VERSION.SDK_INT >= 23;
                if (Build.VERSION.SDK_INT >= 18) {
                    cls = TextDirectionHeuristic.class;
                    f4009 = z ? TextDirectionHeuristics.RTL : TextDirectionHeuristics.LTR;
                } else {
                    ClassLoader classLoader = m.class.getClassLoader();
                    String str = this.f4021 ? "RTL" : "LTR";
                    Class<?> loadClass = classLoader.loadClass("android.text.TextDirectionHeuristic");
                    Class<?> loadClass2 = classLoader.loadClass("android.text.TextDirectionHeuristics");
                    f4009 = loadClass2.getField(str).get(loadClass2);
                    cls = loadClass;
                }
                Constructor<StaticLayout> declaredConstructor = StaticLayout.class.getDeclaredConstructor(CharSequence.class, Integer.TYPE, Integer.TYPE, TextPaint.class, Integer.TYPE, Layout.Alignment.class, cls, Float.TYPE, Float.TYPE, Boolean.TYPE, TextUtils.TruncateAt.class, Integer.TYPE, Integer.TYPE);
                f4008 = declaredConstructor;
                declaredConstructor.setAccessible(true);
                f4007 = true;
            } catch (Exception e2) {
                throw new a(e2);
            }
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public m m5860(Layout.Alignment alignment) {
        this.f4015 = alignment;
        return this;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public m m5862(boolean z) {
        this.f4020 = z;
        return this;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public m m5858(float f2, float f3) {
        this.f4017 = f2;
        this.f4018 = f3;
        return this;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public m m5859(int i) {
        this.f4019 = i;
        return this;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public m m5861(TextUtils.TruncateAt truncateAt) {
        this.f4022 = truncateAt;
        return this;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public StaticLayout m5857() throws a {
        if (this.f4010 == null) {
            this.f4010 = BuildConfig.FLAVOR;
        }
        int max = Math.max(0, this.f4012);
        CharSequence charSequence = this.f4010;
        if (this.f4016 == 1) {
            charSequence = TextUtils.ellipsize(charSequence, this.f4011, (float) max, this.f4022);
        }
        this.f4014 = Math.min(charSequence.length(), this.f4014);
        if (Build.VERSION.SDK_INT >= 23) {
            if (this.f4021 && this.f4016 == 1) {
                this.f4015 = Layout.Alignment.ALIGN_OPPOSITE;
            }
            StaticLayout.Builder obtain = StaticLayout.Builder.obtain(charSequence, this.f4013, this.f4014, this.f4011, max);
            obtain.setAlignment(this.f4015);
            obtain.setIncludePad(this.f4020);
            obtain.setTextDirection(this.f4021 ? TextDirectionHeuristics.RTL : TextDirectionHeuristics.LTR);
            TextUtils.TruncateAt truncateAt = this.f4022;
            if (truncateAt != null) {
                obtain.setEllipsize(truncateAt);
            }
            obtain.setMaxLines(this.f4016);
            if (!(this.f4017 == 0.0f && this.f4018 == 1.0f)) {
                obtain.setLineSpacing(this.f4017, this.f4018);
            }
            if (this.f4016 > 1) {
                obtain.setHyphenationFrequency(this.f4019);
            }
            return obtain.build();
        }
        m5856();
        try {
            Constructor<StaticLayout> constructor = f4008;
            h.m8663(constructor);
            Object obj = f4009;
            h.m8663(obj);
            return constructor.newInstance(charSequence, Integer.valueOf(this.f4013), Integer.valueOf(this.f4014), this.f4011, Integer.valueOf(max), this.f4015, obj, Float.valueOf(1.0f), Float.valueOf(0.0f), Boolean.valueOf(this.f4020), null, Integer.valueOf(max), Integer.valueOf(this.f4016));
        } catch (Exception e2) {
            throw new a(e2);
        }
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public m m5864(boolean z) {
        this.f4021 = z;
        return this;
    }
}
