package com.google.android.material.navigation;

import android.app.Activity;
import android.content.Context;
import android.content.res.ColorStateList;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.Path;
import android.graphics.RectF;
import android.graphics.drawable.ColorDrawable;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.InsetDrawable;
import android.os.Build;
import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;
import android.util.AttributeSet;
import android.util.TypedValue;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewTreeObserver;
import android.widget.FrameLayout;
import androidx.appcompat.view.menu.g;
import androidx.appcompat.view.menu.i;
import androidx.appcompat.widget.c1;
import androidx.drawerlayout.widget.DrawerLayout;
import com.google.android.material.internal.g;
import com.google.android.material.internal.h;
import com.google.android.material.internal.k;
import com.google.android.material.internal.p;
import e.g.l.d0;
import e.g.l.l0;
import f.e.a.a.b0.k;
import f.e.a.a.b0.l;
import f.e.a.a.j;

public class NavigationView extends k {

    /* renamed from: ﹳ  reason: contains not printable characters */
    private static final int[] f4040 = {16842912};

    /* renamed from: ﹶ  reason: contains not printable characters */
    private static final int[] f4041 = {-16842910};

    /* renamed from: ﾞ  reason: contains not printable characters */
    private static final int f4042 = j.Widget_Design_NavigationView;

    /* renamed from: ˋ  reason: contains not printable characters */
    private final g f4043;

    /* renamed from: ˎ  reason: contains not printable characters */
    private final h f4044;

    /* renamed from: ˏ  reason: contains not printable characters */
    c f4045;

    /* renamed from: ˑ  reason: contains not printable characters */
    private final int f4046;

    /* renamed from: י  reason: contains not printable characters */
    private final int[] f4047;

    /* renamed from: ـ  reason: contains not printable characters */
    private MenuInflater f4048;

    /* renamed from: ٴ  reason: contains not printable characters */
    private ViewTreeObserver.OnGlobalLayoutListener f4049;

    /* renamed from: ᐧ  reason: contains not printable characters */
    private boolean f4050;

    /* renamed from: ᴵ  reason: contains not printable characters */
    private boolean f4051;

    /* renamed from: ᵎ  reason: contains not printable characters */
    private int f4052;

    /* renamed from: ᵔ  reason: contains not printable characters */
    private int f4053;

    /* renamed from: ᵢ  reason: contains not printable characters */
    private Path f4054;

    /* renamed from: ⁱ  reason: contains not printable characters */
    private final RectF f4055;

    class a implements g.a {
        a() {
        }

        @Override // androidx.appcompat.view.menu.g.a
        /* renamed from: ʻ  reason: contains not printable characters */
        public void m5913(androidx.appcompat.view.menu.g gVar) {
        }

        @Override // androidx.appcompat.view.menu.g.a
        /* renamed from: ʻ  reason: contains not printable characters */
        public boolean m5914(androidx.appcompat.view.menu.g gVar, MenuItem menuItem) {
            c cVar = NavigationView.this.f4045;
            return cVar != null && cVar.m5915(menuItem);
        }
    }

    /* access modifiers changed from: package-private */
    public class b implements ViewTreeObserver.OnGlobalLayoutListener {
        b() {
        }

        public void onGlobalLayout() {
            NavigationView navigationView = NavigationView.this;
            navigationView.getLocationOnScreen(navigationView.f4047);
            boolean z = true;
            boolean z2 = NavigationView.this.f4047[1] == 0;
            NavigationView.this.f4044.m5795(z2);
            NavigationView navigationView2 = NavigationView.this;
            navigationView2.setDrawTopInsetForeground(z2 && navigationView2.m5911());
            Activity r0 = com.google.android.material.internal.b.m5766(NavigationView.this.getContext());
            if (r0 != null && Build.VERSION.SDK_INT >= 21) {
                boolean z3 = r0.findViewById(16908290).getHeight() == NavigationView.this.getHeight();
                boolean z4 = Color.alpha(r0.getWindow().getNavigationBarColor()) != 0;
                NavigationView navigationView3 = NavigationView.this;
                if (!z3 || !z4 || !navigationView3.m5909()) {
                    z = false;
                }
                navigationView3.setDrawBottomInsetForeground(z);
            }
        }
    }

    public interface c {
        /* renamed from: ʻ  reason: contains not printable characters */
        boolean m5915(MenuItem menuItem);
    }

    public NavigationView(Context context) {
        this(context, null);
    }

    private MenuInflater getMenuInflater() {
        if (this.f4048 == null) {
            this.f4048 = new e.a.n.g(getContext());
        }
        return this.f4048;
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    private ColorStateList m5906(int i) {
        TypedValue typedValue = new TypedValue();
        if (!getContext().getTheme().resolveAttribute(i, typedValue, true)) {
            return null;
        }
        ColorStateList r10 = e.a.k.a.a.m7307(getContext(), typedValue.resourceId);
        if (!getContext().getTheme().resolveAttribute(e.a.a.colorPrimary, typedValue, true)) {
            return null;
        }
        int i2 = typedValue.data;
        int defaultColor = r10.getDefaultColor();
        return new ColorStateList(new int[][]{f4041, f4040, FrameLayout.EMPTY_STATE_SET}, new int[]{r10.getColorForState(f4041, defaultColor), i2, defaultColor});
    }

    /* access modifiers changed from: protected */
    public void dispatchDraw(Canvas canvas) {
        if (this.f4054 == null) {
            super.dispatchDraw(canvas);
            return;
        }
        int save = canvas.save();
        canvas.clipPath(this.f4054);
        super.dispatchDraw(canvas);
        canvas.restoreToCount(save);
    }

    public MenuItem getCheckedItem() {
        return this.f4044.m5778();
    }

    public int getDividerInsetEnd() {
        return this.f4044.m5797();
    }

    public int getDividerInsetStart() {
        return this.f4044.m5805();
    }

    public int getHeaderCount() {
        return this.f4044.m5807();
    }

    public Drawable getItemBackground() {
        return this.f4044.m5809();
    }

    public int getItemHorizontalPadding() {
        return this.f4044.m5811();
    }

    public int getItemIconPadding() {
        return this.f4044.m5813();
    }

    public ColorStateList getItemIconTintList() {
        return this.f4044.m5819();
    }

    public int getItemMaxLines() {
        return this.f4044.m5815();
    }

    public ColorStateList getItemTextColor() {
        return this.f4044.m5817();
    }

    public int getItemVerticalPadding() {
        return this.f4044.m5821();
    }

    public Menu getMenu() {
        return this.f4043;
    }

    public int getSubheaderInsetEnd() {
        return this.f4044.m5823();
    }

    public int getSubheaderInsetStart() {
        return this.f4044.m5824();
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.material.internal.k
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        f.e.a.a.b0.h.m10264(this);
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.material.internal.k
    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        if (Build.VERSION.SDK_INT < 16) {
            getViewTreeObserver().removeGlobalOnLayoutListener(this.f4049);
        } else {
            getViewTreeObserver().removeOnGlobalLayoutListener(this.f4049);
        }
    }

    /* access modifiers changed from: protected */
    public void onMeasure(int i, int i2) {
        int mode = View.MeasureSpec.getMode(i);
        if (mode == Integer.MIN_VALUE) {
            i = View.MeasureSpec.makeMeasureSpec(Math.min(View.MeasureSpec.getSize(i), this.f4046), 1073741824);
        } else if (mode == 0) {
            i = View.MeasureSpec.makeMeasureSpec(this.f4046, 1073741824);
        }
        super.onMeasure(i, i2);
    }

    /* access modifiers changed from: protected */
    public void onRestoreInstanceState(Parcelable parcelable) {
        if (!(parcelable instanceof d)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        d dVar = (d) parcelable;
        super.onRestoreInstanceState(dVar.m9382());
        this.f4043.m748(dVar.f4058);
    }

    /* access modifiers changed from: protected */
    public Parcelable onSaveInstanceState() {
        d dVar = new d(super.onSaveInstanceState());
        Bundle bundle = new Bundle();
        dVar.f4058 = bundle;
        this.f4043.m759(bundle);
        return dVar;
    }

    /* access modifiers changed from: protected */
    public void onSizeChanged(int i, int i2, int i3, int i4) {
        super.onSizeChanged(i, i2, i3, i4);
        m5901(i, i2);
    }

    public void setBottomInsetScrimEnabled(boolean z) {
        this.f4051 = z;
    }

    public void setCheckedItem(int i) {
        MenuItem findItem = this.f4043.findItem(i);
        if (findItem != null) {
            this.f4044.m5786((i) findItem);
        }
    }

    public void setDividerInsetEnd(int i) {
        this.f4044.m5798(i);
    }

    public void setDividerInsetStart(int i) {
        this.f4044.m5801(i);
    }

    public void setElevation(float f2) {
        if (Build.VERSION.SDK_INT >= 21) {
            super.setElevation(f2);
        }
        f.e.a.a.b0.h.m10265(this, f2);
    }

    public void setItemBackground(Drawable drawable) {
        this.f4044.m5782(drawable);
    }

    public void setItemBackgroundResource(int i) {
        setItemBackground(e.g.d.a.m8262(getContext(), i));
    }

    public void setItemHorizontalPadding(int i) {
        this.f4044.m5806(i);
    }

    public void setItemHorizontalPaddingResource(int i) {
        this.f4044.m5806(getResources().getDimensionPixelSize(i));
    }

    public void setItemIconPadding(int i) {
        this.f4044.m5808(i);
    }

    public void setItemIconPaddingResource(int i) {
        this.f4044.m5808(getResources().getDimensionPixelSize(i));
    }

    public void setItemIconSize(int i) {
        this.f4044.m5810(i);
    }

    public void setItemIconTintList(ColorStateList colorStateList) {
        this.f4044.m5781(colorStateList);
    }

    public void setItemMaxLines(int i) {
        this.f4044.m5812(i);
    }

    public void setItemTextAppearance(int i) {
        this.f4044.m5814(i);
    }

    public void setItemTextColor(ColorStateList colorStateList) {
        this.f4044.m5794(colorStateList);
    }

    public void setItemVerticalPadding(int i) {
        this.f4044.m5816(i);
    }

    public void setItemVerticalPaddingResource(int i) {
        this.f4044.m5816(getResources().getDimensionPixelSize(i));
    }

    public void setNavigationItemSelectedListener(c cVar) {
        this.f4045 = cVar;
    }

    public void setOverScrollMode(int i) {
        super.setOverScrollMode(i);
        h hVar = this.f4044;
        if (hVar != null) {
            hVar.m5818(i);
        }
    }

    public void setSubheaderInsetEnd(int i) {
        this.f4044.m5820(i);
    }

    public void setSubheaderInsetStart(int i) {
        this.f4044.m5820(i);
    }

    public void setTopInsetScrimEnabled(boolean z) {
        this.f4050 = z;
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    public void m5912(int i) {
        this.f4044.m5800(true);
        getMenuInflater().inflate(i, this.f4043);
        this.f4044.m5800(false);
        this.f4044.m5789(false);
    }

    public static class d extends e.i.a.a {
        public static final Parcelable.Creator<d> CREATOR = new a();

        /* renamed from: ˈ  reason: contains not printable characters */
        public Bundle f4058;

        static class a implements Parcelable.ClassLoaderCreator<d> {
            a() {
            }

            @Override // android.os.Parcelable.Creator
            public d[] newArray(int i) {
                return new d[i];
            }

            @Override // android.os.Parcelable.ClassLoaderCreator
            public d createFromParcel(Parcel parcel, ClassLoader classLoader) {
                return new d(parcel, classLoader);
            }

            @Override // android.os.Parcelable.Creator
            public d createFromParcel(Parcel parcel) {
                return new d(parcel, null);
            }
        }

        public d(Parcel parcel, ClassLoader classLoader) {
            super(parcel, classLoader);
            this.f4058 = parcel.readBundle(classLoader);
        }

        @Override // e.i.a.a
        public void writeToParcel(Parcel parcel, int i) {
            super.writeToParcel(parcel, i);
            parcel.writeBundle(this.f4058);
        }

        public d(Parcelable parcelable) {
            super(parcelable);
        }
    }

    public NavigationView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, f.e.a.a.b.navigationViewStyle);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private void m5901(int i, int i2) {
        if (!(getParent() instanceof DrawerLayout) || this.f4053 <= 0 || !(getBackground() instanceof f.e.a.a.b0.g)) {
            this.f4054 = null;
            this.f4055.setEmpty();
            return;
        }
        f.e.a.a.b0.g gVar = (f.e.a.a.b0.g) getBackground();
        k.b r1 = gVar.m10250().m10294();
        if (e.g.l.h.m9009(this.f4052, d0.m8764(this)) == 3) {
            r1.m10325((float) this.f4053);
            r1.m10317((float) this.f4053);
        } else {
            r1.m10321((float) this.f4053);
            r1.m10313((float) this.f4053);
        }
        gVar.setShapeAppearanceModel(r1.m10312());
        if (this.f4054 == null) {
            this.f4054 = new Path();
        }
        this.f4054.reset();
        this.f4055.set(0.0f, 0.0f, (float) i, (float) i2);
        l.m10331().m10340(gVar.m10250(), gVar.m10244(), this.f4055, this.f4054);
        invalidate();
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    private boolean m5904(c1 c1Var) {
        return c1Var.m1157(f.e.a.a.k.NavigationView_itemShapeAppearance) || c1Var.m1157(f.e.a.a.k.NavigationView_itemShapeAppearanceOverlay);
    }

    public NavigationView(Context context, AttributeSet attributeSet, int i) {
        super(com.google.android.material.theme.a.a.m6153(context, attributeSet, i, f4042), attributeSet, i);
        ColorStateList colorStateList;
        this.f4044 = new h();
        this.f4047 = new int[2];
        this.f4050 = true;
        this.f4051 = true;
        this.f4052 = 0;
        this.f4053 = 0;
        this.f4055 = new RectF();
        Context context2 = getContext();
        this.f4043 = new com.google.android.material.internal.g(context2);
        c1 r2 = p.m5886(context2, attributeSet, f.e.a.a.k.NavigationView, i, f4042, new int[0]);
        if (r2.m1157(f.e.a.a.k.NavigationView_android_background)) {
            d0.m8703(this, r2.m1146(f.e.a.a.k.NavigationView_android_background));
        }
        this.f4053 = r2.m1148(f.e.a.a.k.NavigationView_drawerLayoutCornerSize, 0);
        this.f4052 = r2.m1150(f.e.a.a.k.NavigationView_android_layout_gravity, 0);
        if (getBackground() == null || (getBackground() instanceof ColorDrawable)) {
            f.e.a.a.b0.k r12 = f.e.a.a.b0.k.m10274(context2, attributeSet, i, f4042).m10312();
            Drawable background = getBackground();
            f.e.a.a.b0.g gVar = new f.e.a.a.b0.g(r12);
            if (background instanceof ColorDrawable) {
                gVar.m10228(ColorStateList.valueOf(((ColorDrawable) background).getColor()));
            }
            gVar.m10227(context2);
            d0.m8703(this, gVar);
        }
        if (r2.m1157(f.e.a.a.k.NavigationView_elevation)) {
            setElevation((float) r2.m1148(f.e.a.a.k.NavigationView_elevation, 0));
        }
        setFitsSystemWindows(r2.m1143(f.e.a.a.k.NavigationView_android_fitsSystemWindows, false));
        this.f4046 = r2.m1148(f.e.a.a.k.NavigationView_android_maxWidth, 0);
        ColorStateList colorStateList2 = null;
        ColorStateList r122 = r2.m1157(f.e.a.a.k.NavigationView_subheaderColor) ? r2.m1140(f.e.a.a.k.NavigationView_subheaderColor) : null;
        int r3 = r2.m1157(f.e.a.a.k.NavigationView_subheaderTextAppearance) ? r2.m1156(f.e.a.a.k.NavigationView_subheaderTextAppearance, 0) : 0;
        if (r3 == 0 && r122 == null) {
            r122 = m5906(16842808);
        }
        if (r2.m1157(f.e.a.a.k.NavigationView_itemIconTint)) {
            colorStateList = r2.m1140(f.e.a.a.k.NavigationView_itemIconTint);
        } else {
            colorStateList = m5906(16842808);
        }
        int r5 = r2.m1157(f.e.a.a.k.NavigationView_itemTextAppearance) ? r2.m1156(f.e.a.a.k.NavigationView_itemTextAppearance, 0) : 0;
        if (r2.m1157(f.e.a.a.k.NavigationView_itemIconSize)) {
            setItemIconSize(r2.m1148(f.e.a.a.k.NavigationView_itemIconSize, 0));
        }
        colorStateList2 = r2.m1157(f.e.a.a.k.NavigationView_itemTextColor) ? r2.m1140(f.e.a.a.k.NavigationView_itemTextColor) : colorStateList2;
        if (r5 == 0 && colorStateList2 == null) {
            colorStateList2 = m5906(16842806);
        }
        Drawable r6 = r2.m1146(f.e.a.a.k.NavigationView_itemBackground);
        if (r6 == null && m5904(r2)) {
            r6 = m5900(r2);
        }
        if (r2.m1157(f.e.a.a.k.NavigationView_itemHorizontalPadding)) {
            setItemHorizontalPadding(r2.m1148(f.e.a.a.k.NavigationView_itemHorizontalPadding, 0));
        }
        if (r2.m1157(f.e.a.a.k.NavigationView_itemVerticalPadding)) {
            setItemVerticalPadding(r2.m1148(f.e.a.a.k.NavigationView_itemVerticalPadding, 0));
        }
        setDividerInsetStart(r2.m1148(f.e.a.a.k.NavigationView_dividerInsetStart, 0));
        setDividerInsetEnd(r2.m1148(f.e.a.a.k.NavigationView_dividerInsetEnd, 0));
        setSubheaderInsetStart(r2.m1148(f.e.a.a.k.NavigationView_subheaderInsetStart, 0));
        setSubheaderInsetEnd(r2.m1148(f.e.a.a.k.NavigationView_subheaderInsetEnd, 0));
        setTopInsetScrimEnabled(r2.m1143(f.e.a.a.k.NavigationView_topInsetScrimEnabled, this.f4050));
        setBottomInsetScrimEnabled(r2.m1143(f.e.a.a.k.NavigationView_bottomInsetScrimEnabled, this.f4051));
        int r7 = r2.m1148(f.e.a.a.k.NavigationView_itemIconPadding, 0);
        setItemMaxLines(r2.m1150(f.e.a.a.k.NavigationView_itemMaxLines, 1));
        this.f4043.m737(new a());
        this.f4044.m5804(1);
        this.f4044.m5780(context2, this.f4043);
        if (r3 != 0) {
            this.f4044.m5822(r3);
        }
        this.f4044.m5799(r122);
        this.f4044.m5781(colorStateList);
        this.f4044.m5818(getOverScrollMode());
        if (r5 != 0) {
            this.f4044.m5814(r5);
        }
        this.f4044.m5794(colorStateList2);
        this.f4044.m5782(r6);
        this.f4044.m5808(r7);
        this.f4043.m738(this.f4044);
        addView((View) this.f4044.m5779((ViewGroup) this));
        if (r2.m1157(f.e.a.a.k.NavigationView_menu)) {
            m5912(r2.m1156(f.e.a.a.k.NavigationView_menu, 0));
        }
        if (r2.m1157(f.e.a.a.k.NavigationView_headerLayout)) {
            m5910(r2.m1156(f.e.a.a.k.NavigationView_headerLayout, 0));
        }
        r2.m1147();
        m5905();
    }

    public void setCheckedItem(MenuItem menuItem) {
        MenuItem findItem = this.f4043.findItem(menuItem.getItemId());
        if (findItem != null) {
            this.f4044.m5786((i) findItem);
            return;
        }
        throw new IllegalArgumentException("Called setCheckedItem(MenuItem) with an item that is not in the current menu.");
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public View m5910(int i) {
        return this.f4044.m5793(i);
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    private void m5905() {
        this.f4049 = new b();
        getViewTreeObserver().addOnGlobalLayoutListener(this.f4049);
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public boolean m5911() {
        return this.f4050;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private final Drawable m5900(c1 c1Var) {
        f.e.a.a.b0.g gVar = new f.e.a.a.b0.g(f.e.a.a.b0.k.m10271(getContext(), c1Var.m1156(f.e.a.a.k.NavigationView_itemShapeAppearance, 0), c1Var.m1156(f.e.a.a.k.NavigationView_itemShapeAppearanceOverlay, 0)).m10312());
        gVar.m10228(f.e.a.a.y.c.m10536(getContext(), c1Var, f.e.a.a.k.NavigationView_itemShapeFillColor));
        return new InsetDrawable((Drawable) gVar, c1Var.m1148(f.e.a.a.k.NavigationView_itemShapeInsetStart, 0), c1Var.m1148(f.e.a.a.k.NavigationView_itemShapeInsetTop, 0), c1Var.m1148(f.e.a.a.k.NavigationView_itemShapeInsetEnd, 0), c1Var.m1148(f.e.a.a.k.NavigationView_itemShapeInsetBottom, 0));
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.material.internal.k
    /* renamed from: ʻ  reason: contains not printable characters */
    public void m5908(l0 l0Var) {
        this.f4044.m5788(l0Var);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public View m5907(int i) {
        return this.f4044.m5777(i);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public boolean m5909() {
        return this.f4051;
    }
}
