package com.google.android.material.textfield;

import android.animation.ValueAnimator;
import android.annotation.TargetApi;
import android.content.Context;
import android.content.res.ColorStateList;
import android.graphics.Canvas;
import android.graphics.PorterDuff;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.Typeface;
import android.graphics.drawable.ColorDrawable;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.os.Parcel;
import android.os.Parcelable;
import android.text.Editable;
import android.text.TextUtils;
import android.text.TextWatcher;
import android.util.AttributeSet;
import android.util.Log;
import android.util.SparseArray;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewStructure;
import android.widget.EditText;
import android.widget.FrameLayout;
import android.widget.LinearLayout;
import android.widget.TextView;
import androidx.appcompat.widget.c1;
import androidx.appcompat.widget.e0;
import androidx.appcompat.widget.j0;
import androidx.appcompat.widget.m;
import com.google.android.material.internal.CheckableImageButton;
import com.google.android.material.internal.p;
import com.google.android.material.internal.r;
import e.g.l.d0;
import e.s.o;
import f.e.a.a.b0.k;
import f.e.a.a.i;
import f.e.a.a.j;
import java.util.Arrays;
import java.util.Iterator;
import java.util.LinkedHashSet;
import me.zhanghai.android.materialprogressbar.BuildConfig;

public class TextInputLayout extends LinearLayout {

    /* renamed from: ʼᵔ  reason: contains not printable characters */
    private static final int f4085 = j.Widget_Design_TextInputLayout;

    /* renamed from: ʻʻ  reason: contains not printable characters */
    private CharSequence f4086;

    /* renamed from: ʻʼ  reason: contains not printable characters */
    private final CheckableImageButton f4087;

    /* renamed from: ʻʽ  reason: contains not printable characters */
    private ColorStateList f4088;

    /* renamed from: ʻʾ  reason: contains not printable characters */
    private boolean f4089;

    /* renamed from: ʻʿ  reason: contains not printable characters */
    private PorterDuff.Mode f4090;

    /* renamed from: ʻˆ  reason: contains not printable characters */
    private boolean f4091;

    /* renamed from: ʻˈ  reason: contains not printable characters */
    private Drawable f4092;

    /* renamed from: ʻˉ  reason: contains not printable characters */
    private int f4093;

    /* renamed from: ʻˊ  reason: contains not printable characters */
    private View.OnLongClickListener f4094;

    /* renamed from: ʻˋ  reason: contains not printable characters */
    private final LinkedHashSet<f> f4095;

    /* renamed from: ʻˎ  reason: contains not printable characters */
    private int f4096;

    /* renamed from: ʻˏ  reason: contains not printable characters */
    private final SparseArray<e> f4097;

    /* renamed from: ʻˑ  reason: contains not printable characters */
    private final CheckableImageButton f4098;

    /* renamed from: ʻי  reason: contains not printable characters */
    private final LinkedHashSet<g> f4099;

    /* renamed from: ʻـ  reason: contains not printable characters */
    private ColorStateList f4100;

    /* renamed from: ʻٴ  reason: contains not printable characters */
    private boolean f4101;

    /* renamed from: ʻᐧ  reason: contains not printable characters */
    private PorterDuff.Mode f4102;

    /* renamed from: ʻᴵ  reason: contains not printable characters */
    private boolean f4103;

    /* renamed from: ʻᵎ  reason: contains not printable characters */
    private Drawable f4104;

    /* renamed from: ʻᵔ  reason: contains not printable characters */
    private int f4105;

    /* renamed from: ʻᵢ  reason: contains not printable characters */
    private Drawable f4106;

    /* renamed from: ʻⁱ  reason: contains not printable characters */
    private View.OnLongClickListener f4107;

    /* renamed from: ʻﹳ  reason: contains not printable characters */
    private View.OnLongClickListener f4108;

    /* renamed from: ʻﹶ  reason: contains not printable characters */
    private final CheckableImageButton f4109;

    /* renamed from: ʻﾞ  reason: contains not printable characters */
    private ColorStateList f4110;

    /* renamed from: ʼʻ  reason: contains not printable characters */
    private ColorStateList f4111;

    /* renamed from: ʼʼ  reason: contains not printable characters */
    private CharSequence f4112;

    /* renamed from: ʼʽ  reason: contains not printable characters */
    private ColorStateList f4113;

    /* renamed from: ʼʾ  reason: contains not printable characters */
    private int f4114;

    /* renamed from: ʼʿ  reason: contains not printable characters */
    private int f4115;

    /* renamed from: ʼˆ  reason: contains not printable characters */
    private int f4116;

    /* renamed from: ʼˈ  reason: contains not printable characters */
    private ColorStateList f4117;

    /* renamed from: ʼˉ  reason: contains not printable characters */
    private int f4118;

    /* renamed from: ʼˊ  reason: contains not printable characters */
    private int f4119;

    /* renamed from: ʼˋ  reason: contains not printable characters */
    private int f4120;

    /* renamed from: ʼˎ  reason: contains not printable characters */
    private int f4121;

    /* renamed from: ʼˏ  reason: contains not printable characters */
    private int f4122;

    /* renamed from: ʼˑ  reason: contains not printable characters */
    private boolean f4123;

    /* renamed from: ʼי  reason: contains not printable characters */
    final com.google.android.material.internal.a f4124;

    /* renamed from: ʼـ  reason: contains not printable characters */
    private boolean f4125;

    /* renamed from: ʼٴ  reason: contains not printable characters */
    private boolean f4126;

    /* renamed from: ʼᐧ  reason: contains not printable characters */
    private ValueAnimator f4127;

    /* renamed from: ʼᴵ  reason: contains not printable characters */
    private boolean f4128;

    /* renamed from: ʼᵎ  reason: contains not printable characters */
    private boolean f4129;

    /* renamed from: ʽʽ  reason: contains not printable characters */
    private final TextView f4130;

    /* renamed from: ʾʾ  reason: contains not printable characters */
    private boolean f4131;

    /* renamed from: ʿ  reason: contains not printable characters */
    private final FrameLayout f4132;

    /* renamed from: ʿʿ  reason: contains not printable characters */
    private final TextView f4133;

    /* renamed from: ˆ  reason: contains not printable characters */
    private final LinearLayout f4134;

    /* renamed from: ˆˆ  reason: contains not printable characters */
    private boolean f4135;

    /* renamed from: ˈ  reason: contains not printable characters */
    private final LinearLayout f4136;

    /* renamed from: ˈˈ  reason: contains not printable characters */
    private f.e.a.a.b0.g f4137;

    /* renamed from: ˉ  reason: contains not printable characters */
    private final FrameLayout f4138;

    /* renamed from: ˉˉ  reason: contains not printable characters */
    private f.e.a.a.b0.g f4139;

    /* renamed from: ˊ  reason: contains not printable characters */
    EditText f4140;

    /* renamed from: ˊˊ  reason: contains not printable characters */
    private final int f4141;

    /* renamed from: ˋ  reason: contains not printable characters */
    private CharSequence f4142;

    /* renamed from: ˋˋ  reason: contains not printable characters */
    private k f4143;

    /* renamed from: ˎ  reason: contains not printable characters */
    private int f4144;

    /* renamed from: ˎˎ  reason: contains not printable characters */
    private int f4145;

    /* renamed from: ˏ  reason: contains not printable characters */
    private int f4146;

    /* renamed from: ˏˏ  reason: contains not printable characters */
    private int f4147;

    /* renamed from: ˑ  reason: contains not printable characters */
    private final f f4148;

    /* renamed from: ˑˑ  reason: contains not printable characters */
    private int f4149;

    /* renamed from: י  reason: contains not printable characters */
    boolean f4150;

    /* renamed from: יי  reason: contains not printable characters */
    private int f4151;

    /* renamed from: ـ  reason: contains not printable characters */
    private int f4152;

    /* renamed from: ــ  reason: contains not printable characters */
    private CharSequence f4153;

    /* renamed from: ٴ  reason: contains not printable characters */
    private boolean f4154;

    /* renamed from: ٴٴ  reason: contains not printable characters */
    private final RectF f4155;

    /* renamed from: ᐧ  reason: contains not printable characters */
    private TextView f4156;

    /* renamed from: ᐧᐧ  reason: contains not printable characters */
    private ColorStateList f4157;

    /* renamed from: ᴵ  reason: contains not printable characters */
    private int f4158;

    /* renamed from: ᴵᴵ  reason: contains not printable characters */
    private ColorStateList f4159;

    /* renamed from: ᵎ  reason: contains not printable characters */
    private int f4160;

    /* renamed from: ᵎᵎ  reason: contains not printable characters */
    private int f4161;

    /* renamed from: ᵔ  reason: contains not printable characters */
    private CharSequence f4162;

    /* renamed from: ᵔᵔ  reason: contains not printable characters */
    private int f4163;

    /* renamed from: ᵢ  reason: contains not printable characters */
    private boolean f4164;

    /* renamed from: ᵢᵢ  reason: contains not printable characters */
    private int f4165;

    /* renamed from: ⁱ  reason: contains not printable characters */
    private TextView f4166;

    /* renamed from: ⁱⁱ  reason: contains not printable characters */
    private final Rect f4167;

    /* renamed from: ﹳ  reason: contains not printable characters */
    private ColorStateList f4168;

    /* renamed from: ﹳﹳ  reason: contains not printable characters */
    private final Rect f4169;

    /* renamed from: ﹶ  reason: contains not printable characters */
    private int f4170;

    /* renamed from: ﹶﹶ  reason: contains not printable characters */
    private Typeface f4171;

    /* renamed from: ﾞ  reason: contains not printable characters */
    private e.s.d f4172;

    /* renamed from: ﾞﾞ  reason: contains not printable characters */
    private e.s.d f4173;

    /* access modifiers changed from: package-private */
    public class a implements TextWatcher {
        a() {
        }

        public void afterTextChanged(Editable editable) {
            TextInputLayout textInputLayout = TextInputLayout.this;
            textInputLayout.m6008(!textInputLayout.f4129);
            TextInputLayout textInputLayout2 = TextInputLayout.this;
            if (textInputLayout2.f4150) {
                textInputLayout2.m6004(editable.length());
            }
            if (TextInputLayout.this.f4164) {
                TextInputLayout.this.m5961((TextInputLayout) editable.length());
            }
        }

        public void beforeTextChanged(CharSequence charSequence, int i, int i2, int i3) {
        }

        public void onTextChanged(CharSequence charSequence, int i, int i2, int i3) {
        }
    }

    class b implements Runnable {
        b() {
        }

        public void run() {
            TextInputLayout.this.f4098.performClick();
            TextInputLayout.this.f4098.jumpDrawablesToCurrentState();
        }
    }

    class c implements Runnable {
        c() {
        }

        public void run() {
            TextInputLayout.this.f4140.requestLayout();
        }
    }

    /* access modifiers changed from: package-private */
    public class d implements ValueAnimator.AnimatorUpdateListener {
        d() {
        }

        public void onAnimationUpdate(ValueAnimator valueAnimator) {
            TextInputLayout.this.f4124.m5751(((Float) valueAnimator.getAnimatedValue()).floatValue());
        }
    }

    public static class e extends e.g.l.d {

        /* renamed from: ʾ  reason: contains not printable characters */
        private final TextInputLayout f4178;

        public e(TextInputLayout textInputLayout) {
            this.f4178 = textInputLayout;
        }

        @Override // e.g.l.d
        /* renamed from: ʻ  reason: contains not printable characters */
        public void m6019(View view, e.g.l.m0.c cVar) {
            super.m8677(view, cVar);
            EditText editText = this.f4178.getEditText();
            CharSequence text = editText != null ? editText.getText() : null;
            CharSequence hint = this.f4178.getHint();
            CharSequence error = this.f4178.getError();
            CharSequence placeholderText = this.f4178.getPlaceholderText();
            int counterMaxLength = this.f4178.getCounterMaxLength();
            CharSequence counterOverflowDescription = this.f4178.getCounterOverflowDescription();
            boolean z = !TextUtils.isEmpty(text);
            boolean z2 = !TextUtils.isEmpty(hint);
            boolean z3 = !this.f4178.m6011();
            boolean z4 = !TextUtils.isEmpty(error);
            boolean z5 = z4 || !TextUtils.isEmpty(counterOverflowDescription);
            String charSequence = z2 ? hint.toString() : BuildConfig.FLAVOR;
            if (z) {
                cVar.m9222(text);
            } else if (!TextUtils.isEmpty(charSequence)) {
                cVar.m9222(charSequence);
                if (z3 && placeholderText != null) {
                    cVar.m9222(charSequence + ", " + ((Object) placeholderText));
                }
            } else if (placeholderText != null) {
                cVar.m9222(placeholderText);
            }
            if (!TextUtils.isEmpty(charSequence)) {
                if (Build.VERSION.SDK_INT >= 26) {
                    cVar.m9210(charSequence);
                } else {
                    if (z) {
                        charSequence = ((Object) text) + ", " + charSequence;
                    }
                    cVar.m9222(charSequence);
                }
                cVar.m9230(!z);
            }
            if (text == null || text.length() != counterMaxLength) {
                counterMaxLength = -1;
            }
            cVar.m9193(counterMaxLength);
            if (z5) {
                if (!z4) {
                    error = counterOverflowDescription;
                }
                cVar.m9205(error);
            }
            if (Build.VERSION.SDK_INT >= 17 && editText != null) {
                editText.setLabelFor(f.e.a.a.f.textinput_helper_text);
            }
        }
    }

    public interface f {
        /* renamed from: ʻ  reason: contains not printable characters */
        void m6020(TextInputLayout textInputLayout);
    }

    public interface g {
        /* renamed from: ʻ  reason: contains not printable characters */
        void m6021(TextInputLayout textInputLayout, int i);
    }

    /* access modifiers changed from: package-private */
    public static class h extends e.i.a.a {
        public static final Parcelable.Creator<h> CREATOR = new a();

        /* renamed from: ˈ  reason: contains not printable characters */
        CharSequence f4179;

        /* renamed from: ˉ  reason: contains not printable characters */
        boolean f4180;

        /* renamed from: ˊ  reason: contains not printable characters */
        CharSequence f4181;

        /* renamed from: ˋ  reason: contains not printable characters */
        CharSequence f4182;

        /* renamed from: ˎ  reason: contains not printable characters */
        CharSequence f4183;

        static class a implements Parcelable.ClassLoaderCreator<h> {
            a() {
            }

            @Override // android.os.Parcelable.Creator
            public h[] newArray(int i) {
                return new h[i];
            }

            @Override // android.os.Parcelable.ClassLoaderCreator
            public h createFromParcel(Parcel parcel, ClassLoader classLoader) {
                return new h(parcel, classLoader);
            }

            @Override // android.os.Parcelable.Creator
            public h createFromParcel(Parcel parcel) {
                return new h(parcel, null);
            }
        }

        h(Parcelable parcelable) {
            super(parcelable);
        }

        public String toString() {
            return "TextInputLayout.SavedState{" + Integer.toHexString(System.identityHashCode(this)) + " error=" + ((Object) this.f4179) + " hint=" + ((Object) this.f4181) + " helperText=" + ((Object) this.f4182) + " placeholderText=" + ((Object) this.f4183) + "}";
        }

        @Override // e.i.a.a
        public void writeToParcel(Parcel parcel, int i) {
            super.writeToParcel(parcel, i);
            TextUtils.writeToParcel(this.f4179, parcel, i);
            parcel.writeInt(this.f4180 ? 1 : 0);
            TextUtils.writeToParcel(this.f4181, parcel, i);
            TextUtils.writeToParcel(this.f4182, parcel, i);
            TextUtils.writeToParcel(this.f4183, parcel, i);
        }

        h(Parcel parcel, ClassLoader classLoader) {
            super(parcel, classLoader);
            this.f4179 = (CharSequence) TextUtils.CHAR_SEQUENCE_CREATOR.createFromParcel(parcel);
            this.f4180 = parcel.readInt() != 1 ? false : true;
            this.f4181 = (CharSequence) TextUtils.CHAR_SEQUENCE_CREATOR.createFromParcel(parcel);
            this.f4182 = (CharSequence) TextUtils.CHAR_SEQUENCE_CREATOR.createFromParcel(parcel);
            this.f4183 = (CharSequence) TextUtils.CHAR_SEQUENCE_CREATOR.createFromParcel(parcel);
        }
    }

    public TextInputLayout(Context context) {
        this(context, null);
    }

    private e getEndIconDelegate() {
        e eVar = this.f4097.get(this.f4096);
        return eVar != null ? eVar : this.f4097.get(0);
    }

    private CheckableImageButton getEndIconToUpdateDummyDrawable() {
        if (this.f4109.getVisibility() == 0) {
            return this.f4109;
        }
        if (!m6002() || !m6009()) {
            return null;
        }
        return this.f4098;
    }

    private void setEditText(EditText editText) {
        if (this.f4140 == null) {
            if (this.f4096 != 3 && !(editText instanceof TextInputEditText)) {
                Log.i("TextInputLayout", "EditText added is not a TextInputEditText. Please switch to using that class instead.");
            }
            this.f4140 = editText;
            setMinWidth(this.f4144);
            setMaxWidth(this.f4146);
            m5964();
            setTextInputAccessibilityDelegate(new e(this));
            this.f4124.m5757(this.f4140.getTypeface());
            this.f4124.m5738(this.f4140.getTextSize());
            int gravity = this.f4140.getGravity();
            this.f4124.m5752((gravity & -113) | 48);
            this.f4124.m5759(gravity);
            this.f4140.addTextChangedListener(new a());
            if (this.f4111 == null) {
                this.f4111 = this.f4140.getHintTextColors();
            }
            if (this.f4131) {
                if (TextUtils.isEmpty(this.f4153)) {
                    CharSequence hint = this.f4140.getHint();
                    this.f4142 = hint;
                    setHint(hint);
                    this.f4140.setHint((CharSequence) null);
                }
                this.f4135 = true;
            }
            if (this.f4156 != null) {
                m6004(this.f4140.getText().length());
            }
            m6017();
            this.f4148.m6102();
            this.f4134.bringToFront();
            this.f4136.bringToFront();
            this.f4138.bringToFront();
            this.f4109.bringToFront();
            m6001();
            m5996();
            m5984();
            if (!isEnabled()) {
                editText.setEnabled(false);
            }
            m5947(false, true);
            return;
        }
        throw new IllegalArgumentException("We already have an EditText, can only have one");
    }

    private void setErrorIconVisible(boolean z) {
        int i = 0;
        this.f4109.setVisibility(z ? 0 : 8);
        FrameLayout frameLayout = this.f4138;
        if (z) {
            i = 8;
        }
        frameLayout.setVisibility(i);
        m5984();
        if (!m6002()) {
            m5978();
        }
    }

    private void setHintInternal(CharSequence charSequence) {
        if (!TextUtils.equals(charSequence, this.f4153)) {
            this.f4153 = charSequence;
            this.f4124.m5747(charSequence);
            if (!this.f4123) {
                m5959();
            }
        }
    }

    private void setPlaceholderTextEnabled(boolean z) {
        if (this.f4164 != z) {
            if (z) {
                e0 e0Var = new e0(getContext());
                this.f4166 = e0Var;
                e0Var.setId(f.e.a.a.f.textinput_placeholder);
                e.s.d r0 = m5997();
                this.f4172 = r0;
                r0.m9849(67);
                this.f4173 = m5997();
                d0.m8742(this.f4166, 1);
                setPlaceholderTextAppearance(this.f4170);
                setPlaceholderTextColor(this.f4168);
                m5973();
            } else {
                m5966();
                this.f4166 = null;
            }
            this.f4164 = z;
        }
    }

    /* renamed from: ʻʻ  reason: contains not printable characters */
    private boolean m5950() {
        if (this.f4147 != 1 || (Build.VERSION.SDK_INT >= 16 && this.f4140.getMinLines() > 1)) {
            return false;
        }
        return true;
    }

    /* renamed from: ʼʼ  reason: contains not printable characters */
    private void m5959() {
        if (m5999()) {
            RectF rectF = this.f4155;
            this.f4124.m5745(rectF, this.f4140.getWidth(), this.f4140.getGravity());
            m5940(rectF);
            rectF.offset((float) (-getPaddingLeft()), (((float) (-getPaddingTop())) - (rectF.height() / 2.0f)) + ((float) this.f4149));
            ((c) this.f4139).m6043(rectF);
        }
    }

    /* renamed from: ʽʽ  reason: contains not printable characters */
    private void m5964() {
        m5985();
        m5982();
        m6018();
        m5971();
        m5975();
        if (this.f4147 != 0) {
            m5980();
        }
    }

    /* renamed from: ʾʾ  reason: contains not printable characters */
    private void m5966() {
        TextView textView = this.f4166;
        if (textView != null) {
            textView.setVisibility(8);
        }
    }

    /* renamed from: ʿʿ  reason: contains not printable characters */
    private void m5967() {
        if (m5999() && !this.f4123) {
            m5995();
            m5959();
        }
    }

    /* renamed from: ˆˆ  reason: contains not printable characters */
    private boolean m5968() {
        return (this.f4109.getVisibility() == 0 || ((m6002() && m6009()) || this.f4112 != null)) && this.f4136.getMeasuredWidth() > 0;
    }

    /* renamed from: ˈˈ  reason: contains not printable characters */
    private boolean m5969() {
        EditText editText = this.f4140;
        return (editText == null || this.f4139 == null || editText.getBackground() != null || this.f4147 == 0) ? false : true;
    }

    /* renamed from: ˉˉ  reason: contains not printable characters */
    private boolean m5970() {
        return !(getStartIconDrawable() == null && this.f4086 == null) && this.f4134.getMeasuredWidth() > 0;
    }

    /* renamed from: ˊˊ  reason: contains not printable characters */
    private void m5971() {
        if (this.f4147 != 1) {
            return;
        }
        if (f.e.a.a.y.c.m10539(getContext())) {
            this.f4145 = getResources().getDimensionPixelSize(f.e.a.a.d.material_font_2_0_box_collapsed_padding_top);
        } else if (f.e.a.a.y.c.m10537(getContext())) {
            this.f4145 = getResources().getDimensionPixelSize(f.e.a.a.d.material_font_1_3_box_collapsed_padding_top);
        }
    }

    /* renamed from: ˋˋ  reason: contains not printable characters */
    private void m5972() {
        TextView textView = this.f4166;
        if (textView != null && this.f4164) {
            textView.setText(this.f4162);
            o.m9884(this.f4132, this.f4172);
            this.f4166.setVisibility(0);
            this.f4166.bringToFront();
        }
    }

    /* renamed from: ˎ  reason: contains not printable characters */
    private void m5973() {
        TextView textView = this.f4166;
        if (textView != null) {
            this.f4132.addView(textView);
            this.f4166.setVisibility(0);
        }
    }

    /* renamed from: ˎˎ  reason: contains not printable characters */
    private void m5974() {
        ColorStateList colorStateList;
        ColorStateList colorStateList2;
        TextView textView = this.f4156;
        if (textView != null) {
            m6005(textView, this.f4154 ? this.f4158 : this.f4160);
            if (!this.f4154 && (colorStateList2 = this.f4157) != null) {
                this.f4156.setTextColor(colorStateList2);
            }
            if (this.f4154 && (colorStateList = this.f4159) != null) {
                this.f4156.setTextColor(colorStateList);
            }
        }
    }

    /* renamed from: ˏ  reason: contains not printable characters */
    private void m5975() {
        if (this.f4140 != null && this.f4147 == 1) {
            if (f.e.a.a.y.c.m10539(getContext())) {
                EditText editText = this.f4140;
                d0.m8698(editText, d0.m8771(editText), getResources().getDimensionPixelSize(f.e.a.a.d.material_filled_edittext_font_2_0_padding_top), d0.m8770(this.f4140), getResources().getDimensionPixelSize(f.e.a.a.d.material_filled_edittext_font_2_0_padding_bottom));
            } else if (f.e.a.a.y.c.m10537(getContext())) {
                EditText editText2 = this.f4140;
                d0.m8698(editText2, d0.m8771(editText2), getResources().getDimensionPixelSize(f.e.a.a.d.material_filled_edittext_font_1_3_padding_top), d0.m8770(this.f4140), getResources().getDimensionPixelSize(f.e.a.a.d.material_filled_edittext_font_1_3_padding_bottom));
            }
        }
    }

    /* renamed from: ˏˏ  reason: contains not printable characters */
    private void m5976() {
        if (this.f4156 != null) {
            EditText editText = this.f4140;
            m6004(editText == null ? 0 : editText.getText().length());
        }
    }

    /* renamed from: ˑ  reason: contains not printable characters */
    private void m5977() {
        f.e.a.a.b0.g gVar = this.f4139;
        if (gVar != null) {
            gVar.setShapeAppearanceModel(this.f4143);
            if (m5991()) {
                this.f4139.m10224((float) this.f4149, this.f4161);
            }
            int r0 = m5987();
            this.f4165 = r0;
            this.f4139.m10228(ColorStateList.valueOf(r0));
            if (this.f4096 == 3) {
                this.f4140.getBackground().invalidateSelf();
            }
            m5979();
            invalidate();
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:20:0x0069  */
    /* JADX WARNING: Removed duplicated region for block: B:35:0x00d5  */
    /* renamed from: ˑˑ  reason: contains not printable characters */
    private boolean m5978() {
        boolean z;
        if (this.f4140 == null) {
            return false;
        }
        boolean z2 = true;
        if (m5970()) {
            int measuredWidth = this.f4134.getMeasuredWidth() - this.f4140.getPaddingLeft();
            if (this.f4092 == null || this.f4093 != measuredWidth) {
                ColorDrawable colorDrawable = new ColorDrawable();
                this.f4092 = colorDrawable;
                this.f4093 = measuredWidth;
                colorDrawable.setBounds(0, 0, measuredWidth, 1);
            }
            Drawable[] r0 = androidx.core.widget.j.m2161(this.f4140);
            Drawable drawable = r0[0];
            Drawable drawable2 = this.f4092;
            if (drawable != drawable2) {
                androidx.core.widget.j.m2158(this.f4140, drawable2, r0[1], r0[2], r0[3]);
            }
            z = false;
            if (m5968()) {
                int measuredWidth2 = this.f4133.getMeasuredWidth() - this.f4140.getPaddingRight();
                CheckableImageButton endIconToUpdateDummyDrawable = getEndIconToUpdateDummyDrawable();
                if (endIconToUpdateDummyDrawable != null) {
                    measuredWidth2 = measuredWidth2 + endIconToUpdateDummyDrawable.getMeasuredWidth() + e.g.l.k.m9046((ViewGroup.MarginLayoutParams) endIconToUpdateDummyDrawable.getLayoutParams());
                }
                Drawable[] r6 = androidx.core.widget.j.m2161(this.f4140);
                Drawable drawable3 = this.f4104;
                if (drawable3 == null || this.f4105 == measuredWidth2) {
                    if (this.f4104 == null) {
                        ColorDrawable colorDrawable2 = new ColorDrawable();
                        this.f4104 = colorDrawable2;
                        this.f4105 = measuredWidth2;
                        colorDrawable2.setBounds(0, 0, measuredWidth2, 1);
                    }
                    Drawable drawable4 = r6[2];
                    Drawable drawable5 = this.f4104;
                    if (drawable4 != drawable5) {
                        this.f4106 = r6[2];
                        androidx.core.widget.j.m2158(this.f4140, r6[0], r6[1], drawable5, r6[3]);
                    } else {
                        z2 = z;
                    }
                } else {
                    this.f4105 = measuredWidth2;
                    drawable3.setBounds(0, 0, measuredWidth2, 1);
                    androidx.core.widget.j.m2158(this.f4140, r6[0], r6[1], this.f4104, r6[3]);
                }
            } else if (this.f4104 == null) {
                return z;
            } else {
                Drawable[] r62 = androidx.core.widget.j.m2161(this.f4140);
                if (r62[2] == this.f4104) {
                    androidx.core.widget.j.m2158(this.f4140, r62[0], r62[1], this.f4106, r62[3]);
                } else {
                    z2 = z;
                }
                this.f4104 = null;
            }
            return z2;
        }
        if (this.f4092 != null) {
            Drawable[] r02 = androidx.core.widget.j.m2161(this.f4140);
            androidx.core.widget.j.m2158(this.f4140, null, r02[1], r02[2], r02[3]);
            this.f4092 = null;
        }
        z = false;
        if (m5968()) {
        }
        return z2;
        z = true;
        if (m5968()) {
        }
        return z2;
    }

    /* renamed from: י  reason: contains not printable characters */
    private void m5979() {
        if (this.f4137 != null) {
            if (m5993()) {
                this.f4137.m10228(ColorStateList.valueOf(this.f4161));
            }
            invalidate();
        }
    }

    /* renamed from: יי  reason: contains not printable characters */
    private void m5980() {
        if (this.f4147 != 1) {
            LinearLayout.LayoutParams layoutParams = (LinearLayout.LayoutParams) this.f4132.getLayoutParams();
            int r1 = m5989();
            if (r1 != layoutParams.topMargin) {
                layoutParams.topMargin = r1;
                this.f4132.requestLayout();
            }
        }
    }

    /* renamed from: ـ  reason: contains not printable characters */
    private void m5981() {
        m5945(this.f4098, this.f4101, this.f4100, this.f4103, this.f4102);
    }

    /* renamed from: ــ  reason: contains not printable characters */
    private void m5982() {
        if (m5969()) {
            d0.m8703(this.f4140, this.f4139);
        }
    }

    /* renamed from: ٴ  reason: contains not printable characters */
    private void m5983() {
        m5945(this.f4087, this.f4089, this.f4088, this.f4091, this.f4090);
    }

    /* renamed from: ٴٴ  reason: contains not printable characters */
    private void m5984() {
        if (this.f4140 != null) {
            d0.m8698(this.f4133, getContext().getResources().getDimensionPixelSize(f.e.a.a.d.material_input_text_to_prefix_suffix_padding), this.f4140.getPaddingTop(), (m6009() || m5988()) ? 0 : d0.m8770(this.f4140), this.f4140.getPaddingBottom());
        }
    }

    /* renamed from: ᐧ  reason: contains not printable characters */
    private void m5985() {
        int i = this.f4147;
        if (i == 0) {
            this.f4139 = null;
            this.f4137 = null;
        } else if (i == 1) {
            this.f4139 = new f.e.a.a.b0.g(this.f4143);
            this.f4137 = new f.e.a.a.b0.g();
        } else if (i == 2) {
            if (!this.f4131 || (this.f4139 instanceof c)) {
                this.f4139 = new f.e.a.a.b0.g(this.f4143);
            } else {
                this.f4139 = new c(this.f4143);
            }
            this.f4137 = null;
        } else {
            throw new IllegalArgumentException(this.f4147 + " is illegal; only @BoxBackgroundMode constants are supported.");
        }
    }

    /* renamed from: ᐧᐧ  reason: contains not printable characters */
    private void m5986() {
        TextView textView = this.f4166;
        if (textView != null && this.f4164) {
            textView.setText((CharSequence) null);
            o.m9884(this.f4132, this.f4173);
            this.f4166.setVisibility(4);
        }
    }

    /* renamed from: ᴵ  reason: contains not printable characters */
    private int m5987() {
        return this.f4147 == 1 ? f.e.a.a.q.a.m10494(f.e.a.a.q.a.m10499(this, f.e.a.a.b.colorSurface, 0), this.f4165) : this.f4165;
    }

    /* renamed from: ᴵᴵ  reason: contains not printable characters */
    private boolean m5988() {
        return this.f4109.getVisibility() == 0;
    }

    /* renamed from: ᵎ  reason: contains not printable characters */
    private int m5989() {
        float r0;
        if (!this.f4131) {
            return 0;
        }
        int i = this.f4147;
        if (i == 0 || i == 1) {
            r0 = this.f4124.m5750();
        } else if (i != 2) {
            return 0;
        } else {
            r0 = this.f4124.m5750() / 2.0f;
        }
        return (int) r0;
    }

    /* renamed from: ᵎᵎ  reason: contains not printable characters */
    private void m5990() {
        EditText editText;
        if (this.f4166 != null && (editText = this.f4140) != null) {
            this.f4166.setGravity(editText.getGravity());
            this.f4166.setPadding(this.f4140.getCompoundPaddingLeft(), this.f4140.getCompoundPaddingTop(), this.f4140.getCompoundPaddingRight(), this.f4140.getCompoundPaddingBottom());
        }
    }

    /* renamed from: ᵔ  reason: contains not printable characters */
    private boolean m5991() {
        return this.f4147 == 2 && m5993();
    }

    /* renamed from: ᵔᵔ  reason: contains not printable characters */
    private boolean m5992() {
        int max;
        if (this.f4140 == null || this.f4140.getMeasuredHeight() >= (max = Math.max(this.f4136.getMeasuredHeight(), this.f4134.getMeasuredHeight()))) {
            return false;
        }
        this.f4140.setMinimumHeight(max);
        return true;
    }

    /* renamed from: ᵢ  reason: contains not printable characters */
    private boolean m5993() {
        return this.f4149 > -1 && this.f4161 != 0;
    }

    /* renamed from: ᵢᵢ  reason: contains not printable characters */
    private void m5994() {
        EditText editText = this.f4140;
        m5961(editText == null ? 0 : editText.getText().length());
    }

    /* renamed from: ⁱ  reason: contains not printable characters */
    private void m5995() {
        if (m5999()) {
            ((c) this.f4139).m6045();
        }
    }

    /* renamed from: ⁱⁱ  reason: contains not printable characters */
    private void m5996() {
        if (this.f4140 != null) {
            d0.m8698(this.f4130, m6013() ? 0 : d0.m8771(this.f4140), this.f4140.getCompoundPaddingTop(), getContext().getResources().getDimensionPixelSize(f.e.a.a.d.material_input_text_to_prefix_suffix_padding), this.f4140.getCompoundPaddingBottom());
        }
    }

    /* renamed from: ﹳ  reason: contains not printable characters */
    private e.s.d m5997() {
        e.s.d dVar = new e.s.d();
        dVar.m9832(87L);
        dVar.m9833(f.e.a.a.l.a.f7001);
        return dVar;
    }

    /* renamed from: ﹳﹳ  reason: contains not printable characters */
    private void m5998() {
        this.f4130.setVisibility((this.f4086 == null || m6011()) ? 8 : 0);
        m5978();
    }

    /* renamed from: ﹶ  reason: contains not printable characters */
    private boolean m5999() {
        return this.f4131 && !TextUtils.isEmpty(this.f4153) && (this.f4139 instanceof c);
    }

    /* renamed from: ﹶﹶ  reason: contains not printable characters */
    private void m6000() {
        int visibility = this.f4133.getVisibility();
        int i = 0;
        boolean z = this.f4112 != null && !m6011();
        TextView textView = this.f4133;
        if (!z) {
            i = 8;
        }
        textView.setVisibility(i);
        if (visibility != this.f4133.getVisibility()) {
            getEndIconDelegate().m6084(z);
        }
        m5978();
    }

    /* renamed from: ﾞ  reason: contains not printable characters */
    private void m6001() {
        Iterator<f> it = this.f4095.iterator();
        while (it.hasNext()) {
            it.next().m6020(this);
        }
    }

    /* renamed from: ﾞﾞ  reason: contains not printable characters */
    private boolean m6002() {
        return this.f4096 != 0;
    }

    @Override // android.view.ViewGroup
    public void addView(View view, int i, ViewGroup.LayoutParams layoutParams) {
        if (view instanceof EditText) {
            FrameLayout.LayoutParams layoutParams2 = new FrameLayout.LayoutParams(layoutParams);
            layoutParams2.gravity = (layoutParams2.gravity & -113) | 16;
            this.f4132.addView(view, layoutParams2);
            this.f4132.setLayoutParams(layoutParams);
            m5980();
            setEditText((EditText) view);
            return;
        }
        super.addView(view, i, layoutParams);
    }

    @TargetApi(26)
    public void dispatchProvideAutofillStructure(ViewStructure viewStructure, int i) {
        EditText editText = this.f4140;
        if (editText == null) {
            super.dispatchProvideAutofillStructure(viewStructure, i);
            return;
        }
        if (this.f4142 != null) {
            boolean z = this.f4135;
            this.f4135 = false;
            CharSequence hint = editText.getHint();
            this.f4140.setHint(this.f4142);
            try {
                super.dispatchProvideAutofillStructure(viewStructure, i);
            } finally {
                this.f4140.setHint(hint);
                this.f4135 = z;
            }
        } else {
            viewStructure.setAutofillId(getAutofillId());
            onProvideAutofillStructure(viewStructure, i);
            onProvideAutofillVirtualStructure(viewStructure, i);
            viewStructure.setChildCount(this.f4132.getChildCount());
            for (int i2 = 0; i2 < this.f4132.getChildCount(); i2++) {
                View childAt = this.f4132.getChildAt(i2);
                ViewStructure newChild = viewStructure.newChild(i2);
                childAt.dispatchProvideAutofillStructure(newChild, i);
                if (childAt == this.f4140) {
                    newChild.setHint(getHint());
                }
            }
        }
    }

    /* access modifiers changed from: protected */
    @Override // android.view.View, android.view.ViewGroup
    public void dispatchRestoreInstanceState(SparseArray<Parcelable> sparseArray) {
        this.f4129 = true;
        super.dispatchRestoreInstanceState(sparseArray);
        this.f4129 = false;
    }

    public void draw(Canvas canvas) {
        super.draw(canvas);
        m5954(canvas);
        m5939(canvas);
    }

    /* access modifiers changed from: protected */
    public void drawableStateChanged() {
        if (!this.f4128) {
            boolean z = true;
            this.f4128 = true;
            super.drawableStateChanged();
            int[] drawableState = getDrawableState();
            com.google.android.material.internal.a aVar = this.f4124;
            boolean r1 = aVar != null ? aVar.m5749(drawableState) | false : false;
            if (this.f4140 != null) {
                if (!d0.m8740(this) || !isEnabled()) {
                    z = false;
                }
                m6008(z);
            }
            m6017();
            m6018();
            if (r1) {
                invalidate();
            }
            this.f4128 = false;
        }
    }

    public int getBaseline() {
        EditText editText = this.f4140;
        if (editText != null) {
            return editText.getBaseline() + getPaddingTop() + m5989();
        }
        return super.getBaseline();
    }

    /* access modifiers changed from: package-private */
    public f.e.a.a.b0.g getBoxBackground() {
        int i = this.f4147;
        if (i == 1 || i == 2) {
            return this.f4139;
        }
        throw new IllegalStateException();
    }

    public int getBoxBackgroundColor() {
        return this.f4165;
    }

    public int getBoxBackgroundMode() {
        return this.f4147;
    }

    public int getBoxCollapsedPaddingTop() {
        return this.f4145;
    }

    public float getBoxCornerRadiusBottomEnd() {
        return this.f4139.m10233();
    }

    public float getBoxCornerRadiusBottomStart() {
        return this.f4139.m10237();
    }

    public float getBoxCornerRadiusTopEnd() {
        return this.f4139.m10253();
    }

    public float getBoxCornerRadiusTopStart() {
        return this.f4139.m10252();
    }

    public int getBoxStrokeColor() {
        return this.f4116;
    }

    public ColorStateList getBoxStrokeErrorColor() {
        return this.f4117;
    }

    public int getBoxStrokeWidth() {
        return this.f4163;
    }

    public int getBoxStrokeWidthFocused() {
        return this.f4151;
    }

    public int getCounterMaxLength() {
        return this.f4152;
    }

    /* access modifiers changed from: package-private */
    public CharSequence getCounterOverflowDescription() {
        TextView textView;
        if (!this.f4150 || !this.f4154 || (textView = this.f4156) == null) {
            return null;
        }
        return textView.getContentDescription();
    }

    public ColorStateList getCounterOverflowTextColor() {
        return this.f4157;
    }

    public ColorStateList getCounterTextColor() {
        return this.f4157;
    }

    public ColorStateList getDefaultHintTextColor() {
        return this.f4111;
    }

    public EditText getEditText() {
        return this.f4140;
    }

    public CharSequence getEndIconContentDescription() {
        return this.f4098.getContentDescription();
    }

    public Drawable getEndIconDrawable() {
        return this.f4098.getDrawable();
    }

    public int getEndIconMode() {
        return this.f4096;
    }

    /* access modifiers changed from: package-private */
    public CheckableImageButton getEndIconView() {
        return this.f4098;
    }

    public CharSequence getError() {
        if (this.f4148.m6126()) {
            return this.f4148.m6119();
        }
        return null;
    }

    public CharSequence getErrorContentDescription() {
        return this.f4148.m6118();
    }

    public int getErrorCurrentTextColors() {
        return this.f4148.m6120();
    }

    public Drawable getErrorIconDrawable() {
        return this.f4109.getDrawable();
    }

    /* access modifiers changed from: package-private */
    public final int getErrorTextCurrentColor() {
        return this.f4148.m6120();
    }

    public CharSequence getHelperText() {
        if (this.f4148.m6127()) {
            return this.f4148.m6122();
        }
        return null;
    }

    public int getHelperTextCurrentTextColor() {
        return this.f4148.m6123();
    }

    public CharSequence getHint() {
        if (this.f4131) {
            return this.f4153;
        }
        return null;
    }

    /* access modifiers changed from: package-private */
    public final float getHintCollapsedTextHeight() {
        return this.f4124.m5750();
    }

    /* access modifiers changed from: package-private */
    public final int getHintCurrentCollapsedTextColor() {
        return this.f4124.m5758();
    }

    public ColorStateList getHintTextColor() {
        return this.f4113;
    }

    public int getMaxWidth() {
        return this.f4146;
    }

    public int getMinWidth() {
        return this.f4144;
    }

    @Deprecated
    public CharSequence getPasswordVisibilityToggleContentDescription() {
        return this.f4098.getContentDescription();
    }

    @Deprecated
    public Drawable getPasswordVisibilityToggleDrawable() {
        return this.f4098.getDrawable();
    }

    public CharSequence getPlaceholderText() {
        if (this.f4164) {
            return this.f4162;
        }
        return null;
    }

    public int getPlaceholderTextAppearance() {
        return this.f4170;
    }

    public ColorStateList getPlaceholderTextColor() {
        return this.f4168;
    }

    public CharSequence getPrefixText() {
        return this.f4086;
    }

    public ColorStateList getPrefixTextColor() {
        return this.f4130.getTextColors();
    }

    public TextView getPrefixTextView() {
        return this.f4130;
    }

    public CharSequence getStartIconContentDescription() {
        return this.f4087.getContentDescription();
    }

    public Drawable getStartIconDrawable() {
        return this.f4087.getDrawable();
    }

    public CharSequence getSuffixText() {
        return this.f4112;
    }

    public ColorStateList getSuffixTextColor() {
        return this.f4133.getTextColors();
    }

    public TextView getSuffixTextView() {
        return this.f4133;
    }

    public Typeface getTypeface() {
        return this.f4171;
    }

    /* access modifiers changed from: protected */
    public void onLayout(boolean z, int i, int i2, int i3, int i4) {
        super.onLayout(z, i, i2, i3, i4);
        EditText editText = this.f4140;
        if (editText != null) {
            Rect rect = this.f4167;
            com.google.android.material.internal.c.m5767(this, editText, rect);
            m5962(rect);
            if (this.f4131) {
                this.f4124.m5738(this.f4140.getTextSize());
                int gravity = this.f4140.getGravity();
                this.f4124.m5752((gravity & -113) | 48);
                this.f4124.m5759(gravity);
                this.f4124.m5744(m5937(rect));
                this.f4124.m5756(m5952(rect));
                this.f4124.m5764();
                if (m5999() && !this.f4123) {
                    m5959();
                }
            }
        }
    }

    /* access modifiers changed from: protected */
    public void onMeasure(int i, int i2) {
        super.onMeasure(i, i2);
        boolean r1 = m5992();
        boolean r2 = m5978();
        if (r1 || r2) {
            this.f4140.post(new c());
        }
        m5990();
        m5996();
        m5984();
    }

    /* access modifiers changed from: protected */
    public void onRestoreInstanceState(Parcelable parcelable) {
        if (!(parcelable instanceof h)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        h hVar = (h) parcelable;
        super.onRestoreInstanceState(hVar.m9382());
        setError(hVar.f4179);
        if (hVar.f4180) {
            this.f4098.post(new b());
        }
        setHint(hVar.f4181);
        setHelperText(hVar.f4182);
        setPlaceholderText(hVar.f4183);
        requestLayout();
    }

    public Parcelable onSaveInstanceState() {
        h hVar = new h(super.onSaveInstanceState());
        if (this.f4148.m6117()) {
            hVar.f4179 = getError();
        }
        hVar.f4180 = m6002() && this.f4098.isChecked();
        hVar.f4181 = getHint();
        hVar.f4182 = getHelperText();
        hVar.f4183 = getPlaceholderText();
        return hVar;
    }

    public void setBoxBackgroundColor(int i) {
        if (this.f4165 != i) {
            this.f4165 = i;
            this.f4118 = i;
            this.f4120 = i;
            this.f4121 = i;
            m5977();
        }
    }

    public void setBoxBackgroundColorResource(int i) {
        setBoxBackgroundColor(e.g.d.a.m8255(getContext(), i));
    }

    public void setBoxBackgroundColorStateList(ColorStateList colorStateList) {
        int defaultColor = colorStateList.getDefaultColor();
        this.f4118 = defaultColor;
        this.f4165 = defaultColor;
        this.f4119 = colorStateList.getColorForState(new int[]{-16842910}, -1);
        this.f4120 = colorStateList.getColorForState(new int[]{16842908, 16842910}, -1);
        this.f4121 = colorStateList.getColorForState(new int[]{16843623, 16842910}, -1);
        m5977();
    }

    public void setBoxBackgroundMode(int i) {
        if (i != this.f4147) {
            this.f4147 = i;
            if (this.f4140 != null) {
                m5964();
            }
        }
    }

    public void setBoxCollapsedPaddingTop(int i) {
        this.f4145 = i;
    }

    public void setBoxStrokeColor(int i) {
        if (this.f4116 != i) {
            this.f4116 = i;
            m6018();
        }
    }

    public void setBoxStrokeColorStateList(ColorStateList colorStateList) {
        if (colorStateList.isStateful()) {
            this.f4114 = colorStateList.getDefaultColor();
            this.f4122 = colorStateList.getColorForState(new int[]{-16842910}, -1);
            this.f4115 = colorStateList.getColorForState(new int[]{16843623, 16842910}, -1);
            this.f4116 = colorStateList.getColorForState(new int[]{16842908, 16842910}, -1);
        } else if (this.f4116 != colorStateList.getDefaultColor()) {
            this.f4116 = colorStateList.getDefaultColor();
        }
        m6018();
    }

    public void setBoxStrokeErrorColor(ColorStateList colorStateList) {
        if (this.f4117 != colorStateList) {
            this.f4117 = colorStateList;
            m6018();
        }
    }

    public void setBoxStrokeWidth(int i) {
        this.f4163 = i;
        m6018();
    }

    public void setBoxStrokeWidthFocused(int i) {
        this.f4151 = i;
        m6018();
    }

    public void setBoxStrokeWidthFocusedResource(int i) {
        setBoxStrokeWidthFocused(getResources().getDimensionPixelSize(i));
    }

    public void setBoxStrokeWidthResource(int i) {
        setBoxStrokeWidth(getResources().getDimensionPixelSize(i));
    }

    public void setCounterEnabled(boolean z) {
        if (this.f4150 != z) {
            if (z) {
                e0 e0Var = new e0(getContext());
                this.f4156 = e0Var;
                e0Var.setId(f.e.a.a.f.textinput_counter);
                Typeface typeface = this.f4171;
                if (typeface != null) {
                    this.f4156.setTypeface(typeface);
                }
                this.f4156.setMaxLines(1);
                this.f4148.m6105(this.f4156, 2);
                e.g.l.k.m9047((ViewGroup.MarginLayoutParams) this.f4156.getLayoutParams(), getResources().getDimensionPixelOffset(f.e.a.a.d.mtrl_textinput_counter_margin_start));
                m5974();
                m5976();
            } else {
                this.f4148.m6112(this.f4156, 2);
                this.f4156 = null;
            }
            this.f4150 = z;
        }
    }

    public void setCounterMaxLength(int i) {
        if (this.f4152 != i) {
            if (i > 0) {
                this.f4152 = i;
            } else {
                this.f4152 = -1;
            }
            if (this.f4150) {
                m5976();
            }
        }
    }

    public void setCounterOverflowTextAppearance(int i) {
        if (this.f4158 != i) {
            this.f4158 = i;
            m5974();
        }
    }

    public void setCounterOverflowTextColor(ColorStateList colorStateList) {
        if (this.f4159 != colorStateList) {
            this.f4159 = colorStateList;
            m5974();
        }
    }

    public void setCounterTextAppearance(int i) {
        if (this.f4160 != i) {
            this.f4160 = i;
            m5974();
        }
    }

    public void setCounterTextColor(ColorStateList colorStateList) {
        if (this.f4157 != colorStateList) {
            this.f4157 = colorStateList;
            m5974();
        }
    }

    public void setDefaultHintTextColor(ColorStateList colorStateList) {
        this.f4111 = colorStateList;
        this.f4113 = colorStateList;
        if (this.f4140 != null) {
            m6008(false);
        }
    }

    public void setEnabled(boolean z) {
        m5941(this, z);
        super.setEnabled(z);
    }

    public void setEndIconActivated(boolean z) {
        this.f4098.setActivated(z);
    }

    public void setEndIconCheckable(boolean z) {
        this.f4098.setCheckable(z);
    }

    public void setEndIconContentDescription(int i) {
        setEndIconContentDescription(i != 0 ? getResources().getText(i) : null);
    }

    public void setEndIconDrawable(int i) {
        setEndIconDrawable(i != 0 ? e.a.k.a.a.m7308(getContext(), i) : null);
    }

    public void setEndIconMode(int i) {
        int i2 = this.f4096;
        this.f4096 = i;
        m5953(i2);
        setEndIconVisible(i != 0);
        if (getEndIconDelegate().m6085(this.f4147)) {
            getEndIconDelegate().m6083();
            m5981();
            return;
        }
        throw new IllegalStateException("The current box background mode " + this.f4147 + " is not supported by the end icon mode " + i);
    }

    public void setEndIconOnClickListener(View.OnClickListener onClickListener) {
        m5943(this.f4098, onClickListener, this.f4107);
    }

    public void setEndIconOnLongClickListener(View.OnLongClickListener onLongClickListener) {
        this.f4107 = onLongClickListener;
        m5955(this.f4098, onLongClickListener);
    }

    public void setEndIconTintList(ColorStateList colorStateList) {
        if (this.f4100 != colorStateList) {
            this.f4100 = colorStateList;
            this.f4101 = true;
            m5981();
        }
    }

    public void setEndIconTintMode(PorterDuff.Mode mode) {
        if (this.f4102 != mode) {
            this.f4102 = mode;
            this.f4103 = true;
            m5981();
        }
    }

    public void setEndIconVisible(boolean z) {
        if (m6009() != z) {
            this.f4098.setVisibility(z ? 0 : 8);
            m5984();
            m5978();
        }
    }

    public void setError(CharSequence charSequence) {
        if (!this.f4148.m6126()) {
            if (!TextUtils.isEmpty(charSequence)) {
                setErrorEnabled(true);
            } else {
                return;
            }
        }
        if (!TextUtils.isEmpty(charSequence)) {
            this.f4148.m6113(charSequence);
        } else {
            this.f4148.m6124();
        }
    }

    public void setErrorContentDescription(CharSequence charSequence) {
        this.f4148.m6106(charSequence);
    }

    public void setErrorEnabled(boolean z) {
        this.f4148.m6107(z);
    }

    public void setErrorIconDrawable(int i) {
        setErrorIconDrawable(i != 0 ? e.a.k.a.a.m7308(getContext(), i) : null);
        m6015();
    }

    public void setErrorIconOnClickListener(View.OnClickListener onClickListener) {
        m5943(this.f4109, onClickListener, this.f4108);
    }

    public void setErrorIconOnLongClickListener(View.OnLongClickListener onLongClickListener) {
        this.f4108 = onLongClickListener;
        m5955(this.f4109, onLongClickListener);
    }

    public void setErrorIconTintList(ColorStateList colorStateList) {
        this.f4110 = colorStateList;
        Drawable drawable = this.f4109.getDrawable();
        if (drawable != null) {
            drawable = androidx.core.graphics.drawable.a.m1991(drawable).mutate();
            androidx.core.graphics.drawable.a.m1976(drawable, colorStateList);
        }
        if (this.f4109.getDrawable() != drawable) {
            this.f4109.setImageDrawable(drawable);
        }
    }

    public void setErrorIconTintMode(PorterDuff.Mode mode) {
        Drawable drawable = this.f4109.getDrawable();
        if (drawable != null) {
            drawable = androidx.core.graphics.drawable.a.m1991(drawable).mutate();
            androidx.core.graphics.drawable.a.m1979(drawable, mode);
        }
        if (this.f4109.getDrawable() != drawable) {
            this.f4109.setImageDrawable(drawable);
        }
    }

    public void setErrorTextAppearance(int i) {
        this.f4148.m6110(i);
    }

    public void setErrorTextColor(ColorStateList colorStateList) {
        this.f4148.m6103(colorStateList);
    }

    public void setExpandedHintEnabled(boolean z) {
        if (this.f4125 != z) {
            this.f4125 = z;
            m6008(false);
        }
    }

    public void setHelperText(CharSequence charSequence) {
        if (!TextUtils.isEmpty(charSequence)) {
            if (!m6010()) {
                setHelperTextEnabled(true);
            }
            this.f4148.m6116(charSequence);
        } else if (m6010()) {
            setHelperTextEnabled(false);
        }
    }

    public void setHelperTextColor(ColorStateList colorStateList) {
        this.f4148.m6111(colorStateList);
    }

    public void setHelperTextEnabled(boolean z) {
        this.f4148.m6114(z);
    }

    public void setHelperTextTextAppearance(int i) {
        this.f4148.m6115(i);
    }

    public void setHint(CharSequence charSequence) {
        if (this.f4131) {
            setHintInternal(charSequence);
            sendAccessibilityEvent(2048);
        }
    }

    public void setHintAnimationEnabled(boolean z) {
        this.f4126 = z;
    }

    public void setHintEnabled(boolean z) {
        if (z != this.f4131) {
            this.f4131 = z;
            if (!z) {
                this.f4135 = false;
                if (!TextUtils.isEmpty(this.f4153) && TextUtils.isEmpty(this.f4140.getHint())) {
                    this.f4140.setHint(this.f4153);
                }
                setHintInternal(null);
            } else {
                CharSequence hint = this.f4140.getHint();
                if (!TextUtils.isEmpty(hint)) {
                    if (TextUtils.isEmpty(this.f4153)) {
                        setHint(hint);
                    }
                    this.f4140.setHint((CharSequence) null);
                }
                this.f4135 = true;
            }
            if (this.f4140 != null) {
                m5980();
            }
        }
    }

    public void setHintTextAppearance(int i) {
        this.f4124.m5739(i);
        this.f4113 = this.f4124.m5737();
        if (this.f4140 != null) {
            m6008(false);
            m5980();
        }
    }

    public void setHintTextColor(ColorStateList colorStateList) {
        if (this.f4113 != colorStateList) {
            if (this.f4111 == null) {
                this.f4124.m5742(colorStateList);
            }
            this.f4113 = colorStateList;
            if (this.f4140 != null) {
                m6008(false);
            }
        }
    }

    public void setMaxWidth(int i) {
        this.f4146 = i;
        EditText editText = this.f4140;
        if (editText != null && i != -1) {
            editText.setMaxWidth(i);
        }
    }

    public void setMaxWidthResource(int i) {
        setMaxWidth(getContext().getResources().getDimensionPixelSize(i));
    }

    public void setMinWidth(int i) {
        this.f4144 = i;
        EditText editText = this.f4140;
        if (editText != null && i != -1) {
            editText.setMinWidth(i);
        }
    }

    public void setMinWidthResource(int i) {
        setMinWidth(getContext().getResources().getDimensionPixelSize(i));
    }

    @Deprecated
    public void setPasswordVisibilityToggleContentDescription(int i) {
        setPasswordVisibilityToggleContentDescription(i != 0 ? getResources().getText(i) : null);
    }

    @Deprecated
    public void setPasswordVisibilityToggleDrawable(int i) {
        setPasswordVisibilityToggleDrawable(i != 0 ? e.a.k.a.a.m7308(getContext(), i) : null);
    }

    @Deprecated
    public void setPasswordVisibilityToggleEnabled(boolean z) {
        if (z && this.f4096 != 1) {
            setEndIconMode(1);
        } else if (!z) {
            setEndIconMode(0);
        }
    }

    @Deprecated
    public void setPasswordVisibilityToggleTintList(ColorStateList colorStateList) {
        this.f4100 = colorStateList;
        this.f4101 = true;
        m5981();
    }

    @Deprecated
    public void setPasswordVisibilityToggleTintMode(PorterDuff.Mode mode) {
        this.f4102 = mode;
        this.f4103 = true;
        m5981();
    }

    public void setPlaceholderText(CharSequence charSequence) {
        if (!this.f4164 || !TextUtils.isEmpty(charSequence)) {
            if (!this.f4164) {
                setPlaceholderTextEnabled(true);
            }
            this.f4162 = charSequence;
        } else {
            setPlaceholderTextEnabled(false);
        }
        m5994();
    }

    public void setPlaceholderTextAppearance(int i) {
        this.f4170 = i;
        TextView textView = this.f4166;
        if (textView != null) {
            androidx.core.widget.j.m2167(textView, i);
        }
    }

    public void setPlaceholderTextColor(ColorStateList colorStateList) {
        if (this.f4168 != colorStateList) {
            this.f4168 = colorStateList;
            TextView textView = this.f4166;
            if (textView != null && colorStateList != null) {
                textView.setTextColor(colorStateList);
            }
        }
    }

    public void setPrefixText(CharSequence charSequence) {
        this.f4086 = TextUtils.isEmpty(charSequence) ? null : charSequence;
        this.f4130.setText(charSequence);
        m5998();
    }

    public void setPrefixTextAppearance(int i) {
        androidx.core.widget.j.m2167(this.f4130, i);
    }

    public void setPrefixTextColor(ColorStateList colorStateList) {
        this.f4130.setTextColor(colorStateList);
    }

    public void setStartIconCheckable(boolean z) {
        this.f4087.setCheckable(z);
    }

    public void setStartIconContentDescription(int i) {
        setStartIconContentDescription(i != 0 ? getResources().getText(i) : null);
    }

    public void setStartIconDrawable(int i) {
        setStartIconDrawable(i != 0 ? e.a.k.a.a.m7308(getContext(), i) : null);
    }

    public void setStartIconOnClickListener(View.OnClickListener onClickListener) {
        m5943(this.f4087, onClickListener, this.f4094);
    }

    public void setStartIconOnLongClickListener(View.OnLongClickListener onLongClickListener) {
        this.f4094 = onLongClickListener;
        m5955(this.f4087, onLongClickListener);
    }

    public void setStartIconTintList(ColorStateList colorStateList) {
        if (this.f4088 != colorStateList) {
            this.f4088 = colorStateList;
            this.f4089 = true;
            m5983();
        }
    }

    public void setStartIconTintMode(PorterDuff.Mode mode) {
        if (this.f4090 != mode) {
            this.f4090 = mode;
            this.f4091 = true;
            m5983();
        }
    }

    public void setStartIconVisible(boolean z) {
        if (m6013() != z) {
            this.f4087.setVisibility(z ? 0 : 8);
            m5996();
            m5978();
        }
    }

    public void setSuffixText(CharSequence charSequence) {
        this.f4112 = TextUtils.isEmpty(charSequence) ? null : charSequence;
        this.f4133.setText(charSequence);
        m6000();
    }

    public void setSuffixTextAppearance(int i) {
        androidx.core.widget.j.m2167(this.f4133, i);
    }

    public void setSuffixTextColor(ColorStateList colorStateList) {
        this.f4133.setTextColor(colorStateList);
    }

    public void setTextInputAccessibilityDelegate(e eVar) {
        EditText editText = this.f4140;
        if (editText != null) {
            d0.m8704(editText, eVar);
        }
    }

    public void setTypeface(Typeface typeface) {
        if (typeface != this.f4171) {
            this.f4171 = typeface;
            this.f4124.m5757(typeface);
            this.f4148.m6104(typeface);
            TextView textView = this.f4156;
            if (textView != null) {
                textView.setTypeface(typeface);
            }
        }
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    public boolean m6012() {
        return this.f4135;
    }

    /* renamed from: ʿ  reason: contains not printable characters */
    public boolean m6013() {
        return this.f4087.getVisibility() == 0;
    }

    /* renamed from: ˆ  reason: contains not printable characters */
    public void m6014() {
        m5942(this.f4098, this.f4100);
    }

    /* renamed from: ˈ  reason: contains not printable characters */
    public void m6015() {
        m5942(this.f4109, this.f4110);
    }

    /* renamed from: ˉ  reason: contains not printable characters */
    public void m6016() {
        m5942(this.f4087, this.f4088);
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ˊ  reason: contains not printable characters */
    public void m6017() {
        Drawable background;
        TextView textView;
        EditText editText = this.f4140;
        if (editText != null && this.f4147 == 0 && (background = editText.getBackground()) != null) {
            if (j0.m1398(background)) {
                background = background.mutate();
            }
            if (this.f4148.m6117()) {
                background.setColorFilter(m.m1436(this.f4148.m6120(), PorterDuff.Mode.SRC_IN));
            } else if (!this.f4154 || (textView = this.f4156) == null) {
                androidx.core.graphics.drawable.a.m1983(background);
                this.f4140.refreshDrawableState();
            } else {
                background.setColorFilter(m.m1436(textView.getCurrentTextColor(), PorterDuff.Mode.SRC_IN));
            }
        }
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ˋ  reason: contains not printable characters */
    public void m6018() {
        TextView textView;
        EditText editText;
        EditText editText2;
        if (this.f4139 != null && this.f4147 != 0) {
            boolean z = false;
            boolean z2 = isFocused() || ((editText2 = this.f4140) != null && editText2.hasFocus());
            boolean z3 = isHovered() || ((editText = this.f4140) != null && editText.isHovered());
            if (!isEnabled()) {
                this.f4161 = this.f4122;
            } else if (this.f4148.m6117()) {
                if (this.f4117 != null) {
                    m5957(z2, z3);
                } else {
                    this.f4161 = this.f4148.m6120();
                }
            } else if (!this.f4154 || (textView = this.f4156) == null) {
                if (z2) {
                    this.f4161 = this.f4116;
                } else if (z3) {
                    this.f4161 = this.f4115;
                } else {
                    this.f4161 = this.f4114;
                }
            } else if (this.f4117 != null) {
                m5957(z2, z3);
            } else {
                this.f4161 = textView.getCurrentTextColor();
            }
            if (getErrorIconDrawable() != null && this.f4148.m6126() && this.f4148.m6117()) {
                z = true;
            }
            setErrorIconVisible(z);
            m6015();
            m6016();
            m6014();
            if (getEndIconDelegate().m6086()) {
                m5965(this.f4148.m6117());
            }
            int i = this.f4149;
            if (!z2 || !isEnabled()) {
                this.f4149 = this.f4163;
            } else {
                this.f4149 = this.f4151;
            }
            if (this.f4149 != i && this.f4147 == 2) {
                m5967();
            }
            if (this.f4147 == 1) {
                if (!isEnabled()) {
                    this.f4165 = this.f4119;
                } else if (z3 && !z2) {
                    this.f4165 = this.f4121;
                } else if (z2) {
                    this.f4165 = this.f4120;
                } else {
                    this.f4165 = this.f4118;
                }
            }
            m5977();
        }
    }

    public TextInputLayout(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, f.e.a.a.b.textInputStyle);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    /* renamed from: ʽ  reason: contains not printable characters */
    private void m5961(int i) {
        if (i != 0 || this.f4123) {
            m5986();
        } else {
            m5972();
        }
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    private void m5965(boolean z) {
        if (!z || getEndIconDrawable() == null) {
            m5981();
            return;
        }
        Drawable mutate = androidx.core.graphics.drawable.a.m1991(getEndIconDrawable()).mutate();
        androidx.core.graphics.drawable.a.m1984(mutate, this.f4148.m6120());
        this.f4098.setImageDrawable(mutate);
    }

    public void setEndIconContentDescription(CharSequence charSequence) {
        if (getEndIconContentDescription() != charSequence) {
            this.f4098.setContentDescription(charSequence);
        }
    }

    public void setEndIconDrawable(Drawable drawable) {
        this.f4098.setImageDrawable(drawable);
        if (drawable != null) {
            m5981();
            m6014();
        }
    }

    public void setStartIconContentDescription(CharSequence charSequence) {
        if (getStartIconContentDescription() != charSequence) {
            this.f4087.setContentDescription(charSequence);
        }
    }

    public void setStartIconDrawable(Drawable drawable) {
        this.f4087.setImageDrawable(drawable);
        if (drawable != null) {
            m5983();
            setStartIconVisible(true);
            m6016();
            return;
        }
        setStartIconVisible(false);
        setStartIconOnClickListener(null);
        setStartIconOnLongClickListener(null);
        setStartIconContentDescription((CharSequence) null);
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public boolean m6010() {
        return this.f4148.m6127();
    }

    public TextInputLayout(Context context, AttributeSet attributeSet, int i) {
        super(com.google.android.material.theme.a.a.m6153(context, attributeSet, i, f4085), attributeSet, i);
        int i2;
        CharSequence charSequence;
        int i3;
        this.f4144 = -1;
        this.f4146 = -1;
        this.f4148 = new f(this);
        this.f4167 = new Rect();
        this.f4169 = new Rect();
        this.f4155 = new RectF();
        this.f4095 = new LinkedHashSet<>();
        this.f4096 = 0;
        this.f4097 = new SparseArray<>();
        this.f4099 = new LinkedHashSet<>();
        this.f4124 = new com.google.android.material.internal.a(this);
        Context context2 = getContext();
        setOrientation(1);
        setWillNotDraw(false);
        setAddStatesFromChildren(true);
        FrameLayout frameLayout = new FrameLayout(context2);
        this.f4132 = frameLayout;
        frameLayout.setAddStatesFromChildren(true);
        addView(this.f4132);
        LinearLayout linearLayout = new LinearLayout(context2);
        this.f4134 = linearLayout;
        linearLayout.setOrientation(0);
        this.f4134.setLayoutParams(new FrameLayout.LayoutParams(-2, -1, 8388611));
        this.f4132.addView(this.f4134);
        LinearLayout linearLayout2 = new LinearLayout(context2);
        this.f4136 = linearLayout2;
        linearLayout2.setOrientation(0);
        this.f4136.setLayoutParams(new FrameLayout.LayoutParams(-2, -1, 8388613));
        this.f4132.addView(this.f4136);
        FrameLayout frameLayout2 = new FrameLayout(context2);
        this.f4138 = frameLayout2;
        frameLayout2.setLayoutParams(new FrameLayout.LayoutParams(-2, -1));
        this.f4124.m5754(f.e.a.a.l.a.f7001);
        this.f4124.m5741(f.e.a.a.l.a.f7001);
        this.f4124.m5752(8388659);
        c1 r1 = p.m5886(context2, attributeSet, f.e.a.a.k.TextInputLayout, i, f4085, f.e.a.a.k.TextInputLayout_counterTextAppearance, f.e.a.a.k.TextInputLayout_counterOverflowTextAppearance, f.e.a.a.k.TextInputLayout_errorTextAppearance, f.e.a.a.k.TextInputLayout_helperTextTextAppearance, f.e.a.a.k.TextInputLayout_hintTextAppearance);
        this.f4131 = r1.m1143(f.e.a.a.k.TextInputLayout_hintEnabled, true);
        setHint(r1.m1153(f.e.a.a.k.TextInputLayout_android_hint));
        this.f4126 = r1.m1143(f.e.a.a.k.TextInputLayout_hintAnimationEnabled, true);
        this.f4125 = r1.m1143(f.e.a.a.k.TextInputLayout_expandedHintEnabled, true);
        if (r1.m1157(f.e.a.a.k.TextInputLayout_android_minWidth)) {
            setMinWidth(r1.m1148(f.e.a.a.k.TextInputLayout_android_minWidth, -1));
        }
        if (r1.m1157(f.e.a.a.k.TextInputLayout_android_maxWidth)) {
            setMaxWidth(r1.m1148(f.e.a.a.k.TextInputLayout_android_maxWidth, -1));
        }
        this.f4143 = k.m10274(context2, attributeSet, i, f4085).m10312();
        this.f4141 = context2.getResources().getDimensionPixelOffset(f.e.a.a.d.mtrl_textinput_box_label_cutout_padding);
        this.f4145 = r1.m1145(f.e.a.a.k.TextInputLayout_boxCollapsedPaddingTop, 0);
        this.f4163 = r1.m1148(f.e.a.a.k.TextInputLayout_boxStrokeWidth, context2.getResources().getDimensionPixelSize(f.e.a.a.d.mtrl_textinput_box_stroke_width_default));
        this.f4151 = r1.m1148(f.e.a.a.k.TextInputLayout_boxStrokeWidthFocused, context2.getResources().getDimensionPixelSize(f.e.a.a.d.mtrl_textinput_box_stroke_width_focused));
        this.f4149 = this.f4163;
        float r2 = r1.m1138(f.e.a.a.k.TextInputLayout_boxCornerRadiusTopStart, -1.0f);
        float r4 = r1.m1138(f.e.a.a.k.TextInputLayout_boxCornerRadiusTopEnd, -1.0f);
        float r5 = r1.m1138(f.e.a.a.k.TextInputLayout_boxCornerRadiusBottomEnd, -1.0f);
        float r3 = r1.m1138(f.e.a.a.k.TextInputLayout_boxCornerRadiusBottomStart, -1.0f);
        k.b r6 = this.f4143.m10294();
        if (r2 >= 0.0f) {
            r6.m10321(r2);
        }
        if (r4 >= 0.0f) {
            r6.m10325(r4);
        }
        if (r5 >= 0.0f) {
            r6.m10317(r5);
        }
        if (r3 >= 0.0f) {
            r6.m10313(r3);
        }
        this.f4143 = r6.m10312();
        ColorStateList r22 = f.e.a.a.y.c.m10536(context2, r1, f.e.a.a.k.TextInputLayout_boxBackgroundColor);
        if (r22 != null) {
            int defaultColor = r22.getDefaultColor();
            this.f4118 = defaultColor;
            this.f4165 = defaultColor;
            if (r22.isStateful()) {
                this.f4119 = r22.getColorForState(new int[]{-16842910}, -1);
                this.f4120 = r22.getColorForState(new int[]{16842908, 16842910}, -1);
                this.f4121 = r22.getColorForState(new int[]{16843623, 16842910}, -1);
            } else {
                this.f4120 = this.f4118;
                ColorStateList r23 = e.a.k.a.a.m7307(context2, f.e.a.a.c.mtrl_filled_background_color);
                this.f4119 = r23.getColorForState(new int[]{-16842910}, -1);
                this.f4121 = r23.getColorForState(new int[]{16843623}, -1);
            }
        } else {
            this.f4165 = 0;
            this.f4118 = 0;
            this.f4119 = 0;
            this.f4120 = 0;
            this.f4121 = 0;
        }
        if (r1.m1157(f.e.a.a.k.TextInputLayout_android_textColorHint)) {
            ColorStateList r24 = r1.m1140(f.e.a.a.k.TextInputLayout_android_textColorHint);
            this.f4113 = r24;
            this.f4111 = r24;
        }
        ColorStateList r25 = f.e.a.a.y.c.m10536(context2, r1, f.e.a.a.k.TextInputLayout_boxStrokeColor);
        this.f4116 = r1.m1139(f.e.a.a.k.TextInputLayout_boxStrokeColor, 0);
        this.f4114 = e.g.d.a.m8255(context2, f.e.a.a.c.mtrl_textinput_default_box_stroke_color);
        this.f4122 = e.g.d.a.m8255(context2, f.e.a.a.c.mtrl_textinput_disabled_color);
        this.f4115 = e.g.d.a.m8255(context2, f.e.a.a.c.mtrl_textinput_hovered_box_stroke_color);
        if (r25 != null) {
            setBoxStrokeColorStateList(r25);
        }
        if (r1.m1157(f.e.a.a.k.TextInputLayout_boxStrokeErrorColor)) {
            setBoxStrokeErrorColor(f.e.a.a.y.c.m10536(context2, r1, f.e.a.a.k.TextInputLayout_boxStrokeErrorColor));
        }
        if (r1.m1156(f.e.a.a.k.TextInputLayout_hintTextAppearance, -1) != -1) {
            setHintTextAppearance(r1.m1156(f.e.a.a.k.TextInputLayout_hintTextAppearance, 0));
        }
        int r26 = r1.m1156(f.e.a.a.k.TextInputLayout_errorTextAppearance, 0);
        CharSequence r32 = r1.m1153(f.e.a.a.k.TextInputLayout_errorContentDescription);
        boolean r42 = r1.m1143(f.e.a.a.k.TextInputLayout_errorEnabled, false);
        CheckableImageButton checkableImageButton = (CheckableImageButton) LayoutInflater.from(getContext()).inflate(f.e.a.a.h.design_text_input_end_icon, (ViewGroup) this.f4136, false);
        this.f4109 = checkableImageButton;
        checkableImageButton.setId(f.e.a.a.f.text_input_error_icon);
        this.f4109.setVisibility(8);
        if (f.e.a.a.y.c.m10537(context2)) {
            e.g.l.k.m9047((ViewGroup.MarginLayoutParams) this.f4109.getLayoutParams(), 0);
        }
        if (r1.m1157(f.e.a.a.k.TextInputLayout_errorIconDrawable)) {
            setErrorIconDrawable(r1.m1146(f.e.a.a.k.TextInputLayout_errorIconDrawable));
        }
        if (r1.m1157(f.e.a.a.k.TextInputLayout_errorIconTint)) {
            setErrorIconTintList(f.e.a.a.y.c.m10536(context2, r1, f.e.a.a.k.TextInputLayout_errorIconTint));
        }
        if (r1.m1157(f.e.a.a.k.TextInputLayout_errorIconTintMode)) {
            setErrorIconTintMode(r.m5892(r1.m1150(f.e.a.a.k.TextInputLayout_errorIconTintMode, -1), (PorterDuff.Mode) null));
        }
        this.f4109.setContentDescription(getResources().getText(i.error_icon_content_description));
        d0.m8745(this.f4109, 2);
        this.f4109.setClickable(false);
        this.f4109.setPressable(false);
        this.f4109.setFocusable(false);
        int r52 = r1.m1156(f.e.a.a.k.TextInputLayout_helperTextTextAppearance, 0);
        boolean r8 = r1.m1143(f.e.a.a.k.TextInputLayout_helperTextEnabled, false);
        CharSequence r13 = r1.m1153(f.e.a.a.k.TextInputLayout_helperText);
        int r15 = r1.m1156(f.e.a.a.k.TextInputLayout_placeholderTextAppearance, 0);
        CharSequence r14 = r1.m1153(f.e.a.a.k.TextInputLayout_placeholderText);
        int r12 = r1.m1156(f.e.a.a.k.TextInputLayout_prefixTextAppearance, 0);
        CharSequence r7 = r1.m1153(f.e.a.a.k.TextInputLayout_prefixText);
        int r62 = r1.m1156(f.e.a.a.k.TextInputLayout_suffixTextAppearance, 0);
        CharSequence r9 = r1.m1153(f.e.a.a.k.TextInputLayout_suffixText);
        boolean r63 = r1.m1143(f.e.a.a.k.TextInputLayout_counterEnabled, false);
        setCounterMaxLength(r1.m1150(f.e.a.a.k.TextInputLayout_counterMaxLength, -1));
        this.f4160 = r1.m1156(f.e.a.a.k.TextInputLayout_counterTextAppearance, 0);
        this.f4158 = r1.m1156(f.e.a.a.k.TextInputLayout_counterOverflowTextAppearance, 0);
        CheckableImageButton checkableImageButton2 = (CheckableImageButton) LayoutInflater.from(getContext()).inflate(f.e.a.a.h.design_text_input_start_icon, (ViewGroup) this.f4134, false);
        this.f4087 = checkableImageButton2;
        checkableImageButton2.setVisibility(8);
        if (f.e.a.a.y.c.m10537(context2)) {
            e.g.l.k.m9045((ViewGroup.MarginLayoutParams) this.f4087.getLayoutParams(), 0);
        }
        setStartIconOnClickListener(null);
        setStartIconOnLongClickListener(null);
        if (r1.m1157(f.e.a.a.k.TextInputLayout_startIconDrawable)) {
            setStartIconDrawable(r1.m1146(f.e.a.a.k.TextInputLayout_startIconDrawable));
            if (r1.m1157(f.e.a.a.k.TextInputLayout_startIconContentDescription)) {
                setStartIconContentDescription(r1.m1153(f.e.a.a.k.TextInputLayout_startIconContentDescription));
            }
            setStartIconCheckable(r1.m1143(f.e.a.a.k.TextInputLayout_startIconCheckable, true));
        }
        if (r1.m1157(f.e.a.a.k.TextInputLayout_startIconTint)) {
            setStartIconTintList(f.e.a.a.y.c.m10536(context2, r1, f.e.a.a.k.TextInputLayout_startIconTint));
        }
        if (r1.m1157(f.e.a.a.k.TextInputLayout_startIconTintMode)) {
            setStartIconTintMode(r.m5892(r1.m1150(f.e.a.a.k.TextInputLayout_startIconTintMode, -1), (PorterDuff.Mode) null));
        }
        setBoxBackgroundMode(r1.m1150(f.e.a.a.k.TextInputLayout_boxBackgroundMode, 0));
        CheckableImageButton checkableImageButton3 = (CheckableImageButton) LayoutInflater.from(getContext()).inflate(f.e.a.a.h.design_text_input_end_icon, (ViewGroup) this.f4138, false);
        this.f4098 = checkableImageButton3;
        this.f4138.addView(checkableImageButton3);
        this.f4098.setVisibility(8);
        if (f.e.a.a.y.c.m10537(context2)) {
            i2 = 0;
            e.g.l.k.m9047((ViewGroup.MarginLayoutParams) this.f4098.getLayoutParams(), 0);
        } else {
            i2 = 0;
        }
        int r64 = r1.m1156(f.e.a.a.k.TextInputLayout_endIconDrawable, i2);
        this.f4097.append(-1, new b(this, r64));
        this.f4097.append(0, new h(this));
        SparseArray<e> sparseArray = this.f4097;
        if (r64 == 0) {
            charSequence = r7;
            i3 = r1.m1156(f.e.a.a.k.TextInputLayout_passwordToggleDrawable, 0);
        } else {
            charSequence = r7;
            i3 = r64;
        }
        sparseArray.append(1, new i(this, i3));
        this.f4097.append(2, new a(this, r64));
        this.f4097.append(3, new d(this, r64));
        if (r1.m1157(f.e.a.a.k.TextInputLayout_endIconMode)) {
            setEndIconMode(r1.m1150(f.e.a.a.k.TextInputLayout_endIconMode, 0));
            if (r1.m1157(f.e.a.a.k.TextInputLayout_endIconContentDescription)) {
                setEndIconContentDescription(r1.m1153(f.e.a.a.k.TextInputLayout_endIconContentDescription));
            }
            setEndIconCheckable(r1.m1143(f.e.a.a.k.TextInputLayout_endIconCheckable, true));
        } else if (r1.m1157(f.e.a.a.k.TextInputLayout_passwordToggleEnabled)) {
            setEndIconMode(r1.m1143(f.e.a.a.k.TextInputLayout_passwordToggleEnabled, false) ? 1 : 0);
            setEndIconContentDescription(r1.m1153(f.e.a.a.k.TextInputLayout_passwordToggleContentDescription));
            if (r1.m1157(f.e.a.a.k.TextInputLayout_passwordToggleTint)) {
                setEndIconTintList(f.e.a.a.y.c.m10536(context2, r1, f.e.a.a.k.TextInputLayout_passwordToggleTint));
            }
            if (r1.m1157(f.e.a.a.k.TextInputLayout_passwordToggleTintMode)) {
                setEndIconTintMode(r.m5892(r1.m1150(f.e.a.a.k.TextInputLayout_passwordToggleTintMode, -1), (PorterDuff.Mode) null));
            }
        }
        if (!r1.m1157(f.e.a.a.k.TextInputLayout_passwordToggleEnabled)) {
            if (r1.m1157(f.e.a.a.k.TextInputLayout_endIconTint)) {
                setEndIconTintList(f.e.a.a.y.c.m10536(context2, r1, f.e.a.a.k.TextInputLayout_endIconTint));
            }
            if (r1.m1157(f.e.a.a.k.TextInputLayout_endIconTintMode)) {
                setEndIconTintMode(r.m5892(r1.m1150(f.e.a.a.k.TextInputLayout_endIconTintMode, -1), (PorterDuff.Mode) null));
            }
        }
        e0 e0Var = new e0(context2);
        this.f4130 = e0Var;
        e0Var.setId(f.e.a.a.f.textinput_prefix_text);
        this.f4130.setLayoutParams(new FrameLayout.LayoutParams(-2, -2));
        d0.m8742(this.f4130, 1);
        this.f4134.addView(this.f4087);
        this.f4134.addView(this.f4130);
        e0 e0Var2 = new e0(context2);
        this.f4133 = e0Var2;
        e0Var2.setId(f.e.a.a.f.textinput_suffix_text);
        this.f4133.setLayoutParams(new FrameLayout.LayoutParams(-2, -2, 80));
        d0.m8742(this.f4133, 1);
        this.f4136.addView(this.f4133);
        this.f4136.addView(this.f4109);
        this.f4136.addView(this.f4138);
        setHelperTextEnabled(r8);
        setHelperText(r13);
        setHelperTextTextAppearance(r52);
        setErrorEnabled(r42);
        setErrorTextAppearance(r26);
        setErrorContentDescription(r32);
        setCounterTextAppearance(this.f4160);
        setCounterOverflowTextAppearance(this.f4158);
        setPlaceholderText(r14);
        setPlaceholderTextAppearance(r15);
        setPrefixText(charSequence);
        setPrefixTextAppearance(r12);
        setSuffixText(r9);
        setSuffixTextAppearance(r62);
        if (r1.m1157(f.e.a.a.k.TextInputLayout_errorTextColor)) {
            setErrorTextColor(r1.m1140(f.e.a.a.k.TextInputLayout_errorTextColor));
        }
        if (r1.m1157(f.e.a.a.k.TextInputLayout_helperTextTextColor)) {
            setHelperTextColor(r1.m1140(f.e.a.a.k.TextInputLayout_helperTextTextColor));
        }
        if (r1.m1157(f.e.a.a.k.TextInputLayout_hintTextColor)) {
            setHintTextColor(r1.m1140(f.e.a.a.k.TextInputLayout_hintTextColor));
        }
        if (r1.m1157(f.e.a.a.k.TextInputLayout_counterTextColor)) {
            setCounterTextColor(r1.m1140(f.e.a.a.k.TextInputLayout_counterTextColor));
        }
        if (r1.m1157(f.e.a.a.k.TextInputLayout_counterOverflowTextColor)) {
            setCounterOverflowTextColor(r1.m1140(f.e.a.a.k.TextInputLayout_counterOverflowTextColor));
        }
        if (r1.m1157(f.e.a.a.k.TextInputLayout_placeholderTextColor)) {
            setPlaceholderTextColor(r1.m1140(f.e.a.a.k.TextInputLayout_placeholderTextColor));
        }
        if (r1.m1157(f.e.a.a.k.TextInputLayout_prefixTextColor)) {
            setPrefixTextColor(r1.m1140(f.e.a.a.k.TextInputLayout_prefixTextColor));
        }
        if (r1.m1157(f.e.a.a.k.TextInputLayout_suffixTextColor)) {
            setSuffixTextColor(r1.m1140(f.e.a.a.k.TextInputLayout_suffixTextColor));
        }
        setCounterEnabled(r63);
        setEnabled(r1.m1143(f.e.a.a.k.TextInputLayout_android_enabled, true));
        r1.m1147();
        d0.m8745(this, 2);
        if (Build.VERSION.SDK_INT >= 26) {
            d0.m8748(this, 1);
        }
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    private int m5951(int i, boolean z) {
        int compoundPaddingRight = i - this.f4140.getCompoundPaddingRight();
        return (this.f4086 == null || !z) ? compoundPaddingRight : compoundPaddingRight + (this.f4130.getMeasuredWidth() - this.f4130.getPaddingRight());
    }

    public void setErrorIconDrawable(Drawable drawable) {
        this.f4109.setImageDrawable(drawable);
        setErrorIconVisible(drawable != null && this.f4148.m6126());
    }

    @Deprecated
    public void setPasswordVisibilityToggleContentDescription(CharSequence charSequence) {
        this.f4098.setContentDescription(charSequence);
    }

    @Deprecated
    public void setPasswordVisibilityToggleDrawable(Drawable drawable) {
        this.f4098.setImageDrawable(drawable);
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʻ  reason: contains not printable characters */
    public void m6008(boolean z) {
        m5947(z, false);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private void m5947(boolean z, boolean z2) {
        ColorStateList colorStateList;
        TextView textView;
        boolean isEnabled = isEnabled();
        EditText editText = this.f4140;
        boolean z3 = editText != null && !TextUtils.isEmpty(editText.getText());
        EditText editText2 = this.f4140;
        boolean z4 = editText2 != null && editText2.hasFocus();
        boolean r5 = this.f4148.m6117();
        ColorStateList colorStateList2 = this.f4111;
        if (colorStateList2 != null) {
            this.f4124.m5742(colorStateList2);
            this.f4124.m5755(this.f4111);
        }
        if (!isEnabled) {
            ColorStateList colorStateList3 = this.f4111;
            int colorForState = colorStateList3 != null ? colorStateList3.getColorForState(new int[]{-16842910}, this.f4122) : this.f4122;
            this.f4124.m5742(ColorStateList.valueOf(colorForState));
            this.f4124.m5755(ColorStateList.valueOf(colorForState));
        } else if (r5) {
            this.f4124.m5742(this.f4148.m6121());
        } else if (this.f4154 && (textView = this.f4156) != null) {
            this.f4124.m5742(textView.getTextColors());
        } else if (z4 && (colorStateList = this.f4113) != null) {
            this.f4124.m5742(colorStateList);
        }
        if (z3 || !this.f4125 || (isEnabled() && z4)) {
            if (z2 || this.f4123) {
                m5956(z);
            }
        } else if (z2 || !this.f4123) {
            m5963(z);
        }
    }

    public void setHint(int i) {
        setHint(i != 0 ? getResources().getText(i) : null);
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    private void m5962(Rect rect) {
        f.e.a.a.b0.g gVar = this.f4137;
        if (gVar != null) {
            int i = rect.bottom;
            gVar.setBounds(rect.left, i - this.f4151, rect.right, i);
        }
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    private Rect m5952(Rect rect) {
        if (this.f4140 != null) {
            Rect rect2 = this.f4169;
            float r1 = this.f4124.m5760();
            rect2.left = rect.left + this.f4140.getCompoundPaddingLeft();
            rect2.top = m5935(rect, r1);
            rect2.right = rect.right - this.f4140.getCompoundPaddingRight();
            rect2.bottom = m5936(rect, rect2, r1);
            return rect2;
        }
        throw new IllegalStateException();
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    private void m5963(boolean z) {
        ValueAnimator valueAnimator = this.f4127;
        if (valueAnimator != null && valueAnimator.isRunning()) {
            this.f4127.cancel();
        }
        if (!z || !this.f4126) {
            this.f4124.m5751(0.0f);
        } else {
            m6003(0.0f);
        }
        if (m5999() && ((c) this.f4139).m6044()) {
            m5995();
        }
        this.f4123 = true;
        m5986();
        m5998();
        m6000();
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    private void m5953(int i) {
        Iterator<g> it = this.f4099.iterator();
        while (it.hasNext()) {
            it.next().m6021(this, i);
        }
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    private static void m5955(CheckableImageButton checkableImageButton, View.OnLongClickListener onLongClickListener) {
        checkableImageButton.setOnLongClickListener(onLongClickListener);
        m5944(checkableImageButton, onLongClickListener);
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    private void m5954(Canvas canvas) {
        if (this.f4131) {
            this.f4124.m5743(canvas);
        }
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʽ  reason: contains not printable characters */
    public final boolean m6011() {
        return this.f4123;
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    private void m5956(boolean z) {
        ValueAnimator valueAnimator = this.f4127;
        if (valueAnimator != null && valueAnimator.isRunning()) {
            this.f4127.cancel();
        }
        if (!z || !this.f4126) {
            this.f4124.m5751(1.0f);
        } else {
            m6003(1.0f);
        }
        this.f4123 = false;
        if (m5999()) {
            m5959();
        }
        m5994();
        m5998();
        m6000();
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʻ  reason: contains not printable characters */
    public void m6004(int i) {
        boolean z = this.f4154;
        int i2 = this.f4152;
        if (i2 == -1) {
            this.f4156.setText(String.valueOf(i));
            this.f4156.setContentDescription(null);
            this.f4154 = false;
        } else {
            this.f4154 = i > i2;
            m5938(getContext(), this.f4156, i, this.f4152, this.f4154);
            if (z != this.f4154) {
                m5974();
            }
            this.f4156.setText(e.g.j.a.m8593().m8598(getContext().getString(i.character_counter_pattern, Integer.valueOf(i), Integer.valueOf(this.f4152))));
        }
        if (this.f4140 != null && z != this.f4154) {
            m6008(false);
            m6018();
            m6017();
        }
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    private void m5957(boolean z, boolean z2) {
        int defaultColor = this.f4117.getDefaultColor();
        int colorForState = this.f4117.getColorForState(new int[]{16843623, 16842910}, defaultColor);
        int colorForState2 = this.f4117.getColorForState(new int[]{16843518, 16842910}, defaultColor);
        if (z) {
            this.f4161 = colorForState2;
        } else if (z2) {
            this.f4161 = colorForState;
        } else {
            this.f4161 = defaultColor;
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private static void m5938(Context context, TextView textView, int i, int i2, boolean z) {
        textView.setContentDescription(context.getString(z ? i.character_counter_overflowed_content_description : i.character_counter_content_description, Integer.valueOf(i), Integer.valueOf(i2)));
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private static void m5941(ViewGroup viewGroup, boolean z) {
        int childCount = viewGroup.getChildCount();
        for (int i = 0; i < childCount; i++) {
            View childAt = viewGroup.getChildAt(i);
            childAt.setEnabled(z);
            if (childAt instanceof ViewGroup) {
                m5941((ViewGroup) childAt, z);
            }
        }
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʻ  reason: contains not printable characters */
    public void m6005(TextView textView, int i) {
        boolean z = true;
        try {
            androidx.core.widget.j.m2167(textView, i);
            if (Build.VERSION.SDK_INT < 23 || textView.getTextColors().getDefaultColor() != -65281) {
                z = false;
            }
        } catch (Exception unused) {
        }
        if (z) {
            androidx.core.widget.j.m2167(textView, j.TextAppearance_AppCompat_Caption);
            textView.setTextColor(e.g.d.a.m8255(getContext(), f.e.a.a.c.design_error));
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private Rect m5937(Rect rect) {
        if (this.f4140 != null) {
            Rect rect2 = this.f4169;
            boolean z = d0.m8764(this) == 1;
            rect2.bottom = rect.bottom;
            int i = this.f4147;
            if (i == 1) {
                rect2.left = m5934(rect.left, z);
                rect2.top = rect.top + this.f4145;
                rect2.right = m5951(rect.right, z);
                return rect2;
            } else if (i != 2) {
                rect2.left = m5934(rect.left, z);
                rect2.top = getPaddingTop();
                rect2.right = m5951(rect.right, z);
                return rect2;
            } else {
                rect2.left = rect.left + this.f4140.getPaddingLeft();
                rect2.top = rect.top - m5989();
                rect2.right = rect.right - this.f4140.getPaddingRight();
                return rect2;
            }
        } else {
            throw new IllegalStateException();
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private int m5934(int i, boolean z) {
        int compoundPaddingLeft = i + this.f4140.getCompoundPaddingLeft();
        return (this.f4086 == null || z) ? compoundPaddingLeft : (compoundPaddingLeft - this.f4130.getMeasuredWidth()) + this.f4130.getPaddingLeft();
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private int m5935(Rect rect, float f2) {
        if (m5950()) {
            return (int) (((float) rect.centerY()) - (f2 / 2.0f));
        }
        return rect.top + this.f4140.getCompoundPaddingTop();
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private int m5936(Rect rect, Rect rect2, float f2) {
        if (m5950()) {
            return (int) (((float) rect2.top) + f2);
        }
        return rect.bottom - this.f4140.getCompoundPaddingBottom();
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public boolean m6009() {
        return this.f4138.getVisibility() == 0 && this.f4098.getVisibility() == 0;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public void m6007(g gVar) {
        this.f4099.add(gVar);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public void m6006(f fVar) {
        this.f4095.add(fVar);
        if (this.f4140 != null) {
            fVar.m6020(this);
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private void m5945(CheckableImageButton checkableImageButton, boolean z, ColorStateList colorStateList, boolean z2, PorterDuff.Mode mode) {
        Drawable drawable = checkableImageButton.getDrawable();
        if (drawable != null && (z || z2)) {
            drawable = androidx.core.graphics.drawable.a.m1991(drawable).mutate();
            if (z) {
                androidx.core.graphics.drawable.a.m1976(drawable, colorStateList);
            }
            if (z2) {
                androidx.core.graphics.drawable.a.m1979(drawable, mode);
            }
        }
        if (checkableImageButton.getDrawable() != drawable) {
            checkableImageButton.setImageDrawable(drawable);
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private static void m5943(CheckableImageButton checkableImageButton, View.OnClickListener onClickListener, View.OnLongClickListener onLongClickListener) {
        checkableImageButton.setOnClickListener(onClickListener);
        m5944(checkableImageButton, onLongClickListener);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private static void m5944(CheckableImageButton checkableImageButton, View.OnLongClickListener onLongClickListener) {
        boolean r0 = d0.m8728(checkableImageButton);
        boolean z = false;
        int i = 1;
        boolean z2 = onLongClickListener != null;
        if (r0 || z2) {
            z = true;
        }
        checkableImageButton.setFocusable(z);
        checkableImageButton.setClickable(r0);
        checkableImageButton.setPressable(r0);
        checkableImageButton.setLongClickable(z2);
        if (!z) {
            i = 2;
        }
        d0.m8745(checkableImageButton, i);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private void m5939(Canvas canvas) {
        f.e.a.a.b0.g gVar = this.f4137;
        if (gVar != null) {
            Rect bounds = gVar.getBounds();
            bounds.top = bounds.bottom - this.f4149;
            this.f4137.draw(canvas);
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private void m5940(RectF rectF) {
        float f2 = rectF.left;
        int i = this.f4141;
        rectF.left = f2 - ((float) i);
        rectF.right += (float) i;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private void m5942(CheckableImageButton checkableImageButton, ColorStateList colorStateList) {
        Drawable drawable = checkableImageButton.getDrawable();
        if (checkableImageButton.getDrawable() != null && colorStateList != null && colorStateList.isStateful()) {
            int colorForState = colorStateList.getColorForState(m5949(checkableImageButton), colorStateList.getDefaultColor());
            Drawable mutate = androidx.core.graphics.drawable.a.m1991(drawable).mutate();
            androidx.core.graphics.drawable.a.m1976(mutate, ColorStateList.valueOf(colorForState));
            checkableImageButton.setImageDrawable(mutate);
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private int[] m5949(CheckableImageButton checkableImageButton) {
        int[] drawableState = getDrawableState();
        int[] drawableState2 = checkableImageButton.getDrawableState();
        int length = drawableState.length;
        int[] copyOf = Arrays.copyOf(drawableState, drawableState.length + drawableState2.length);
        System.arraycopy(drawableState2, 0, copyOf, length, drawableState2.length);
        return copyOf;
    }

    /* access modifiers changed from: package-private */
    /* renamed from: ʻ  reason: contains not printable characters */
    public void m6003(float f2) {
        if (this.f4124.m5761() != f2) {
            if (this.f4127 == null) {
                ValueAnimator valueAnimator = new ValueAnimator();
                this.f4127 = valueAnimator;
                valueAnimator.setInterpolator(f.e.a.a.l.a.f7002);
                this.f4127.setDuration(167L);
                this.f4127.addUpdateListener(new d());
            }
            this.f4127.setFloatValues(this.f4124.m5761(), f2);
            this.f4127.start();
        }
    }
}
