package com.google.android.material.textfield;

import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.animation.AnimatorSet;
import android.animation.ValueAnimator;
import android.text.Editable;
import android.text.TextWatcher;
import android.view.View;
import android.widget.EditText;
import com.google.android.material.textfield.TextInputLayout;

/* compiled from: ClearTextEndIconDelegate */
class a extends e {

    /* renamed from: ʿ  reason: contains not printable characters */
    private final TextWatcher f4184 = new C0043a();

    /* renamed from: ˆ  reason: contains not printable characters */
    private final View.OnFocusChangeListener f4185 = new b();

    /* renamed from: ˈ  reason: contains not printable characters */
    private final TextInputLayout.f f4186 = new c();

    /* renamed from: ˉ  reason: contains not printable characters */
    private final TextInputLayout.g f4187 = new d();

    /* renamed from: ˊ  reason: contains not printable characters */
    private AnimatorSet f4188;

    /* renamed from: ˋ  reason: contains not printable characters */
    private ValueAnimator f4189;

    /* renamed from: com.google.android.material.textfield.a$a  reason: collision with other inner class name */
    /* compiled from: ClearTextEndIconDelegate */
    class C0043a implements TextWatcher {
        C0043a() {
        }

        public void afterTextChanged(Editable editable) {
            if (a.this.f4233.getSuffixText() == null) {
                a aVar = a.this;
                aVar.m6026((a) aVar.m6030());
            }
        }

        public void beforeTextChanged(CharSequence charSequence, int i, int i2, int i3) {
        }

        public void onTextChanged(CharSequence charSequence, int i, int i2, int i3) {
        }
    }

    /* compiled from: ClearTextEndIconDelegate */
    class b implements View.OnFocusChangeListener {
        b() {
        }

        public void onFocusChange(View view, boolean z) {
            a aVar = a.this;
            aVar.m6026((a) aVar.m6030());
        }
    }

    /* compiled from: ClearTextEndIconDelegate */
    class c implements TextInputLayout.f {
        c() {
        }

        @Override // com.google.android.material.textfield.TextInputLayout.f
        /* renamed from: ʻ  reason: contains not printable characters */
        public void m6033(TextInputLayout textInputLayout) {
            EditText editText = textInputLayout.getEditText();
            textInputLayout.setEndIconVisible(a.this.m6030());
            textInputLayout.setEndIconCheckable(false);
            editText.setOnFocusChangeListener(a.this.f4185);
            a aVar = a.this;
            aVar.f4235.setOnFocusChangeListener(aVar.f4185);
            editText.removeTextChangedListener(a.this.f4184);
            editText.addTextChangedListener(a.this.f4184);
        }
    }

    /* compiled from: ClearTextEndIconDelegate */
    class d implements TextInputLayout.g {

        /* renamed from: com.google.android.material.textfield.a$d$a  reason: collision with other inner class name */
        /* compiled from: ClearTextEndIconDelegate */
        class RunnableC0044a implements Runnable {

            /* renamed from: ʿ  reason: contains not printable characters */
            final /* synthetic */ EditText f4194;

            RunnableC0044a(EditText editText) {
                this.f4194 = editText;
            }

            public void run() {
                this.f4194.removeTextChangedListener(a.this.f4184);
            }
        }

        d() {
        }

        @Override // com.google.android.material.textfield.TextInputLayout.g
        /* renamed from: ʻ  reason: contains not printable characters */
        public void m6034(TextInputLayout textInputLayout, int i) {
            EditText editText = textInputLayout.getEditText();
            if (editText != null && i == 2) {
                editText.post(new RunnableC0044a(editText));
                if (editText.getOnFocusChangeListener() == a.this.f4185) {
                    editText.setOnFocusChangeListener(null);
                }
                if (a.this.f4235.getOnFocusChangeListener() == a.this.f4185) {
                    a.this.f4235.setOnFocusChangeListener(null);
                }
            }
        }
    }

    /* compiled from: ClearTextEndIconDelegate */
    class e implements View.OnClickListener {
        e() {
        }

        public void onClick(View view) {
            Editable text = a.this.f4233.getEditText().getText();
            if (text != null) {
                text.clear();
            }
            a.this.f4233.m6014();
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: ClearTextEndIconDelegate */
    public class f extends AnimatorListenerAdapter {
        f() {
        }

        public void onAnimationStart(Animator animator) {
            a.this.f4233.setEndIconVisible(true);
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: ClearTextEndIconDelegate */
    public class g extends AnimatorListenerAdapter {
        g() {
        }

        public void onAnimationEnd(Animator animator) {
            a.this.f4233.setEndIconVisible(false);
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: ClearTextEndIconDelegate */
    public class h implements ValueAnimator.AnimatorUpdateListener {
        h() {
        }

        public void onAnimationUpdate(ValueAnimator valueAnimator) {
            a.this.f4235.setAlpha(((Float) valueAnimator.getAnimatedValue()).floatValue());
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: ClearTextEndIconDelegate */
    public class i implements ValueAnimator.AnimatorUpdateListener {
        i() {
        }

        public void onAnimationUpdate(ValueAnimator valueAnimator) {
            float floatValue = ((Float) valueAnimator.getAnimatedValue()).floatValue();
            a.this.f4235.setScaleX(floatValue);
            a.this.f4235.setScaleY(floatValue);
        }
    }

    a(TextInputLayout textInputLayout, int i2) {
        super(textInputLayout, i2);
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    private void m6029() {
        ValueAnimator r0 = m6027();
        ValueAnimator r2 = m6022(0.0f, 1.0f);
        AnimatorSet animatorSet = new AnimatorSet();
        this.f4188 = animatorSet;
        animatorSet.playTogether(r0, r2);
        this.f4188.addListener(new f());
        ValueAnimator r02 = m6022(1.0f, 0.0f);
        this.f4189 = r02;
        r02.addListener(new g());
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    /* renamed from: ʿ  reason: contains not printable characters */
    private boolean m6030() {
        EditText editText = this.f4233.getEditText();
        return editText != null && (editText.hasFocus() || this.f4235.hasFocus()) && editText.getText().length() > 0;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    /* renamed from: ʼ  reason: contains not printable characters */
    private void m6026(boolean z) {
        boolean z2 = this.f4233.m6009() == z;
        if (z && !this.f4188.isRunning()) {
            this.f4189.cancel();
            this.f4188.start();
            if (z2) {
                this.f4188.end();
            }
        } else if (!z) {
            this.f4188.cancel();
            this.f4189.start();
            if (z2) {
                this.f4189.end();
            }
        }
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    private ValueAnimator m6027() {
        ValueAnimator ofFloat = ValueAnimator.ofFloat(0.8f, 1.0f);
        ofFloat.setInterpolator(f.e.a.a.l.a.f7004);
        ofFloat.setDuration(150L);
        ofFloat.addUpdateListener(new i());
        return ofFloat;
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.android.material.textfield.e
    /* renamed from: ʻ  reason: contains not printable characters */
    public void m6031() {
        TextInputLayout textInputLayout = this.f4233;
        int i2 = this.f4236;
        if (i2 == 0) {
            i2 = f.e.a.a.e.mtrl_ic_cancel;
        }
        textInputLayout.setEndIconDrawable(i2);
        TextInputLayout textInputLayout2 = this.f4233;
        textInputLayout2.setEndIconContentDescription(textInputLayout2.getResources().getText(f.e.a.a.i.clear_text_end_icon_content_description));
        this.f4233.setEndIconOnClickListener(new e());
        this.f4233.m6006(this.f4186);
        this.f4233.m6007(this.f4187);
        m6029();
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.android.material.textfield.e
    /* renamed from: ʻ  reason: contains not printable characters */
    public void m6032(boolean z) {
        if (this.f4233.getSuffixText() != null) {
            m6026(z);
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private ValueAnimator m6022(float... fArr) {
        ValueAnimator ofFloat = ValueAnimator.ofFloat(fArr);
        ofFloat.setInterpolator(f.e.a.a.l.a.f7001);
        ofFloat.setDuration(100L);
        ofFloat.addUpdateListener(new h());
        return ofFloat;
    }
}
