package com.google.android.material.textfield;

import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.animation.ValueAnimator;
import android.annotation.SuppressLint;
import android.content.res.ColorStateList;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.LayerDrawable;
import android.graphics.drawable.RippleDrawable;
import android.graphics.drawable.StateListDrawable;
import android.os.Build;
import android.text.Editable;
import android.text.TextWatcher;
import android.view.MotionEvent;
import android.view.View;
import android.view.accessibility.AccessibilityEvent;
import android.view.accessibility.AccessibilityManager;
import android.widget.AutoCompleteTextView;
import android.widget.EditText;
import android.widget.Spinner;
import com.google.android.material.internal.o;
import com.google.android.material.textfield.TextInputLayout;
import e.g.l.d0;
import f.e.a.a.b0.k;

/* compiled from: DropdownMenuEndIconDelegate */
class d extends e {

    /* renamed from: ᴵ  reason: contains not printable characters */
    private static final boolean f4204 = (Build.VERSION.SDK_INT >= 21);

    /* renamed from: ʿ  reason: contains not printable characters */
    private final TextWatcher f4205 = new a();

    /* renamed from: ˆ  reason: contains not printable characters */
    private final View.OnFocusChangeListener f4206 = new c();

    /* renamed from: ˈ  reason: contains not printable characters */
    private final TextInputLayout.e f4207 = new C0046d(this.f4233);

    /* renamed from: ˉ  reason: contains not printable characters */
    private final TextInputLayout.f f4208 = new e();
    @SuppressLint({"ClickableViewAccessibility"})

    /* renamed from: ˊ  reason: contains not printable characters */
    private final TextInputLayout.g f4209 = new f();

    /* renamed from: ˋ  reason: contains not printable characters */
    private boolean f4210 = false;

    /* renamed from: ˎ  reason: contains not printable characters */
    private boolean f4211 = false;

    /* renamed from: ˏ  reason: contains not printable characters */
    private long f4212 = Long.MAX_VALUE;

    /* renamed from: ˑ  reason: contains not printable characters */
    private StateListDrawable f4213;

    /* renamed from: י  reason: contains not printable characters */
    private f.e.a.a.b0.g f4214;

    /* renamed from: ـ  reason: contains not printable characters */
    private AccessibilityManager f4215;

    /* renamed from: ٴ  reason: contains not printable characters */
    private ValueAnimator f4216;

    /* renamed from: ᐧ  reason: contains not printable characters */
    private ValueAnimator f4217;

    /* compiled from: DropdownMenuEndIconDelegate */
    class a extends o {

        /* renamed from: com.google.android.material.textfield.d$a$a  reason: collision with other inner class name */
        /* compiled from: DropdownMenuEndIconDelegate */
        class RunnableC0045a implements Runnable {

            /* renamed from: ʿ  reason: contains not printable characters */
            final /* synthetic */ AutoCompleteTextView f4219;

            RunnableC0045a(AutoCompleteTextView autoCompleteTextView) {
                this.f4219 = autoCompleteTextView;
            }

            public void run() {
                boolean isPopupShowing = this.f4219.isPopupShowing();
                d.this.m6059((d) isPopupShowing);
                d.this.f4210 = isPopupShowing;
            }
        }

        a() {
        }

        @Override // com.google.android.material.internal.o
        public void afterTextChanged(Editable editable) {
            AutoCompleteTextView r2 = d.m6063(d.this.f4233.getEditText());
            if (d.this.f4215.isTouchExplorationEnabled() && d.m6070((EditText) r2) && !d.this.f4235.hasFocus()) {
                r2.dismissDropDown();
            }
            r2.post(new RunnableC0045a(r2));
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: DropdownMenuEndIconDelegate */
    public class b implements ValueAnimator.AnimatorUpdateListener {
        b() {
        }

        public void onAnimationUpdate(ValueAnimator valueAnimator) {
            d.this.f4235.setAlpha(((Float) valueAnimator.getAnimatedValue()).floatValue());
        }
    }

    /* compiled from: DropdownMenuEndIconDelegate */
    class c implements View.OnFocusChangeListener {
        c() {
        }

        public void onFocusChange(View view, boolean z) {
            d.this.f4233.setEndIconActivated(z);
            if (!z) {
                d.this.m6059((d) false);
                d.this.f4210 = false;
            }
        }
    }

    /* renamed from: com.google.android.material.textfield.d$d  reason: collision with other inner class name */
    /* compiled from: DropdownMenuEndIconDelegate */
    class C0046d extends TextInputLayout.e {
        C0046d(TextInputLayout textInputLayout) {
            super(textInputLayout);
        }

        @Override // e.g.l.d, com.google.android.material.textfield.TextInputLayout.e
        /* renamed from: ʻ  reason: contains not printable characters */
        public void m6079(View view, e.g.l.m0.c cVar) {
            super.m6019(view, cVar);
            if (!d.m6070(d.this.f4233.getEditText())) {
                cVar.m9187((CharSequence) Spinner.class.getName());
            }
            if (cVar.m9241()) {
                cVar.m9210((CharSequence) null);
            }
        }

        @Override // e.g.l.d
        /* renamed from: ʽ  reason: contains not printable characters */
        public void m6080(View view, AccessibilityEvent accessibilityEvent) {
            super.m8682(view, accessibilityEvent);
            AutoCompleteTextView r2 = d.m6063(d.this.f4233.getEditText());
            if (accessibilityEvent.getEventType() == 1 && d.this.f4215.isTouchExplorationEnabled() && !d.m6070(d.this.f4233.getEditText())) {
                d.this.m6068((d) r2);
            }
        }
    }

    /* compiled from: DropdownMenuEndIconDelegate */
    class e implements TextInputLayout.f {
        e() {
        }

        @Override // com.google.android.material.textfield.TextInputLayout.f
        /* renamed from: ʻ  reason: contains not printable characters */
        public void m6081(TextInputLayout textInputLayout) {
            AutoCompleteTextView r0 = d.m6063(textInputLayout.getEditText());
            d.this.m6056((d) r0);
            d.this.m6051((d) r0);
            d.this.m6064((d) r0);
            r0.setThreshold(0);
            r0.removeTextChangedListener(d.this.f4205);
            r0.addTextChangedListener(d.this.f4205);
            textInputLayout.setEndIconCheckable(true);
            textInputLayout.setErrorIconDrawable((Drawable) null);
            if (!d.m6070((EditText) r0)) {
                d0.m8745(d.this.f4235, 2);
            }
            textInputLayout.setTextInputAccessibilityDelegate(d.this.f4207);
            textInputLayout.setEndIconVisible(true);
        }
    }

    /* compiled from: DropdownMenuEndIconDelegate */
    class f implements TextInputLayout.g {

        /* compiled from: DropdownMenuEndIconDelegate */
        class a implements Runnable {

            /* renamed from: ʿ  reason: contains not printable characters */
            final /* synthetic */ AutoCompleteTextView f4226;

            a(AutoCompleteTextView autoCompleteTextView) {
                this.f4226 = autoCompleteTextView;
            }

            public void run() {
                this.f4226.removeTextChangedListener(d.this.f4205);
            }
        }

        f() {
        }

        @Override // com.google.android.material.textfield.TextInputLayout.g
        /* renamed from: ʻ  reason: contains not printable characters */
        public void m6082(TextInputLayout textInputLayout, int i) {
            AutoCompleteTextView autoCompleteTextView = (AutoCompleteTextView) textInputLayout.getEditText();
            if (autoCompleteTextView != null && i == 3) {
                autoCompleteTextView.post(new a(autoCompleteTextView));
                if (autoCompleteTextView.getOnFocusChangeListener() == d.this.f4206) {
                    autoCompleteTextView.setOnFocusChangeListener(null);
                }
                autoCompleteTextView.setOnTouchListener(null);
                if (d.f4204) {
                    autoCompleteTextView.setOnDismissListener(null);
                }
            }
        }
    }

    /* compiled from: DropdownMenuEndIconDelegate */
    class g implements View.OnClickListener {
        g() {
        }

        public void onClick(View view) {
            d.this.m6068((d) ((AutoCompleteTextView) d.this.f4233.getEditText()));
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: DropdownMenuEndIconDelegate */
    public class h implements View.OnTouchListener {

        /* renamed from: ʿ  reason: contains not printable characters */
        final /* synthetic */ AutoCompleteTextView f4229;

        h(AutoCompleteTextView autoCompleteTextView) {
            this.f4229 = autoCompleteTextView;
        }

        public boolean onTouch(View view, MotionEvent motionEvent) {
            if (motionEvent.getAction() == 1) {
                if (d.this.m6072()) {
                    d.this.f4210 = false;
                }
                d.this.m6068((d) this.f4229);
            }
            return false;
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: DropdownMenuEndIconDelegate */
    public class i implements AutoCompleteTextView.OnDismissListener {
        i() {
        }

        public void onDismiss() {
            d.this.f4210 = true;
            d.this.f4212 = System.currentTimeMillis();
            d.this.m6059((d) false);
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: DropdownMenuEndIconDelegate */
    public class j extends AnimatorListenerAdapter {
        j() {
        }

        public void onAnimationEnd(Animator animator) {
            d dVar = d.this;
            dVar.f4235.setChecked(dVar.f4211);
            d.this.f4217.start();
        }
    }

    d(TextInputLayout textInputLayout, int i2) {
        super(textInputLayout, i2);
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.android.material.textfield.e
    /* renamed from: ʻ  reason: contains not printable characters */
    public boolean m6077(int i2) {
        return i2 != 0;
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.android.material.textfield.e
    /* renamed from: ʼ  reason: contains not printable characters */
    public boolean m6078() {
        return true;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    /* renamed from: ʿ  reason: contains not printable characters */
    private boolean m6072() {
        long currentTimeMillis = System.currentTimeMillis() - this.f4212;
        return currentTimeMillis < 0 || currentTimeMillis > 300;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    /* renamed from: ʾ  reason: contains not printable characters */
    private void m6068(AutoCompleteTextView autoCompleteTextView) {
        if (autoCompleteTextView != null) {
            if (m6072()) {
                this.f4210 = false;
            }
            if (!this.f4210) {
                if (f4204) {
                    m6059(!this.f4211);
                } else {
                    this.f4211 = !this.f4211;
                    this.f4235.toggle();
                }
                if (this.f4211) {
                    autoCompleteTextView.requestFocus();
                    autoCompleteTextView.showDropDown();
                    return;
                }
                autoCompleteTextView.dismissDropDown();
                return;
            }
            this.f4210 = false;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    @SuppressLint({"ClickableViewAccessibility"})
    /* renamed from: ʽ  reason: contains not printable characters */
    private void m6064(AutoCompleteTextView autoCompleteTextView) {
        autoCompleteTextView.setOnTouchListener(new h(autoCompleteTextView));
        autoCompleteTextView.setOnFocusChangeListener(this.f4206);
        if (f4204) {
            autoCompleteTextView.setOnDismissListener(new i());
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    /* renamed from: ʼ  reason: contains not printable characters */
    private void m6056(AutoCompleteTextView autoCompleteTextView) {
        if (f4204) {
            int boxBackgroundMode = this.f4233.getBoxBackgroundMode();
            if (boxBackgroundMode == 2) {
                autoCompleteTextView.setDropDownBackgroundDrawable(this.f4214);
            } else if (boxBackgroundMode == 1) {
                autoCompleteTextView.setDropDownBackgroundDrawable(this.f4213);
            }
        }
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.android.material.textfield.e
    /* renamed from: ʻ  reason: contains not printable characters */
    public void m6076() {
        float dimensionPixelOffset = (float) this.f4234.getResources().getDimensionPixelOffset(f.e.a.a.d.mtrl_shape_corner_size_small_component);
        float dimensionPixelOffset2 = (float) this.f4234.getResources().getDimensionPixelOffset(f.e.a.a.d.mtrl_exposed_dropdown_menu_popup_elevation);
        int dimensionPixelOffset3 = this.f4234.getResources().getDimensionPixelOffset(f.e.a.a.d.mtrl_exposed_dropdown_menu_popup_vertical_padding);
        f.e.a.a.b0.g r3 = m6050(dimensionPixelOffset, dimensionPixelOffset, dimensionPixelOffset2, dimensionPixelOffset3);
        f.e.a.a.b0.g r0 = m6050(0.0f, dimensionPixelOffset, dimensionPixelOffset2, dimensionPixelOffset3);
        this.f4214 = r3;
        StateListDrawable stateListDrawable = new StateListDrawable();
        this.f4213 = stateListDrawable;
        stateListDrawable.addState(new int[]{16842922}, r3);
        this.f4213.addState(new int[0], r0);
        int i2 = this.f4236;
        if (i2 == 0) {
            i2 = f4204 ? f.e.a.a.e.mtrl_dropdown_arrow : f.e.a.a.e.mtrl_ic_arrow_drop_down;
        }
        this.f4233.setEndIconDrawable(i2);
        TextInputLayout textInputLayout = this.f4233;
        textInputLayout.setEndIconContentDescription(textInputLayout.getResources().getText(f.e.a.a.i.exposed_dropdown_menu_content_description));
        this.f4233.setEndIconOnClickListener(new g());
        this.f4233.m6006(this.f4208);
        this.f4233.m6007(this.f4209);
        m6067();
        this.f4215 = (AccessibilityManager) this.f4234.getSystemService("accessibility");
    }

    /* access modifiers changed from: private */
    /* renamed from: ʽ  reason: contains not printable characters */
    public static AutoCompleteTextView m6063(EditText editText) {
        if (editText instanceof AutoCompleteTextView) {
            return (AutoCompleteTextView) editText;
        }
        throw new RuntimeException("EditText needs to be an AutoCompleteTextView if an Exposed Dropdown Menu is being used.");
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    private void m6057(AutoCompleteTextView autoCompleteTextView, int i2, int[][] iArr, f.e.a.a.b0.g gVar) {
        LayerDrawable layerDrawable;
        int r0 = f.e.a.a.q.a.m10498(autoCompleteTextView, f.e.a.a.b.colorSurface);
        f.e.a.a.b0.g gVar2 = new f.e.a.a.b0.g(gVar.m10250());
        int r9 = f.e.a.a.q.a.m10495(i2, r0, 0.1f);
        gVar2.m10228(new ColorStateList(iArr, new int[]{r9, 0}));
        if (f4204) {
            gVar2.setTint(r0);
            ColorStateList colorStateList = new ColorStateList(iArr, new int[]{r9, r0});
            f.e.a.a.b0.g gVar3 = new f.e.a.a.b0.g(gVar.m10250());
            gVar3.setTint(-1);
            layerDrawable = new LayerDrawable(new Drawable[]{new RippleDrawable(colorStateList, gVar2, gVar3), gVar});
        } else {
            layerDrawable = new LayerDrawable(new Drawable[]{gVar2, gVar});
        }
        d0.m8703(autoCompleteTextView, layerDrawable);
    }

    /* access modifiers changed from: private */
    /* renamed from: ʾ  reason: contains not printable characters */
    public static boolean m6070(EditText editText) {
        return editText.getKeyListener() != null;
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    private void m6067() {
        this.f4217 = m6047(67, 0.0f, 1.0f);
        ValueAnimator r0 = m6047(50, 1.0f, 0.0f);
        this.f4216 = r0;
        r0.addListener(new j());
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    /* renamed from: ʼ  reason: contains not printable characters */
    private void m6059(boolean z) {
        if (this.f4211 != z) {
            this.f4211 = z;
            this.f4217.cancel();
            this.f4216.start();
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    /* renamed from: ʻ  reason: contains not printable characters */
    private void m6051(AutoCompleteTextView autoCompleteTextView) {
        if (!m6070((EditText) autoCompleteTextView)) {
            int boxBackgroundMode = this.f4233.getBoxBackgroundMode();
            f.e.a.a.b0.g boxBackground = this.f4233.getBoxBackground();
            int r2 = f.e.a.a.q.a.m10498(autoCompleteTextView, f.e.a.a.b.colorControlHighlight);
            int[][] iArr = {new int[]{16842919}, new int[0]};
            if (boxBackgroundMode == 2) {
                m6057(autoCompleteTextView, r2, iArr, boxBackground);
            } else if (boxBackgroundMode == 1) {
                m6052(autoCompleteTextView, r2, iArr, boxBackground);
            }
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private void m6052(AutoCompleteTextView autoCompleteTextView, int i2, int[][] iArr, f.e.a.a.b0.g gVar) {
        int boxBackgroundColor = this.f4233.getBoxBackgroundColor();
        int[] iArr2 = {f.e.a.a.q.a.m10495(i2, boxBackgroundColor, 0.1f), boxBackgroundColor};
        if (f4204) {
            d0.m8703(autoCompleteTextView, new RippleDrawable(new ColorStateList(iArr, iArr2), gVar, gVar));
            return;
        }
        f.e.a.a.b0.g gVar2 = new f.e.a.a.b0.g(gVar.m10250());
        gVar2.m10228(new ColorStateList(iArr, iArr2));
        LayerDrawable layerDrawable = new LayerDrawable(new Drawable[]{gVar, gVar2});
        int r8 = d0.m8771(autoCompleteTextView);
        int paddingTop = autoCompleteTextView.getPaddingTop();
        int r0 = d0.m8770(autoCompleteTextView);
        int paddingBottom = autoCompleteTextView.getPaddingBottom();
        d0.m8703(autoCompleteTextView, layerDrawable);
        d0.m8698(autoCompleteTextView, r8, paddingTop, r0, paddingBottom);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private f.e.a.a.b0.g m6050(float f2, float f3, float f4, int i2) {
        k.b r0 = k.m10277();
        r0.m10321(f2);
        r0.m10325(f2);
        r0.m10313(f3);
        r0.m10317(f3);
        k r2 = r0.m10312();
        f.e.a.a.b0.g r3 = f.e.a.a.b0.g.m10201(this.f4234, f4);
        r3.setShapeAppearanceModel(r2);
        r3.m10226(0, i2, 0, i2);
        return r3;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private ValueAnimator m6047(int i2, float... fArr) {
        ValueAnimator ofFloat = ValueAnimator.ofFloat(fArr);
        ofFloat.setInterpolator(f.e.a.a.l.a.f7001);
        ofFloat.setDuration((long) i2);
        ofFloat.addUpdateListener(new b());
        return ofFloat;
    }
}
