package com.google.android.material.timepicker;

import android.content.Context;
import android.content.res.Configuration;
import android.os.Build;
import android.text.Editable;
import android.text.TextUtils;
import android.text.TextWatcher;
import android.util.AttributeSet;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Checkable;
import android.widget.EditText;
import android.widget.FrameLayout;
import android.widget.TextView;
import com.google.android.material.chip.Chip;
import com.google.android.material.internal.o;
import com.google.android.material.internal.r;
import com.google.android.material.textfield.TextInputLayout;
import f.e.a.a.f;
import f.e.a.a.h;

class ChipTextInputComboView extends FrameLayout implements Checkable {

    /* renamed from: ʿ  reason: contains not printable characters */
    private final Chip f4278;

    /* renamed from: ˆ  reason: contains not printable characters */
    private final TextInputLayout f4279;

    /* renamed from: ˈ  reason: contains not printable characters */
    private final EditText f4280;

    /* renamed from: ˉ  reason: contains not printable characters */
    private TextWatcher f4281;

    private class b extends o {
        private b() {
        }

        @Override // com.google.android.material.internal.o
        public void afterTextChanged(Editable editable) {
            if (TextUtils.isEmpty(editable)) {
                ChipTextInputComboView.this.f4278.setText(ChipTextInputComboView.this.m6156((ChipTextInputComboView) "00"));
            } else {
                ChipTextInputComboView.this.f4278.setText(ChipTextInputComboView.this.m6156((ChipTextInputComboView) editable));
            }
        }
    }

    public ChipTextInputComboView(Context context) {
        this(context, null);
    }

    public boolean isChecked() {
        return this.f4278.isChecked();
    }

    /* access modifiers changed from: protected */
    public void onConfigurationChanged(Configuration configuration) {
        super.onConfigurationChanged(configuration);
        m6157();
    }

    public void setChecked(boolean z) {
        this.f4278.setChecked(z);
        int i = 0;
        this.f4280.setVisibility(z ? 0 : 4);
        Chip chip = this.f4278;
        if (z) {
            i = 8;
        }
        chip.setVisibility(i);
        if (isChecked()) {
            r.m5896(this.f4280);
            if (!TextUtils.isEmpty(this.f4280.getText())) {
                EditText editText = this.f4280;
                editText.setSelection(editText.getText().length());
            }
        }
    }

    public void setOnClickListener(View.OnClickListener onClickListener) {
        this.f4278.setOnClickListener(onClickListener);
    }

    public void setTag(int i, Object obj) {
        this.f4278.setTag(i, obj);
    }

    public void toggle() {
        this.f4278.toggle();
    }

    public ChipTextInputComboView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public ChipTextInputComboView(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        LayoutInflater from = LayoutInflater.from(context);
        this.f4278 = (Chip) from.inflate(h.material_time_chip, (ViewGroup) this, false);
        TextInputLayout textInputLayout = (TextInputLayout) from.inflate(h.material_time_input, (ViewGroup) this, false);
        this.f4279 = textInputLayout;
        EditText editText = textInputLayout.getEditText();
        this.f4280 = editText;
        editText.setVisibility(4);
        b bVar = new b();
        this.f4281 = bVar;
        this.f4280.addTextChangedListener(bVar);
        m6157();
        addView(this.f4278);
        addView(this.f4279);
        TextView textView = (TextView) findViewById(f.material_label);
        this.f4280.setSaveEnabled(false);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private void m6157() {
        if (Build.VERSION.SDK_INT >= 24) {
            this.f4280.setImeHintLocales(getContext().getResources().getConfiguration().getLocales());
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    /* renamed from: ʻ  reason: contains not printable characters */
    private String m6156(CharSequence charSequence) {
        return c.m6201(getResources(), charSequence);
    }
}
