package e.g.d;

import android.annotation.SuppressLint;
import android.content.ContentProvider;
import android.content.ContentValues;
import android.content.Context;
import android.content.pm.ProviderInfo;
import android.content.res.XmlResourceParser;
import android.database.Cursor;
import android.database.MatrixCursor;
import android.net.Uri;
import android.os.Build;
import android.os.Bundle;
import android.os.Environment;
import android.os.ParcelFileDescriptor;
import android.text.TextUtils;
import android.webkit.MimeTypeMap;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.util.HashMap;
import java.util.Map;
import org.xmlpull.v1.XmlPullParserException;

/* compiled from: FileProvider */
public class b extends ContentProvider {

    /* renamed from: ˈ  reason: contains not printable characters */
    private static final String[] f5841 = {"_display_name", "_size"};

    /* renamed from: ˉ  reason: contains not printable characters */
    private static final File f5842 = new File("/");

    /* renamed from: ˊ  reason: contains not printable characters */
    private static final HashMap<String, AbstractC0066b> f5843 = new HashMap<>();

    /* renamed from: ʿ  reason: contains not printable characters */
    private AbstractC0066b f5844;

    /* renamed from: ˆ  reason: contains not printable characters */
    private int f5845 = 0;

    /* access modifiers changed from: package-private */
    /* compiled from: FileProvider */
    public static class a {
        /* renamed from: ʻ  reason: contains not printable characters */
        static File[] m8282(Context context) {
            return context.getExternalMediaDirs();
        }
    }

    /* access modifiers changed from: package-private */
    /* renamed from: e.g.d.b$b  reason: collision with other inner class name */
    /* compiled from: FileProvider */
    public interface AbstractC0066b {
        /* renamed from: ʻ  reason: contains not printable characters */
        Uri m8283(File file);

        /* renamed from: ʻ  reason: contains not printable characters */
        File m8284(Uri uri);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public static Uri m8276(Context context, String str, File file) {
        return m8277(context, str, 0).m8283(file);
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    private static AbstractC0066b m8281(Context context, String str, int i) throws IOException, XmlPullParserException {
        c cVar = new c(str);
        XmlResourceParser r9 = m8275(context, str, context.getPackageManager().resolveContentProvider(str, 128), i);
        while (true) {
            int next = r9.next();
            if (next == 1) {
                return cVar;
            }
            if (next == 2) {
                String name = r9.getName();
                File file = null;
                String attributeValue = r9.getAttributeValue(null, "name");
                String attributeValue2 = r9.getAttributeValue(null, "path");
                if ("root-path".equals(name)) {
                    file = f5842;
                } else if ("files-path".equals(name)) {
                    file = context.getFilesDir();
                } else if ("cache-path".equals(name)) {
                    file = context.getCacheDir();
                } else if ("external-path".equals(name)) {
                    file = Environment.getExternalStorageDirectory();
                } else if ("external-files-path".equals(name)) {
                    File[] r10 = a.m8261(context, (String) null);
                    if (r10.length > 0) {
                        file = r10[0];
                    }
                } else if ("external-cache-path".equals(name)) {
                    File[] r102 = a.m8259(context);
                    if (r102.length > 0) {
                        file = r102[0];
                    }
                } else if (Build.VERSION.SDK_INT >= 21 && "external-media-path".equals(name)) {
                    File[] r103 = a.m8282(context);
                    if (r103.length > 0) {
                        file = r103[0];
                    }
                }
                if (file != null) {
                    cVar.m8287(attributeValue, m8278(file, attributeValue2));
                }
            }
        }
    }

    public void attachInfo(Context context, ProviderInfo providerInfo) {
        super.attachInfo(context, providerInfo);
        if (providerInfo.exported) {
            throw new SecurityException("Provider must not be exported");
        } else if (providerInfo.grantUriPermissions) {
            String str = providerInfo.authority.split(";")[0];
            synchronized (f5843) {
                f5843.remove(str);
            }
            this.f5844 = m8277(context, str, this.f5845);
        } else {
            throw new SecurityException("Provider must grant uri permissions");
        }
    }

    public int delete(Uri uri, String str, String[] strArr) {
        return this.f5844.m8284(uri).delete() ? 1 : 0;
    }

    public String getType(Uri uri) {
        String mimeTypeFromExtension;
        File r3 = this.f5844.m8284(uri);
        int lastIndexOf = r3.getName().lastIndexOf(46);
        return (lastIndexOf < 0 || (mimeTypeFromExtension = MimeTypeMap.getSingleton().getMimeTypeFromExtension(r3.getName().substring(lastIndexOf + 1))) == null) ? "application/octet-stream" : mimeTypeFromExtension;
    }

    public Uri insert(Uri uri, ContentValues contentValues) {
        throw new UnsupportedOperationException("No external inserts");
    }

    public boolean onCreate() {
        return true;
    }

    @Override // android.content.ContentProvider
    @SuppressLint({"UnknownNullness"})
    public ParcelFileDescriptor openFile(Uri uri, String str) throws FileNotFoundException {
        return ParcelFileDescriptor.open(this.f5844.m8284(uri), m8274(str));
    }

    public Cursor query(Uri uri, String[] strArr, String str, String[] strArr2, String str2) {
        int i;
        File r9 = this.f5844.m8284(uri);
        String queryParameter = uri.getQueryParameter("displayName");
        if (strArr == null) {
            strArr = f5841;
        }
        String[] strArr3 = new String[strArr.length];
        Object[] objArr = new Object[strArr.length];
        int i2 = 0;
        for (String str3 : strArr) {
            if ("_display_name".equals(str3)) {
                strArr3[i2] = "_display_name";
                i = i2 + 1;
                objArr[i2] = queryParameter == null ? r9.getName() : queryParameter;
            } else if ("_size".equals(str3)) {
                strArr3[i2] = "_size";
                i = i2 + 1;
                objArr[i2] = Long.valueOf(r9.length());
            }
            i2 = i;
        }
        String[] r7 = m8280(strArr3, i2);
        Object[] r8 = m8279(objArr, i2);
        MatrixCursor matrixCursor = new MatrixCursor(r7, 1);
        matrixCursor.addRow(r8);
        return matrixCursor;
    }

    public int update(Uri uri, ContentValues contentValues, String str, String[] strArr) {
        throw new UnsupportedOperationException("No external updates");
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private static AbstractC0066b m8277(Context context, String str, int i) {
        AbstractC0066b bVar;
        synchronized (f5843) {
            bVar = f5843.get(str);
            if (bVar == null) {
                try {
                    bVar = m8281(context, str, i);
                    f5843.put(str, bVar);
                } catch (IOException e2) {
                    throw new IllegalArgumentException("Failed to parse android.support.FILE_PROVIDER_PATHS meta-data", e2);
                } catch (XmlPullParserException e3) {
                    throw new IllegalArgumentException("Failed to parse android.support.FILE_PROVIDER_PATHS meta-data", e3);
                }
            }
        }
        return bVar;
    }

    /* access modifiers changed from: package-private */
    /* compiled from: FileProvider */
    public static class c implements AbstractC0066b {

        /* renamed from: ʻ  reason: contains not printable characters */
        private final String f5846;

        /* renamed from: ʼ  reason: contains not printable characters */
        private final HashMap<String, File> f5847 = new HashMap<>();

        c(String str) {
            this.f5846 = str;
        }

        /* access modifiers changed from: package-private */
        /* renamed from: ʻ  reason: contains not printable characters */
        public void m8287(String str, File file) {
            if (!TextUtils.isEmpty(str)) {
                try {
                    this.f5847.put(str, file.getCanonicalFile());
                } catch (IOException e2) {
                    throw new IllegalArgumentException("Failed to resolve canonical path for " + file, e2);
                }
            } else {
                throw new IllegalArgumentException("Name must not be empty");
            }
        }

        @Override // e.g.d.b.AbstractC0066b
        /* renamed from: ʻ  reason: contains not printable characters */
        public Uri m8285(File file) {
            String str;
            try {
                String canonicalPath = file.getCanonicalPath();
                Map.Entry<String, File> entry = null;
                for (Map.Entry<String, File> entry2 : this.f5847.entrySet()) {
                    String path = entry2.getValue().getPath();
                    if (canonicalPath.startsWith(path) && (entry == null || path.length() > entry.getValue().getPath().length())) {
                        entry = entry2;
                    }
                }
                if (entry != null) {
                    String path2 = entry.getValue().getPath();
                    if (path2.endsWith("/")) {
                        str = canonicalPath.substring(path2.length());
                    } else {
                        str = canonicalPath.substring(path2.length() + 1);
                    }
                    return new Uri.Builder().scheme("content").authority(this.f5846).encodedPath(Uri.encode(entry.getKey()) + '/' + Uri.encode(str, "/")).build();
                }
                throw new IllegalArgumentException("Failed to find configured root that contains " + canonicalPath);
            } catch (IOException unused) {
                throw new IllegalArgumentException("Failed to resolve canonical path for " + file);
            }
        }

        @Override // e.g.d.b.AbstractC0066b
        /* renamed from: ʻ  reason: contains not printable characters */
        public File m8286(Uri uri) {
            String encodedPath = uri.getEncodedPath();
            int indexOf = encodedPath.indexOf(47, 1);
            String decode = Uri.decode(encodedPath.substring(1, indexOf));
            String decode2 = Uri.decode(encodedPath.substring(indexOf + 1));
            File file = this.f5847.get(decode);
            if (file != null) {
                File file2 = new File(file, decode2);
                try {
                    File canonicalFile = file2.getCanonicalFile();
                    if (canonicalFile.getPath().startsWith(file.getPath())) {
                        return canonicalFile;
                    }
                    throw new SecurityException("Resolved path jumped beyond configured root");
                } catch (IOException unused) {
                    throw new IllegalArgumentException("Failed to resolve canonical path for " + file2);
                }
            } else {
                throw new IllegalArgumentException("Unable to find configured root for " + uri);
            }
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    static XmlResourceParser m8275(Context context, String str, ProviderInfo providerInfo, int i) {
        if (providerInfo != null) {
            if (providerInfo.metaData == null && i != 0) {
                Bundle bundle = new Bundle(1);
                providerInfo.metaData = bundle;
                bundle.putInt("android.support.FILE_PROVIDER_PATHS", i);
            }
            XmlResourceParser loadXmlMetaData = providerInfo.loadXmlMetaData(context.getPackageManager(), "android.support.FILE_PROVIDER_PATHS");
            if (loadXmlMetaData != null) {
                return loadXmlMetaData;
            }
            throw new IllegalArgumentException("Missing android.support.FILE_PROVIDER_PATHS meta-data");
        }
        throw new IllegalArgumentException("Couldn't find meta-data for provider with authority " + str);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private static int m8274(String str) {
        if ("r".equals(str)) {
            return 268435456;
        }
        if ("w".equals(str) || "wt".equals(str)) {
            return 738197504;
        }
        if ("wa".equals(str)) {
            return 704643072;
        }
        if ("rw".equals(str)) {
            return 939524096;
        }
        if ("rwt".equals(str)) {
            return 1006632960;
        }
        throw new IllegalArgumentException("Invalid mode: " + str);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private static File m8278(File file, String... strArr) {
        for (String str : strArr) {
            if (str != null) {
                file = new File(file, str);
            }
        }
        return file;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private static String[] m8280(String[] strArr, int i) {
        String[] strArr2 = new String[i];
        System.arraycopy(strArr, 0, strArr2, 0, i);
        return strArr2;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private static Object[] m8279(Object[] objArr, int i) {
        Object[] objArr2 = new Object[i];
        System.arraycopy(objArr, 0, objArr2, 0, i);
        return objArr2;
    }
}
