package e.o;

import android.content.Context;
import android.content.pm.ApplicationInfo;
import android.os.Build;
import android.util.Log;
import dalvik.system.BaseDexClassLoader;
import dalvik.system.DexClassLoader;
import dalvik.system.DexFile;
import dalvik.system.PathClassLoader;
import java.io.File;
import java.io.IOException;
import java.lang.reflect.Array;
import java.lang.reflect.Constructor;
import java.lang.reflect.Field;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.HashSet;
import java.util.Iterator;
import java.util.List;
import java.util.ListIterator;
import java.util.Set;
import java.util.StringTokenizer;
import java.util.zip.ZipFile;
import me.zhanghai.android.materialprogressbar.BuildConfig;

/* compiled from: MultiDex */
public final class a {

    /* renamed from: ʻ  reason: contains not printable characters */
    private static final Set<File> f6277 = new HashSet();

    /* renamed from: ʼ  reason: contains not printable characters */
    private static final boolean f6278 = m9581(System.getProperty("java.vm.version"));

    /* access modifiers changed from: private */
    /* compiled from: MultiDex */
    public static final class c {
        /* renamed from: ʻ  reason: contains not printable characters */
        static void m9597(ClassLoader classLoader, List<? extends File> list) throws IllegalArgumentException, IllegalAccessException, NoSuchFieldException, IOException {
            int size = list.size();
            Field r1 = a.m9583(classLoader, "path");
            StringBuilder sb = new StringBuilder((String) r1.get(classLoader));
            String[] strArr = new String[size];
            File[] fileArr = new File[size];
            ZipFile[] zipFileArr = new ZipFile[size];
            DexFile[] dexFileArr = new DexFile[size];
            ListIterator<? extends File> listIterator = list.listIterator();
            while (listIterator.hasNext()) {
                File file = (File) listIterator.next();
                String absolutePath = file.getAbsolutePath();
                sb.append(':');
                sb.append(absolutePath);
                int previousIndex = listIterator.previousIndex();
                strArr[previousIndex] = absolutePath;
                fileArr[previousIndex] = file;
                zipFileArr[previousIndex] = new ZipFile(file);
                dexFileArr[previousIndex] = DexFile.loadDex(absolutePath, absolutePath + ".dex", 0);
            }
            r1.set(classLoader, sb.toString());
            a.m9585(classLoader, "mPaths", strArr);
            a.m9585(classLoader, "mFiles", fileArr);
            a.m9585(classLoader, "mZips", zipFileArr);
            a.m9585(classLoader, "mDexs", dexFileArr);
        }
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    private static ApplicationInfo m9582(Context context) {
        try {
            return context.getApplicationInfo();
        } catch (RuntimeException e2) {
            Log.w("MultiDex", "Failure while trying to obtain ApplicationInfo from Context. Must be running in test mode. Skip patching.", e2);
            return null;
        }
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    private static ClassLoader m9586(Context context) {
        try {
            ClassLoader classLoader = context.getClassLoader();
            if (Build.VERSION.SDK_INT >= 14) {
                if (classLoader instanceof BaseDexClassLoader) {
                    return classLoader;
                }
            } else if ((classLoader instanceof DexClassLoader) || (classLoader instanceof PathClassLoader)) {
                return classLoader;
            }
            Log.e("MultiDex", "Context class loader is null or not dex-capable. Must be running in test mode. Skip patching.");
            return null;
        } catch (RuntimeException e2) {
            Log.w("MultiDex", "Failure while trying to obtain Context class loader. Must be running in test mode. Skip patching.", e2);
            return null;
        }
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    public static void m9587(Context context) {
        Log.i("MultiDex", "Installing application");
        if (f6278) {
            Log.i("MultiDex", "VM has multidex support, MultiDex support library is disabled.");
        } else if (Build.VERSION.SDK_INT >= 4) {
            try {
                ApplicationInfo r1 = m9582(context);
                if (r1 == null) {
                    Log.i("MultiDex", "No ApplicationInfo available, i.e. running on a test Context: MultiDex support library is disabled.");
                    return;
                }
                m9577(context, new File(r1.sourceDir), new File(r1.dataDir), "secondary-dexes", BuildConfig.FLAVOR, true);
                Log.i("MultiDex", "install done");
            } catch (Exception e2) {
                Log.e("MultiDex", "MultiDex installation failure", e2);
                throw new RuntimeException("MultiDex installation failed (" + e2.getMessage() + ").");
            }
        } else {
            throw new RuntimeException("MultiDex installation failed. SDK " + Build.VERSION.SDK_INT + " is unsupported. Min SDK version is " + 4 + ".");
        }
    }

    /* access modifiers changed from: private */
    /* renamed from: ʼ  reason: contains not printable characters */
    public static Field m9583(Object obj, String str) throws NoSuchFieldException {
        for (Class<?> cls = obj.getClass(); cls != null; cls = cls.getSuperclass()) {
            try {
                Field declaredField = cls.getDeclaredField(str);
                if (!declaredField.isAccessible()) {
                    declaredField.setAccessible(true);
                }
                return declaredField;
            } catch (NoSuchFieldException unused) {
            }
        }
        throw new NoSuchFieldException("Field " + str + " not found in " + obj.getClass());
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private static void m9577(Context context, File file, File file2, String str, String str2, boolean z) throws IOException, IllegalArgumentException, IllegalAccessException, NoSuchFieldException, InvocationTargetException, NoSuchMethodException, SecurityException, ClassNotFoundException, InstantiationException {
        synchronized (f6277) {
            if (!f6277.contains(file)) {
                f6277.add(file);
                if (Build.VERSION.SDK_INT > 20) {
                    Log.w("MultiDex", "MultiDex is not guaranteed to work in SDK version " + Build.VERSION.SDK_INT + ": SDK version higher than " + 20 + " should be backed by " + "runtime with built-in multidex capabilty but it's not the " + "case here: java.vm.version=\"" + System.getProperty("java.vm.version") + "\"");
                }
                ClassLoader r1 = m9586(context);
                if (r1 != null) {
                    try {
                        m9576(context);
                    } catch (Throwable th) {
                        Log.w("MultiDex", "Something went wrong when trying to clear old MultiDex extraction, continuing without cleaning.", th);
                    }
                    File r7 = m9573(context, file2, str);
                    c cVar = new c(file, r7);
                    IOException e2 = null;
                    try {
                        try {
                            m9579(r1, r7, cVar.m9608(context, str2, false));
                        } catch (IOException e3) {
                            if (z) {
                                Log.w("MultiDex", "Failed to install extracted secondary dex files, retrying with forced extraction", e3);
                                m9579(r1, r7, cVar.m9608(context, str2, true));
                            } else {
                                throw e3;
                            }
                        }
                        try {
                        } catch (IOException e4) {
                            e2 = e4;
                        }
                        if (e2 != null) {
                            throw e2;
                        }
                    } finally {
                        try {
                            cVar.close();
                        } catch (IOException unused) {
                        }
                    }
                }
            }
        }
    }

    /* access modifiers changed from: private */
    /* renamed from: e.o.a$a  reason: collision with other inner class name */
    /* compiled from: MultiDex */
    public static final class C0084a {

        /* renamed from: ʼ  reason: contains not printable characters */
        private static final int f6279 = 4;

        /* renamed from: ʻ  reason: contains not printable characters */
        private final AbstractC0085a f6280;

        /* access modifiers changed from: private */
        /* renamed from: e.o.a$a$a  reason: collision with other inner class name */
        /* compiled from: MultiDex */
        public interface AbstractC0085a {
            /* renamed from: ʻ  reason: contains not printable characters */
            Object m9591(File file, DexFile dexFile) throws IllegalArgumentException, InstantiationException, IllegalAccessException, InvocationTargetException, IOException;
        }

        /* renamed from: e.o.a$a$b */
        /* compiled from: MultiDex */
        private static class b implements AbstractC0085a {

            /* renamed from: ʻ  reason: contains not printable characters */
            private final Constructor<?> f6281;

            b(Class<?> cls) throws SecurityException, NoSuchMethodException {
                Constructor<?> constructor = cls.getConstructor(File.class, ZipFile.class, DexFile.class);
                this.f6281 = constructor;
                constructor.setAccessible(true);
            }

            @Override // e.o.a.C0084a.AbstractC0085a
            /* renamed from: ʻ  reason: contains not printable characters */
            public Object m9592(File file, DexFile dexFile) throws IllegalArgumentException, InstantiationException, IllegalAccessException, InvocationTargetException, IOException {
                return this.f6281.newInstance(file, new ZipFile(file), dexFile);
            }
        }

        /* renamed from: e.o.a$a$c */
        /* compiled from: MultiDex */
        private static class c implements AbstractC0085a {

            /* renamed from: ʻ  reason: contains not printable characters */
            private final Constructor<?> f6282;

            c(Class<?> cls) throws SecurityException, NoSuchMethodException {
                Constructor<?> constructor = cls.getConstructor(File.class, File.class, DexFile.class);
                this.f6282 = constructor;
                constructor.setAccessible(true);
            }

            @Override // e.o.a.C0084a.AbstractC0085a
            /* renamed from: ʻ  reason: contains not printable characters */
            public Object m9593(File file, DexFile dexFile) throws IllegalArgumentException, InstantiationException, IllegalAccessException, InvocationTargetException {
                return this.f6282.newInstance(file, file, dexFile);
            }
        }

        /* renamed from: e.o.a$a$d */
        /* compiled from: MultiDex */
        private static class d implements AbstractC0085a {

            /* renamed from: ʻ  reason: contains not printable characters */
            private final Constructor<?> f6283;

            d(Class<?> cls) throws SecurityException, NoSuchMethodException {
                Constructor<?> constructor = cls.getConstructor(File.class, Boolean.TYPE, File.class, DexFile.class);
                this.f6283 = constructor;
                constructor.setAccessible(true);
            }

            @Override // e.o.a.C0084a.AbstractC0085a
            /* renamed from: ʻ  reason: contains not printable characters */
            public Object m9594(File file, DexFile dexFile) throws IllegalArgumentException, InstantiationException, IllegalAccessException, InvocationTargetException {
                return this.f6283.newInstance(file, Boolean.FALSE, file, dexFile);
            }
        }

        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:3:0x000f */
        private C0084a() throws ClassNotFoundException, SecurityException, NoSuchMethodException {
            Class<?> cls = Class.forName("dalvik.system.DexPathList$Element");
            AbstractC0085a aVar = new b(cls);
            try {
                aVar = new c(cls);
            } catch (NoSuchMethodException unused) {
                aVar = new d(cls);
            }
            this.f6280 = aVar;
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        static void m9589(ClassLoader classLoader, List<? extends File> list) throws IOException, SecurityException, IllegalArgumentException, ClassNotFoundException, NoSuchMethodException, InstantiationException, IllegalAccessException, InvocationTargetException, NoSuchFieldException {
            Object obj = a.m9583(classLoader, "pathList").get(classLoader);
            Object[] r4 = new C0084a().m9590(list);
            try {
                a.m9585(obj, "dexElements", r4);
            } catch (NoSuchFieldException e2) {
                Log.w("MultiDex", "Failed find field 'dexElements' attempting 'pathElements'", e2);
                a.m9585(obj, "pathElements", r4);
            }
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        private Object[] m9590(List<? extends File> list) throws IOException, SecurityException, IllegalArgumentException, InstantiationException, IllegalAccessException, InvocationTargetException {
            int size = list.size();
            Object[] objArr = new Object[size];
            for (int i = 0; i < size; i++) {
                File file = (File) list.get(i);
                objArr[i] = this.f6280.m9591(file, DexFile.loadDex(file.getPath(), m9588(file), 0));
            }
            return objArr;
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        private static String m9588(File file) {
            File parentFile = file.getParentFile();
            String name = file.getName();
            return new File(parentFile, name.substring(0, name.length() - f6279) + ".dex").getPath();
        }
    }

    /* access modifiers changed from: private */
    /* renamed from: ʼ  reason: contains not printable characters */
    public static Method m9584(Object obj, String str, Class<?>... clsArr) throws NoSuchMethodException {
        for (Class<?> cls = obj.getClass(); cls != null; cls = cls.getSuperclass()) {
            try {
                Method declaredMethod = cls.getDeclaredMethod(str, clsArr);
                if (!declaredMethod.isAccessible()) {
                    declaredMethod.setAccessible(true);
                }
                return declaredMethod;
            } catch (NoSuchMethodException unused) {
            }
        }
        throw new NoSuchMethodException("Method " + str + " with parameters " + Arrays.asList(clsArr) + " not found in " + obj.getClass());
    }

    /* access modifiers changed from: private */
    /* renamed from: ʼ  reason: contains not printable characters */
    public static void m9585(Object obj, String str, Object[] objArr) throws NoSuchFieldException, IllegalArgumentException, IllegalAccessException {
        Field r5 = m9583(obj, str);
        Object[] objArr2 = (Object[]) r5.get(obj);
        Object[] objArr3 = (Object[]) Array.newInstance(objArr2.getClass().getComponentType(), objArr2.length + objArr.length);
        System.arraycopy(objArr2, 0, objArr3, 0, objArr2.length);
        System.arraycopy(objArr, 0, objArr3, objArr2.length, objArr.length);
        r5.set(obj, objArr3);
    }

    /* access modifiers changed from: private */
    /* compiled from: MultiDex */
    public static final class b {
        /* renamed from: ʻ  reason: contains not printable characters */
        static void m9595(ClassLoader classLoader, List<? extends File> list, File file) throws IllegalArgumentException, IllegalAccessException, NoSuchFieldException, InvocationTargetException, NoSuchMethodException, IOException {
            IOException[] iOExceptionArr;
            Object obj = a.m9583(classLoader, "pathList").get(classLoader);
            ArrayList arrayList = new ArrayList();
            a.m9585(obj, "dexElements", m9596(obj, new ArrayList(list), file, arrayList));
            if (arrayList.size() > 0) {
                Iterator it = arrayList.iterator();
                while (it.hasNext()) {
                    Log.w("MultiDex", "Exception in makeDexElement", (IOException) it.next());
                }
                Field r6 = a.m9583(obj, "dexElementsSuppressedExceptions");
                IOException[] iOExceptionArr2 = (IOException[]) r6.get(obj);
                if (iOExceptionArr2 == null) {
                    iOExceptionArr = (IOException[]) arrayList.toArray(new IOException[arrayList.size()]);
                } else {
                    IOException[] iOExceptionArr3 = new IOException[(arrayList.size() + iOExceptionArr2.length)];
                    arrayList.toArray(iOExceptionArr3);
                    System.arraycopy(iOExceptionArr2, 0, iOExceptionArr3, arrayList.size(), iOExceptionArr2.length);
                    iOExceptionArr = iOExceptionArr3;
                }
                r6.set(obj, iOExceptionArr);
                IOException iOException = new IOException("I/O exception during makeDexElement");
                iOException.initCause((Throwable) arrayList.get(0));
                throw iOException;
            }
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        private static Object[] m9596(Object obj, ArrayList<File> arrayList, File file, ArrayList<IOException> arrayList2) throws IllegalAccessException, InvocationTargetException, NoSuchMethodException {
            return (Object[]) a.m9584(obj, "makeDexElements", new Class[]{ArrayList.class, File.class, ArrayList.class}).invoke(obj, arrayList, file, arrayList2);
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    static boolean m9581(String str) {
        boolean z = false;
        if (str != null) {
            StringTokenizer stringTokenizer = new StringTokenizer(str, ".");
            String str2 = null;
            String nextToken = stringTokenizer.hasMoreTokens() ? stringTokenizer.nextToken() : null;
            if (stringTokenizer.hasMoreTokens()) {
                str2 = stringTokenizer.nextToken();
            }
            if (!(nextToken == null || str2 == null)) {
                try {
                    int parseInt = Integer.parseInt(nextToken);
                    int parseInt2 = Integer.parseInt(str2);
                    if (parseInt > 2 || (parseInt == 2 && parseInt2 >= 1)) {
                        z = true;
                    }
                } catch (NumberFormatException unused) {
                }
            }
        }
        StringBuilder sb = new StringBuilder();
        sb.append("VM with version ");
        sb.append(str);
        sb.append(z ? " has multidex support" : " does not have multidex support");
        Log.i("MultiDex", sb.toString());
        return z;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private static void m9579(ClassLoader classLoader, File file, List<? extends File> list) throws IllegalArgumentException, IllegalAccessException, NoSuchFieldException, InvocationTargetException, NoSuchMethodException, IOException, SecurityException, ClassNotFoundException, InstantiationException {
        if (!list.isEmpty()) {
            int i = Build.VERSION.SDK_INT;
            if (i >= 19) {
                b.m9595(classLoader, list, file);
            } else if (i >= 14) {
                C0084a.m9589(classLoader, list);
            } else {
                c.m9597(classLoader, list);
            }
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private static void m9576(Context context) throws Exception {
        File file = new File(context.getFilesDir(), "secondary-dexes");
        if (file.isDirectory()) {
            Log.i("MultiDex", "Clearing old secondary dex dir (" + file.getPath() + ").");
            File[] listFiles = file.listFiles();
            if (listFiles == null) {
                Log.w("MultiDex", "Failed to list secondary dex dir content (" + file.getPath() + ").");
                return;
            }
            for (File file2 : listFiles) {
                Log.i("MultiDex", "Trying to delete old file " + file2.getPath() + " of size " + file2.length());
                if (!file2.delete()) {
                    Log.w("MultiDex", "Failed to delete old file " + file2.getPath());
                } else {
                    Log.i("MultiDex", "Deleted old file " + file2.getPath());
                }
            }
            if (!file.delete()) {
                Log.w("MultiDex", "Failed to delete secondary dex dir " + file.getPath());
                return;
            }
            Log.i("MultiDex", "Deleted old secondary dex dir " + file.getPath());
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private static File m9573(Context context, File file, String str) throws IOException {
        File file2 = new File(file, "code_cache");
        try {
            m9578(file2);
        } catch (IOException unused) {
            file2 = new File(context.getFilesDir(), "code_cache");
            m9578(file2);
        }
        File file3 = new File(file2, str);
        m9578(file3);
        return file3;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private static void m9578(File file) throws IOException {
        file.mkdir();
        if (!file.isDirectory()) {
            File parentFile = file.getParentFile();
            if (parentFile == null) {
                Log.e("MultiDex", "Failed to create dir " + file.getPath() + ". Parent file is null.");
            } else {
                Log.e("MultiDex", "Failed to create dir " + file.getPath() + ". parent file is a dir " + parentFile.isDirectory() + ", a file " + parentFile.isFile() + ", exists " + parentFile.exists() + ", readable " + parentFile.canRead() + ", writable " + parentFile.canWrite());
            }
            throw new IOException("Failed to create directory " + file.getPath());
        }
    }
}
