package e.t.a.a;

import android.content.Context;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.Path;
import android.graphics.PathMeasure;
import android.util.AttributeSet;
import android.view.InflateException;
import android.view.animation.Interpolator;
import e.g.d.f.k;
import e.g.e.d;
import org.xmlpull.v1.XmlPullParser;

/* compiled from: PathInterpolatorCompat */
public class g implements Interpolator {

    /* renamed from: ʻ  reason: contains not printable characters */
    private float[] f6581;

    /* renamed from: ʼ  reason: contains not printable characters */
    private float[] f6582;

    public g(Context context, AttributeSet attributeSet, XmlPullParser xmlPullParser) {
        this(context.getResources(), context.getTheme(), attributeSet, xmlPullParser);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private void m9984(TypedArray typedArray, XmlPullParser xmlPullParser) {
        if (k.m8402(xmlPullParser, "pathData")) {
            String r8 = k.m8400(typedArray, xmlPullParser, "pathData", 4);
            Path r9 = d.m8439(r8);
            if (r9 != null) {
                m9985(r9);
                return;
            }
            throw new InflateException("The path is null, which is created from " + r8);
        } else if (!k.m8402(xmlPullParser, "controlX1")) {
            throw new InflateException("pathInterpolator requires the controlX1 attribute");
        } else if (k.m8402(xmlPullParser, "controlY1")) {
            float r0 = k.m8394(typedArray, xmlPullParser, "controlX1", 0, 0.0f);
            float r1 = k.m8394(typedArray, xmlPullParser, "controlY1", 1, 0.0f);
            boolean r4 = k.m8402(xmlPullParser, "controlX2");
            if (r4 != k.m8402(xmlPullParser, "controlY2")) {
                throw new InflateException("pathInterpolator requires both controlX2 and controlY2 for cubic Beziers.");
            } else if (!r4) {
                m9982(r0, r1);
            } else {
                m9983(r0, r1, k.m8394(typedArray, xmlPullParser, "controlX2", 2, 0.0f), k.m8394(typedArray, xmlPullParser, "controlY2", 3, 0.0f));
            }
        } else {
            throw new InflateException("pathInterpolator requires the controlY1 attribute");
        }
    }

    public float getInterpolation(float f2) {
        if (f2 <= 0.0f) {
            return 0.0f;
        }
        if (f2 >= 1.0f) {
            return 1.0f;
        }
        int i = 0;
        int length = this.f6581.length - 1;
        while (length - i > 1) {
            int i2 = (i + length) / 2;
            if (f2 < this.f6581[i2]) {
                length = i2;
            } else {
                i = i2;
            }
        }
        float[] fArr = this.f6581;
        float f3 = fArr[length] - fArr[i];
        if (f3 == 0.0f) {
            return this.f6582[i];
        }
        float[] fArr2 = this.f6582;
        float f4 = fArr2[i];
        return f4 + (((f2 - fArr[i]) / f3) * (fArr2[length] - f4));
    }

    public g(Resources resources, Resources.Theme theme, AttributeSet attributeSet, XmlPullParser xmlPullParser) {
        TypedArray r2 = k.m8398(resources, theme, attributeSet, a.f6567);
        m9984(r2, xmlPullParser);
        r2.recycle();
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private void m9982(float f2, float f3) {
        Path path = new Path();
        path.moveTo(0.0f, 0.0f);
        path.quadTo(f2, f3, 1.0f, 1.0f);
        m9985(path);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private void m9983(float f2, float f3, float f4, float f5) {
        Path path = new Path();
        path.moveTo(0.0f, 0.0f);
        path.cubicTo(f2, f3, f4, f5, 1.0f, 1.0f);
        m9985(path);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private void m9985(Path path) {
        int i = 0;
        PathMeasure pathMeasure = new PathMeasure(path, false);
        float length = pathMeasure.getLength();
        int min = Math.min(3000, ((int) (length / 0.002f)) + 1);
        if (min > 0) {
            this.f6581 = new float[min];
            this.f6582 = new float[min];
            float[] fArr = new float[2];
            for (int i2 = 0; i2 < min; i2++) {
                pathMeasure.getPosTan((((float) i2) * length) / ((float) (min - 1)), fArr, null);
                this.f6581[i2] = fArr[0];
                this.f6582[i2] = fArr[1];
            }
            if (((double) Math.abs(this.f6581[0])) <= 1.0E-5d && ((double) Math.abs(this.f6582[0])) <= 1.0E-5d) {
                int i3 = min - 1;
                if (((double) Math.abs(this.f6581[i3] - 1.0f)) <= 1.0E-5d && ((double) Math.abs(this.f6582[i3] - 1.0f)) <= 1.0E-5d) {
                    float f2 = 0.0f;
                    int i4 = 0;
                    while (i < min) {
                        float[] fArr2 = this.f6581;
                        int i5 = i4 + 1;
                        float f3 = fArr2[i4];
                        if (f3 >= f2) {
                            fArr2[i] = f3;
                            i++;
                            f2 = f3;
                            i4 = i5;
                        } else {
                            throw new IllegalArgumentException("The Path cannot loop back on itself, x :" + f3);
                        }
                    }
                    if (pathMeasure.nextContour()) {
                        throw new IllegalArgumentException("The Path should be continuous, can't have 2+ contours");
                    }
                    return;
                }
            }
            StringBuilder sb = new StringBuilder();
            sb.append("The Path must start at (0,0) and end at (1,1) start: ");
            sb.append(this.f6581[0]);
            sb.append(",");
            sb.append(this.f6582[0]);
            sb.append(" end:");
            int i6 = min - 1;
            sb.append(this.f6581[i6]);
            sb.append(",");
            sb.append(this.f6582[i6]);
            throw new IllegalArgumentException(sb.toString());
        }
        throw new IllegalArgumentException("The Path has a invalid length " + length);
    }
}
