package pub.devrel.easypermissions;

import android.app.Activity;
import android.content.Context;
import android.os.Build;
import android.util.Log;
import androidx.core.app.b;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import java.util.ArrayList;
import java.util.List;
import pub.devrel.easypermissions.d;
import pub.devrel.easypermissions.j.e;

/* compiled from: EasyPermissions */
public class c {

    /* compiled from: EasyPermissions */
    public interface a extends b.d {
        /* renamed from: ʻ  reason: contains not printable characters */
        void m12570(int i, List<String> list);

        /* renamed from: ʼ  reason: contains not printable characters */
        void m12571(int i, List<String> list);
    }

    /* compiled from: EasyPermissions */
    public interface b {
        /* renamed from: ʼ  reason: contains not printable characters */
        void m12572(int i);

        /* renamed from: ʾ  reason: contains not printable characters */
        void m12573(int i);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public static boolean m12568(Context context, String... strArr) {
        if (Build.VERSION.SDK_INT < 23) {
            Log.w("EasyPermissions", "hasPermissions: API version < M, returning true by default");
            return true;
        } else if (context != null) {
            for (String str : strArr) {
                if (e.g.d.a.m8256(context, str) != 0) {
                    return false;
                }
            }
            return true;
        } else {
            throw new IllegalArgumentException("Can't check permissions for null context");
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public static void m12563(Activity activity, String str, int i, String... strArr) {
        d.b bVar = new d.b(activity, i, strArr);
        bVar.m12581(str);
        m12566(bVar.m12582());
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public static void m12566(d dVar) {
        if (m12568(dVar.m12574().m12611(), dVar.m12576())) {
            m12565(dVar.m12574().m12616(), dVar.m12579(), dVar.m12576());
        } else {
            dVar.m12574().m12613(dVar.m12578(), dVar.m12577(), dVar.m12575(), dVar.m12580(), dVar.m12579(), dVar.m12576());
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public static void m12562(int i, String[] strArr, int[] iArr, Object... objArr) {
        ArrayList arrayList = new ArrayList();
        ArrayList arrayList2 = new ArrayList();
        for (int i2 = 0; i2 < strArr.length; i2++) {
            String str = strArr[i2];
            if (iArr[i2] == 0) {
                arrayList.add(str);
            } else {
                arrayList2.add(str);
            }
        }
        for (Object obj : objArr) {
            if (!arrayList.isEmpty() && (obj instanceof a)) {
                ((a) obj).m12571(i, arrayList);
            }
            if (!arrayList2.isEmpty() && (obj instanceof a)) {
                ((a) obj).m12570(i, arrayList2);
            }
            if (!arrayList.isEmpty() && arrayList2.isEmpty()) {
                m12564(obj, i);
            }
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public static boolean m12567(Activity activity, List<String> list) {
        return e.m12608(activity).m12615(list);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private static void m12565(Object obj, int i, String[] strArr) {
        int[] iArr = new int[strArr.length];
        for (int i2 = 0; i2 < strArr.length; i2++) {
            iArr[i2] = 0;
        }
        m12562(i, strArr, iArr, obj);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private static void m12564(Object obj, int i) {
        Class<?> cls = obj.getClass();
        if (m12569(obj)) {
            cls = cls.getSuperclass();
        }
        while (cls != null) {
            Method[] declaredMethods = cls.getDeclaredMethods();
            for (Method method : declaredMethods) {
                a aVar = (a) method.getAnnotation(a.class);
                if (aVar != null && aVar.value() == i) {
                    if (method.getParameterTypes().length <= 0) {
                        try {
                            if (!method.isAccessible()) {
                                method.setAccessible(true);
                            }
                            method.invoke(obj, new Object[0]);
                        } catch (IllegalAccessException e2) {
                            Log.e("EasyPermissions", "runDefaultMethod:IllegalAccessException", e2);
                        } catch (InvocationTargetException e3) {
                            Log.e("EasyPermissions", "runDefaultMethod:InvocationTargetException", e3);
                        }
                    } else {
                        throw new RuntimeException("Cannot execute method " + method.getName() + " because it is non-void method and/or has input parameters.");
                    }
                }
            }
            cls = cls.getSuperclass();
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private static boolean m12569(Object obj) {
        if (!obj.getClass().getSimpleName().endsWith("_")) {
            return false;
        }
        try {
            return Class.forName("org.androidannotations.api.view.HasViews").isInstance(obj);
        } catch (ClassNotFoundException unused) {
            return false;
        }
    }
}
